(function() {
	"use strict";

	var billing = angular.module("billingApp");

	billing.service('billingService', [ '$http', '$q', function($http, $q) {

		this.getRoyaltyReport = function(params) {
			return $http.post('generateBill.do', params);

		};

		this.readCookie = function(name) {
			var nameEQ = name + "=";
			var ca = document.cookie.split(';');
			for (var i = 0; i < ca.length; i++) {
				var c = ca[i];
				while (c.charAt(0) == ' ') {
					c = c.substring(1, c.length);
				}
				if (c.indexOf(nameEQ) == 0) {
					return c.substring(nameEQ.length, c.length);
				}
			}
			return null;
		};

	} ]);

})();