<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.SurveyMessages">
  <div id="delete-association-dialog-form"   class="hidden">
		<p id="deleteAssocMessage"/>
  </div>

<div id="generateBillDialog" class="hidden">
	<div id="generateOptions" class="genOpts">
		<label><input type="radio" name="optType" value="html" checked><fmt:message key="View_Html"/></label>
  		<label><input type="radio" name="optType" value="pdf"> <fmt:message key="Download_Pdf"/> </label>
  		<label><input type="radio" name="optType" value="rpt"> <fmt:message key="View_Details"/> </label>
  	</div>
  	<div class="generateInputs">
  		<label><fmt:message key="chargeback.month"/></label>
  		<select id="monthSelect">
  			<option value="1"><fmt:message key="month.January"/></option>
  			<option value="2"><fmt:message key="month.February"/></option>
  			<option value="3"><fmt:message key="month.March"/></option>
  			<option value="4"><fmt:message key="month.April"/></option>
  			<option value="5"><fmt:message key="month.May"/></option>
  			<option value="6"><fmt:message key="month.June"/></option>
  			<option value="7"><fmt:message key="month.July"/></option>
  			<option value="8"><fmt:message key="month.August"/></option>
  			<option value="9"><fmt:message key="month.September"/></option>
  			<option value="10"><fmt:message key="month.October"/></option>
  			<option value="11"><fmt:message key="month.November"/></option>
  			<option value="12"><fmt:message key="month.December"/></option>
  		</select>
  	</div>
  	<div class="generateInputs">
  		<label><fmt:message key="Year"/></label>
  		<select id="yearSelect"></select>
  	</div>
  	<div id="quarterBox">
  		<p><fmt:message key="Footnote_Symbol"/> <fmt:message key="Quarter_Note"/></p>
  	</div>
  	<div id="hideSummaryBox" class="generateInputs">
        <label><input type="checkbox" name="hideSummary" id="hideSummary" value=""><fmt:message key="Hide_Summary_Section"/></label>
    </div>
  	<div id="emailInputs">
  		<table>
  			<tr>
  				<td><label for="custName" id="custNameLabel"><fmt:message key="Customer_Name"/></label></td>
  				<td><input type="text" id="custName" value="" placeholder="<fmt:message key='Customer_Name_Placeholder'/>"></td>
  			</tr>
  			<tr>
  				<td><label for="custEmail" id="custEmailLabel"><fmt:message key="Customer_Email"/></label></td>
  				<td><input type="text" id="custEmail" value="" placeholder="<fmt:message key='Customer_Email_Placeholder'/>"></td>
  			</tr>
  			<tr>
  				<td><label for="cvltName"><fmt:message key="Commvault_Name"/></label></td>
  				<td><input type="text" id="cvltName" value="" placeholder="<fmt:message key='Commvault_Name_Placeholder'/>"></td>
  			</tr>
  			<tr>
  				<td><label for="cvltEmail"><fmt:message key="Commvault_Email"/></label></td>
  				<td><input type="text" id="cvltEmail" value="" placeholder="<fmt:message key='Commvault_Email_Placeholder'/>"></td>
  			</tr>
  			<tr>
  				<td><label for="notifyEmail" id="notifyLabel"><fmt:message key="Notify_Partner"/></label></td>
  				<td><input type="text" id="notifyEmail" value="" placeholder="<fmt:message key='gatherlog.choice.notify.placeholder'/>"></td>
  			</tr>
  		</table>
  	</div>
  	<div class='clearfloat'></div>

</div>

<div id="editAssociationDialog" class="hidden">
	<div class='ncRow'>
 		<div class='labelCol' id='divGrpLabel'><fmt:message key="Service_Provider"/></div>
 		<input  id='editCustomerList'  class='valueCol disabled' type='text' disabled="disabled">
 		<div class="clearFloat"></div>
 	</div>
	<div class='ncRow' id="divBillingGroup">
 		<div class='labelCol'><fmt:message key="Billing_Group"/></div>
 		<select id='editContractList' class="valueCol"> </select>
 		<div class="clearFloat"></div>
 	</div>
	<div class='ncRow' id='divMinFee'>
 		<div class='labelCol' id='txtMinFee'></div>
 		<input  id='editMinFee'  class='valueCol decimalInput' type='text'>
 		<div class="clearFloat"></div>
 	</div>
 	<div class='ncRow' id='divBillCycle'>
 		<div class='labelCol'><fmt:message key="Billing_Cycle"/></div>
 		<select id='editBillingTypeList' class="valueCol">
				<option value='0'><fmt:message key="Monthly"/></option>
				<option value='1'><fmt:message key="Quarterly"/></option>
			</select>
 		<div class="clearFloat"></div>
 	</div>
 	<div class='ncRow' id='divUseAsPO'>
 		<div class='labelCol'><fmt:message key="Use_As_PO"/></div>
 		<label><input type="radio" name="editUseAsPOType" value="0" checked><fmt:message key="Yes"/></label>
  		<label><input type="radio" name="editUseAsPOType" value="1"> <fmt:message key="No"/> </label>
 		<div class="clearFloat"></div>
 	</div>
  	<div class='clearfloat'></div>

	<div id='vdMasterTable'>
		<div id='vdDetailTitle'> <fmt:message key="Volume_Discount"/> <fmt:message key="Details"/>	</div>

	 	<div class='ncRow'>
	 		<label  id='lowerLimitLabel' class='labelCol'><fmt:message key="Lower_Limit"/></label>
	 		<input id='vdLowerLimit' class='valueCol integerInput' type='text'>
	 		<div class="clearFloat"></div>
	 	</div>
	 	<div class='ncRow'>
	 		<label id='upperLimitLabel' class='labelCol'><fmt:message key="Upper_Limit"/></label>
	 		<input id='vdUpperLimit' class='valueCol integerInput' type='text' placeholder="<fmt:message key="Placeholder_For_Upper_Limit"/>">
	 		<div class="clearFloat"></div>
	 	</div>
	 	<div class='ncRow'>
	 		<label class='labelCol'><fmt:message key="Discount_Percentage"/></label>
	 		<input  id='vdDiscount'  class='valueCol decimalInput' type='text'>
	 		<div class="clearFloat"></div>
	 	</div>
	 	<div id='addVdBtnDiv'>
	 		<input id='addVdDetailBtn' type='button' value='<fmt:message key="contact.add"/> <fmt:message key="Volume_Discount"/>'/>
	 		<input id='clearVdDetailBtn' type='button' value='Clear'/>
			<p id='errorMessage'> </p>
	 	</div>
	 	<div id='vdDetailTableWrapper'>
			<div id="vdDetailTable" > </div>

		</div>
	</div>
</div>

</fmt:bundle>