<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../WEB-INF/cvtaglib.tld" prefix="cv"%>
<c:set var="isAdminUser" value='false' scope="page" />
<cv:reportsTag name="adminRight" id="999">
	<c:set var="isAdminUser" value='true' scope="page" />
</cv:reportsTag>
<fmt:bundle basename="localization.ReportsMessages">
	<jsp:include page="../common/header.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.multiselect.css" name="css" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/applicationstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/commCellGroupHandling.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css"
			name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/summary/css/summarystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/cvdialog.css" name="css" />

		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeHistory" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="true" name="includeCustomSelect" />

		<jsp:param value="false" name="changeSurvey" />
		<jsp:param value="report" name="appName" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
		<jsp:param value="Create CommCell Group" name="titleLocalized" />
		<jsp:param value="Create CommCell Group" name="headerTitleLocalized" />
	</jsp:include>
	<jsp:include page="reports/surveyHeader.jsp">
		<jsp:param value="true" name="changePage" />
		<jsp:param name="welcomeMsg" value="Reports" />
		<jsp:param name="includeBreadcrumb" value="false" />
		<jsp:param value="commcellUrl" name="headerLinks" />
		<jsp:param name="commcells" value="false" />
		<jsp:param value="false" name="includeCROptionBeforeSearch" />
		<jsp:param value="true" name="disbaleExport" />
	</jsp:include>




	<div id="noDataNotificationPanel"
		style="text-align: center; display: none;"></div>
	<div id="commCellGroup"  comp="commCellGroup" data-component-type="METRICS_TABLE" class="clearFloat reportTable reportView commCellGroup_table">
		<div id="groupDetails">
			<fieldset class="commCellGroupDetails">
				<ul>
					<li><label for="name"><fmt:message key="GroupName" /></label>
						<input type="text" class="groupName ui-widget-content ui-corner-all" id="name"	name="field_name"></li>

					<li><label for="description"><fmt:message key="Description" /></label> <input name="field_description" id="description"
							class="groupDescription ui-widget-content ui-corner-all">
					</li>
				</ul>
			</fieldset>
			<div id="commCellGroupbuttons" class="btns hideOnExportFriendly">
				<a id="cancelButton" href="#"><fmt:message key="CancelButtonText" /></a> <a class="okSaveButton"
					id="submit_new_group_Details" href="#"><fmt:message key="Save" /></a>
			</div>
			<p id="validateTips" class="validateTips"></p>
		</div>

	</div>
</fmt:bundle>




<jsp:include page="../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/survey/js/createEditCommCellGroup.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js" />

	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
</jsp:include>
