var pageSize = 50;
diff = {};
diff.entitiesCache = {};
diff.groupNamesCache = {};
diff.treeInitialized = false;
diff.availableEntities = [];

var CC_PARAMETERS = 3;

var clientGroupCache = [];

if (cvUtil.getParameter("entityTypeId") == 2) { //Only for library entity type. Moved from libraryAudit.jsp

diff.customInit = function() {
	report.baseUpdateRequestString = report.updateRequestString;
	report.updateRequestString = function() {
		report.baseUpdateRequestString();
		report.requestString.stdMountPathID = $("#availableMountPaths").find("li.selectedOption").data('mountpathid');
	};
	diff.updatePropertiesParams = function(location) {
		location = location + '&stdMountPathID=' + diff.encodeForUrl(report.requestString.stdMountPathID);
		var stdMPath = $("#availableMountPaths").find("li.selectedOption").text();
		if (stdMPath) {
			location = location + '&stdMountPath=' + diff.encodeForUrl(stdMPath);
		}
		return location;
	};
	diff.entitySelected = function(selectedLi) {
		$("#availableMountPaths li").remove();
		var mountPathList;

		if (selectedLi.data && selectedLi.data.other) {
			mountPathList = selectedLi.data.other;
		}

		if (!!mountPathList) {
			//populate combo with paths
			$.each(mountPathList, function(index, val) {
				var item = $('<li data-mountpathid="' + val[0] + '"id="mountpath_' + index + '">' + val[1] + '</li>');
				$("#availableMountPaths").append(item);
			});
			if (mountPathList.length < 1) {
				$("#availableMountPaths-selection").addClass("disabledActions");
			}
			if (mountPathList.length == 1) {
				$("#availableMountPaths-selection").removeClass("disabledActions").removeClass("placeholder");
				$("#availableMountPaths").find('li#mountpath_' + 0).click();
			}
			if (mountPathList.length > 1) {
				if (diff.initialized) {
					$(".reportContent").hide();
				}
				$("#availableMountPaths-selection").text('<fmt:message key="select_mount_path" />');
				$("#availableMountPaths-selection").removeClass("disabledActions").addClass("placeholder");
				return;
			}
			report.generateReport();
		}
	};
	report.beforeLoadReport = function() {
		if (!report.requestString.masterCommservId || !report.requestString.entityId ||
				typeof report.requestString.stdMountPathID == "undefined") {
			$(".reportContent").hide();
			return false;
		}
	};
	diff.afterEntitiesLoaded = function() {
		if ($("#availableEntities").find("li.selectedOption").length > 0) {
			diff.entitySelected($("#availableEntities").find("li.selectedOption"));
		}
		if (report.requestString.stdMountPathID) {
			$("#availableMountPaths").find('li[data-mountpathid="' + report.requestString.stdMountPathID + '"]')
					.click();
			$("#availableMountPaths-selection").removeClass("placeholder");
		}
	}
}
diff.customInitComponents = function() {
	$("#availableMountPaths").customSelect();
	$("#availableMountPaths-selection").text('<fmt:message key="select_mount_path" />');
	$("#availableMountPaths-selection").addClass("placeholder");
	$("#availableMountPaths").on("customSelectionChanged", function(e, selectedLi) {
		if (diff.initialized) {
			$("#availableMountPaths-selection").removeClass("placeholder");
			report.generateReport();
		}
	});
}

}

$(document).ready(function() {
	diff.initialized = false;
	window.report = new Reports.initReport({
		type : 'audit',
		reportTitle : 'Audit Report'
	});
	$('#sectionTitle').append('<div class="audit-deprecate-msg">' + cvUtil.cvLocalize('audit.deprecate.msg') +
			'</div>');

	Audit();
	if (diff.customInit) {
		diff.customInit();
	}
	report.init();
	report.logReportLoadEvent(null, 'Configuration Audit (Deprecated)');
	if (cvUtil.getParameter('commUniId') > 0) {
		cvUtil.GUIAuditReportLog("Configuration Audit (Deprecated) ", "CommCell");
	}

	if (report && report.requestString && report.requestString.entityTypeId == 2) {
		$("#content").addClass('libraryAudit');
	}

});
cvLocalize = function(key) {
	var result = localMsg[key];
	if (!localMsg[key]) {
		result = '???' + key + '???';
	}
	if (arguments.length > 1) {
		for (var i = 0; i < arguments.length - 1; i++) {
			result = result.replace('{' + i + '}', arguments[i + 1]);
		}
	}
	return result;
};

function Audit() {
	$("#advanceFilter").click(function() {
		showAdvanceFilterDialog();
	});

	$("#treePanel").on("click", ".custom-cb", function() {
		var target = $(this)[0];
		$.each($("#treePanel .checked"), function(i, cb) {
			if (target != cb) {
				unCheckCb($(cb));
			}
		});
	});

	if (!window.location.search || window.location.search.length <= 1) {
		var url = window.location.href;
		if (window.location.hash.length > 0) {
			url = url.substring(0, url.indexOf("#", 0));
		}
		window.location.replace(url + '?type=audit&entityTypeId=' +
				$("#filterPane  #entityTypes #entityType_0").data("id"));
	}
	var entityExist = false;
	var entityTypeIdValue = cvUtil.getParameter('entityTypeId', 0);
	$.each($("#filterPane  #entityTypes li"), function(index, value) {
		var entityId = $(value).data("id");
		if (entityId == entityTypeIdValue) {
			entityExist = true;
		}
	});
	if (!entityExist) {
		updateParamToUrl("entityTypeId", $("#filterPane  #entityTypes #entityType_0").data("id"), true);
	}
	var commUniId = cvUtil.getParameter('commUniId');
	var ccGroupId = cvUtil.getParameter('ccGroupId', -1);

	if (entityTypeIdValue == 4) {//client
		var entityId = cvUtil.getParameter('entityId', 0);
		var subclientId = cvUtil.getParameter('subclientId', 0);
		var backupsetId = cvUtil.getParameter('backupsetId', 0);
		var instanceId = cvUtil.getParameter('instanceId', 0);
		var agentId = cvUtil.getParameter('agentId', 0);
		var spAssociation = cvUtil.getParameter('spAssociation', false);
		var acrossClientType = cvUtil.getParameter('acrossClientType', false);
		var numChildEntities = cvUtil.getParameter('numChildEntities', false);
		var clientGroupName = cvUtil.getParameter('clientGroupName');

		if (entityId > 0) {
			report.requestString.entityId = entityId;
		}
		if (subclientId > 0) {
			report.requestString.subclientId = subclientId;
			report.requestString.subclientName = cvUtil.getParameter('subclientName');
		}
		if (backupsetId > 0) {
			report.requestString.backupsetId = backupsetId;
			report.requestString.backupsetName = cvUtil.getParameter('backupsetName');
		}
		if (instanceId > 0) {
			report.requestString.instanceId = instanceId;
			report.requestString.instanceName = cvUtil.getParameter('instanceName');
		}
		if (agentId > 0) {
			report.requestString.agentId = agentId;
			report.requestString.agentName = cvUtil.getParameter('agentName');
		}
		if (clientGroupName) {
			report.requestString.clientGroupName = clientGroupName;
		}
		report.requestString.spAssociation = spAssociation;
		report.requestString.acrossClientType = acrossClientType;
		report.requestString.numChildEntities = numChildEntities;

	}
	report.initializeDefaults = function() {
		report.requestString.type = 'audit';
		report.requestString["commUniId"] = commUniId;
		if (ccGroupId > 0) {
			report.requestString["ccGroupId"] = ccGroupId;
		}
		report.requestString.entityTypeId = $("#entityTypes").find("li.selectedOption").data('id');
		report.requestString.reportFilters = [];
	};
	report.getRequestUrl = function() {
		return cvUtil.getContextPath() + '/server/generateAudit.do?type=' + report.type + '&entityTypeId=' +
				report.requestString.entityTypeId + '&json=' +
				window.encodeURIComponent(JSON.stringify(report.requestString));
	};

	report.disableExport = function() {

	};

	report.initComponents = function() {
		$("#autoEntities").attr("placeholder", templatePlaceHolder);
		$("#entityTypes").customSelect(0);
		var m = 0;
		$("#autoCommcells").autocomplete({
			"source" : function(request, response) {
				var results = $.ui.autocomplete.filter(commcells, request.term);
				response(results.slice(0, 80));
			},
			minLength : m,
			select : function(event, ui) {
				$('#autoCommcells').val(ui.item.label);
				report.requestString.masterCommservId = ui.item.value;
				delete report.requestString.entityId;
				if (report.requestString.entityTypeId != CC_PARAMETERS) {
					diff.loadEntities();
				} else {
					diff.entitySelected();
				}
				//report.generateReport();
				return false;
			},
			focus : function(event, ui) {
				$('#autoCommcells').val(ui.item.label);
				event.preventDefault();
			},
			delay : 1,
			appendTo : "#autocompletediv"
		});
		jQuery.ui.autocomplete.prototype._resizeMenu = function() {
			var ul = this.menu.element;
			ul.outerWidth(this.element.outerWidth());
		};
		$("#autoCommcells").on("blur", function() {
			$(this).val(diff.getCommcellId(report.requestString.masterCommservId));
		});
		$(".dropdownimage").click(function(e) {
			$("#autoCommcells").autocomplete("search", "");
			$("#autoCommcells").select();
			e.stopPropagation();
		});

		$("#autoEntities").autocomplete({
			"source" : function(request, response) {
				var results = $.ui.autocomplete.filter(diff.availableEntities, request.term);
				response(results.slice(0, 80));
			},
			minLength : m,
			select : function(event, ui) {
				$('#autoEntities').val(ui.item.label);
				if (diff.initialized) {
					delete report.requestString["auditaddOrRemoveColumns"];
					diff.entitySelected(ui.item);
				}

				return false;
			},
			focus : function(event, ui) {
				$('#autoEntities').val(ui.item.label);
				event.preventDefault();
			},
			delay : 1,
			appendTo : "#entityAutCompletediv"
		});

		//		$( "#autoEntities" ).on("blur", function(){
		//			$(this).val(diff.getCommcellId(report.requestString.masterCommservId));

		//		});
		$(".entitiesDropdownImage").click(function(e) {
			$("#autoEntities").autocomplete("search", "");
			$("#autoEntities").select();
			e.stopPropagation();
		});

		$("#entityTypes").on("customSelectionChanged", function(e, selectedLi) {
			if (diff.initialized) {
				var url = window.location.href;
				url = url.substring(0, url.indexOf('?', 0));
				url = url + '?type=audit&entityTypeId=' + $("#entityTypes").find("li.selectedOption").data('id');
				if (report.requestString.masterCommservId) {
					url = url + '&masterCommservId=' + report.requestString.masterCommservId;
				}
				if (report.requestString.ccGroupId) {
					url = url + '&ccGroupId=' + report.requestString.ccGroupId;
				}
				window.location.replace(url);
			}
		});
		cvUtil.loadPageWithPOST('survey.do', {
			action : 'GetSurveyList',
			app : 'none',
			commUniId : 0,
			pathname : window.location.pathname
		}, function(output1) {
			var output = output1;//cvUtil.parseJSON(data1);

			if (output !== null && typeof output === 'object') {
				if (output.error) {
					//$("#noDataNotificationPanel").html(output.error);
					//$("#noDataNotificationPanel").show();
				} else {
					var enableDropDown = false;//output.enableDropDown;
					var selectedSurvey = output.selectedSurvey;
					var surveyGroupList = output.surveyGroupList;

					//$("#surveyName").html(selectedSurvey);

					if (enableDropDown) {
						$("#surveyList").html(SurveyTemplates.makeSurveyList("surveyList", surveyGroupList));
						$("#cust-survey-div").addClass("cust-survey-div");
						$("#surveyName").append("<span class='downarrow'></span>");
						SurveyGlobals.addDropDownEvents();
					}

					$("#survey-list-holder").show();
				}
			} else {
				//Error
				alert(cvUtil.cvLocalize("Something_went_wrong_please_try_again"));
			}
			//$("#surveyList").append(output);
			//surveyId="audit.do?type=audit&entityTypeId="+report.requestString.entityTypeId;
			//$("#surveyList").val(surveyId);
			//$("#surveyList").uniform();
			//$("#uniform-surveyList span").text("Configuration Audit Report").attr("id", "sectionTitle");
			//$("#uniform-surveyList span").append("<span class='downarrow'></span>");
			//$("#surveyList").css("visibility", "visible");
			//$("#surveyList").width($("#uniform-surveyList span").width());
		});
		var helpLink = docBaseURL.substr(0, docBaseURL.lastIndexOf("/"));
		var entityTypeId = cvUtil.getParameter("entityTypeId");
		switch (entityTypeId) {
		case "0":
			helpLink += "/article?p=features/reports/web_reports/config_audit.htm";
			break;
		case "1":
			helpLink += "/article?p=features/reports/metrics/media_agent_report.htm";
			break;
		case "2":
			helpLink += "/article?p=features/reports/metrics/library_report.htm";
			break;
		case "3":
			helpLink += "/article?p=features/reports/metrics/commcell_parameter_audit_report.htm";
			break;
		default:
			$("#audithelp").hide();
		}
		document.getElementById("audithelp").href = helpLink;
		if (diff.customInitComponents) {
			diff.customInitComponents();
		}
		var entityType = cvUtil.getParameter('entityTypeId');
		if (entityType == CC_PARAMETERS) {
			$("#ccSeparator").hide();
			$("#entityDiv").hide();
		}
	};
	report.initComponentState = function() {
		diff.initialized = false;
		diff.checkForAduitEnabledFromConfigurationPage();
		$("#entityTypes").find('li[data-id="' + report.requestString.entityTypeId + '"]').click();
		var selectedLi = $("#entityTypes").find('li[data-id="' + report.requestString.entityTypeId + '"]');
		diff.entityTypeObj = {
			'name' : $(selectedLi).data("name"),
			'id' : $(selectedLi).data("id"),
			'pluralName' : $(selectedLi).data("pluralname"),
			'desc' : $(selectedLi).data("desc")
		};
		if (report.requestString.masterCommservId) {
			$('#autoCommcells').val(diff.getCommcellId(report.requestString.masterCommservId));
		} else {
			delete report.requestString.entityId;//if url has entityid and not commserveid //defensive
			//$("#availableEntities-selection").addClass("disabledActions");
		}
		if (report.requestString.entityTypeId != CC_PARAMETERS) {
			diff.loadEntities();
		}
		surveyId = "audit.do?type=audit&entityTypeId=" + report.requestString.entityTypeId;
		$("#surveyList").val(surveyId);
		$(".entity_label").text(diff.entityTypeObj.name);
		$(".pluralName").text(diff.entityTypeObj.pluralName);

		if (report.requestString.entityTypeId == 4 && report.requestString.entityId != undefined) {
			$('#advanceFilter').addClass("show");
			$(".inlineDisplay").addClass("clientFilter");

			populateEntityTree(initFilterSummary);
		}

		diff.initialized = true;
	};

	function initFilterSummary() {
		//setAdvanceFilterParams();
		setFilterSummary();
		$("#filterSummary").show();
	}

	function setFilterSummary() {
		if (report.requestString.spAssociation == true || report.requestString.spAssociation == "true") {
			$("#filterSP").text(cvUtil.cvLocalize("Yes"));
		} else {
			$("#filterSP").text(cvUtil.cvLocalize("No"));
		}

		if (report.requestString.acrossClientType == true || report.requestString.acrossClientType == "true") {
			$("#filterClientType").text(cvUtil.cvLocalize("Yes"));
		} else {
			$("#filterClientType").text(cvUtil.cvLocalize("No"));
		}

		if (report.requestString.numChildEntities == true || report.requestString.numChildEntities == "true") {
			$("#filterChildEntities").text(cvUtil.cvLocalize("Yes"));
		} else {
			$("#filterChildEntities").text(cvUtil.cvLocalize("No"));
		}

		if (report.requestString.clientGroupName) {
			$("#filterGroup").text(report.requestString.clientGroupName);
		} else {
			$("#filterGroup").text("");
		}

		if (report.requestString.agentName) {
			var entity = "";
			entity += report.requestString.agentName;

			if (report.requestString.instanceName) {
				entity += "/" + report.requestString.instanceName;
			}

			if (report.requestString.backupsetName) {
				entity += "/" + report.requestString.backupsetName;
			}

			if (report.requestString.subclientName) {
				entity += "/" + report.requestString.subclientName;
			}

			$("#filterEntity").text(entity);
		} else {
			$("#filterEntity").text("");
		}
	}

	report.beforeLoadReport = function() {
		if (!report.requestString.masterCommservId ||
				(report.requestString.entityTypeId != CC_PARAMETERS && !report.requestString.entityId)) {
			$(".reportContent").hide();
			return false;
		}
		if (report.requestString.entityTypeId == 4) {
			setFilterSummary();
			setReportSummary();
		}
	};
	report.updateRequestString = function() {
		report.requestString.entityTypeId = $("#entityTypes").find("li.selectedOption").data('id');
		report.requestString.masterCommservId = diff.getCommservId($("#autoCommcells").val());
		report.requestString.entityId = diff.getEntity($("#autoEntities").val()).value;
	};
	report.customRender = function(key, value, data1) {
		window.renderReport = function() {

			if (report.requestString.entityTypeId == 4) {
				setFilterSummary();
				$("#filterSummary").show();
			}

			if (value.value.error) {
				diff.showError(value.value.error);
			} else {
				Reports.configureClientSideTableWithPaging(key, "", value.value, false, {
					"sDom" : "Rrtipl"
				});
				if (diff.entityTypeObj.desc) {
					$("#audit_title").text(diff.entityTypeObj.desc +
							diff.getEntity($("#autoEntities").val()).description);
				} else {
					$("#audit_title").text('');
				}
				var oTable = $("#audit_table").dataTable();
				if ($("body").hasClass('exportfriendly')) {
					pageSize = -1;
				}
				$("select[name='audit_table_length']").val(pageSize);
				$("select[name='audit_table_length']").trigger('change');

			}
		};
		if (!window.entitiesRequested) {
			window.renderReport();
			delete window.renderReport;
		}
	};

	report.tableDrawCallBack = function(oSettings) {
		$("#audit_table td.redColumn").addClass("redParent");
		$("#audit_table td.greenColumn").addClass("greenParent");
	};
	diff.encodeForUrl = function(content) {
		if (!content) {
			return "";
		}
		return encodeURI(content);
	};
	Reports.Renderers.link = function(o, val, id) {
		var obj = o.aData;
		var ccid = obj['CommServ UniqueId'];
		var selectedCommcell = obj['CommCell'];
		var propertyGroup = o.mDataProp;

		// var location = "auditProperties.jsp" + window.location.search + "&masterCommcellId="+$("#autoCommcells").val()+"&selectedCommservId="+ccid+"&selectedCommcellId="+selectedCommcell+"&entityType="+$("#entityTypes").find("li.selectedOption").text()+"&entity="+$("#availableEntities").find("li.selectedOption").text()+"&propertyGroup="+propertyGroup;
		var masterCommservId = report.requestString.masterCommservId;
		var entityId = report.requestString.entityId;
		var entity = entityNameMappings['' + entityId];
		var entityTypeId = report.requestString.entityTypeId;
		var acrossClientType = report.requestString.acrossClientType;
		var agentId = report.requestString.agentId;
		var instanceId = report.requestString.instanceId;
		var backupsetId = report.requestString.backupsetId;
		var subclientId = report.requestString.subclientId;
		var clientGroupName = report.requestString.clientGroupName;
		var spAssociation = report.requestString.spAssociation;
		var acrossClientType = report.requestString.acrossClientType;
		var numChildEntities = report.requestString.numChildEntities;

		var status = "&status=Failed";
		if (o.oSettings.aoColumns[o.iDataColumn].sClass == "greenColumn") {
			status = "&status=Passed";
		}
		if (acrossClientType == true || acrossClientType == "true") {
			acrossClientType = "&acrossClientType=true";
		} else {
			acrossClientType = "&acrossClientType=false";
		}

		if (spAssociation === true || spAssociation === "true") {
			spAssociation = "&spAssociation=true";
		} else {
			spAssociation = "&spAssociation=false";
		}

		if (numChildEntities === true || numChildEntities === "true") {
			numChildEntities = "&numChildEntities=true";
		} else {
			numChildEntities = "&numChildEntities=false";
		}

		var location = "auditProperties.jsp?type=audit&entityTypeId=" + diff.encodeForUrl(entityTypeId + status) +
				"&entityId=" + diff.encodeForUrl(entityId) + "&masterCommservId=" +
				diff.encodeForUrl(masterCommservId) + "&masterCommcellId=" +
				diff.encodeForUrl($("#autoCommcells").val()) + "&selectedCommservId=" + diff.encodeForUrl(ccid) +
				"&selectedCommcellId=" + diff.encodeForUrl(selectedCommcell) + "&entityType=" +
				diff.encodeForUrl(diff.entityTypeObj.name) + "&pluralEntityType=" +
				diff.encodeForUrl(diff.entityTypeObj.pluralName) + "&propertyGroup=" +
				diff.encodeForUrl(propertyGroup + acrossClientType) + spAssociation + numChildEntities + "&agentId=" +
				diff.encodeForUrl(agentId) + "&instanceId=" + diff.encodeForUrl(instanceId) + "&backupsetId=" +
				diff.encodeForUrl(backupsetId) + "&subclientId=" + diff.encodeForUrl(subclientId) +
				"&clientGroupName=" + diff.encodeForUrl(clientGroupName);
		if (entityTypeId != CC_PARAMETERS) {
			location += "&entity=" + diff.encodeForUrl(entity);
		}
		if (diff.updatePropertiesParams) {
			location = diff.updatePropertiesParams(location);
		}
		var c = ' class="color" ';
		if (val == 0) {
			c = '';
		}
		return '<div' + c + '><a href="' + location + '">' + val + '</a></div>';
	};
	diff.entitySelected = function(selectedLi) {
		resetAdvanceFilterParams();
		hideAdvanceFilterSummary();
		report.generateReport();
		if (report.requestString.entityTypeId == 4) {
			diff.treeInitialized = false;
			$('#advanceFilter').addClass("show");
			$("#advanceFilter").removeClass("disabled");
			$(".inlineDisplay").addClass("clientFilter");
		} else {
			$('#advanceFilter').removeClass("show");
			$(".inlineDisplay").removeClass("clientFilter");
		}
	};

	function hideAdvanceFilterSummary() {
		$("#filterSummary").hide();

	}

	diff.getCommcellId = function(commservId) {
		var commcellId = '';
		$.each(commcells, function(index, value) {
			if (value.value == commservId) {
				commcellId = value.label;
				return false;
			}
		});
		return commcellId;
	};
	diff.getCommservId = function(commcellId) {
		var commservId = '';
		$.each(commcells, function(index, value) {
			if (value.label == commcellId) {
				commservId = value.value;
				return false;
			}
		});
		return commservId;
	};

	diff.getEntity = function(entity) {
		var retVal = {};
		$.each(diff.availableEntities, function(index, value) {
			if (value.label == entity) {
				retVal = value;
				return false;
			}
		});
		return retVal;
	};

	diff.getEntityById = function(entityId) {
		var retVal = {};
		$.each(diff.availableEntities, function(index, value) {
			if (value.value == entityId) {
				retVal = value;
				return false;
			}
		});
		return retVal;
	};

	function loadGroupNames() {
		var params = {};
		var commcell = $("#autoCommcells").val();
		if (!commcell) {
			return;
		}

		params.masterCommservId = diff.getCommservId(commcell);
		params.ccGroupId = cvUtil.getParameter('ccGroupId', -1)
		params.entityTypeId = 4;
		params.aggregate = -2;
		cvUtil.loadPageWithGET("getFilterEntities.do", params, function(data) {
			var clientGroupCache = [];
			diff.groupNamesCache[params.masterCommservId] = clientGroupCache;
			$.each(data.aaData, function(i, group) {
				clientGroupCache.push(group["Client Group Name"]);
			});

			populateGroupList(clientGroupCache);

		}, function(xhr, ajaxOptions, thrownError) {
			diff.showError(xhr.responseText);
		});
	}

	function populateGroupList(groupNames) {
		$("#clientGroupList").empty();
		$("#clientGroupList").append("<option value=''></option>");
		$.each(groupNames, function(i, groupName) {
			$("#clientGroupList").append("<option value='" + groupName + "'>" + groupName + "</option>");
		});

		if (report.requestString.clientGroupName != '') {
			$("#clientGroupList").val(report.requestString.clientGroupName);
		}
	}

	function populateEntityTree(callback) {
		var params = {};
		var commcell = $("#autoCommcells").val();
		if (!commcell) {
			return;
		}

		params.masterCommservId = diff.getCommservId(commcell);
		params.ccGroupId = cvUtil.getParameter('ccGroupId', -1)
		params.entityTypeId = 4;
		params.aggregate = -1;
		params.entityId = report.requestString.entityId || diff.getEntity($("#autoEntities").val()).value;
		cvUtil.loadPageWithGET("getFilterEntities.do", params, function(data) {
			initAdvanceFilterComponents(data.children);
			callback();

		}, function(xhr, ajaxOptions, thrownError) {
			diff.showError(xhr.responseText);
		});
	}
	function showAdvanceFilterDialog() {
		if (diff.treeInitialized) {
			diff.openDialog();
		} else {
			$("#treePanel").empty();
			populateEntityTree(diff.openDialog);
		}
	}

	diff.openDialog = function() {
		$("#advanceFilterDialog").dialog({
			title : cvUtil.cvLocalize("audit.title.Advance_Filter"),
			height : 500,
			width : 400,
			modal : true,
			resizable : false,
			buttons : [ {
				text : "OK",
				id : "auditFilterOKButton",
				click : function() {
					setAdvanceFilterParams();
					report.generateReport();
					$(this).dialog("close");
					$(this).dialog("destroy");
				}
			}, {
				text : "Cancel",
				click : function() {
					$(this).dialog("close");
					$(this).dialog("destroy");
				}
			} ]
		});
	}

	function resetAdvanceFilterParams() {
		if (report.requestString.entityId == diff.getEntity($("#autoEntities").val()).value) {
			return;
		}
		delete report.requestString.clientGroupName;
		delete report.requestString.agentId;
		delete report.requestString.instanceId;
		delete report.requestString.backupsetId;
		delete report.requestString.subclientId;
		delete report.requestString.spAssociation;
		delete report.requestString.acrossClientType;
		delete report.requestString.numChildEntities;

		delete report.requestString.agentName;
		delete report.requestString.instanceName;
		delete report.requestString.backupsetName;
		delete report.requestString.subclientName;

		unCheckCb($("#spAssociation"));
		unCheckCb($("#acrossClient"));
		unCheckCb($("#childEntities"));
		$("#clientGroupList").val("");

		$("#filterEntity").text("");
		$("#filterGroup").text("");
		$("#filterChildEntities").text("");
		$("#filterSP").text("");
		$("#filterClientType").text("");

	}

	function setAdvanceFilterParams() {
		var entities = $("#treePanel .checked"), entity = entities.length > 0 ? $(entities[0]).parent() : undefined, id = entity != undefined ? entity
				.attr("data-id")
				: 0, agentEntity, instanceEntity, backupsetEntity;
		delete report.requestString.clientGroupName;
		delete report.requestString.agentId;
		delete report.requestString.instanceId;
		delete report.requestString.backupsetId;
		delete report.requestString.subclientId;
		delete report.requestString.spAssociation;
		delete report.requestString.acrossClientType;
		delete report.requestString.numChildEntities;

		delete report.requestString.agentName;
		delete report.requestString.instanceName;
		delete report.requestString.backupsetName;
		delete report.requestString.subclientName;

		report.requestString.clientGroupName = $("#clientGroupList option:selected").text();

		if (entity != undefined) {
			if (entity.attr("data-type") === 'agent') {
				report.requestString.agentId = id;
				report.requestString.agentName = entity.attr("data-name");
			} else if (entity.attr("data-type") === 'instance') {
				agentEntity = $(entity).parent().parent().parent().siblings();
				report.requestString.instanceId = id;
				report.requestString.agentId = agentEntity.attr("data-id");
				report.requestString.agentName = agentEntity.attr("data-name");
				report.requestString.instanceName = entity.attr("data-name");
			} else if (entity.attr("data-type") === 'backupset') {
				instanceEntity = $(entity).parent().parent().parent().siblings();
				agentEntity = $(instanceEntity).parent().parent().parent().siblings();
				report.requestString.backupsetId = id;
				report.requestString.instanceId = instanceEntity.attr("data-id");
				report.requestString.agentId = agentEntity.attr("data-id");
				report.requestString.agentName = agentEntity.attr("data-name");
				report.requestString.instanceName = instanceEntity.attr("data-name");
				report.requestString.backupsetName = entity.attr("data-name");
			} else if (entity.attr("data-type") === 'subclient') {
				backupsetEntity = $(entity).parent().parent().siblings();
				instanceEntity = $(backupsetEntity).parent().parent().parent().siblings();
				agentEntity = $(instanceEntity).parent().parent().parent().siblings();
				;
				report.requestString.subclientId = id;
				report.requestString.backupsetId = backupsetEntity.attr("data-id");
				report.requestString.instanceId = instanceEntity.attr("data-id");
				report.requestString.agentId = agentEntity.attr("data-id");
				report.requestString.agentName = agentEntity.attr("data-name");
				report.requestString.instanceName = instanceEntity.attr("data-name");
				report.requestString.backupsetName = backupsetEntity.attr("data-name");
				report.requestString.subclientName = entity.attr("data-name");
			}
		}

		report.requestString.spAssociation = isChecked($("#spAssociation"));
		report.requestString.acrossClientType = isChecked($("#acrossClient"));
		report.requestString.numChildEntities = isChecked($("#childEntities"));
	}

	function initAdvanceFilterComponents(agents) {
		var agentTopNode, agentNode, agentCheckBox, instanceUL, instanceTopNode, li, intanceNode, instanceCheckBox, backupsetUL, backupsetLI, backupsetTopNode, backupsetNode, backupsetCheckBox, subclientUL, sublclientLI, subclientNode, agentId = cvUtil
				.getParameter('agentId', 0), instanceId = cvUtil.getParameter('instanceId', 0), backupsetId = cvUtil
				.getParameter('backupsetId', 0), subclientId = cvUtil.getParameter('subclientId', 0), spAssociation = cvUtil
				.getParameter('spAssociation', false), acrossClientType = cvUtil
				.getParameter('acrossClientType', false), numChildEntities = cvUtil.getParameter('numChildEntities',
				false), clientGroupName = cvUtil.getParameter('clientGroupName', '');

		$
				.each(agents,
						function(i, agent) {
							agentTopNode = $('<div class="agentTopNode"></div>');
							$("#treePanel").append(agentTopNode);
							agentNode = $('<div></div>', {
								"class" : "treeNode",
								"data-type" : "agent",
								"data-name" : agent.nodeEntity.entityName,
								"data-id" : agent.nodeEntity.entityId,
								"data-agentid" : agent.nodeEntity.entityId
							});
							agentTopNode.append(agentNode);

							agentCheckBox = $('<div class="custom-cb unchecked"  data-state="unchecked" ></div><span class="custom-cb-label" >' +
									agent.nodeEntity.entityName + '</span>');
							agentNode.append(agentCheckBox);

							// add instances
							instanceUL = $('<ul class="instances"></ul>');
							agentTopNode.append(instanceUL);
							$
									.each(agent.children,
											function(i, instance) {
												li = $('<li></li>');
												instanceTopNode = $('<div class="instanceTopNode"></div>');
												instanceUL.append(li);
												li.append(instanceTopNode);

												instanceNode = $('<div></div>', {
													"class" : "treeNode",
													"data-type" : "instance",
													"data-name" : instance.nodeEntity.entityName,
													"data-id" : instance.nodeEntity.entityId,
													"data-instanceid" : instance.nodeEntity.entityId,
													"data-agentid" : agent.nodeEntity.entityId
												});
												instanceTopNode.append(instanceNode);

												instanceCheckBox = $('<div class="custom-cb unchecked"  data-state="unchecked" ></div><span class="custom-cb-label" >' +
														instance.nodeEntity.entityName + '</span>');
												instanceNode.append(instanceCheckBox);

												//add backup sets of this instance
												backupsetUL = $('<ul class="backupsets"></ul>');
												instanceTopNode.append(backupsetUL);

												$
														.each(instance.children,
																function(i, backupset) {
																	backupsetLI = $('<li></li>');
																	backupsetTopNode = $('<div class="backupsetTopNode"></div>');
																	backupsetUL.append(backupsetLI);
																	backupsetLI.append(backupsetTopNode);

																	backupsetNode = $('<div></div>',
																			{
																				"class" : "treeNode",
																				"data-type" : "backupset",
																				"data-name" : backupset.nodeEntity.entityName,
																				"data-id" : backupset.nodeEntity.entityId,
																				"data-backupsetid" : backupset.nodeEntity.entityId,
																				"data-instanceid" : instance.nodeEntity.entityId,
																				"data-agentid" : agent.nodeEntity.entityId
																			});
																	backupsetTopNode.append(backupsetNode);

																	backupsetCheckBox = $('<div class="custom-cb unchecked"  data-state="unchecked" ></div><span class="custom-cb-label" >' +
																			backupset.nodeEntity.entityName + '</span>');
																	backupsetNode.append(backupsetCheckBox);

																	//add subclient
																	subclientUL = $('<ul class="subclients"></ul>');
																	backupsetTopNode.append(subclientUL);

																	$
																			.each(backupset.children,
																					function(i, subclient) {
																						subclientLI = $('<li class="subclient"></li>');
																						subclientNode = $('<div></div>',
																								{
																									"class" : "treeNode",
																									"data-type" : "subclient",
																									"data-name" : subclient.nodeEntity.entityName,
																									"data-id" : subclient.nodeEntity.entityId,
																									"data-subclientid" : subclient.nodeEntity.entityId,
																									"data-backupsetid" : backupset.nodeEntity.entityId,
																									"data-instanceid" : instance.nodeEntity.entityId,
																									"data-agentid" : agent.nodeEntity.entityId
																								});

																						subclientUL.append(subclientLI);
																						subclientLI
																								.append(subclientNode);

																						subclientCheckBox = $('<div class="custom-cb unchecked"  data-state="unchecked" ></div><span class="custom-cb-label" >' +
																								subclient.nodeEntity.entityName +
																								'</span>');
																						subclientNode
																								.append(subclientCheckBox);
																					});
																});
											});
						});

		if (agentId != 0 || instanceId != 0 || backupsetId != 0 || subclientId != 0) {
			$.each($(".treeNode"),
					function(i, node) {
						var nodeAgentId = $(node).attr("data-agentid") != undefined ? $(node).attr("data-agentid") : 0;
						var nodeInstanceId = $(node).attr("data-instanceid") != undefined ? $(node)
								.attr("data-instanceid") : 0;
						var nodeBackupsetId = $(node).attr("data-backupsetid") != undefined ? $(node)
								.attr("data-backupsetid") : 0;
						var nodeSubclientId = $(node).attr("data-subclientid") != undefined ? $(node)
								.attr("data-subclientid") : 0;

						if (nodeAgentId == agentId && nodeInstanceId == instanceId && nodeBackupsetId == backupsetId &&
								nodeSubclientId == subclientId) {
							var cb = $(".custom-cb", $(node));
							checkCb(cb);
						}
					});
		}

		if (spAssociation == 'true') {
			checkCb($("#spAssociation"));
		}

		if (acrossClientType == 'true') {
			checkCb($("#acrossClient"));
		}

		if (numChildEntities == 'true') {
			checkCb($("#childEntities"));
		}

		diff.treeInitialized = true;
	}

	function setReportSummary() {
		var temp = [
				$("#entityTypes").find("li.selectedOption").text(),
				$("#autoCommcells").val(),
				diff.getEntity($("#autoEntities").val()).label,
				$("#availableMountPaths").find("li.selectedOption").text(),
				$("#filterEntity").text(),
				$("#filterGroup").text(),
				$("#filterChildEntities").text(),
				$("#filterSP").text(),
				$("#filterClientType").text() ];
		if (report.requestString.entityTypeId == 4) {
			temp.splice(3, 1);
		}
		$("#reportSummary tr td:nth-child(2)").each(function(index, value) {
			$(value).text(': ' + temp[index]);
			console.log(temp[index]);
		});
	}
	diff.loadEntities = function() {
		//read selected commcell, entityType
		$(".entity_label").text(diff.entityTypeObj.name);
		$(".pluralName").text(diff.entityTypeObj.pluralName);

		$("#availableMountPaths-selection").text(cvLocalize('select_mount_path'));
		var params = {};
		var commcell = $("#autoCommcells").val();
		if (!commcell) {
			return;
		}
		params.masterCommservId = diff.getCommservId(commcell);
		params.entityTypeId = $("#entityTypes").find("li.selectedOption").data('id');
		if (params.entityTypeId == 4) {
			if (diff.groupNamesCache[params.masterCommservId]) {
				populateGroupList(diff.groupNamesCache[params.masterCommservId]);
			} else {
				loadGroupNames();
			}

		}

		if (diff.entitiesCache[params.entityTypeId + params.masterCommservId]) {
			diff.entitiesLoaded(diff.entitiesCache[params.entityTypeId + "csid" + params.masterCommservId]);
		} else {
			//disable entities and generatebutton

			$("#availableMountPaths-selection").addClass("disabledActions");
			$("#entityAutCompletediv").addClass("disabledActions")
			$("#generate").addClass("disabledActions");
			cvUtil.loadPageWithGET("getAuditEntities.do", params, function(data) {
				diff.entitiesCache[params.entityTypeId + "csid" + params.masterCommservId] = data;
				diff.entitiesLoaded(data);
			}, function(xhr, ajaxOptions, thrownError) {
				diff.showError(xhr.responseText);
			});
			window.entitiesRequested = true;
			if (params.entityTypeId != 2) {
				delete report.requestString.stdMountPathID;
			}
			setReportSummary();

		}
	};
	diff.showError = function(error, enableEntities) {
		$("#ErrorPanel").show();
		$(".reportContent").hide();

		if (error) {
			$("#error_message").html(error).show();
			$("#error_message_default").hide();
		} else {
			$("#error_message").hide();
			$("#error_message_default").show();
		}
	};
	diff.checkForAduitEnabledFromConfigurationPage = function() {
		if ($("#filterPane  #entityTypes li").length == 0) {
			$("#filters").hide();
			$(".reportContent").hide();
			diff.showError(cvLocalize("Enable_Report_From_Metrics_Configuration_Page"), true);
		}
	};
	diff.entitiesLoaded = function(data) {
		diff.availableEntities = [];

		$("#autoEntities").val("");

		hideAdvanceFilterSummary();
		if (data.entities) {
			if (report.requestString.entityTypeId == 4) {
				//				$('#advanceFilter').removeClass("disabled");
			}
			$.each(data.entities, function(index, val) {
				val.data = val.data || {
					desc : ''
				};
				var item = {
					label : val.value,
					value : val.id,
					description : val.data.desc
				};
				if (val.other) {
					item.data = {
						'other' : val.other
					};
				}

				diff.availableEntities.push(item);

				entityNameMappings['' + val.id] = val.value;
			});

		} else {
			if (report.requestString.entityTypeId == 4) {
				$('#advanceFilter').addClass("disabled");
			}
		}

		$("#entityAutCompletediv").removeClass("disabledActions")
		$("#generate").removeClass("disabledActions");

		if (data.noDataNotificationPanel) {
			diff.showError(cvLocalize('no_entities_error', diff.entityTypeObj.name));
			$("#notificationPanel").append(data.noDataNotificationPanel.value);
			return;

		} else {
			$("#ErrorPanel").hide();
			diff.initialized = false;
			if (report.requestString.entityId) {
				$("#autoEntities").val(diff.getEntityById(report.requestString.entityId).label);
				diff.entitySelected(diff.getEntityById(report.requestString.entityId));
			} else {
				$(".reportContent").hide();
			}
			if (diff.afterEntitiesLoaded) {
				diff.afterEntitiesLoaded();
			}
			diff.initialized = true;
			setReportSummary();
		}
		window.entitiesRequested = false;
		if (window.renderReport) {
			window.renderReport();
			delete window.renderReport;
		}
	};
}

(function($) {
	$
			.widget("ui.combobox",
					$.ui.autocomplete,
					{
						//        options: {
						//            /* override default values here */
						//            minLength: 2
						//        },

						//        _create: function(){
						//            if (this.element.is("SELECT")){
						//                this._selectInit();
						//                return;
						//            }

						//            $.ui.autocomplete.prototype._create.call(this);
						//            var input = this.element;
						//            input.addClass( "ui-widget ui-widget-content ui-corner-left" );
						//
						//            this.button = $( "<button type='button'>&nbsp;</button>" )
						//            .attr( "tabIndex", -1 )
						//            .attr( "title", "Show All Items" )
						//            .insertAfter( input )
						//            .button({
						//                icons: { primary: "ui-icon-triangle-1-s" },
						//                text: false
						//            })
						//            .removeClass( "ui-corner-all" )
						//            .addClass( "ui-corner-right ui-button-icon" )
						//            .click(function(event) {
						//                // close if already visible
						//                if ( input.combobox( "widget" ).is( ":visible" ) ) {
						//                    input.combobox( "close" );
						//                    return;
						//                }
						//                // when user clicks the show all button, we display the cached full menu
						//                var data = input.data("combobox");
						//                clearTimeout( data.closing );
						//                if (!input.isFullMenu){
						//                    data._swapMenu();
						//                    input.isFullMenu = true;
						//                }
						//                /* input/select that are initially hidden (display=none, i.e. second level menus),
						//                   will not have position cordinates until they are visible. */
						//                input.combobox( "widget" ).css( "display", "block" )
						//                .position($.extend({ of: input },
						//                    data.options.position
						//                    ));
						//                input.focus();
						//                data._trigger( "open" );
						//            });
						//
						//            /* to better handle large lists, put in a queue and process sequentially */
						//            $(document).queue(function(){
						//                var data = input.data("combobox");
						//                if ($.isArray(data.options.source)){
						//                    $.ui.combobox.prototype._renderFullMenu.call(data, data.options.source);
						//                }else if (typeof data.options.source === "string") {
						//                    $.getJSON(data.options.source, data.options.ajaxGetAll , function(source){
						//                        $.ui.combobox.prototype._renderFullMenu.call(data, source);
						//                    });
						//                }else {
						//                    $.ui.combobox.prototype._renderFullMenu.call(data, data.source());
						//                }
						//            });
						//        },

						/*
						 * initialize the full list of items, this menu will be reused whenever the user
						 * clicks the show all button
						 */
						_renderFullMenu : function(source) {
							var self = this, input = this.element, ul = input.data("combobox").menu.element, lis = [];
							source = this._normalize(source);
							input.data("combobox").menuAll = input.data("combobox").menu.element.clone(true)
									.prependTo("body");
							for (var i = 0; i < source.length; i++) {
								lis[i] = "<li class=\"ui-menu-item\" role=\"menuitem\"><a class=\"ui-corner-all\" tabindex=\"-1\">" +
										source[i].label + "</a></li>";
							}
							ul.append(lis.join(""));
							this._resizeMenu();
							// setup the rest of the data, and event stuff
							setTimeout(function() {
								self._setupMenuItem.call(self, ul.children("li"), source);
							}, 0);
							input.isFullMenu = true;
						},

						/*
						 * incrementally setup the menu items, so the browser can remains responsive when
						 * processing thousands of items
						 */
						_setupMenuItem : function(items, source) {
							var self = this, itemsChunk = items.splice(0, 500), sourceChunk = source.splice(0, 500);
							for (var i = 0; i < itemsChunk.length; i++) {
								$(itemsChunk[i]).data("item.autocomplete", sourceChunk[i]).mouseenter(function(event) {
									self.menu.activate(event, $(this));
								}).mouseleave(function() {
									self.menu.deactivate();
								});
							}
							if (items.length > 0) {
								setTimeout(function() {
									self._setupMenuItem.call(self, items, source);
								}, 0);
							} else { // renderFullMenu for the next combobox.
								$(document).dequeue();
							}
						},

						/* overwrite. make the matching string bold */
						_renderItem : function(ul, item) {
							var label = item.label.replace(new RegExp("(?![^&;]+;)(?!<[^<>]*)(" +
									$.ui.autocomplete.escapeRegex(this.term) + ")(?![^<>]*>)(?![^&;]+;)", "gi"),
									"<strong>$1</strong>");
							return $("<li></li>").data("item.autocomplete", item).append("<a>" + label + "</a>")
									.appendTo(ul);
						},

						/* overwrite. to cleanup additional stuff that was added */
						destroy : function() {
							if (this.element.is("SELECT")) {
								this.input.remove();
								this.element.removeData().show();
								return;
							}
							// super()
							$.ui.autocomplete.prototype.destroy.call(this);
							// clean up new stuff
							this.element.removeClass("ui-widget ui-widget-content ui-corner-left");
							this.button.remove();
						},

						/* overwrite. to swap out and preserve the full menu */
						search : function(value, event) {
							var input = this.element;
							if (input.isFullMenu) {
								this._swapMenu();
								input.isFullMenu = false;
							}
							// super()
							$.ui.autocomplete.prototype.search.call(this, value, event);
						},

						_change : function(event) {
							abc = this;
							if (!this.selectedItem) {
								var matcher = new RegExp(
										"^" + $.ui.autocomplete.escapeRegex(this.element.val()) + "$",
										"i"), match = $.grep(this.options.source, function(value) {
									return matcher.test(value.label);
								});
								if (match.length) {
									match[0].option.selected = true;
								} else {
									// remove invalid value, as it didn't match anything
									//                    this.element.val( "" );
									//                    if (this.options.selectElement) {
									//                        this.options.selectElement.val( "" );
									//                    }
								}
							}
							// super()
							$.ui.autocomplete.prototype._change.call(this, event);
						},

						_swapMenu : function() {
							var input = this.element, data = input.data("combobox"), tmp = data.menuAll;
							data.menuAll = data.menu.element.hide();
							data.menu.element = tmp;
						},

						/* build the source array from the options of the select element */
						_selectInit : function() {
							var select = this.element.hide(), selected = select.children(":selected"), value = selected
									.val() ? selected.text() : "";
							this.options.source = select.children("option[value!='']").map(function() {
								return {
									label : $.trim(this.text),
									option : this
								};
							}).toArray();
							var userSelectCallback = this.options.select;
							var userSelectedCallback = this.options.selected;
							this.options.select = function(event, ui) {
								ui.item.option.selected = true;
								if (userSelectCallback) {
									userSelectCallback(event, ui);
								}
								// compatibility with jQuery UI's combobox.
								if (userSelectedCallback) {
									userSelectedCallback(event, ui);
								}
							};
							this.options.selectElement = select;
							this.input = $("<input>").insertAfter(select).val(value).combobox(this.options);
						}
					});
})(jQuery);
