var MAX_NUM_PIE_SLICE = 10;
var pageurl = $(this).attr('href');

function addOrUpdateUrlParam(name, value) {
	// var href = window.location.href;
	var href = 'CommCellSurvey.jsp?surveyId=' + value;
	var regex = new RegExp("[&\\?]" + name + "=");
	if (regex.test(href)) {
		regex = new RegExp("([&\\?])" + name + "=\\d+");
		window.location.href = href.replace(regex, "$1" + name + "=" + value);
	} else {
		if (href.indexOf("?") > -1) {
			window.location.href = href + "&" + name + "=" + value;
		} else {
			window.location.href = href + "?" + name + "=" + value;
		}
	}
}

function generateSummaryTable(surveyId, isChart, isTable, tenant) {
	var ccGroupId = cvUtil.getParameter('ccGroupId', -1);
	surveyId = parseInt(surveyId);
	if (surveyId == 1) {
		getSurveyData(1, null, true);
		//getSurveyData(3, null, true);
		var msg = localMsg.worldwideLicenseUsage;
		if (ccGroupId > 0) {
			msg = localMsg.groupLicenseUsage;
		}
		generateTable(3,
				'GetSurveySummary',
				true,
				true,
				'summaryDetails',
				'summaryPager',
				msg,
				'',
				'Summary',
				true,
				false,
				true,
				{
					"bAggregate" : 3
				});
		generateTable(3,
				'GetSurveySummary',
				true,
				false,
				'summaryDetails',
				'summaryPager',
				msg,
				'',
				'Summary',
				true,
				false,
				true,
				{
					"bAggregate" : 1
				});
		getSurveyData(3, null, true, {
			"bAggregate" : 2
		});
	} else if (surveyId == 4) {
		if ($.inArray(surveyId, summarySupported) != -1) {
			generateTable(surveyId, 'GetSurveySummary', isChart, isTable, 'summaryDetails', 'summaryPager', cvUtil
					.cvLocalize("Summary_By_Subclient_Counts"), '', 'Summary', true, false, true);
			//isChart = false;
			generateTable(surveyId, 'GetSurveySummary', isChart, isTable, 'summaryDetails2', 'summaryPager', cvUtil
					.cvLocalize("Summary_By_CommCell_Counts"), '', 'Summary', true, false, true);
		}
	} else if (surveyId == 104) {
		generateTable(surveyId,
				'GetSurveySummary',
				isChart,
				isTable,
				'summaryDetails',
				'summaryPager',
				"Exceptional Clients",
				'',
				'Summary',
				true,
				false,
				true);
	} else {
		if (showSummary(surveyId, summarySupported)) {
			generateTable(surveyId,
					'GetSurveySummary',
					isChart,
					isTable,
					'summaryDetails',
					'summaryPager',
					"Summary",
					'',
					'Summary',
					true,
					false,
					true,
					{},
					tenant);
		}
		/*
		 * if((surveyId <= 14 && $.inArray(surveyId, unsupportedReports) == -1 ) || $.inArray(surveyId, [25,
		 * 38, 41, 35, 48]) != -1) { }
		 */
	}
	var showDetails = false;
	var fromSLA = cvUtil.getParameter("fromDashboardSLA");
	if (fromSLA != undefined && fromSLA == 'true') {
		showDetails = true;
	}
	if (surveyId == 1) {
		if (exportRequest) {
			generateTable(surveyId,
					'GetSurvey',
					false,
					true,
					'commCellDetails',
					'commCellDetailsPager',
					localMsg.commCellUsageByCapacity,
					'',
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 0
					});
			generateTable(3,
					'GetSurvey',
					false,
					true,
					'licUsageByFeatureLicenseTable',
					'licUsageByFeatureLicenseTablePager',
					localMsg.usageByFeatureLicense,
					'',
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 4
					});
			generateTable(3,
					'GetSurvey',
					false,
					true,
					'licUsageByRetiredLicenseTable',
					'licUsageByRetiredLicenseTablePager',
					localMsg.retiredAndConsolidatedLicenses,
					'',
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 5
					});
			generateTable(surveyId,
					'GetSurvey',
					false,
					true,
					'licVirtualizationLicenseTable',
					'licVirtualizationLicenseTablePager',
					localMsg.virtualization,
					'',
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 2
					});
			generateTable(surveyId,
					'GetSurvey',
					false,
					true,
					'licUsersLicenseTable',
					'licUsersLicenseTablePager',
					localMsg.endpointUsers,
					'',
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 3
					});
			generateTable(surveyId,
					'GetSurvey',
					false,
					true,
					'licArchivingLicenseTable',
					'licArchivingLicenseTablePager',
					localMsg.archiving,
					'',
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 4
					});

		} else {
			generateTableOnDemand(surveyId, commUniId, localMsg.commCellUsageByCapacity, 'commCellDetails', '', {
				"bAggregate" : 0
			});
			generateTableOnDemand(3, commUniId, localMsg.usageByFeatureLicense, 'licUsageByFeatureLicenseTable', '', {
				"bAggregate" : 4
			});
			generateTableOnDemand(3,
					commUniId,
					localMsg.retiredAndConsolidatedLicenses,
					'licUsageByRetiredLicenseTable',
					'',
					{
						"bAggregate" : 5
					});
			generateTableOnDemand(surveyId, commUniId, localMsg.virtualization, 'licVirtualizationLicenseTable', '', {
				"bAggregate" : 2
			});
			generateTableOnDemand(surveyId, commUniId, localMsg.endpointUsers, 'licUsersLicenseTable', '', {
				"bAggregate" : 3
			});
			generateTableOnDemand(surveyId, commUniId, localMsg.archiving, 'licArchivingLicenseTable', '', {
				"bAggregate" : 4
			});
		}
	} else if (surveyId == 55) {
		if (exportRequest) {
			generateTable(surveyId,
					'GetSurvey',
					false,
					true,
					'backupThroughputPerAgentTable',
					'bkAgentSummaryPager',
					cvUtil.cvLocalize('throughput.Backup_Throughput_by_Agent'),
					commUniId,
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 4,
						"ccId" : commUniId
					});
			generateTable(surveyId,
					'GetSurvey',
					false,
					true,
					'restoreThroughputPerAgentTable',
					'rtAgentsummaryPager',
					cvUtil.cvLocalize('throughput.Restore_Throughput_by_Agent'),
					commUniId,
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 6,
						"ccId" : commUniId
					});
			generateTable(surveyId,
					'GetSurvey',
					false,
					true,
					'auxiliaryCopyThroughputPerAgentTable',
					'acAgentsummaryPager',
					cvUtil.cvLocalize('throughput.AuxiliaryCopy_Throughput_by_Agent'),
					commUniId,
					'CommCell',
					true,
					false,
					true,
					{
						"bAggregate" : 8,
						"ccId" : commUniId
					});
			generateTable(surveyId, 'GetSurvey', false, true, 'storagePolicyThroughputTable', 'spSummaryPager', cvUtil
					.cvLocalize('throughput.StoragePolicy_Throughput'), commUniId, 'CommCell', true, false, true, {
				"bAggregate" : 10,
				"ccId" : commUniId
			});
			if (commUniId <= 0) {
				generateCommCellDetails(surveyId, false, true);
			}
		} else {
			generateTableOnDemand(surveyId,
					commUniId,
					cvUtil.cvLocalize('throughput.Backup_Throughput_by_Agent'),
					'backupThroughputPerAgentTable',
					'',
					{
						"bAggregate" : 4,
						"ccId" : commUniId
					});
			generateTableOnDemand(surveyId,
					commUniId,
					cvUtil.cvLocalize('throughput.Restore_Throughput_by_Agent'),
					'restoreThroughputPerAgentTable',
					'',
					{
						"bAggregate" : 6,
						"ccId" : commUniId
					});
			generateTableOnDemand(surveyId,
					commUniId,
					cvUtil.cvLocalize('throughput.AuxiliaryCopy_Throughput_by_Agent'),
					'auxiliaryCopyThroughputPerAgentTable',
					'',
					{
						"bAggregate" : 8,
						"ccId" : commUniId
					});
			generateTableOnDemand(surveyId,
					commUniId,
					cvUtil.cvLocalize('throughput.StoragePolicy_Throughput'),
					'storagePolicyThroughputTable',
					'',
					{
						"bAggregate" : 10,
						"ccId" : commUniId
					});
			if (commUniId <= 0) {
				onDemandCommCellDetails(surveyId, '');
			}
		}
	} else if (surveyId == 12 || surveyId == 8 || surveyId == 38 || surveyId == 5) {
		if (exportRequest || showDetails) {
			generateCommCellDetails(surveyId, false, true);
		} else {
			onDemandCommCellDetails(surveyId, '');
		}

	} else {
		generateCommCellDetails(surveyId, false, true);
	}

	if (surveyId == 1 && isPrivateMetrics) {
		var tableTitle = localMsg.worldwideUsageByAgentType;
		if (ccGroupId > 0) {
			tableTitle = localMsg.groupUsageByAgentType;
		}
		generateTable(3,
				'GetSurvey',
				false,
				true,
				'licUsageByAgentTable',
				'licUsageByAgentTablePager',
				tableTitle,
				"",
				'IndCommCell',
				false,
				false,
				true,
				{
					"blaggregate" : 1
				});
	}
}
function generateCommCellDetails(surveyId, isChart, isTable) {
	if (showDetails(surveyId)) {
		var title = 'CommCell Details';
		if (surveyId == 134) {
			title = cvUtil.cvLocalize("Details");
		} else if (surveyId == 96) {
			title = cvUtil.cvLocalize("Disk_Library_Growth")
		}
		generateTable(surveyId,
				'GetSurvey',
				false,
				isTable,
				'commCellDetails',
				'commCellDetailsPager',
				title,
				'',
				'CommCell',
				true,
				false,
				true);
	}
}

function populateIndCommCellDetails(commUniId) {
	document.location.href = 'capacitygrowth.jsp?commUniId=' + commUniId;
}
function populateIndDashboard(commUniId) {
	document.location.href = 'dashboard.php?commUniId=' + commUniId;
}

$("body").on("click", ".arrowPlaceholder.collapse", function() {
	$('html, body').animate({
		scrollTop : ($(this).offset().top -= 70)
	}, 1000);
});
