var flaGatherLog = flaGatherLog || {};
flaGatherLog = $.extend(flaGatherLog, {
	SUBMIT_REQUEST_URL : '/server/getremoteloginfo.do',
	selectedOptions : '',
	app : 'gl',
	PAGE_TITLE : localMsg.glheadertxt,
	N_LOGFILES : "1",
	N_COMMSERVE : "2",
	N_MA : "3",
	N_CLIENTS : "4",
	N_CLIENTGROUPS : "16",
	N_CSDB : "5",
	N_INDEX : "6",
	N_STAGEDB : "7",
	N_JOBRESULTS : "8",
	N_UPLOAD : "9",
	N_HTTPUPLOAD : "11",
	N_SAVETODISK : "13",
	N_JOBID : "14",
	N_LOGFRAGMENT : "15",
	N_DBLOGS : "17",
	N_BIN : "18",
	N_OTHER_DB : "19",
	N_CRM : "20",
	N_COLLECT_BY_COMP : "1",
	N_COLLECT_BY_JOB : "2",
	N_COLLECT_BY_WIA : "21",
	N_FINDSOLUTIONAUTO : "22",
	N_COLLECT_BY_LOGMON : "3",
	N_ENABLE_CHUNKING : "23",
	N_DO_NOT_USE_CLOUD_DR_BACKUP : "24",
	MALIST : this.MALIST || {
		source : new Array(),
		items : 100,
		delimiter : ","
	},
	BINLIST : this.BINLIST || {
		source : new Array(),
		items : 100,
		delimiter : ","
	},
	logstreaming : {},
	tasks_list : []
});

flaGatherLog.forceCSDBSelectionFlag = false;
flaGatherLog.cloudDRBackupAvailableOverride = false;

flaGatherLog.handleCollectBy = function(ev, el) {
	//hide .collect-by section,
	$(".collect-by").addClass("hidden");
	$(".sbmt-div").removeClass("hidden");

	if (flaGatherLog.N_COLLECT_BY_WIA === $(el).val()) {
		if (flaGatherLog.wiaprogress === "6") {
			$("#wiastatusid").html(localMsg.gl_wiastatusrunningtxt);
			$(".collect-by-wia-warning").removeClass("hidden");
		} else if (flaGatherLog.wiaprogress === "2") {
			$("#wiastatusid").html(localMsg.gl_wiastatusrunningtxt);
			$(".collect-by-wia-warning").removeClass("hidden");
		} else if (flaGatherLog.wiaprogress === "3") {
			$("#wiastatusid").html(localMsg.gl_wiastatuscompletedtxt);
		} else if (flaGatherLog.wiaprogress === "8") {
			$("#wiastatusid").html(localMsg.gl_wiastatusfailedtxt);
		} else {
			$("#wiastatusid").html(localMsg.gl_wiastatusnonetxt);
		}

		$("#wialasttimeid").html(flaGatherLog.wialasttime);

		$(".collect-by-wia").removeClass("hidden");
	}

	if (flaGatherLog.N_COLLECT_BY_JOB === $(el).val()) {
		//show jobid section
		$(".collect-by-job").removeClass("hidden");
		$(".collect-by-logs").removeClass("hidden");
	}
	if (flaGatherLog.N_COLLECT_BY_COMP === $(el).val()) {
		//show computers section
		$(".collect-by-comp,.collect-by-logs").removeClass("hidden");
	}
	if (flaGatherLog.N_COLLECT_BY_LOGMON === $(el).val()) {
		//show log streaming section
		$(".collect-by-logmon").removeClass("hidden");
		$(".collect-by-logs").addClass("hidden");
		//flaGatherLog.setAddLogMonEvent();
	}

	flaGatherLog.checkForIndexCheckBox();
};
flaGatherLog.setAddLogMonEvent = function() {
	if (!$("#addlogmonitor").hasClass("evadded")) {
		$(".sbmt-div").addClass("hidden");
		$("#addlogmonitor").addClass("evadded").on("click", function() {
			flaGatherLog.updateLogStreamingTask();
		});
	} else {
		if (!$.isEmptyObject(flaGatherLog.logstreaming)) {
			$(".log-stream-add-div").removeClass("hidden");
		} else {
			$(".sbmt-div").addClass("hidden");
		}
	}
};

flaGatherLog.setCheckboxClickEvent = function() {
	if (flaGatherLog.wiaprogress === "6") {
		$("#wiastatusid").html(localMsg.gl_wiastatusrunningtxt);
	} else if (flaGatherLog.wiaprogress === "2") {
		$("#wiastatusid").html(localMsg.gl_wiastatusrunningtxt);
	} else if (flaGatherLog.wiaprogress === "3") {
		$("#wiastatusid").html(localMsg.gl_wiastatuscompletedtxt);
	} else if (flaGatherLog.wiaprogress === "8") {
		$("#wiastatusid").html(localMsg.gl_wiastatusfailedtxt);
	} else {
		$("#wiastatusid").html(localMsg.gl_wiastatusnonetxt);
	}

	$("#wialasttimeid").html(flaGatherLog.wialasttime);

	///event after computer selection
	$(".chkboxcomp").on("checkedState", function() {
		flaGatherLog.computersSelectionEvent(this, true);
	}).on("unCheckedState", function() {
		flaGatherLog.computersSelectionEvent(this, false);
	});

	//event after commserve database  and index selection
	$(".chkstage").on("checkedState", function() {
		flaGatherLog.forStageSelectionEvent(this, true);
	}).on("unCheckedState", function() {
		flaGatherLog.forStageSelectionEvent(this, false);
	});

	// event after commserve database or other databases selection, to enable do not use cloud dr backup checkbox
	$(".chkdonotuseclouddrbackup").on("checkedState", function() {
		flaGatherLog.forDoNotUseCloudDrBackupSelelectionEvent(this, true);
	}).on("unCheckedState", function() {
		flaGatherLog.forDoNotUseCloudDrBackupSelelectionEvent(this, false);
	});

	// for stage selection
	$("#stagebox").on("checkedState", function() {
		//check commserve database by default.

		if (!isChecked($("#csdbbox"))) {
			flaGatherLog.forceCSDBSelectionFlag = true;
			flaGatherLog.checkDB();
		}
		flaGatherLog.disableDB();

		//$("#csdbcheck").removeClass("hide");
		//show Stage Version
		$(".stageV").removeClass("hidden");

	}).on("unCheckedState", function() {

		if (flaGatherLog.forceCSDBSelectionFlag) {
			flaGatherLog.unCheckDB();
		}
		flaGatherLog.enableDB();

		/*
		 * if(!$("#csdbcheck").hasClass("hide")){ $("#csdbcheck").addClass("hide"); }
		 */
		$(".stageV").addClass("hidden");
	});

	// enable chunking selection
	$("#chunk-file-box").on("checkedState", function() {
		$(".chunk-file-value").removeClass("disabled");
		$("input#splitFileSize").prop('disabled', false);
	}).on("unCheckedState", function() {
		$(".chunk-file-value").addClass("disabled");
		$("input#splitFileSize").prop('disabled', true);
	});

	//save to disk selection, when selected disable chunk option
	$(".custom-cb.savetodisk-cb").on("checkedState", function() {
		flaGatherLog.disableChunk();
	}).on("unCheckedState", function() {
		flaGatherLog.enableChunk();
	});

	/// event after selecting Also notify

	$("#notifybox").on('checkedState', function() {
		$("#NMAIL").removeAttr("disabled");
		$("#NMAIL").focus();
	}).on('unCheckedState', function() {
		$("#NMAIL").attr("disabled", "disabled");
	});

	//event after selecting process dump
	$("#procdump").on('checkedState', function() {
		flaGatherLog.forProcDumpSelectionEvent(this, true);
	}).on('unCheckedState', function() {
		flaGatherLog.forProcDumpSelectionEvent(this, false);
	});

	//event after selecting crm token
	$("#crmtoken").on('checkedState', function() {
		flaGatherLog.crmtokenSelectionEvent(this, true);
	}).on('unCheckedState', function() {
		flaGatherLog.crmtokenSelectionEvent(this, false);
	});
};

flaGatherLog.crmtokenSelectionEvent = function(el, cState) {
	if (cState) {
		$(el.parentElement.parentElement).find('input').each(function() {
			$(this).removeAttr("disabled");
			$(this).focus();
		});
	} else {
		$(el.parentElement.parentElement).find('input').each(function() {
			$(this).attr("disabled", "disabled");
		});
	}
};

flaGatherLog.forProcDumpSelectionEvent = function(el, cState) {
	if (cState) {
		var isSel = false;
		$(".chkdump").each(function() {
			if (isChecked($(this))) {
				isSel = true;
			}
		});
		if (!isSel) {
			unCheckCb($(el));
			cvUtil.errorToast(localMsg.gl_nocomputerfordump);
		} else {
			//show the selection and add button
			flaGatherLog.checkProcTable();
		}
	} else {
		if (!$(".procdmp").hasClass("hidden")) {
			$(".procdmp").addClass("hidden");
		}
	}

};
flaGatherLog.checkProcTable = function() {

	var clList = [];
	if (isChecked($('.chkboxcomp[data-name="commserve"]'))) {
		clList.push(localMsg.gl_cs);
	}
	var l;
	if (isChecked($('.chkboxcomp[data-name="ma"]'))) {
		l = $("#MAL").val();
		clList = flaGatherLog.concatArray(clList, l.split(","));
	}
	if (isChecked($('.chkboxcomp[data-name="cl"]'))) {
		l = $("#CLL").val();
		clList = flaGatherLog.concatArray(clList, l.split(","));
	}
	if (clList.length > 0) {
		if (isChecked($("#procdump"))) {
			$(".procdmp").removeClass("hidden");
		}
		$(".procdmp select").empty();
		if (!$(".procdmp select").hasClass("onchangeadded")) {
			$(".procdmp select").on("change", function() {
				$('.procdmp textarea').val("");
			}).addClass("onchangeadded");
		}
		$('.procdmp textarea').each(function() {
			$(this).removeAttr("disabled");
		});
		for (var i = 0; i < clList.length; i++) {
			$('.procdmp select').append($('<option>', {
				value : clList[i],
				text : clList[i]
			}));
		}
		flaGatherLog.bindAddProcButton();
	}
};
flaGatherLog.concatArray = function(dest, src) {

	for (var i = 0; i < src.length; ++i) {
		if (src[i].trim().length > 1) {
			if (dest.indexOf(src[i]) === -1) {
				dest.push(src[i]);
			}
		}
	}
	if (dest.indexOf("") >= 0) {
		dest.splice(dest.indexOf(""), 1);
	}
	return dest;
};
flaGatherLog.bindAddProcButton = function() {
	if (!$("#addprocdump").hasClass("binddone")) {
		var addInProcTable = function() {
			//$("#procdmptablebody").empty();
			var c = $(".procdmp select").val();
			var p = $('.procdmp textarea').val();
			if (c && p) {
				var isF = false;
				$(".proc_client").each(function() {
					if ($(this).html().toLowerCase() === c.toLowerCase()) {
						$(this).closest("tr").find(".procdmpname").html(p);
						isF = true;
					}
				});
				if (!isF) {
					var tr = $("<tr>");
					var tc = $("<td class='proc_client'>").html(c);
					var rmspan = $('<span class="remprocdmp ico-close" title="' + localMsg.gl_remprocrow + '"></span>')
							.click(function(el, ev) {
								$(this).closest("tr").remove();
							});
					var tp = $("<td>").append($('<span class="procdmpname"></span>').append(p)).append(rmspan);
					//var rm = $("<td>").append($('<span class="ico-close"></span>'));
					tr.append(tc, tp);
					$("#procdmptablebody").append(tr);
					$('.procdmp textarea').val("");
					$(".procdmp select").prop("selectedIndex", -1);
				}
			}
		};
		$("#addprocdump").on('click', addInProcTable).addClass("binddone");
	}
};
flaGatherLog.clientChanged = function() {
	flaGatherLog.checkForIndexCheckBox();
	flaGatherLog.checkProcTable();

};
flaGatherLog.logStreamingClientChanged = function(e) {

	var cls = $("#client-list").val().replace(/,\s*$/, "");
	cls = cls.split(",");
	var len = cls.length;
	for (var i = 0; i < len; i++) {
		cls[i] && cls.push(cls[i]);
	}
	cls.splice(0, len);
	if (cls.length > 5) {
		// you can not select more than five clients.
		console.log($(this), $(e));
		cls.splice(5);
		$(e.target).val(cls.join(","));
		cvUtil.errorToast(localMsg.gl_maxclientsreached);

	}
	if (cls.length > 1) {
		//disabel logfile selection.
		flaGatherLog.disableLogFileDropDwon();
	} else {
		//enable logfile selection
		flaGatherLog.enableLogFileDropDown();
	}

};
flaGatherLog.disableLogFileDropDwon = function() {
	$("#log-files-list").attr("disabled", "disabled");
	$(".alllogfilestream").children(".gl-opt-label").text(localMsg.log_stream_multilogdisabled)
			.addClass("spaninfotext");
	$(".alllogfilestream").children(".inputbox").addClass("hidden");
};
flaGatherLog.enableLogFileDropDown = function() {
	$("#log-files-list").removeAttr("disabled");
	$(".alllogfilestream").children(".gl-opt-label").text(localMsg.log_stream_multilog).removeClass("spaninfotext");
	$(".alllogfilestream").children(".inputbox").removeClass("hidden");
};

flaGatherLog.forStageSelectionEvent = function(el, cState) {

	var notChecked = true;
	$(".chkstage").each(function() {
		if (isChecked($(this))) {
			notChecked = false;
		}
	});
	//if upload using http is not selected then disable the stage check box.
	if (!isChecked($("#upld"))) {
		notChecked = true;
	}
	if (notChecked) {
		flaGatherLog.disableStage();
		//enable csdb check box if it has been disabled by the stage box selecion event.
		flaGatherLog.enableDB();
	} else {
		flaGatherLog.enableStage();
	}
	if (el.id == "csdbbox") {
		flaGatherLog.forceCSDBSelectionFlag = false;
		/*
		 * if(!$("#csdbcheck").hasClass("hide")){ $("#csdbcheck").addClass("hide"); }
		 */
	}
};

flaGatherLog.forDoNotUseCloudDrBackupSelelectionEvent = function(el, cState) {
	var checked = false;
	// Check if any one of the prerequisite checkboxes for do not use cloud dr backup checkbox are checked
	$(".chkdonotuseclouddrbackup").each(function() {
		if (isChecked($(this))) {
			checked = true;
		}
	});

	// If any one prerequisite checkbox is checked, enable donotuseclouddrbackup checkbox
	if (checked && flaGatherLog.isCloudDRBackupAvailable) {
		flaGatherLog.enableDoNotUseCloudDrBackupCheckbox();
	} else {
		// Disable cb and set checked status to false (unchecked)
		flaGatherLog.disableDoNotUseCloudDrBackupCheckbox(false);
	}
}

flaGatherLog.enableDisableCommServeOption = function(el) {
	//if this is triggered by CommServe check box then do nothing.
	//Else check if any of MA.Cl or CLG is selected. if selected then disable CommServe check box otherwise enable it.
	if ($(el).attr("data-value") !== flaGatherLog.N_COMMSERVE) {
		var checked = false;
		$(".chkboxcomp").each(function() {
			if (isChecked($(this)) && ($(this).attr("data-value") !== flaGatherLog.N_COMMSERVE)) {
				checked = true;
			}
		});
		if (checked) {
			flaGatherLog.disableCommServe();
		} else {
			flaGatherLog.enableCommServe();
		}
	}
};
flaGatherLog.computersSelectionEvent = function(el, cState) {
	//this block is for enable/disable by-jobid and Log fragment
	flaGatherLog.enableDisableCommServeOption(el);
	flaGatherLog.uncheckProcDumpOption();
	//// this block is for enabling/disabling dropdown for 3--MA and 4--CL.
	if ($(el).attr("data-value") == flaGatherLog.N_MA || $(el).attr("data-value") == flaGatherLog.N_CLIENTS ||
			$(el).attr("data-value") == flaGatherLog.N_CLIENTGROUPS) {
		if (cState) {
			//enable dropdown
			$(el.parentElement.parentElement).find('textarea').each(function() {
				$(this).removeAttr("disabled");
				$(this).focus();
			});
		} else {
			//disable drop down
			$(el.parentElement.parentElement).find('textarea').each(function() {
				$(this).attr("disabled", "disabled");
			});
		}
	}
	////this block is for enabling/disabling index check box.
	flaGatherLog.checkForIndexCheckBox();
};
flaGatherLog.uncheckProcDumpOption = function() {

	if (isChecked($("#procdump"))) {
		var notChecked = true;
		$(".chkboxcomp").each(function() {
			if (isChecked($(this))) {
				notChecked = false;
			}
		});
		if (notChecked) {
			unCheckCb($("#procdump"), true);
			cvUtil.toast(localMsg.gl_nocomputerfordump);
		}
	}
};
flaGatherLog.checkForIndexCheckBox = function() {
	var enableIndexBox = false;
	if (flaGatherLog.isCollectByJobIdSelected()) {
		enableIndexBox = true;
	} else {
		$(".chkindex").each(function() {
			if (isChecked($(this))) {
				if ($(this).attr("data-value") == flaGatherLog.N_MA) {// if it is MA
					if ($("#MAL").val() != null && $("#MAL").val().trim().length > 1) {
						enableIndexBox = true;
					}
				}
				if ($(this).attr("data-value") == flaGatherLog.N_CLIENTS) {//If it is CL
					if ($("#CLL").val() != null && $("#CLL").val().trim().length > 1) {
						enableIndexBox = true;
					}
				}

				if ($(this).attr("data-value") == flaGatherLog.N_CLIENTGROUPS) {//If it is CL
					if ($("#CGL").val() != null && $("#CGL").val().trim().length > 1) {
						enableIndexBox = true;
					}
				}

				if ($(this).attr("data-value") == flaGatherLog.N_JOBID) {//If it is job id
					enableIndexBox = true;
				}

			}
		});
	}

	if (enableIndexBox) {
		flaGatherLog.enableIndex();
	} else {
		flaGatherLog.disableIndex();
	}
};

flaGatherLog.jobIdTxt = "(" + localMsg.gl_jobiddisabletxt2 + ")";

flaGatherLog.isCollectByJobIdSelected = function() {
	if ($("input[name='colloption']:checked").val() === flaGatherLog.N_COLLECT_BY_JOB) {
		return true;
	}
	return false;
};
flaGatherLog.isCollectByWIASelected = function() {
	if ($("input[name='colloption']:checked").val() === flaGatherLog.N_COLLECT_BY_WIA) {
		return true;
	}
	return false;
};
flaGatherLog.isLogStreamingSelected = function() {
	if ($("input[name='colloption']:checked").val() === flaGatherLog.N_COLLECT_BY_LOGMON) {
		return true;
	}
	return false;
};

flaGatherLog.disableChunk = function(){
	//$(".chunk-file").addClass("disabled");
	disableCb($(".chunk-file .custom-cb"));
	unCheckCb($(".chunk-file .custom-cb"));
	$("input#splitFileSize").prop('disabled', true);
};
flaGatherLog.enableChunk = function(){
	//$(".chunk-file").removeClass("disabled");
	$("input#splitFileSize").prop('disabled', false);
	enableCb($(".chunk-file .custom-cb"));
	checkCb($(".chunk-file .custom-cb"));//select chunk
};
flaGatherLog.enableCommServe = function() {
	enableCb($('div[data-name="commserve"'));//enable CommServe
	checkCb($('div[data-name="commserve"'));//select CommServe
};

flaGatherLog.disableCommServe = function() {
	checkCb($('div[data-name="commserve"'));//uncheck CommServe
	disableCb($('div[data-name="commserve"'));//disable CommServe
};

flaGatherLog.enableIndex = function() {
	enableCb($("#indexbox"));
	$("#indexcheck").hide();
};

flaGatherLog.disableIndex = function() {
	unCheckCb($("#indexbox"));
	$("#indexcheck").show();
	disableCb($("#indexbox"));
};

flaGatherLog.enableStage = function() {
	enableCb($("#stagebox"));
};

flaGatherLog.disableStage = function() {
	disableCb($("#stagebox"));
	unCheckCb($("#stagebox"));
};
flaGatherLog.enableDoNotUseCloudDrBackupCheckbox = function() {
	enableCb($("#donotuseclouddrbackup"));
};

flaGatherLog.disableDoNotUseCloudDrBackupCheckbox = function(checkStatus) {
	disableCb($("#donotuseclouddrbackup"));

	if (checkStatus) {
		checkCb($("#donotuseclouddrbackup"))
	} else {
		unCheckCb($("#donotuseclouddrbackup"));
	}
};
flaGatherLog.hideDoNotUseCloudDrBackupCheckbox = function() {
	$("#donotuseclouddrbackup-wrapper").hide();
};
flaGatherLog.showDoNotUseCloudDrBackupCheckbox = function() {
	$("#donotuseclouddrbackup-wrapper").show();
};
flaGatherLog.isDBSupported = function(){
	return !flaGatherLog.dbnotsupported;
};
flaGatherLog.disableDB = function(){
	disableCb($("#csdbbox"));
	if(!flaGatherLog.isDBSupported()){
		$(".dbntsprted").removeClass("hidden");
		flaGatherLog.unCheckDB();
	}
};
flaGatherLog.checkDB = function(){
	if(flaGatherLog.isDBSupported()){
		checkCb($("#csdbbox"));
	}
};
flaGatherLog.unCheckDB = function(){
	unCheckCb($("#csdbbox"));
};
flaGatherLog.enableDB = function(){
	if(flaGatherLog.isDBSupported()){
		enableCb($("#csdbbox"));
	}
};
flaGatherLog.updateLogStreamingTask = function() {
	var isValid = true;
	var clients = $.trim($("#client-list").val().replace(/,\s+/g, ",").replace(/,\s*$/, ""));
	var cls = clients.split(",");
	var len = cls.length;
	for (var i = 0; i < len; i++) {
		cls[i] && cls.push(cls[i]);
	}
	cls.splice(0, len);
	if (cls.length === 0) {
		cvUtil.errorToast(localMsg.gl_noclienttxt);
		isValid = false;
	} else {

		if (cls.length > 5) {
			cvUtil.errorToast(localMsg.gl_maxclientsreached);
			isValid = false;
		}
	}
	var logs = $('#log-files-list').val().replace(/,\s+/g, ",");
	if (cls.length > 1) {
		logs = "All";
	}
	if ($.trim(logs) === '') {
		cvUtil.errorToast(localMsg.log_files);
		isValid = false;
	}
	if (isValid) {
		clients = cls.join(",");
		flaGatherLog.logstreaming[clients] = {};
		flaGatherLog.logstreaming[clients].cloudlogs = {};
		if (logs.endsWith(",")) {
			logs = logs.substr(0, logs.length - 1);
		}
		flaGatherLog.logstreaming[clients].cloudlogs.name = logs;
		var interval = Number($("input[name='interval']:checked").val());
		flaGatherLog.logstreaming[clients].cloudlogs.interval = interval;
		//flaGatherLog.resetLogStreamingInputs();
		//flaGatherLog.createAddLogstreamingTable();

	}
	return isValid;
};
flaGatherLog.createAddLogstreamingTable = function() {
	$(".sbmt-div").addClass("hidden");
	var showSubmitBtn = false;
	var c = 0;
	for ( var client in flaGatherLog.logstreaming) {
		if (flaGatherLog.logstreaming.hasOwnProperty(client)) {
			c = c + 1;
			var clDIv, logDiv, intervalDiv;
			clDIv = $('<div>', {
				"class" : "rTableCell"
			}).html(client);
			logDiv = $('<div>', {
				"class" : "rTableCell"
			}).html(flaGatherLog.logstreaming[client].cloudlogs.name);
			intervalDiv = $('<div>', {
				"class" : "rTableCell"
			}).html(flaGatherLog.logstreaming[client].cloudlogs.interval + " " +
					(flaGatherLog.logstreaming[client].cloudlogs.interval > 7 ? "hours" : "days"));
			var r = $('<div>', {
				"class" : "rTableRow log-stream-row"
			});
			r.append(clDIv, logDiv, intervalDiv);
			$('.log-stream-add-table').append(r);
			$(".log-stream-add-div").removeClass("hidden");
			showSubmitBtn = true;
		}
	}
	if (showSubmitBtn) {
		$(".sbmt-div").removeClass("hidden");
	}
	if (c === 0) {
		$(".log-stream-add").html("");
	} else {
		$(".log-stream-add").html(c + " " + localMsg.log_stream_clientadded);
	}
};
flaGatherLog.resetLogStreamingInputs = function() {
	$("#client-list").val('');
	$('#log-files-list').val('');
	$(".log-stream-add-table .log-stream-row").remove();
	//$(".sbmt-div").addClass("hidden");
};

flaGatherLog.populateTaskList = function() {
	flaGatherLog.tasks_list = [];
	for ( var client in flaGatherLog.logstreaming) {
		var task = {};
		task.clients = client;
		task.cloudlogs = flaGatherLog.logstreaming[client].cloudlogs;
		flaGatherLog.tasks_list.push(task);
	}
};
/*
 * flaGatherLog.isValidInputsForLogStreaming = function() { var isValid = true; var clnames =
 * $.trim($("#client-list").val()); if (clnames === "" || clnames === null) {
 * cvUtil.errorToast(localMsg.gl_noclienttxt); //errorMsg(true, '#client-list', localMsg.select_Client);
 * isValid = false; } if ($.trim($('#log-files-list').val()) === '') { cvUtil.errorToast(localMsg.log_files);
 * isValid = false; } return isValid; };
 */

flaGatherLog.submitLogStreamingReq = function() {
	$('.aftrsbmtmsg').addClass("hidden");
	flaGatherLog.populateTaskList();
	var data = {
		'json' : JSON.stringify(flaGatherLog.tasks_list)
	};
	data.commUniId = flaGatherLog.commUniId;
	var url = cvUtil.getContextPath() + flaGatherLog.PROACTIVE_URL + '?commUniId=' + flaGatherLog.commUniId;
	cvUtil.mask('');
	cvUtil.loadPageWithPOST(url, data, function(resp) {
		flaGatherLog.successHandlerForLogReq(resp);
		if (resp && resp.errorCode === 0) {
			flaGatherLog.streamFormcleanUp();
			flaGatherLog.isLogStreamingReq = true;
		}

	}, flaGatherLog.handleError);
};
flaGatherLog.streamFormcleanUp = function() {
	flaGatherLog.tasks_list = [];
	flaGatherLog.resetLogStreamingInputs();
	$(".log-stream-add-div").addClass("hidden");
	flaGatherLog.logstreaming = {};
};
flaGatherLog.resubmitGetLogs = function() {
	// Simulate a click on the button to re-submit
	setTimeout(function(){ $("#sbmtGetLogs")[0].click()}, 100);
}
flaGatherLog.overrideCloudDRBackupAvailable = function() {
	flaGatherLog.cloudDRBackupAvailableOverride = true;
}
flaGatherLog.resetOverrideCloudDRBackupAvailable = function() {
	flaGatherLog.cloudDRBackupAvailableOverride = false;
}
flaGatherLog.submitButtonClickEventBinding = function() {
	$("#sbmtGetLogs").unbind('click');
	$("#sbmtGetLogs").click(function(t, e) {
		if ($("#sbmtGetLogs").attr("disabled")) {
			return;
		}
		
		// If user has selected to do not use cloud dr backup and override is not true
		if (!flaGatherLog.cloudDRBackupAvailableOverride && isChecked($("#donotuseclouddrbackup")) && flaGatherLog.isCloudDRBackupAvailable) {
			// Show dialog informing data is available in cloud
			flaGatherLog.openCloudDRBackupAvailableDialog(flaGatherLog.overrideCloudDRBackupAvailable, flaGatherLog.resubmitGetLogs);
			return;
		}

		if (flaGatherLog.isLogStreamingSelected()) {
			if (flaGatherLog.updateLogStreamingTask()) {
				flaGatherLog.submitLogStreamingReq();
			}
			return;
		}
		var data = {};
		data.commUniId = flaGatherLog.commUniId;
		var sla = [];
		var isProceed = true;
		var isUplop = false;
		var slFilter = ".collcomp.checked";
		var isByJobId = flaGatherLog.isCollectByJobIdSelected();
		if (isByJobId) {
			slFilter = ".colljob.checked";
			sla.push(flaGatherLog.N_JOBID);
			data.jobid = $("#JOBID").val();
			if (data.jobid === "" || data.jobid === null) {
				cvUtil.errorToast(localMsg.gl_nojobidtxt);
				isProceed = false;
			} else {
				if (!(/^([0-9]\d*)$/.test(data.jobid))) {
					cvUtil.errorToast(localMsg.gl_jobidnotinteger);
					isProceed = false;
				}
			}
		}
		var isByWIA = flaGatherLog.isCollectByWIASelected();
		if (isByWIA) {
			sla.push(flaGatherLog.N_COLLECT_BY_WIA);
			data.wiaconfiguration = $("#WIACONFIGURATION").val();
			data.wiadelay = $("#WIADELAY").val();
		}
		$(slFilter).each(function() {

			var anop = $(this).attr("data-value");

			sla.push(anop);
			if (anop == flaGatherLog.N_MA) {
				data.manames = $("#MAL").val();
				if (data.manames == "" || data.manames == null) {
					cvUtil.errorToast(localMsg.gl_nomatxt);
					isProceed = false;
				}
			}
			if (anop == flaGatherLog.N_CLIENTS) {
				data.clnames = $("#CLL").val();
				if (data.clnames == "" || data.clnames == null) {
					cvUtil.errorToast(localMsg.gl_noclienttxt);
					isProceed = false;
				}
			}

			if (anop == flaGatherLog.N_CLIENTGROUPS) {
				data.clgnames = $("#CGL").val();
				if (data.clgnames == "" || data.clgnames == null) {
					cvUtil.errorToast(localMsg.gl_nogrouptxt);
					isProceed = false;
				}
			}

			if (anop == flaGatherLog.N_BIN) {
				data.procnames = {};
				var tmp = [];
				$(".proc_client").each(function() {
					var c = $(this).text();
					var procs = $(this).closest("tr").find(".procdmpname").text();
					if (c === localMsg.gl_cs) {
						c = flaGatherLog.commCellName;
					}
					var exproc;
					if (tmp.indexOf(c) === -1) {
						tmp.push(c);
					} else {
						exproc = data.procnames[c];
						procs = flaGatherLog.concatArray(procs.split(","), exproc.split(",")).join(",");
					}

					data.procnames[c] = procs;
				});
				if ($.isEmptyObject(data.procnames)) {
					cvUtil.errorToast(localMsg.gl_noproctxt);
					isProceed = false;
				}
			}

			if (anop == flaGatherLog.N_EMAILS) {
				data.nmails = $("#NMAIL").val();
				if (data.nmails == "" || data.nmails == null) {
					cvUtil.errorToast(localMsg.gl_noemailtxt);
					isProceed = false;
				} else {
					data.nmails = data.nmails.replace(/[; ]/g, ',');
					var mails = data.nmails.split(",");
					for (email in mails) {
						if (!cvUtil.isEmailValid(mails[email].trim())) {
							cvUtil.errorToast(localMsg.gl_invalidmailtxt.replace("{0}",
									encodeURIComponent(mails[email])));
							isProceed = false;
						}
					}
				}
			}
			if (anop == flaGatherLog.N_STAGEDB) {
				if (!(sla.indexOf(flaGatherLog.N_CSDB) >= 0 || sla.indexOf(flaGatherLog.N_INDEX) >= 0)) {
					cvUtil.errorToast(localMsg.gl_stageerrtxt);
					isProceed = false;
				}else{
					data.stgeV = $("#stageversion").val();
				}
			}

			if (anop == flaGatherLog.N_UPLOAD) {
				sla.push($('input[name=upld]').val());
				isUplop = true;
			}

			if (anop === flaGatherLog.N_CRM) {
				data.crmt = $("#CRMT").val();
			}

			if (anop == flaGatherLog.N_SAVETODISK) {
				isUplop = true;
				data.savepath = $("#STDP").val();
				/*
				 * if (data.savepath == "" || data.savepath== null){ cvUtil.errorToast("Save to disk path is
				 * not provided."); isProceed = false; }else{ var regexpatt1=/Base\\(\w+\d*)+$/g; if(!
				 * regexpatt1.test($("#STDP").val())){ cvUtil.errorToast("Either path is not started with Base
				 * or its having special chars or you have not provied a folder name after Base. Only word and
				 * number are allowed."); isProceed = false; } }
				 */
			}

			if (anop == flaGatherLog.N_ENABLE_CHUNKING) {
				var size = parseInt($("#splitFileSize").val());
				data.chunkSize = size;
				if (isNaN(size) || size < 64) {
					cvUtil.errorToast(localMsg.invalidChunkSize);
					isProceed = false;
				}
			}
		});
		if (sla.indexOf(flaGatherLog.N_COMMSERVE) == -1 && sla.indexOf(flaGatherLog.N_MA) == -1 &&
				sla.indexOf(flaGatherLog.N_CLIENTS) == -1 && sla.indexOf(flaGatherLog.N_CLIENTGROUPS) == -1 &&
				sla.indexOf(flaGatherLog.N_JOBID) == -1) {
			if (sla.indexOf(flaGatherLog.N_CSDB) >= 0) {
				if (sla.indexOf(flaGatherLog.N_LOGFILES) >= 0) {
					sla.splice(sla.indexOf(flaGatherLog.N_LOGFILES), 1);
				}

				if (sla.indexOf(flaGatherLog.N_COMMSERVE) === -1) {
					sla.push(flaGatherLog.N_COMMSERVE);
				}
			} else {
				isProceed = false;
				if (sla.indexOf(flaGatherLog.N_JOBID) === -1) {
					cvUtil.errorToast(localMsg.gl_nooptiontxt);
				} else {
					cvUtil.errorToast(localMsg.gl_nocomputertxt);
				}
			}
		}
		if (sla.indexOf(flaGatherLog.N_LOGFILES) == -1 && sla.indexOf(flaGatherLog.N_CSDB) == -1 &&
				sla.indexOf(flaGatherLog.N_INDEX) == -1) {
			isProceed = false;
			cvUtil.errorToast(localMsg.gl_nocollectiontxt);
		}

		if (!isUplop) {
			cvUtil.errorToast(localMsg.gl_nouploadtxt);
			isProceed = false;
		}

		data.selectedoptions = sla.join(",");
		var diffClList = "";
		var diffMAList = "";
		var diffCLGList = "";
		if (typeof data.clnames !== "undefined") {
			diffClList = flaGatherLog.checkExistenceOfInput(data.clnames, flaGatherLog.CLLIST.source);
		}
		if (typeof data.manames !== "undefined") {
			diffMAList = flaGatherLog.checkExistenceOfInput(data.manames, flaGatherLog.MALIST.source);
		}

		if (typeof data.clgnames !== "undefined") {
			diffCLGList = flaGatherLog.checkExistenceOfInput(data.clgnames, flaGatherLog.CGLIST.source);
		}

		if ((typeof data.clnames !== "undefined" && data.clnames !== null && data.clnames !== "") ||
				(typeof data.manames !== "undefined" && data.manames !== null && data.manames !== "") ||
				(typeof data.clgnames !== "undefined" && data.clgnames !== "")) {
			//this means we have some machines, so check if index or log file option is selected or not.
			if (sla.indexOf(flaGatherLog.N_LOGFILES) === -1 && sla.indexOf(flaGatherLog.N_INDEX) === -1) {
				isProceed = false;
				cvUtil.errorToast(localMsg.gl_nologindextxt);
			}
		}

		if ((typeof data.procnames !== "undefined")) {
			var pc = $.map(data.procnames, function(v, k) {
				return k;
			});
			if (pc.length > 0) {
				var cls = [];
				if (data.clnames) {
					cls = data.clnames.split(",");
				}
				if (data.manames) {
					cls = cls.concat(data.manames.split(","));
				}
				if (sla.indexOf(flaGatherLog.N_COMMSERVE) !== -1) {
					cls = cls.concat(flaGatherLog.commCellName.split(","));
				}
				var d = flaGatherLog.checkExistenceOfInput(pc, cls);
				if (d.length > 0) {
					//this means we have client selected for process dumps but those clients are not selected in client or ma.
					isProceed = false;
					if (d.indexOf(localMsg.gl_cs) !== -1) {
						d.splice(d.indexOf(localMsg.gl_cs), 1);
					}
					cvUtil.errorToast(localMsg.gl_noclfordumptxt + ": [" + d.join() + "]");
				}
			}
			data.procnames = JSON.stringify(data.procnames);
		}

		if (isProceed) {
			data.comments = $("#comments").val();

			if ((diffCLGList == "" || diffCLGList.length == 0) && (diffClList == "" || diffClList.length == 0) &&
					(diffMAList == "" || diffMAList.length == 0)) {

				/*
				 * if(window.cvCustomMask) $("#content").mask("");
				 */
				cvUtil.mask('');
				cvUtil.loadPageWithPOST(cvUtil.getContextPath() + flaGatherLog.SUBMIT_REQUEST_URL,
						data,
						flaGatherLog.successHandlerForLogReq,
						flaGatherLog.handleError);
			} else {
				var tmpTxt = "";
				var inputNames = "";
				if (diffClList.length != 0) {
					tmpTxt += "<li>" +
							localMsg.gl_confboxmsg2.replace("{0}", localMsg.gl_cl + " [" + diffClList.join(",") + "]") +
							"</li>";
					inputNames = localMsg.gl_cl;
					data.clientsnotindb = diffClList.join(", ");
				}
				if (diffMAList.length != 0) {
					tmpTxt += "<li>" +
							localMsg.gl_confboxmsg2.replace("{0}", localMsg.gl_ma + " [" + diffMAList.join(",") + "]") +
							"</li>";
					if (inputNames != "") {
						inputNames += "/";
					}
					inputNames += localMsg.gl_ma;
					data.masnotindb = diffMAList.join(", ");
				}

				if (diffCLGList.length != 0) {
					tmpTxt += "<li>" +
							localMsg.gl_confboxmsg2.replace("{0}", localMsg.fla_clg + " [" + diffCLGList.join(",") +
									"]") + "</li>";
					if (inputNames != "") {
						inputNames += "/";
					}
					inputNames += localMsg.fla_clg;
					data.clientgroupsnotindb = diffCLGList.join(", ");
				}

				var txt = localMsg.gl_confboxmsg1.replace("{0}", inputNames) + "<br/><ul>";
				tmpTxt += "</ul><br><span>" + localMsg.gl_confmsg + "</span>";
				txt += tmpTxt;
				flaGatherLog.confirmModalHtml = '<div class="confirmdiv">' + txt + '</div>';
				flaGatherLog.showConfirmModal(data);
			}
		}
	});
};

flaGatherLog.setRTTypeClickEvent = function() {
	/*
	 * $(".rtopts").on('click', function() { console.log(this); if (!$(this).hasClass("selected")) {
	 * $(".rtopts").removeClass("selected"); $(this).addClass("selected");
	 * $(".getloginfo").addClass("hidden"); if ($(this).hasClass("collinfo")) { //then show collect info div;
	 * $("#collectinfo").removeClass("hidden") } else { //show proactive support div;
	 * $("#proactsupport").removeClass("hidden") } } });
	 */
};
flaGatherLog.setCollectByEvent = function() {
	$("input[name='colloption']").change(function(ev) {
		flaGatherLog.handleCollectBy(ev, this);
	});
	flaGatherLog.handleCollectBy(null, $("input[name='colloption'][checked='checked']"));
};
flaGatherLog.setInCenter = function() {
	var w = $(document).width();
	var dif = w - 680;
	if (dif > 0) {
		var margin = ((dif / w) * 100) / 2;
		margin = ((margin - 12) / 100) * w;
		$(".getloginfo").css("margin-left", margin);
	}
};
flaGatherLog.setOnChangeEvents = function() {
	$("#client-list").on("change", function(e) {
		flaGatherLog.logStreamingClientChanged(e);
	});
	$("#MAL,#CLL").on("change", flaGatherLog.clientChanged);
	$("#CGL").on("change", flaGatherLog.checkForIndexCheckBox);
};
flaGatherLog.disableDBOption = function() {
	flaGatherLog.disableDB();
};
$(document).ready(function() {
	flaGatherLog.setCheckboxClickEvent();
	flaGatherLog.setCollectByEvent();
	flaGatherLog.setOnChangeEvents();
	//flaGatherLog.setInCenter();
});
