var ccInfo = {}, commcellInfo;
var commUniId = cvUtil.getParameter('commUniId', 0);

ccInfo.showCCInfo = function() {
	var rows = '';
	$.each(commcellInfo, function(key, val) {
		rows += "<TR class='user-row'><TD class='cc-info-key'>" + key + "</TD><TD>" + val + "</TD></TR>";
	});
	$('.cc-info-table-body').append(rows);
};

$(document)
		.ready(function() {
			$("#surveyName").html(cvUtil.cvLocalize("Information"));
			window.reportEnum = "Survey";
			cvUtil.mask();
			getCommCellDetailsOfUid(commUniId,
					null,
					function(data) {
						cvUtil.unmask();
						if (data.error) {
							$(".cvApps").hide();
							$("#noDataNotificationPanel").html(data.error);
							$("#noDataNotificationPanel").show();
							return;
						}
						commcellInfo = {};
						if (commCellId === ' ') {
							commCellId = " N/A";
						}
						if (collectiontime === ' ') {
							collectiontime = " N/A";
						}
						if (MonitoredGroup === ' ') {
							MonitoredGroup = " N/A";
						}
						if (clientName === ' ') {
							clientName = " N/A";
						}
						if (data.CommServeGUID !== '') {
							data.CommServeGUID = data.CommServeGUID;
						}
						if (data.CommServeGUID === '') {
							data.GUID = " N/A";
						}

						if (commUniId !== 0) {
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.CommCell_ID")] = commCellId;
							if (data.siteCode && data.siteCode != "N/A") {
								commcellInfo[cvUtil.cvLocalize("commcell.info.label.Site")] = data.siteCode;
							}
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.LicenseIP")] = commIpAddr;
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.CommCell_IP")] = data.CurrCSIpAddress;
							var resp = reportsUtil.getCommCellSerialNRegCode(data.CommServeGUID);
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.Serial_Number")] = resp.serial;
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.Registration_Code")] = resp.regd;
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.Version")] = Version;
							//commcellInfo['SLA']='%';
							//commcellInfo['Active Clients']='';
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.Last_Updated_Time")] = collectiontime;
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.Time_zone")] = SurveyGlobals.tZ;
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.Edition")] = data.Edition;
							commcellInfo[cvUtil.cvLocalize("commcell.info.label.InstallDate")] = data.CommServInstallDate;
							if (data.licExpirationDate) {
								var mm = moment(data.licExpirationDate, 'MMM DD, YYYY');
								var mnow = moment(new Date());
								var days = mm.diff(mnow, 'days');
								var color = '';
								if (days < 15) {
									color = "class='red'";
								} else if (days < 30) {
									color = "class='orange'";
								}
								commcellInfo[cvUtil.cvLocalize("commcell.info.label.License_Expiration_Date")] = data.licExpirationDate;

							}
							if (clientName.indexOf("@") !== -1) {
								clientName = clientName.replace(/@/g, "&");
							}

							if (clientName !== null && clientName !== " " && clientName !== " N/A" &&
									$.trim(clientName).length !== 0) {
								$('.reportsLink').text(clientName + ' (' + cvUtil.cvLocalize("Reports") + ')');
								$('#custName').html(clientName);
								$('#custName').attr('title', clientName);
								$("#surveyName").html(cvUtil.cvLocalize("Information"));
								$(document).attr("title", cvUtil.cvLocalize("CommCell_Information.title", clientName));
								cvUtil.GUIAuditReportLog("CommCell Information", clientName);
								//commcellInfo['Customer Name']=clientName;
							}
							if (data.GroupName) {
								$('.commcellsLink').text(data.GroupName + ' (' + cvUtil.cvLocalize("CommCells") + ')');
							}
						}
						ccInfo.showCCInfo();
					});

			report.getExportFilePrefix = function() {
				return $('#custName').text() + ' - Information';
			};

		});