<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.SurveyMessages">

	<jsp:include page="../../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/profile.css" name="css" />
	</jsp:include>

	<style>
		#content {
		    background-color: white;
		    border: medium none;
		    box-shadow: none;
		    min-height: 1px;
		    padding: 0;
		}
	</style>
	<script nonce="${sessionScope.cspNonce}" >
	    var localMsg = localMsg || {};
		${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};
	</script>
	<div>
		<form id="custInfoForm">
			<table>
				<tbody>
					<tr>
						<td class="label"><fmt:message key="cust.name"/></td><td class="value"><input type="text" name="name" id="name" class="field"></td>
						<td class="label paidAccount"></td><td class="value"><input id="paidAccount" type="checkbox"/><fmt:message key="cust.paidAccount"/></td>
					</tr>
					<tr>
						<td class="label top"><fmt:message key="cust.address"/></td><td colspan=3 class="value"><textarea name="address" id="address"  class="field"></textarea></td>
					</tr>
					<tr>
						<td class="label top"><fmt:message key="cust.envDetails"/></td><td colspan=3 class="value"><textarea name="environment" id="environment"  class="field"></textarea></td>
					</tr>
					<tr>
						<td class="label top"><fmt:message key="cust.overview"/></td><td colspan=3 class="value"><textarea name="overview" id="overview"  class="field"></textarea></td>
					</tr>
					<%-- <tr>
						<td class="label contactBtns"><fmt:message key="cust.contacts"/></td>
						<td class="value" colspan=3>
							<a class='dialogCancel custContacts' onClick="customer.showContacts(false)"><fmt:message key="cust.commvault"/></a>
							<a class='dialogCancel custContacts' onClick="customer.showCustomerContacts(true)"><fmt:message key="cust.customer"/></a>
						</td>
					</tr> --%>
				</tbody>
			</table>
			<!-- <div class="custContacts btns left">
				Contacts:
				<a class='dialogCancel custContacts' onClick="customer.showContacts(false)">Commvault</a>
				<a class='dialogCancel custContacts' onClick="customer.showCustomerContacts(true)">Customer</a>
			</div> -->
		</form>
		<fmt:bundle basename="localization.messages">
			<div class="buttonsDiv btns rghtFloat" >
				<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a>
				<a href="#" id="okButton" class="okSaveButton"><fmt:message key="Submit" /></a>
			</div>
		</fmt:bundle>
	</div>
</fmt:bundle>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/profile/js/customerinfo.js" name="js" />
</jsp:include>

