var commUniId = cvUtil.getParameter('commUniId', 0);
var ccGroupId = cvUtil.getParameter('ccGroupId', 0);
var companyId = cvUtil.getParameter('companyId', 0);
var cfeedback = cvUtil.getParameter('feedback');
var dashboard = {}, customerInfo = {}, isCommmvaultUser = false, customerName //showCommCellProfile = false;
var docShareId, docCustPath, docPath, docmentsLoaded = false, itemShareFolderId, canReShareFile = false;
var docPathsMap = [];
var loggedInUser = {}, edgeInfo = {};

dashboard.showQuickLinks = function(show) {
	if (show) {
		$('#linksMenu').css('display', 'block');
	} else {
		$('#linksMenu').css('display', 'none');
	}
};

$("#quickLinks").on("click", function(e) {
	$("#linksMenuWrapper").show();
	e.stopPropagation();
});

dashboard.showCustomerContactsDialog = function() {
	var opts = {};
	opts.target = '/survey/profile/profilecustcontacts.jsp';
	opts.width = 500;
	opts.height = 575;
	opts.title = cvUtil.cvLocalize('contacts.title');
	customerInfo.isCustContacts = false;
	customerInfo.isCommmvaultUser = isCommmvaultUser;
	reportsUtil.showProfileDialog(ccGroupId, opts, customerInfo, function(data) {
		console.debug('Reloading customer information...');
		dashboard.getCustomerInfo();
	});

};
dashboard.showNotificationDialog = function() {
	var opts = {};
	opts.target = '/survey/profile/profilenotification.jsp';
	opts.width = 370;
	opts.height = 270;
	opts.title = cvUtil.cvLocalize('notification.EnableNotifications');
	reportsUtil.showProfileDialog(ccGroupId, opts, customerInfo, function(data) {

	});
};

dashboard.showNewCustomerDialog = function() {
	alert('New Customer dialog is not ready yet....');
};

dashboard.showCustInfoDialog = function() {
	var opts = {};
	opts.target = '/survey/profile/customerinfo.jsp';
	opts.width = 400;
	opts.height = 400;
	opts.title = cvUtil.cvLocalize('cust.title');

	reportsUtil.showProfileDialog(ccGroupId, opts, customerInfo, function() {
		console.debug('Reloading customer information...');
		dashboard.getCustomerInfo();
	});
};

dashboard.showCustTouchDialog = function(touchInfo) {
	var opts = {};
	opts.target = '/survey/profile/customertouch.jsp';
	opts.width = 350;
	opts.height = isCommmvaultUser ? 320 : 270;
	opts.title = isCommmvaultUser ? cvUtil.cvLocalize('touch.customerTouch') : cvUtil
			.cvLocalize('touch.custSatisfaction');
	var touch = touchInfo || {
		'CustomerTouchId<DONOTSHOW>' : 0,
		'ccGroupId<DONOTSHOW>' : ccGroupId,
		'companyId<DONOTSHOW>' : companyId,
		'Customer Name<ProfileCustName>' : customerInfo['Customer Name<ProfileCustName>']
	};
	touch['isCommmvaultUser'] = isCommmvaultUser;
	touch['loggedInUser'] = loggedInUser;
	reportsUtil.showProfileDialog(ccGroupId, opts, touch, function() {
		console.debug('Reloading customer touch information...');
		dashboard.drawCustomerLineChart();
	});
};

dashboard.showRequestFeedbackDialog = function() {
	var custContactsAvailable = false;
	for (var i = 0; i < customerInfo['Contacts'].length; i++) {
		if (customerInfo['Contacts'][i]['group'] != 4) {
			custContactsAvailable = true;
			break;
		}
	}
	if (!custContactsAvailable) {
		$('#profileDBMsg').text(cvUtil.cvLocalize('profiledashbaord.no_contacts'));
		$("#profileDBMsgDiv").prop('title', cvUtil.cvLocalize('profiledashbaord.Profile'));
		var addContactsBtn = cvUtil.cvLocalize('profiledashbaord.Add_Contacts');
		$("#profileDBMsgDiv").dialog({
			resizable : false,
			height : 130,
			width : 600,
			modal : true,
			buttons : {
				'Add Contacts' : function() {
					$(this).dialog("close");
					dashboard.showCustomerContactsDialog();
				},
				"Ok" : {
					text : 'Ok',
					class : 'ui-state-cancel',
					click : function() {
						$(this).dialog("close");
					}
				}
			}
		});

		return;
	}
	var opts = {};
	opts.target = '/survey/profile/profilereqfeedback.jsp';
	opts.width = 450;
	opts.height = 330;
	opts.title = cvUtil.cvLocalize('profiledashbaord.Request_Feedback');
	var feedback = {
		'ccGroupId' : ccGroupId,
		'companyId' : companyId,
		'CustomerName' : $('#custName').text(),
		'contacts' : customerInfo['Contacts']
	};
	reportsUtil.showProfileDialog(ccGroupId, opts, feedback, function() {
		console.debug('Send customer request feedback mail successfully.');
	});
};

dashboard.showFolderCreationDialog = function(e) {
	$("#folderLocationError").html("");
	$("#folderLocationError").hide();
	$("#folderLocation").attr("value", untitledFolder);
	cvUtil.showWarningDialog({
		additionalClassForOk : okButtonClass,
		width : 400,
		height : 120,
		title : localMsg.CreateFolder,
		yesText : createFolderText.create,
		noText : createFolderText.cancel
	}, $(".createDiv"), function(closeFunction) {
		$("#folderLocationError").hide();
		var folderName = $("#folderLocation").attr("value");
		if (folderName == "") {
			$("#folderLocationError").html(emptyFolder);
			$("#folderLocationError").show();
			return;
		}
		if (!cvUtil.isValidWindowFileName(folderName)) {
			$("#folderLocationError").html(notValidName);
			$("#folderLocationError").show();
			return;
		}
		var params = {};
		params["clientId"] = cvUtil.getParameterViaHistory("clientId");
		params["shareFolderId"] = docShareId;
		params["destLocation"] = browseMain.browsePath;
		params["folderName"] = folderName.trim();

		if (browseMain.isSyncFolderBrowse()) {
			if (typeof browseMain.actualFilePath !== "undefined" && browseMain.actualFilePath !== null) {
				params[browseConstants.PARAM_ACTUAL_PATH] = browseMain.actualFilePath;
			}
			if (typeof browseMain.sharedPath !== "undefined" && browseMain.sharedPath !== null) {
				params[browseConstants.PARAM_SHARED_PATH] = browseMain.sharedPath;
			}
			if (typeof browseMain.parentGuid !== "undefined" && browseMain.parentGuid !== null) {
				params[browseConstants.PARAM_PARENT_GUID] = browseMain.parentGuid;
			}
		}

		console.debug("Submitting Create Folder request: " + params);
		var okButton = $("." + okButtonClass);
		okButton.addClass('loading');
		cvUtil.loadPageWithPOST(cvUtil.getContextPath() + "/createFolder.do", params, function(data) {
			if (data == "Success") {
				console.debug("Folder Created Successfully");
				cvUtil.toast(folderName + " " + resultMessages.success);
				dashboard.getDocumentsList();
				closeFunction();
				okButton.removeClass('loading');
			} else {
				cvUtil.errorToast(resultMessages.error + data, null, undefined, false);
				closeFunction();
				okButton.removeClass('loading');
			}
		}, function(err) {
			cvUtil.errorToast(resultMessages.error + err, null, undefined, false);
			okButton.removeClass('loading');
		});
	});
	e.stopPropagation();
	e.preventDefault();
	$("#folderLocation").focus().select();
};

dashboard.showUploadDialog = function() {
	var opts = {};
	opts.width = 1100;
	opts.height = 500;
	opts.title = 'Documents';
	var target = cvUtil.getContextPath() + '/survey/profile/driveframe.jsp';
	var drive = {};
	var params = 'shareFolderId=' + docShareId + '&path=' + docPath;
	var path = cvUtil.getContextPath() + "/browse/MyDrive.do?" + params;

	drive.path = path;
	cvUtil.showModal({
		width : opts.width,
		height : opts.height,
		title : opts.title,
		href : target,
		iframe : true
	}, null, function(resp) {
		dashboard.getDocumentsList();
		if (resp) {
			if (resp.cancel) {
				return;
			}
			if (resp.isError) {
				cvUtil.errorToast(resp.message, null, null, true);
			} else {
				cvUtil.toast(resp.message, null, null, true);
			}
		}
	}, drive);
};

dashboard.getCommCellGroupInfo = function() {
	cvUtil.mask("#custInfoGrid");
	if (commUniId > 0) {
		getCommCellDetailsOfUid(commUniId, null, function(data) {
			var cName = reportsUtil.getTruncatedName(data.Customer);
			$('#custName').html(cName);
			$('#custName').attr('title', data.Customer);
			$(document).attr("title", data.Customer + " - Profile");
			if (data.GroupName) {
				$('.commcellsLink').text(data.GroupName + ' (CommCells)');
			}
			if (exportRequest) {
				$("#custName").text($("#custName").text() + ' - ' + cvUtil.cvLocalize('profiledashbaord.Profile'));
			}
		});
	} else if(ccGroupId > 0){
		getCommCellDetailsOfUid(0, null, function(data) {
			var cgName = reportsUtil.getTruncatedName(data.GroupName);
			customerName = data.GroupName;
			$('#custName').html(cgName);
			$('#custName').attr('title', data.GroupName);
			if (data.CommCellCount) {
				$(".commcells").append('(' + data.CommCellCount + ')');
			}
			if (data.GroupName) {
				$(document).attr("title", data.GroupName + " - Profile");
			}
			//customerInfo['Customer Name<ProfileCustName>']=data.GroupName;
			customerInfo['CustomerInfoId<DONOTSHOW>'] = ccGroupId;
			customerInfo['companyId<DONOTSHOW>'] = companyId;
			//$('.custName').html(data.GroupName);

			if (cfeedback === 'true') {
				dashboard.showCustTouchDialog();
				var params = "?ccGroupId=" + ccGroupId;
				if (commUniId > 0) {
					params += "&commUniId=" + commUniId;
				}
				History.replaceState(null, document.title, params);
			}
			if (exportRequest) {
				$("#custName").text($("#custName").text() + ' - ' + cvUtil.cvLocalize('profiledashbaord.Profile'));
			}
		});
	} else if (companyId > 0) {
		var configURL = "getCompanyInfo.do?companyId=" + companyId;
		cvUtil.loadPageWithGET(configURL, null, function(output) {
			if (output.data && output.data.company) {
				var company = output.data.company;
				var cgName = reportsUtil.getTruncatedName(company.company.userGroupName);
				customerName = company.company.userGroupName;
				$('#custName').html(cgName);
				$('#custName').attr('title', customerName);
				$(document).attr("title", customerName + " - " + localMsg_Profile_Tasks);
			}
			if (cfeedback === 'true') {
				dashboard.showCustTouchDialog();
				var params = "?companyId=" + companyId;
				if (commUniId > 0) {
					params += "&commUniId=" + commUniId;
				}
				History.replaceState(null, document.title, params);
			}
			if (exportRequest) {
				$("#custName").text($("#custName").text() + ' - ' + cvUtil.cvLocalize('profiledashbaord.Profile'));
			}
		}, function(err) {
			cvUtil.errorToast(err.responseText.trim(), null, null, true);
		});
	}
};

dashboard.getCustomerInfo = function() {
	var request = {};
	request.customerId = ccGroupId;
	request.companyId = companyId;
	request.name = customerName;
	console.debug("Posting ajax request to fetch customer information");
	cvUtil.mask("#custInfoGrid");
	var configURL = cvUtil.getContextPath() + '/reports/fetchCustomerInfoById.do';
	cvUtil.loadPageWithPOST(configURL, request, function(resp) {
		if (resp) {
			isCommmvaultUser = resp.isCommvaultUser;
			if (resp.customerInfo.length > 0) {
				if (resp.customerInfo[0]['Customer Name<ProfileCustName>'] != undefined &&
						resp.customerInfo[0]['Customer Name<ProfileCustName>'].length > 0) {
					customerInfo = resp.customerInfo[0];
					customerInfo['CustomerInfoId<DONOTSHOW>'] = ccGroupId;
					customerInfo['CompanyId<DONOTSHOW>'] = companyId;
					//customerInfo['Customer Name<ProfileCustName>']=$('#custName').text();
					var data = resp.customerContactsInfo;
					var contactsList = [];
					for (var i = 0; i < data.length; i++) {
						var contact = {};
						contact.id = i;
						contact.name = data[i]['Contact Name'];
						contact.userId = data[i]['ContactUserId<DONOTSHOW>'];
						contact.contactId = data[i]['ContactId<DONOTSHOW>'];
						contact.phone = data[i]['Phone'];
						contact.email = data[i]['Email'];
						contact.primaryContact = (data[i]['Primary Contact'] == 1);
						contact.title = data[i]['Contact Title'];
						contact.group = data[i]['Group'];
						contact.status = data[i]['Status'];
						contact.actionEdit = 1;
						contact.actionDelete = contact.userId > 0 ? 0 : 1;
						contactsList[i] = contact;
						if (contact.userId == currentUserId) {
							loggedInUser = contact;
						}
					}
					customerInfo['Contacts'] = contactsList;
				}
			} else {
				customerInfo['Contacts'] = [];
				if(ccGroupId > 0){
					console.debug('Documents path for drive not received');
					dashboard.showDocumentsMessage(1);
				}
			}
			dashboard.updateCustomerInfo();
		}

		if (!isCommmvaultUser) {
			if(ccGroupId > 0){
				dashboard.showDocumentsMessage(2);
			}
			$('.custSatisfaction').removeClass('hide');
		} else {
			if (customerInfo['Paid Account<AccountType>'] == 1) {
				$('.requestFeedback').removeClass('hide');
			} else {
				$('.requestFeedback').removeClass('hide');
				$('.requestFeedback').addClass('hide');
			}
			if (docShareId <= 0) {
				console.debug('Documents paths for drive not received');
				dashboard.showDocumentsMessage(1);
			}
		}
		cvUtil.unmask("#custInfoGrid");
	}, function(resp) {
		cvUtil.errorToast(resp.responseText.trim(), null, null, true);
	});

};

dashboard.showDocumentsMessage = function(type, message) {
	message = message || '';
	if (type == 1) {//not configured
		$('.docsGrid a.docsDetails').hide();
		$('.docsGrid a.newFolder').hide();
		$('.docsGrid a.uploaddocs').hide();
		message = cvUtil.cvLocalize('profiledashbaord.error.docs_not_config');
	} else if (type == 2) {//no permissions
		$('.docsGrid a.docsDetails').hide();
		cvUtil.unmask(".docsGrid");
		message = cvUtil.cvLocalize('profiledashbaord.error.docs_no_permissions');
	} else if (type == 3) {//no data
		message = cvUtil.cvLocalize('No_Data_Available');
	}
	$('#docstablebody')
			.html("<TR><TD class='tableMessage' colspan=4><SPAN class='sprite icon-info'></SPAN> <SPAN class='msg'>" +
					message + "</SPAN></TD></TR>");
	if (type == 1) {//not configured
		$('#docstablebody .tableMessage').css('paddingLeft', '180px');
	} else if (type == 2) {//no permissions
		$('#docstablebody .tableMessage').css('paddingLeft', '150px');
	}
};

dashboard.updateCustomerInfo = function() {
	//$('.custName').html(customerInfo['Customer Name<ProfileCustomer>']);
	$('.tamName').html('');
	$('.engName').html('');
	$('.seName').html('');
	$('.samName').html('');

	$('.custName').html(customerInfo['Customer Name<ProfileCustName>']);
	$('.paidAccount').html((customerInfo['Paid Account<AccountType>'] == 1) ? 'Yes' : 'No');
	var overview = customerInfo['Overview'] ? customerInfo['Overview'] : '';
	if (overview && overview.length > 145) {
		$('.overview').attr('title', overview);
		overview = overview.substr(0, 140) + '...';
	}
	$('.overview').html(overview);
	if (customerInfo['Contacts']) {
		var custContactsPrimary = [];
		var custContactsOthers = [];
		for (var i = 0; i < customerInfo['Contacts'].length; i++) {
			if (customerInfo['Contacts'][i]['group'] == 4) {
				if (customerInfo['Contacts'][i]['title'].toUpperCase() == 'TAM') {
					$('.tamName').html(customerInfo['Contacts'][i]['name']);
				} else if (customerInfo['Contacts'][i]['title'].toUpperCase() == 'ENGINEER') {
					$('.engName').html(customerInfo['Contacts'][i]['name']);
				} else if (customerInfo['Contacts'][i]['title'].toUpperCase() == 'SE') {
					$('.seName').html(customerInfo['Contacts'][i]['name']);
				} else if (customerInfo['Contacts'][i]['title'].toUpperCase() == 'SAM') {
					$('.samName').html(customerInfo['Contacts'][i]['name']);
				}
			} else {
				if (customerInfo['Contacts'][i]['primaryContact']) {
					custContactsPrimary[custContactsPrimary.length] = customerInfo['Contacts'][i];
				} else {
					custContactsOthers[custContactsOthers.length] = customerInfo['Contacts'][i];
				}
			}
		}
		var custCtr = 0;
		var trDiv = 'custContactsRow1';
		$('#custContactsRow1 td').remove();
		$('#custContactsRow2 td').remove();
		var custContacts = custContactsPrimary.concat(custContactsOthers);
		if (custContacts.length > 0) {
			for (var i = 0; i < custContacts.length; i++) {
				var ctitle = custContacts[i]['title'];
				if (ctitle.length <= 0) {
					continue;
				}
				if (custCtr >= 2) {
					trDiv = 'custContactsRow2';
				}
				if (ctitle && ctitle.length > 20) {
					ctitle = ctitle.substr(0, 18) + '..';
				}
				var row = '<td class="label" title="' + custContacts[i]['title'] + '">' + ctitle +
						':<td class="value">' + custContacts[i]['name'] + '</td>';
				$('#' + trDiv).append(row);
				custCtr++;
				if (custCtr >= 4) {
					break;
				}
			}
		} else {
			var row = '<td class="label">' + cvUtil.cvLocalize('No_Data_Available') + '</td>';
			$('#' + trDiv).append(row);
		}

	}
};

dashboard.getTasksForCustomer = function() {
	var request = {};
	request.customerId = ccGroupId;
	request.companyId = companyId;
	request.topn = 5;

	console.debug("Posting ajax request to fetch users information");
	var configURL = cvUtil.getContextPath() + '/reports/fetchTasksList.do';
	cvUtil.mask(".tasksGrid");
	var isError = false;
	cvUtil
			.loadPageWithPOST(configURL,
					request,
					function(resp) {
						if (resp) {
							isCommmvaultUser = resp.isCommvaultUser;
							var showCnt = 5;
							var tableBody = '';
							var data = reportsUtil.convertCREtoTable(resp.tasksList).aaData;
							var max = data.length > showCnt ? showCnt : data.length;
							for (i = 0; i < max; i++) {
								var dt = data[i]["Target Date<MMMDDYYYY>"] * 1000;
								dt = moment(dt).format("MMM DD, YYYY")
								tableBody += '<TR><TD>' + data[i]["Name<Task>"] + '</TD><TD>' + data[i]["Assigned To"] +
										'</TD><TD>' + reportsUtil.getTaskStatus(data[i]["Status<TaskStatus>"]) +
										'</TD><TD>' + dt + '</TD></TR>'
								if (i >= (showCnt - 1)) {
									break;
								}
							}
							var totalTasks = 0;
							var status_summary = '';
							if (resp.tasksCount.length > 0) {
								for (var t = 0; t < resp.tasksCount.length; t++) {
									var tot = parseInt(resp.tasksCount[t]["Total Tasks"]);
									totalTasks += tot;
									status_summary += '<li class="task-meta">' +
											reportsUtil.getTaskStatus(parseInt(resp.tasksCount[t]["status"])) + ': ' +
											tot + '</li>';
								}
							}

							var summary = "";
							if (totalTasks > 0) {
								if (max <= 0) {
									summary = "<TR><TD class='tableMessage' colspan=4><SPAN class='sprite icon-info'></SPAN> <SPAN class='msg'>" +
											cvUtil.cvLocalize('profiledashbaord.error.no_open_tasks') +
											"</SPAN></TD></TR>";
								} else {
									cvUtil.cvLocalize('profiledashbaord.task.summary', max, totalTasks)
									summary = cvUtil.cvLocalize('profiledashbaord.task.summary', max, totalTasks);
									summary += '<TR><TD class="summaryRow" colspan=4>' + summary + '</TD></TR>'
								}
								var link = cvUtil.cvLocalize('profiledashbaord.task.link', totalTasks);
								$('.tasksTitle').html(link);
								$('#tasksSummaryMeta').html(status_summary);

							} else {
								summary = "<TR><TD class='tableMessage' colspan=4><SPAN class='sprite icon-info'></SPAN> <SPAN class='msg'>" +
										cvUtil.cvLocalize('No_Data_Available') + "</SPAN></TD></TR>";
							}
							tableBody += summary;
							$('#taskstablebody').html(tableBody);
							var params = '?';
							if (ccGroupId > 0) {
								params += '&ccGroupId=' + ccGroupId;
							}
							if (commUniId > 0) {
								params += '&commUniId=' + commUniId;
							}
							if (companyId > 0) {
								params += '&companyId=' + companyId;
							}
							params = params.replace('?&', '');
							$("a.tasksDetails")
									.attr("href", "profiletasks.jsp?fromProfile=true&" + params);
							$("a.add.tasks").attr('href',
									cvUtil.getContextPath() + '/survey/profileTask.do?from=dashboard&' + params);
						}
						cvUtil.unmask(".tasksGrid");
					},
					function(resp) {
						cvUtil.unmask(".tasksGrid");
						cvUtil.errorToast(resp.responseText.trim(), null, null, true);
					});

};

dashboard.getDocumentsList = function() {
	if (!isCommmvaultUser) {

	}
	var request = {};
	request.customerId = ccGroupId;
	request.companyId = companyId;
	request.topn = 5;

	console.debug("Posting ajax request to fetch documents list");
	var params = [];
	params.push(cvUtil.createParamString("shareFolderId", docShareId));
	params.push(cvUtil.createParamString("path", docPath));

	params.push(cvUtil.createParamString("isDirectoryShareBrowse", true));
	params.push(cvUtil.createParamString("iDisplayLength", 6));
	params.push(cvUtil.createParamString("retrieveSizeDistributions", false));
	params.push(cvUtil.createParamString("retrieveBreadcrumb", ""));
	params.push(cvUtil.createParamString("appType", browseAppType.getAppType()));

	var redirectURL = cvUtil.getContextPath() + "/server/doSyncBrowse?";
	cvUtil.mask(".docsGrid");
	var isError = false;
	cvUtil
			.loadPageWithPOST(redirectURL,
					cvUtil.createParamsString(params),
					function(resp) {
						if (resp) {
							//update folders breadcrumb...
							if (docPathsMap) {
								$('#foldersBreadcrumb').empty();
								var folders = '';
								$.each(docPathsMap, function(i, folder) {
									var guiddata = "data-fname='" + folder.name + "' data-guid='" + folder.guid + "'";
									var fdname = folder.name;
									if (fdname.length > 18) {
										fdname = fdname.substring(0, 18 - 3) + "...";
									}
									folders += '<li class="entity-link withSeparator docFolderName" ' + guiddata +
											' title="' + folder.name + '">' + fdname + '</li>';
									if (folder.guid === docPath) {
										docPathsMap.splice(i, docPathsMap.length - (i + 1));
										var path = 'shareFolderId=' + docShareId + '&path=' + docPath;
										$("a.docsDetails").attr({
											"href" : cvUtil.getContextPath() + "/browse/MyDrive.do?" + path,
											"target" : "_Blank"
										});
										return false;
									}
								});
								$('#foldersBreadcrumb').html(folders);
							}

							var tableBody = '';
							var data = resp.aaData;
							var showFolderLink = docPathsMap.length < 5;
							$('.newFolder').show();
							if (!showFolderLink) {
								$('.newFolder').hide();
							}
							var totalDocs = resp.iTotalRecords;
							var availDocs = data.length;
							var showLimit = 4;
							var internalTitle = '';
							if (!profileEdgeAdvSecurityConfigured) {
								internalTitle = cvUtil.cvLocalize('profiledashbaord.docs.permissions_not_configured');
							} else if (!edgeInfo.foundCustPermissions || edgeInfo.customerUserGroupId <= 0) {
								internalTitle = cvUtil.cvLocalize('profiledashbaord.docs.not_shared_with_customer');
							}
							edgeInfo.dataMap = {};
							for (i = 0; i < data.length; i++) {
								edgeInfo.dataMap[data[i]["path"]] = data[i];
								var downloadTd = '<TD></TD>';
								var nameTd = "<TD title='" + data[i]["name"] +
										"'><span class='sprite icon-leaf doc-icon' title=" + data[i]["name"] +
										"></span>" + data[i]["name"] + "</TD>";
								var itemAttrsEncoded = data[i]["selectionAttrsEncoded"];
								var guiddata = " data-fname='" + data[i]["name"] + "' data-guid='" + data[i]["path"] +
										"' data-inheritFromParent='" + data[i]["isInheritFromParent"] + "'";
								if (profileEdgeAdvSecurityConfigured) {
									var internal = !data[i]["isInheritFromParent"] ? ' checked ' : ' unchecked ';
									if (!edgeInfo.foundCustPermissions || edgeInfo.customerUserGroupId < 0) {
										internal = ' checked ';
									}

									var enableInternal = (edgeInfo.foundCustPermissions && edgeInfo.customerUserGroupId > 0) ? ''
											: ' disabled ';
									var permissionsTd = "<TD title='" + internalTitle +
											"'><span class='custom-cb adv-permission " + enableInternal + internal +
											"' data-state='" + internal + "' " + guiddata + "'></span></TD>";
								}
								if (data[i]["isFolder"]) {//Folder
									if (data[i]["name"] == "Tasks") {
										totalDocs--;
										availDocs--;
										showLimit++;
										continue;//Do not show Tasks folder in dashboard
									}
									var folderClass = showFolderLink ? " class=\'docFolderName entity-link\' "
											: " class=\'docFolderMsg entity-link\' ";

									nameTd = "<TD " + folderClass + guiddata + " title='" + data[i]["name"] +
											"'><span class='sprite icon-folder-closed doc-icon'></span>" +
											data[i]["name"] + "</TD>";
								} else {//File
									downloadTd = '<TD><a id="downloadLink" class="docActions downloadAction" title="Download" itemAttrsEncoded=' +
											itemAttrsEncoded +
											guiddata +
											'><span class="sprite reports-actions-store"></span></a></TD>';
								}
								var shareData = (data[i]["shareFolderId"]) ? 'data-shareFolderId=' +
										data[i]["shareFolderId"] : '';
								var shareTd = '<TD>';
								if (canReShareFile) {
									shareTd = shareTd +
											'<a id="shareLink" class="docActions shareAction" title="Share" ' +
											shareData + ' itemAttrsEncoded=' + itemAttrsEncoded + ' data-guid="' +
											data[i]["path"] + '"><span class="sprite icon-share"></span></a>';
								}
								shareTd = shareTd + '</TD>';
								var sizeTd = '<TD title="' + $(data[i]["size"]).text() + '">' + data[i]["size"] +
										'</TD>';
								var mdt = data[i]["modificationTime"] * 1000;
								mdt = moment(mdt).format("MMM DD, YYYY hh:mm A");
								var timeTd = '<TD title="' + mdt + '">' + mdt + '</TD>';
								tableBody += '<TR>' + nameTd + timeTd;
								tableBody += sizeTd;
								if (isCommvaultUser && profileEdgeAdvSecurityConfigured) {
									tableBody += permissionsTd;
								}
								tableBody += downloadTd + shareTd + '</TR>';
								if (i >= showLimit) {
									break;
								}
							}
							var max = availDocs > 5 ? 5 : availDocs;

							var summary = "";
							if (totalDocs > 0) {
								summary = 'Showing ' + (max) + ' of ' + totalDocs + ' documents';
								summary += '<TR><TD class="summaryRow" colspan=5>' + summary + '</TD></TR>';
								$('.docsTitle').html("Documents (" + totalDocs + ")");
							} else {
								summary = "<TR><TD class='tableMessage' colspan=5><SPAN class='sprite icon-info'></SPAN> <SPAN class='msg'>" +
										cvUtil.cvLocalize('No_Data_Available') + "</SPAN></TD></TR>";
								$('.docsTitle').html("Documents");
							}
							tableBody += summary;
							$('#docstablebody').html(tableBody);
							if (resp.userdata) {
								browseMain.actualFilePath = resp.userdata.actualFilePath;
								if (typeof resp.userdata.sharedPath !== "undefined" &&
										resp.userdata.sharedPath !== null) {
									browseMain.sharedPath = resp.userdata.sharedPath;
								}
							}
						}
						cvUtil.unmask(".docsGrid");
					},
					function(resp) {
						cvUtil.unmask(".docsGrid");
						dashboard.showDocumentsMessage(0, cvUtil.cvLocalize('profiledashbaord.error.docs_server'));
						if (resp.responseText && resp.responseText.trim().length > 0) {
							cvUtil.errorToast(resp.responseText.trim(), null, null, true);
						}

					});
};

dashboard.drawSLALineChart = function(frameId) {
	cvUtil.mask(".SLATrendLineChart");
	var request = {};
	request.customerId = ccGroupId;
	request.companyId = companyId;
	request.commUniId = commUniId;
	console.debug("Posting ajax request to fetch SLA trend list");
	$("#slaMessage").hide();
	var configURL = cvUtil.getContextPath() + '/reports/fetchSLATrendData.do';
	cvUtil.loadPageWithPOST(configURL, request, function(resp) {
		if (resp && resp.SLAList) {
			var cData = resp.SLAList;
			if (!cData || cData.seriesList.length <= 0) {
				$("#slaMessage").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
						cvUtil.cvLocalize('No_Data_Available') + "</span></p>");
				$("#slaMessage").show();
				cvUtil.unmask(".SLATrendLineChart");
				return;
			}
			var cw = 520, ch = 300;
			var series = cData.seriesList.length;
			if (series > 3) {
				ch -= 15;
			}
			if (series > 6) {
				ch -= 15;
			}
			if (series > 9) {
				ch -= 15;
			}

			var r = Raphael('slaTrendLine', 580, 350);
			cvcharts.createRaphaelLinechart(r, cData, {
				axis : "0 1 1 1",
				legend : -1,
				chartWidth : cw,
				chartHeight : ch,
				topMargin : 10,
				leftMargin : 50,
				//legendX:10,
				//legendY:10,
				labelxpos : 50,
				maxSteps : 12,
				showPartialLine : true,
				//barPointLabelWidth:40,
				shade : false,
				width : 1,
				showLegend : true,
				legendAnchor : "bottom",
				showLegendMultiLines : true,
				smooth : false,
				radius : 2,
				formatLabels : false
			}

			, null, true);
		} else {
			$("#slaMessage").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
					cvUtil.cvLocalize('No_Data_Available') + "</span></p>");
			cvUtil.unmask(".SLATrendLineChart");
		}
		cvUtil.unmask(".SLATrendLineChart");
	}, function(resp) {
		cvUtil.unmask(".SLATrendLineChart");
		if (resp.responseText) {
			cvUtil.errorToast(resp.responseText.trim(), null, null, true);
		}
	});
};

dashboard.drawCustomerLineChart = function() {
	var request = {};
	request.customerId = ccGroupId;
	request.companyId = companyId;
	console.debug("Posting ajax request to fetch customer touch list");
	cvUtil.mask(".custLineChart");
	var configURL = cvUtil.getContextPath() + '/reports/fetchTouches.do';
	cvUtil.loadPageWithPOST(configURL, request, function(resp) {
		$('#custSatisLine').empty();
		$("#custMessage").hide();
		if (resp) {
			isCommmvaultUser = resp.isCommvaultUser;
			var touchDrilldown;
			var cData = resp.touchList;
			if (!cData || cData.seriesList.length <= 0) {
				$("#custMessage").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
						cvUtil.cvLocalize('No_Data_Available') + "</span></p>");
				$("#custMessage").show();
				cvUtil.unmask(".custLineChart");
				return;
			}

			var cw = 520, ch = 240;
			var r = Raphael('custSatisLine', 580, 320);
			cvcharts.createRaphaelLinechart(r, cData, {
				axis : "0 1 1 1",
				legend : -1,
				chartWidth : cw,
				chartHeight : ch,
				topMargin : 15,
				leftMargin : 50,
				legendX : 10,
				legendY : 10,
				maxSteps : 12,
				showPartialLine : true,
				//barPointLabelWidth:40,
				shade : false,
				width : 1,
				showLegend : true,
				legendAnchor : "bottom",
				showLegendMultiLines : true,
				smooth : false,
				radius : 2,
				formatLabels : false
			}

			, touchDrilldown, true);
		}
		cvUtil.unmask(".custLineChart");
	}, function(resp) {
		cvUtil.unmask(".custLineChart");
		if (resp.responseText) {
			cvUtil.errorToast(resp.responseText.trim(), null, null, true);
		}
	});

};

dashboard.getTouchInfoById = function(touchId) {
	var request = {};
	request.touchId = touchId;
	request.customerId = ccGroupId;
	request.companyId = companyId;
	console.debug("Posting ajax request to fetch customer information");
	cvUtil.mask(".custLineChart");
	var configURL = cvUtil.getContextPath() + '/reports/fetchTouchInfoById.do';
	cvUtil.loadPageWithPOST(configURL, request, function(resp) {
		cvUtil.unmask(".custLineChart");
		if (resp) {
			if (resp.touchInfo.length > 0) {
				var touchInfo = resp.touchInfo[0];
				dashboard.showCustTouchDialog(touchInfo);
			}

		}

	}, function(resp) {
		cvUtil.errorToast(resp.responseText.trim(), null, null, true);
	});
};

dashboard.fetchDashboardData = function() {
	dashboard.getCustomerInfo();
	cvUtil.mask(".docsGrid");
	dashboard.getTasksForCustomer();
	dashboard.getCustomerEdgeDriveInfo();

	dashboard.drawSLALineChart();
	dashboard.drawCustomerLineChart();
};

function isSyncFolderBrowse() {
	return true;
}

browseAppType.setUpFlexLayout = function() {

};

browseAppType.getUploadApi = function() {
	return "syncFolderUploadHandler.do";
};

browseAppType.getAppType = function() {
	return "SYNCFOLDER";
};

browseMain.isSyncFolderBrowse = function() {
	return true;//isSyncFolder !== "undefined" && isSyncFolder !== null && isSyncFolder;
};
browseMain.isSyncFolderShareBrowse = function() {
	return true;
};

browseMain.refreshTable = function(resort) {
	console.log('Reloading documents after upload.');
	dashboard.getDocumentsList();
};

browseMain.addUploadFilePlaceholder = function(fileInfo) {

};

browseMain.initDrillDownReact = function(itemGuidPath, paramOffset) {

};

browseMain.setTableBrowseSessionId = function(newBrowseSessionId) {
	if (typeof newBrowseSessionId === "undefined" || newBrowseSessionId === null) {
		browseMain.clearTableBrowseSessionId();
	} else {
		browseMain.tableBrowseSessionId = newBrowseSessionId;
		console.debug("Table browse session ID set: " + browseMain.tableBrowseSessionId);
	}
};

browseMain.setTreeBrowseSessionId = function(newBrowseSessionId) {
	if (typeof newBrowseSessionId === "undefined" || newBrowseSessionId === null) {
		browseMain.clearTreeBrowseSessionId();
	} else {
		browseMain.treeBrowseSessionId = newBrowseSessionId;
		console.debug("Tree browse session ID set: " + browseMain.treeBrowseSessionId);
	}
};
browseMain.clearTableBrowseSessionId = function() {
	browseMain.tableBrowseSessionId = null;
	browseMain.facetInfoList = null; // new session means new results means different facets
	browseMain.invalidatePie = true; // session is cleared when timerange is changed or when show deleted items option is flipped.
	// for the sake of making this simple any reset of browse session will invalidate the pie
	console.debug("Table browse session ID cleared");
};

browseMain.clearTreeBrowseSessionId = function() {
	browseMain.treeBrowseSessionId = null;
	console.debug("Tree browse session ID cleared");
};

browseMain.clearBrowseSessionIds = function() {
	browseMain.clearTableBrowseSessionId();
	browseMain.clearTreeBrowseSessionId();
};
browseMain.findBrowseItemForSelectedRow = function() {
	return {
		'shareFolderId' : itemShareFolderId,
		'subclientId' : 0
	};
};

dashboard.updateEdgeAdvSecuritySettings = function(fname, fguid, inheritFromParent) {
	if (!profileEdgeAdvSecurityConfigured || !edgeInfo.foundCustPermissions || edgeInfo.customerUserGroupId <= 0) {
		console.log('Invalid edge drive advanced settings request.')
		return;
	}
	console.debug("Posting ajax request for adv security");
	var params = [];
	params.push(cvUtil.createParamString("fileGuidId", fguid));
	params.push(cvUtil.createParamString("fileName", fname));
	params.push(cvUtil.createParamString("ccGroupId", ccGroupId));
	params.push(cvUtil.createParamString("companyId", companyId));
	params.push(cvUtil.createParamString("internal", inheritFromParent));
	var URL = cvUtil.getContextPath() + "/server/profileEdgeAdvSecurity.do?";
	cvUtil.mask(".docsGrid");
	cvUtil.loadPageWithPOST(URL, cvUtil.createParamsString(params), function(resp) {
		cvUtil.unmask(".docsGrid");
		if (resp.data.errorCode && resp.data.errorCode > 0) {
			cvUtil.getTopWindow().cvUtil.errorToast(resp.data.errorMessage, null, null, true);
		} else if (resp.data.status) {

		}
		dashboard.getDocumentsList();
	}, function(resp) {
		cvUtil.unmask(".docsGrid");
		if (resp.responseText) {
			cvUtil.getTopWindow().cvUtil.errorToast(resp.responseText.trim(), null, null, true);
		}
		dashboard.getDocumentsList();
	});
};

dashboard.downloadAttachment = function(fname, fguid) {
	console.debug("Posting ajax request to download document");
	var params = [];
	params.push(cvUtil.createParamString("fileGuidId", fguid));
	params.push(cvUtil.createParamString("fileName", fname));
	params.push(cvUtil.createParamString("ccGroupId", ccGroupId));
	params.push(cvUtil.createParamString("companyId", companyId));
	var URL = cvUtil.getContextPath() + "/server/downloadProfileAttachment.do?";
	cvUtil.loadPageWithPOST(URL, cvUtil.createParamsString(params), function(resp) {
		if (resp.data.errorCode) {
			cvUtil.getTopWindow().cvUtil.errorToast(resp.data.errorMessage, null, null, true);
		} else {
			$("#fileNameToDownload").val(window.encodeURIComponent(resp.data.fileName));
			$("#exportForm").submit();
		}
	}, function(resp) {
		if (resp.responseText) {
			cvUtil.getTopWindow().cvUtil.errorToast(resp.responseText.trim(), null, null, true);
		}
	});
	cvUtil.toast(cvUtil.cvLocalize('profile.download.msg'));
};

browseMain.getPathForUpload = function() {
	return browseMain.browsePath;
};

function showErrorMessage(msg) {
	$('#profileDBMsg').text(msg);
	$('#profileDBMsgDiv').show();
	$('#moreProfileButton').hide();
}

dashboard.getCustomerEdgeDriveInfo = function() {
	//if (!isCommmvaultUser && ccGroupId > 0) {
	//	dashboard.showDocumentsMessage(2);
	//	return;
	//}
	var request = {};
	request.customerId = ccGroupId;
	request.companyId = companyId;
	request.getAdvSettings = true;
	request.name = customerName;
	console.debug("Posting ajax request to init customer edge drive folder information");
	cvUtil.mask("#custInfoGrid");
	var configURL = cvUtil.getContextPath() + '/reports/getCustomerEdgeFolderInfo.do';
	cvUtil.loadPageWithPOST(configURL, request, function(resp) {
		if (resp && resp.shareFolderId && resp.shareFolderGuid) {
			if (docPath == undefined) {
				docShareId = resp.shareFolderId;
				docPath = resp.shareFolderGuid;
				canReShareFile = resp.canReShareFile;
				edgeInfo.customerUserGroupId = resp.customerUserGroupId;
				edgeInfo.foundCustPermissions = resp.foundCustPermissions;
				edgeInfo.permissions=resp.permissions;
			}
			if (docShareId > 0) {
				docPathsMap.push({
					'name' : 'Profile Dashboard',
					'guid' : docPath
				});
				var path = 'shareFolderId=' + docShareId + '&path=' + docPath;
				browseMain.profileShareFolderId = docShareId;
				browseMain.shareFolderId = docShareId;
				browseMain.parentGuid = docPath;
				browseMain.browsePath = docPath;
				$("a.docsDetails").attr({
					"href" : cvUtil.getContextPath() + "/browse/MyDrive.do?" + path,
					"target" : "_Blank"
				});
				if(edgeInfo.permissions !== 2){
					$('#uploadLink').remove();
					$('.newFolder').remove();
				}
				dashboard.getDocumentsList();
			} else {
				console.debug('Documents path for drive not received');
				dashboard.showDocumentsMessage(1);
			}
		} else {
			console.debug('Documents path for drive not received');
			dashboard.showDocumentsMessage(1);
		}

	}, function(resp) {
		cvUtil.errorToast(resp.responseText.trim(), null, null, true);
	});
};
$(document).ready(function() {
	$(".collapsible-page-tabs").addClass("profileResponsive");
	$("#headerSearchCC").addClass("profileResponsive");
	$('#custName').html(cvUtil.cvLocalize('profile.Profile_Dashboard'));
	window.reportEnum = "Survey";
	if (isCommvaultUser) {
		$('#exportMenu').addClass('dashboard-export-menu');
		$('.requestFeedback').addClass('hide');
	}

	if (commUniId <= 0 && (ccGroupId <= 0 && companyId <= 0)) {
		showErrorMessage(cvUtil.cvLocalize('profiledashbaord.error.invalid'));
		return;
	}
	dashboard.getCommCellGroupInfo();
	reportsUtil.getCCGroupProfileInfo(commUniId, ccGroupId, companyId, function(data) {

		if (data == undefined) {
			showErrorMessage(cvUtil.cvLocalize('profiledashbaord.error.unable_profile'));
			return;
		} else if (commUniId > 0 && (data.ccGroupId <= 0 && data.companyId <= 0)) {
			showErrorMessage(cvUtil.cvLocalize('profiledashbaord.error.commcell_no_association'));
			return;
		} else if (data.enabledProfile == false && companyId <= 0) {
			showErrorMessage(cvUtil.cvLocalize('profiledashbaord.error.not_enabled', data.ccGroupName));
			return;
		}
		if(companyId <= 0 && ccGroupId <= 0){
			if(data.companyId > 0){
				companyId = data.companyId;
			}else{
				ccGroupId = data.ccGroupId;
			}
		}
		$('.dashcontainer').removeClass('hide');
		dashboard.fetchDashboardData();
		if (isCommvaultUser) {
			browseMain.browseActions = new BrowseActions();
			browseMain.selectionManager = {};
			browseMain.selectionManager.unselectAll = function() {
				itemShareFolderId = undefined;
			};
			browseMain.selectionManager.getSelectedItemsJson = function() {
				return JSON.stringify({
					items : edgeInfo.selectedItems,
					fieldsFilter : null
				});
			};
		}

		$('#docsTable tbody').on('click', '.downloadAction', function() {
			var fname = $(this).data('fname');
			var fguid = $(this).data('guid');
			dashboard.downloadAttachment(fname, fguid);
		});
		$('#docsTable tbody').on('click', '.adv-permission', function() {
			var fname = $(this).data('fname');
			var fguid = $(this).data('guid');
			var inheritFromParent = $(this).data('inheritfromparent');
			dashboard.updateEdgeAdvSecuritySettings(fname, fguid, inheritFromParent);
		});
		$('#docsTable tbody').on('click', '.shareAction', function(event) {
			var shareid = $(this).data('sharefolderid');
			var fguid = $(this).data('guid');
			var rowdata = edgeInfo.dataMap[fguid];
			if (shareid) {
				itemShareFolderId = shareid;
			}
			edgeInfo.selectedItems = [];
			edgeInfo.selectedItems.push(rowdata);
			browseMain.browseActions.startShare(event);
		});

		$('.documentsContainer').on('click', '.docFolderName', function() {
			var guid = $(this).data("guid");
			var fname = $(this).data("fname");
			docPathsMap.push({
				'name' : fname,
				'guid' : guid
			});
			docPath = guid;
			browseMain.profileShareFolderId = docShareId;
			browseMain.shareFolderId = docShareId;
			browseMain.parentGuid = docPath;
			browseMain.browsePath = docPath;
			dashboard.getDocumentsList();

		});
		$('.documentsContainer').on('click', '.docFolderMsg', function() {
			cvUtil.toast(cvUtil.cvLocalize('profiledashbaord.error.folder_details'));
		});
		var slaParams = "showSLATrend=true&surveyId=146&repType=SLATrend&";
		var urlParams = 'ccGroupId=' + ccGroupId;
		if(companyId > 0){
			urlParams = "companyId=" + companyId;
		}
		if (commUniId > 0) {
			urlParams += "&commUniId=" + commUniId;
		}
		slaParams += urlParams;
		if (commUniId > 0) {
			$("a.slaTrend")
					.attr("href", cvUtil.getContextPath() + "/survey/reports/indcommcellsurvey.jsp?" + slaParams);
		} else {
			$("a.slaTrend").attr("href", cvUtil.getContextPath() + "/survey/reports/CommCellSurvey.jsp?" + slaParams);
		}

		$("a.feedbackdetails").attr("href",
				cvUtil.getContextPath() + "/survey/profile/profilefeedbackdetails.jsp?" + urlParams);
		$("#customerTouchLink").click(function() {
			dashboard.showCustTouchDialog();
		});
		
		$('.custInfo').click(function(){
			dashboard.showCustInfoDialog();
		});
		
		$('.contacts').click(function(){
			dashboard.showCustomerContactsDialog();
		});
		$('.notification').click(function(){
			dashboard.showNotificationDialog();
		});
		$('.newFolder').click(function(event){
			dashboard.showFolderCreationDialog(event);
		});
		$('.custSatisfaction').click(function(){
			dashboard.showCustTouchDialog();
		});
		$('.requestFeedback').click(function(){
			dashboard.showRequestFeedbackDialog();
		});
		
		/*
		 * $('#reportaproblemLink').click(function(){ dashboard.showReprtAProblemDialog(); });
		 * $('#tamweeklystatusLink').click(function(){ dashboard.showTAMWeeklyStatusDialog(); });
		 * $('#tamweeklymailLink').click(function(){ dashboard.showTAMWeeklyMailDialog(); });
		 */
	}, function(resp) {
		cvUtil.errorToast(resp.responseText.trim(), null, null, true);
		showErrorMessage(resp.responseText.trim());
		return;
	});

	report.getExportFilePrefix = function() {
		return $('#custName').text() + ' - Profile';
	};

	report.getExportPageOptions = function(exportType) {
		var opts = 'orientation=landscape';
		return opts;
	};
});
