<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="" name="changePage" />
	<jsp:param value="Profile Dashboard" name="title" />
	<jsp:param value="Profile Dashboard" name="headerTitle" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/summary/css/summarystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/reports.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />

	<jsp:param value="Profile Dashboard" name="titleLocalized" />
	<jsp:param value="reports/reportsBase.jsp" name="jsp" />
	<jsp:param value="false" name="includeTableSupport" />
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />

 	<jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.css" name="css" />

	<jsp:param value="${pageContext.request.contextPath}/browse/css/upload.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/upload/css/fileprogress.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/profile.css" name="css" />

</jsp:include>
<jsp:include page="../reports/surveyHeader.jsp">
	<jsp:param value="true" name="changePage" />
	<jsp:param value="../reports/dashboard.jsp" name="searchPage"/>
	<jsp:param name="welcomeMsg" value="" />
	<jsp:param name="searchCC" value="true" />
	<jsp:param name="showTabs" value="true" />
	<jsp:param name="includeCROptionBeforeSearch" value="true" />
	<jsp:param name="profiledashboard" value="true" />
	<jsp:param name="includeDashboardBreadcrumb" value="true" />
	<jsp:param value="true" name="exportPdf"/>
	<jsp:param value="true" name="exportHtml"/>
	<jsp:param value="true" name="printButton"/>
	<jsp:param value="true" name="exportEnabled"/>
</jsp:include>
	<fmt:message key="profile.Profile_Dashboard" var="Profile_Dashboard" />
	<fmt:message key="NoDataAvailable" var="NoDataAvailable" />
	<fmt:message key="tasks.Profile_Tasks" var="Profile_Tasks" />
	<fmt:message key="profile.Invalid_CommCell_Group_Id" var="Invalid_CommCell_Group_Id" />
	<fmt:message key="Reports" var="Reports" />
	<fmt:message key="profile.Profile_not_configured" var="Profile_not_configured" />
	<fmt:message key="profile.Profile_disabled" var="Profile_disabled" />

<fmt:bundle basename="localization.BackupBrowseMessages">
	<fmt:message key="backupBrowse.notification.downloadSubmitted" var="downloadSubmitted" />
	<fmt:message key="upload.label.createFolder" var="createFolder" />
	<fmt:message key="sharing.label.savedFolderCreated" var="savedFolderCreatedText" />
	<fmt:message key="sharing.label.savedFolderUpdated" var="savedFolderUpdatedText" />
</fmt:bundle>

<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	window.tempCvIdtoMask= "undefined";
	var showCommCellProfile=false, showCommCellMultiGroupsMsg=false, isCommvaultUser=false, currentUserId=0;
	<c:if test="${sessionScope.showProfileSingleCommcell != null}">
		showCommCellProfile=${sessionScope.showProfileSingleCommcell};
		<c:if test="${sessionScope.MetricsSingleCommcellMultiGroups != null}">
			showCommCellMultiGroupsMsg=${sessionScope.MetricsSingleCommcellMultiGroups};
		</c:if>
	</c:if>
	<c:if test="${sessionScope.isCommvaultUser == true}">
		isCommvaultUser=true;
	</c:if>
	var profileEdgeAdvSecurityConfigured = ("true" == "${applicationScope.ProfileEdgeAdvSecurityConfigured}");
	currentUserId = ${sessionScope.USERID};
	var browseFeatures = browseFeatures || {};
	browseFeatures.downloadAvailable = true;//("true" === "${requestScope.browse.features.isDownloadAvailable()}");
	browseFeatures.uploadAvailable = true;//("true" === "${requestScope.browse.features.isUploadAvailable()}");
	var browseMain = browseMain || {};
	browseMain.isSingleFileShareBrowse = false;
	browseMain.displayName = "${escapedShareFolderName}";
	browseMain.showPublicShare = browseMain.showPublicShare || "";
	browseMain.showReshareFeature=true;
	browseMain.selectionInfo = browseMain.selectionInfo || {};
	browseMain.selectionInfo.itemCount = 0;
	browseMain.selectionInfo.folderCount = 0;
	browseMain.selectionInfo.totalSize = 0;
	browseMain.pendingAjaxCalls = browseMain.pendingAjaxCalls || {};
	var isArchiver = ("true" === "${requestScope.IS_ARCHIVER}");
	var isSyncFolder = ("true" === "${requestScope.IS_SYNC_FOLDER}");
	var search = {};
	search.availableFields = [];
	search.searchMap = {};
	var browseAppType = browseAppType || {};
	window.uploadAjaxRequests = [];
	var localMsg = localMsg || {};
	localMsg.downloadSubmitted="${downloadSubmitted}";
	localMsg.CreateFolder="${createFolder}";
	localMsg.savedFolderCreatedText="${savedFolderCreatedText}";
	localMsg.savedFolderUpdatedText="${savedFolderUpdatedText}";
	var localMsg_Profile_Dashboard = "${Profile_Dashboard}";
	var localMsg_NoDataAvailable = "${NoDataAvailable}";
	var localMsg_Profile_Tasks = "${Profile_Tasks}";
	var localMsg_Invalid_CommCell_Group_Id = "${Invalid_CommCell_Group_Id}";
	var localMsg_Reports = "${Reports}";
	var localMsg_Profile_not_configured = "${Profile_not_configured}";
	var localMsg_Profile_disabled = "${Profile_disabled}";
</script>
<div id="ContentWrapper">
	<div class="clear-both"></div>
	<div id='profileDBMsgDiv' class='hide-profile'>
		<span class='sprite icon-info'></span>
		<span id='profileDBMsg'></span>
	</div>

		<div class="dashcontainer hide">
			<div class="leftpane">
				<div class="grid_1_cust grid" id="custInfoGrid">
					<div class="chartholder">
						<span class="title" title="<fmt:message key="profiledashbaord.CustomerInformation"/>"><fmt:message key="profiledashbaord.CustomerInformation"/></span>
						<a class="gridIcon edit custInfo hideOnExportFriendly" title="<fmt:message key="profiledashbaord.EditCustomer"/>"><span class='sprite icon-edit'></span></a>
						<a class="gridIcon contacts hideOnExportFriendly" title="<fmt:message key="profiledashbaord.CustomerContacts"/>"><span class='sprite icon-contacts'></span></a>
						<div class="content custInformation">
							<div id="custInfo">
								<table>
									<tr>
										<td class="label"><fmt:message key="profiledashbaord.CustName"/></td><td class="value custName"></td>
										<td class="label"><fmt:message key="profiledashbaord.ESPAccount"/></td><td class="value paidAccount"></td>
									</tr>
									<tr>
										<td class='contactsSubHeader' colspan='4'><fmt:message key="profiledashbaord.CustomerContacts"/></td>
									</tr>
									<tr id='custContactsRow1' class='custContacts'>

									</tr>
									<tr id='custContactsRow2' class='custContacts'>

									</tr>
									<tr>
										<td class='contactsSubHeader' colspan='4'><fmt:message key="profiledashbaord.CommVaultContacts"/></td>
									</tr>
									<tr>
										<td class="label"><fmt:message key="profiledashbaord.TAM"/></td><td class="value tamName"></td>
										<td class="label" style="vertical-align:top"><fmt:message key="profiledashbaord.SE"/></td><td class="value seName" style="vertical-align: top;"></td>
									</tr>
									<tr>
										<td class="label"><fmt:message key="profiledashbaord.Overview"/></td><td colspan=3 class="overview"></td>
									</tr>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="grid_1_cust grid tasksDocsGrid tasksGrid">
					<div class="chartholder">
						<span class="title tasksTitle" title="<fmt:message key="profiledashbaord.Tasks"/>"><fmt:message key="profiledashbaord.Tasks"/></span>
						<a class="gridIcon viewdetails tasksDetails followForExport" title="<fmt:message key="profiledashbaord.Details"/>" href="#"><span class='sprite icon-detail'></span></a>
						<a class="gridIcon add tasks hideOnExportFriendly" title="<fmt:message key="profiledashbaord.NewTask"/>" ><span class='sprite icon-plus'></span></a>
						<c:if test="${sessionScope.isCommvaultUser == true}">
							<a class="gridIcon notification tasks hideOnExportFriendly" title="<fmt:message key="profiledashbaord.notification"/>"><span class='sprite icon-email-settings'></span></a>
						</c:if>

						<div class="content tasksContainer">
							<ul id="tasksSummaryMeta" class="tasksSummary">

							</ul>
							<div class="clear-both"></div>
							<div class="tableViewHolder">
								<table id="tasksTable" class="tablesorter dbTable">
									<thead>
										<tr class="dbHeader">
											<th><fmt:message key="profiledashbaord.TaskName"/></th>
											<th><fmt:message key="profiledashbaord.AssignedTo"/></th>
											<th><fmt:message key="profiledashbaord.Status"/></th>
											<th><fmt:message key="profiledashbaord.DueDate"/></th>
										</tr>
									</thead>
									<tbody id="taskstablebody">

									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				<div class="grid_1_cust grid tasksDocsGrid docsGrid">
					<div class="chartholder">
						<span class="title docsTitle" title="<fmt:message key="profiledashbaord.UploadedDocuments"/>"><fmt:message key="profiledashbaord.Documents"/></span>
						
						<a class="gridIcon viewdetails docsDetails hideOnExportFriendly" title="<fmt:message key="profiledashbaord.Details"/>"><span class='sprite icon-detail'></span></a>
						<a id="uploadLink" class="selections uploaddocs hideOnExportFriendly" title="Upload Documents"><span class='sprite icon-upload-file'></span></a>
						<a class="gridIcon add newFolder hideOnExportFriendly" title="<fmt:message key="profiledashbaord.NewFolder"/>" ><span class='sprite icon-folder-new'></span></a>
						

						<div class="content documentsContainer">
							<ul id="foldersBreadcrumb" class="selectedFolders">

							</ul>
							<div class="clear-both"></div>
							<div class="tableViewHolder">
								<table id="docsTable" class="tablesorter dbTable">
									<thead>
										<tr class="dbHeader">
											<th><fmt:message key="profiledashbaord.DocName"/></th>
											<th><fmt:message key="profiledashbaord.DateModified"/></th>
											<th><fmt:message key="profiledashbaord.Size"/></th>
											<c:if test="${sessionScope.isCommvaultUser == true && applicationScope.ProfileEdgeAdvSecurityConfigured == true}">
												<th title="<fmt:message key="profiledashbaord.internal_text"/>"><fmt:message key="profiledashbaord.internal"/></th>
											</c:if>
											<th class="action-icon"></th>
											<th class="action-icon"></th>
										</tr>
									</thead>
									<tbody id="docstablebody">
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="rightpane">
				<div class="grid_2 grid SLATrendLineChart">
					<div class="chartholder">
						<span class="title" title="<fmt:message key="profiledashbaord.SLATrend"/>"><fmt:message key="profiledashbaord.SLATrend"/></span>
						<a class="gridIcon viewdetails slaTrend followForExport" title="<fmt:message key="profiledashbaord.Details"/>" href="#"><span class='sprite icon-detail'></span></a>
						<div class="content slaTrendContainer">
							<div id="slaTrendLine" class="center-align">
							</div>
							<div id="slaMessage"></div>
						</div>
					</div>
				</div>
				<div class="grid_2 grid custLineChart">
					<div class="chartholder">
						<span class="title" title="<fmt:message key="profiledashbaord.CustomerSatisfaction"/>"><fmt:message key="profiledashbaord.CustomerSatisfaction"/></span>
						<a class="gridIcon viewdetails feedbackdetails followForExport" title="<fmt:message key="profiledashbaord.Details"/>" href="#"><span class='sprite icon-detail'></span></a>
						<c:if test="${sessionScope.isCommvaultUser == false}">
							<a class="gridIcon add custSatisfaction hideOnExportFriendly hide" title="<fmt:message key="profiledashbaord.AddCustomerSatisfaction"/>" ><span class='sprite icon-plus'></span></a>
						</c:if>
						<c:if test="${sessionScope.isCommvaultUser == true}">
							<a class="gridIcon add requestFeedback hideOnExportFriendly" title="<fmt:message key="profiledashbaord.RequestFeedback"/>" ><span class='sprite icon-feedback-notif'></span></a>
						</c:if>
						<div class="content custSatisfactionContainer">
							<div id="custSatisLine"  class="center-align">
							</div>
							<div id="custMessage"></div>
						</div>
					</div>
				</div>
			</div>
		</div>

</div>

</fmt:bundle>

<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
		<input id="downloadType" type='hidden' name='type' value='report' />
		<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
	</form>

	<%@include file="../../upload/index.jsp" %>
	<%@include file="../../browse/createFolderDialog.jsp" %>
	<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/browse/js/browseCommon.js?${applicationScope.BUILD_TS}"></script>
	<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/browse/js/uploadFile.js?${applicationScope.BUILD_TS}"></script>
	<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/browse/js/browseActions.js?${applicationScope.BUILD_TS}"></script>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	 <jsp:param value="true" name="bootstrapped" />
	<jsp:param value="js/profilecustdashboard.js" name="js" />
</jsp:include>
