<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.SurveyMessages">

	<jsp:include page="../../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/profile.css" name="css" />
	</jsp:include>

	<style>
		#content {
		    background-color: white;
		    border: medium none;
		    box-shadow: none;
		    min-height: 1px;
		    padding: 0;
		}
	</style>
	<script nonce="${sessionScope.cspNonce}" >
	    var localMsg = localMsg || {};
		${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};
	</script>
	<div>
		<form id="requestFeedbackForm">
			<span><fmt:message key="requestFeedback.selectContacts"/></span>
			<div class='feedbackContacts'>
				<table id='rfContactsList'>
					<thead>
						<tr>
							<th><input type="checkbox" id="includeAllContacts"></th>
							<th><fmt:message key="requestFeedback.name"/></th>
							<th><fmt:message key="requestFeedback.title"/></th>
							<th><fmt:message key="requestFeedback.team"/></th>
							<th><fmt:message key="requestFeedback.primaryContact"/></th>
						</tr>
					</thead>
					<tbody id='contactsTableBody'></tbody>
				</table>
			</div>
			<div class='notifTypeDiv'>
			<div class='rfOptions notifType'>
				<input type="checkbox" id="quarterly" value="1" checked="checked"> <fmt:message key="requestFeedback.sendQuarterly"/>
			</div>
			<div class='rfOptions notifType'>
				<input type="checkbox" id="sendNow" value="1" checked="checked"> <fmt:message key="requestFeedback.sendNow"/>
			</div>
			</div>
		</form>
		<fmt:bundle basename="localization.messages">
			<div class="buttonsDiv btns rghtFloat" >
				<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a>
				<a href="#" id="okButton" class="okSaveButton"><fmt:message key="Submit" /></a>
			</div>
		</fmt:bundle>
	</div>
</fmt:bundle>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/profile/js/profilereqfeedback.js" name="js" />
</jsp:include>
