<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../../WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.SurveyMessages">
<c:set var="atCommcellGroupLevel" value='' scope="page" />
<c:if test="${param.ccGroupId != null || param.ccGroupId > 0}">
	<c:set var="atCommcellGroupLevel" value='worldwideUrl' scope="page" />
</c:if>
<c:choose>
	<c:when test="${param.exportType =='pdf' && param.surveyId=='92'}">
		<jsp:include page="royaltyReport.jsp">
			<jsp:param value="${pageContext.request.contextPath}/survey/css/royaltyReport.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/survey/js/royaltyReport.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
		</jsp:include>
	</c:when>
	<c:otherwise>
		<jsp:include page="../../common/header.jsp">
			<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
			<jsp:param value="true" name="includeJqueryUI" />
			<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.multiselect.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css"
				name="css" />
			<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
			<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />

			<jsp:param value="reports/reportsBase.jsp" name="jsp" />
			<jsp:param value="true" name="includeHistory" />
			<jsp:param value="true" name="includeTableSupport" />
			<jsp:param value="true" name="includeCustomSelect" />

			<jsp:param value="true" name="changeSurvey" />
			<jsp:param value="report" name="appName" />
			<jsp:param value="CommCell Survey" name="titleLocalized" />
			<jsp:param value="CommCell Survey" name="headerTitleLocalized" />
			<jsp:param value="true" name="bootstrapped" />
			<jsp:param value="true" name="reportsNav" />
		</jsp:include>


		<c:set var="isPrivateMetrics"
			value="${applicationScope.isPublicMetricsCloud == null || applicationScope.isPublicMetricsCloud == 'false'}" />

		<script type="text/javascript" nonce="${sessionScope.cspNonce}" >
			var isPrivateMetrics = "${isPrivateMetrics}";
			window.urlInitializationNotRequired = true;
			var summarySupported = [ 1, 12, 41, 5, 48, 38, 8, 25, 35, 4, 26, 55, 67, 92, 96, 104, 117, 134, 51, 137, 31, 196, 200, 201 ];

			function loadData() {
				var commUniId = cvUtil.getParameter('commUniId', 0);
				var ccGroupId = cvUtil.getParameter('ccGroupId', -1);
				if (ccGroupId > 0 && commUniId <= 0) {
					/* $("#commcellUrl").attr("href", "CommCellSurvey.jsp?surveyId="+surveyId); */
					var wwLinkParams = [];
					wwLinkParams.push("surveyId=" + surveyId);
					reportsUtil.setWorldwideLink(true, wwLinkParams);
					getCommCellDetailsOfUid(commUniId, null, function(data) {
						if (data.error) {
							$(".cvApps").hide();
							$("#noDataNotificationPanel").html(data.error);
							$("#noDataNotificationPanel").show();
						} else {
							$('#custName').html(data.GroupName + " - ");
							//$('.reportsLink').text(data.GroupName + ' (Reports)');
							$(document).attr("title", data.GroupName + " - " + $(document).attr("title"));
						}
					});
				}

				if (ccGroupId == -1 && commUniId ==0 ) {
					$('#custName').hide();
				}
				getTotalComcell();
				showHideComponents(surveyId, summarySupported);
				var fromSLA = cvUtil.getParameter("fromDashboardSLA");
				if (fromSLA != undefined && fromSLA == 'true') {
					var slaDays = "${applicationScope.MetricsReportingSLADays}";
					$('#surveyName').html('SLA');
				}
				if (surveyId != 117 && surveyId != 119 && surveyId != 25 && surveyId != 67) {
					if (surveyId == 15 || surveyId == 104) {
						isChart = false;
						if (surveyId == 104)
							isTable = false;
					} else if (surveyId == 55 || surveyId == 51) {
						isChart = true;
					} else if (surveyId == 134) {
						isTable = false;
					} else if (surveyId == 96 || surveyId == 196) {
						isChart = true;
						isTable = false;
					}
					if (surveyId == 51){
						var tenant = encodeURIComponent(cvUtil.getParameter('tenant', ''));
					}
					generateSummaryTable(surveyId, isChart, isTable, tenant);
				}
				if (surveyId == 119 || surveyId == 67) {
					var table1Title = "";
					var table2title = "";
					var optionalParam1;
					var optionalParam2;
					var commUniId = cvUtil.getParameter('commUniId', '');
					$('#commCellDetails2').show();
					if (surveyId == 67) {
						table1Title = cvUtil.cvLocalize("Clients_Details");
						//table2title = "Deleted/Deconfigured Clients";
						table2title = cvUtil.cvLocalize("Exceptions");
						exceptionsParam1 = {
							"Active" : 0,
							"blaggregate" : 0
						};
						exceptionsParam2 = {
							"Active" : 1,
							"blaggregate" : 1
						};
						if (!cvUtil.getParameter("entity")) {
							generateTable(surveyId,'GetSurveySummary',true,false,'summaryDetails','summaryPager',cvUtil.cvLocalize("chart.title.Clients_Count_Trending"),commUniId,'IndCommCell',false, false, true);
							generateTable(surveyId,
									'GetSurveyDetails',
									false,
									true,
									'mediaAgentDetails',
									'indCommCellDetailsPager',
									cvUtil.cvLocalize("Overview"),
									commUniId,
									'IndCommCell',
									false,
									false,
									true,
									exceptionsParam1);
							generateTable(surveyId,
									'GetSurveyDetails',
									false,
									true,
									'summaryDetails2',
									'summaryPager2',
									"Exceptions",
									'',
									'Summary',
									true,
									false,
									true,
									exceptionsParam2);
						} else {
							var exceptionsParam3 = {
								"Active" : 1,
								"blaggregate" : 0
							};
							generateTable(surveyId,
									'GetSurveyDetails',
									isChart,
									isTable,
									'summaryDetails',
									'summaryPager',
									"Client Details",
									'',
									'Summary',
									true,
									false,
									true,
									exceptionsParam3);
						}
					} else if (surveyId == 119) {
						table1Title = cvUtil.cvLocalize("Based_On_Full_Job_Within_30Days");
						table2title = cvUtil.cvLocalize("Based_On_Incremental_Job_Last_7Days");
						optionalParam1 = {
							"OnFullJobs" : 1
						};
						optionalParam2 = {
							"OnFullJobs" : 0
						};
						generateTable(surveyId,
								'GetSurveyDetails',
								false,
								true,
								'commCellDetails',
								'indCommCellDetailsPager',
								table1Title,
								commUniId,
								'IndCommCell',
								false,
								false,
								true,
								optionalParam1);
						generateTable(surveyId,
								'GetSurveyDetails',
								false,
								true,
								'commCellDetails2',
								'indCommCellDetailsPager',
								table2title,
								commUniId,
								'IndCommCell',
								false,
								false,
								true,
								optionalParam2);
					}

				}
				var showSLATrend = cvUtil.getParameter("showSLATrend");
				if (showSLATrend != undefined && showSLATrend == 'true') {
					$('#surveyName').html('SLA Trend');
				}
				surveyCommon.addDetailsLink();
				if(surveyId == 51 || surveyId == 137){
					var excludeTranscationLogs = cvUtil.getParameter("excludeTranscationLogs", 0);
					var val = excludeTranscationLogs  == '1'? 'checked':'unchecked';
					$('#meta').parent().append("<span class='excludeTransLogs hideOnExportFriendly'><span id='transactionLogs' class='custom-cb "+val+"' data-state='"+val+"'></span><span>"+cvUtil.cvLocalize("Exclude_SQL_Transaction_Logs")+"</span></span>");
					$('#transactionLogs').click(function (e){
						var url = window.location.href +"&excludeTranscationLogs="+ ($('#transactionLogs').attr('data-state')=="checked"?0:1);
						report.requestString["excludeTranscationLogs"]= ($('#transactionLogs').attr('data-state')=="checked"?0:1);
						report.updateHash(true);
						window.location.reload();
					});
				}
				/* surveyListAndMeta(function(data1){
					var output = $.parseJSON(data1);

					if(output !== null && typeof output === 'object') {
						if(output.error) {
							hideAllComponents();
							$("#noDataNotificationPanel").html(output.error);
							$("#noDataNotificationPanel").show();
						} else {
							var enableDropDown = output.surveys.enableDropDown;
							var selectedSurvey = output.surveys.selectedSurvey;
							var surveyGroupList = output.surveys.surveyGroupList;

							$('#metaTotalCCs').append('Participating CommCells: <span class="commcell">' + output.totalCCs + '</span>');
							$("#surveyName").html(selectedSurvey);

							if(enableDropDown) {
								$("#surveyList").html(SurveyTemplates.makeSurveyList("surveyList", surveyGroupList));
								$("#cust-survey-div").addClass("cust-survey-div");
								$("#surveyName").append("<span class='downarrow'></span>");
								SurveyGlobals.addDropDownEvents();
							}

							$("#survey-list-holder").show();
							if(surveyId != 1)
							{
								if(surveyId == 4){
								    $("#chartTitle").append(selectedSurvey+" by CommCell Count");
								}else if(surveyId == 5) {
									$("#barTitle").append("Worldwide Non English " + selectedSurvey + " - CommCell Count");
									$("#chartTitle").append("Worldwide Non English " + selectedSurvey + " - Login Count");
								}
								else {
									$("#chartTitle").append("Worldwide " + selectedSurvey);
								}
							}
							$(document).attr("title", "Worldwide " + selectedSurvey);
						}
					}
					else {
						//Error
						alert("Something went wrong, please try again");
					}

				}); */

			}
		</script>
		<jsp:include page="../surveyBase.jsp">
			<jsp:param value="reports" name="apptype" />
			<jsp:param value="true" name="includeExportSupport" />
		</jsp:include>
		<jsp:include page="surveyHeader.jsp">
			<jsp:param name="includeCROptions" value="true" />
			<jsp:param name="changePage" value="true" />

			<jsp:param name="searchCC" value="true" />
			<jsp:param value="indcommcellsurvey.jsp" name="searchPage" />
			<jsp:param value="true" name="exportPdf" />
			<jsp:param value="true" name="exportCsv" />
			<jsp:param value="true" name="exportHtml" />
			<jsp:param value="true" name="printButton" />
			<jsp:param value="true" name="includeCROptionBeforeSearch" />
			<jsp:param value="true" name="exportEnabled" />
			<jsp:param name="headerLinks" value='${atCommcellGroupLevel}' />
		</jsp:include>
		<form id="exportForm"
			action="${pageContext.request.contextPath}/server/doDownload"
			method="get">
			<input id="downloadType" type='hidden' name='type' value='report' />
			<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
		</form>

		<div id="surveyCount"></div>

		<c:if test="${param.surveyId eq 117}">
			<jsp:include page="../MediaManagementSummary.jsp"></jsp:include>

		</c:if>


		<div id="reportSummaryDiv"></div>
		<!-- UNTIL HERE  -->
		<div id="noDataNotificationPanel"
			style="text-align: center; display: none;"></div>
		<div>
			<!--  id="cloudreqlisting_div" -->
			<div id="chartContentWrapper" class="horizontal-line-top">
				<div id="barTop" style="display: none;" comp='barTop' data-component-type="METRICS_CHART" class="chartholder">
					<div id="barTitle" class="chartTitleStyle"></div>
					<div id="barchartcontainer"></div>
				</div>
				<div id="pieTop" style="display: none;" comp='pieTop' data-component-type="METRICS_CHART" class="chartholder">
					<div id="chartTitle" class="chartTitleStyle"></div>
					<div id="piechartcontainer"></div>
				</div>

				<div id="multiPieTop" style="display: none;" comp='multiPieTop' data-component-type="METRICS_CHART" class="chartholder">
					<div id="multiPiechartTitle" class="chartTitleStyle"></div>
					<ul>
						<li id="multiPiechartcontainer1" class="inline-li"></li>
						<li id="multiPiechartcontainer2" class="inline-li"></li>
					</ul>
					<div id="msg" class="msg-note"></div>
				</div>

				<div id="licenseUsageDiv">
					<div id="completeLicWrapper" comp='completeLicWrapper' data-component-type="METRICS_CHART" class="chartholder licDiv">
						<h2><fmt:message key="Commvault_Complete" /></h2>
						<div>
							<ul id="completeLicense" class='dials'></ul>
						</div>
					</div>
					<div id="backupLicWrapper" comp='backupLicWrapper' data-component-type="METRICS_CHART" class="chartholder leftLicDiv licDiv">
						<h2><fmt:message key="Backup" /></h2>
						<div>
							<ul id="backupLicenses" class='dials'></ul>
						</div>
					</div>
					<div id="archiveLicWrapper" comp='archiveLicWrapper' data-component-type="METRICS_CHART" class="chartholder rightLicDiv licDiv">
						<h2><fmt:message key="Archive" /></h2>
						<div>
							<ul id="archiveLicenses" class='dials'></ul>
						</div>
					</div>
					<div class="clrfloat"></div>
					<div id="VMLicWrapper" comp='VMLicWrapper' data-component-type="METRICS_CHART" class="chartholder leftLicDiv licDiv">
						<h2><fmt:message key="Virtualization" /></h2>
						<div>
							<ul id="vmLicenses" class='dials'></ul>
						</div>
					</div>
					<div id="usersLicWrapper" comp='usersLicWrapper' data-component-type="METRICS_CHART" class="chartholder rightLicDiv licDiv">
						<h2><fmt:message key="Endpoint" /></h2>
						<div>
							<ul id="usersLicenses" class='dials'></ul>
						</div>
					</div>

					<div class="clrfloat"></div>
					<div id="licenseNote" comp='licenseNote' data-component-type="METRICS_CHART" class="chartholder">
						<ul>
							<li><span class="colors" id="withinCapacity"> </span><span class="licenseNoteLabel"><fmt:message key="Usage_Less_Than_90" /></span>
							</li>

							<li><span class="colors" id="usageCritical"> </span><span class="licenseNoteLabel"><fmt:message key="Usage_Between_90+100" /></span>
							</li>

							<li><span class="colors" id="overCapacity"> </span><span class="licenseNoteLabel"><fmt:message key="Usage_Over_100" /></span>
							</li>

							<li><span class="colors" id="noLicense"> </span><span class="licenseNoteLabel"><fmt:message key="License_Not_Applied" /></span>
							</li>

							<li><span class="colors" id="loanedCapacity"> </span><span class="licenseNoteLabel"><fmt:message key="Loaned_Capacity" /></span>
							</li>

							<li><span class="colors" id="usageInformation"> </span><span class="licenseNoteLabel"><fmt:message key="Usage_Information" /></span>
							</li>
						</ul>
						<div id="summaryBarTopNote"></div>
						<div id="collectionCount"></div>
						<div class="clrfloat"></div>
					</div>

				</div>
				<div id="throughputChartsDiv" class="hide">
					<ul></ul>
				</div>

				<div class="sectionBreak showOnExportFriendly"></div>
 					<div id="summaryBarTop" style="display: none;" comp='summaryBarTop' data-component-type="METRICS_CHART" class="chartholder">
 					<div id="summaryBarChartContainerTitle" class="chartTitleStyle" ></div>
 					<div id="summaryBarChartContainer"></div>
 				</div>
				<div id="summaryPieTop2" style="display: none;" comp='summaryPieTop2' data-component-type="METRICS_CHART" class="chartholder">
					<div id="summaryPieChartContainer2Title" class="chartTitleStyle"></div>
					<div id="summaryPieChartContainer2"></div>
				</div>
				<div id="summaryPieTop3" style="display: none;" comp='summaryPieTop3' data-component-type="METRICS_CHART" class="chartholder">
					<div id="summaryPieChartContainer3Title" class="chartTitleStyle"></div>
					<div id="summaryPieChartContainer3"></div>
				</div>
				<div class="sectionBreak showOnExportFriendly newPageBreak"></div>

				<div id="summaryPieTop4" style="display: none" comp='summaryPieTop4' data-component-type="METRICS_CHART" class="chartholder">
					<div id="summaryPieChartContainer4Title" class="chartTitleStyle"></div>
					<div id="summaryPieChartContainer4"></div>
				</div>
				<div id="summaryPieTop5" style="display: none" comp='summaryPieTop5' data-component-type="METRICS_CHART" class="chartholder">
					<div id="summaryPieChartContainer5Title" class="chartTitleStyle"></div>
					<div id="summaryPieChartContainer5"></div>
				</div>
				<div class="sectionBreak showOnExportFriendly"></div>

				<div id="summaryPieTop1" style="display: none;" comp='summaryPieTop1' data-component-type="METRICS_CHART" class="chartholder">
					<div id="summaryPieChartContainer1Title" class="chartTitleStyle"></div>
					<div id="summaryPieChartContainer1"></div>
				</div>

				<div id="summaryPieTop6" style="display: none;" comp='summaryPieTop6' data-component-type="METRICS_CHART" class="chartholder">
					<div id="summaryPieChartContainer6Title" class="chartTitleStyle"></div>
					<div id="summaryPieChartContainer6"></div>
				</div>

				<div class="clrfloat"></div>
			</div>
			<div class="sectionBreak showOnExportFriendly"></div>
			<div id='tableWrapper'>
				<div id="mediaAgentDetails" style="display: none"></div>
				<div id="libraryDetails" style="display: none"></div>
				<div id="mountPathDetails" style="display: none"></div>
				<div id="driveDetails" style="display: none"></div>
				<div id="libraryControllers" style="display: none"></div>
				<div id="logicalDrives" style="display: none"></div>
				<div id="summaryDetails" class='pageBreak' style="display: none"></div>
				<div id="summaryDetails2" class='pageBreak' style="display: none"></div>
				<div id="licUsageByAgentTable" class='pageBreak'
					style="display: none"></div>

				<div id="backupThroughputPerMediaTable" class='pageBreak' style="display: none"></div>
				<div id="backupThroughputPerAgentTable" class='pageBreak' style="display: none"></div>
				<div id="restoreThroughputPerAgentTable" class='pageBreak' style="display: none"></div>
				<div id="auxiliaryCopyThroughputPerAgentTable" class='pageBreak' style="display: none"></div>
				<div id="storagePolicyThroughputTable" class='pageBreak' style="display: none"></div>

				<div id="commCellDetails" class='pageBreak' style="display: none"></div>
				<div id="commCellDetails2" class='pageBreak' style="display: none"></div>
				<div id="licUsageByLicenseTable" class='pageBreak'
					style="display: none"></div>
				<div id="licUsageByFeatureLicenseTable" class='pageBreak'
					style="display: none"></div>
				<div id="licUsageByRetiredLicenseTable" class='pageBreak'
					style="display: none"></div>
				<div id="licVirtualizationLicenseTable" class='pageBreak'
					style="display: none"></div>
				<div id="licUsersLicenseTable" class='pageBreak'
					style="display: none"></div>
				<div id="licArchivingLicenseTable" class='pageBreak'
					style="display: none"></div>
				<div id="statusRow">
					<table cellpadding="0" cellspacing="0">
						<tr>
							<td><span id="threshold"></span></td>
							<td class="good"></td>
							<td class="warn"></td>
							<td class="critical"></td>
						</tr>
					</table>
				</div>
			</div>

		</div>


		<jsp:include page="alarmdialog.jsp"></jsp:include>

		<jsp:include page="../../common/footer.jsp">
			<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js"
				name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.multiselect.min.js"
				name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js"
				name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />

			<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />

			<jsp:param value="${pageContext.request.contextPath}/survey/js/custom-pie.js" name="js" />

			<jsp:param value="${pageContext.request.contextPath}/survey/js/jquery.uniform.min.js" name="js" />

			<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js" />

			<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/survey/js/commcellsurvey.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
			<jsp:param value="${pageContext.request.contextPath}/common/js/highcharts/highcharts.js" name="js"/>
			<jsp:param value="true" name="bootstrapped" />

		</jsp:include>
		<script nonce="${sessionScope.cspNonce}" >
function addTableLegend(){

	$("#statusRow").insertBefore($("#commCellDetails .dataTables_wrapper"));
}
</script>
	</c:otherwise>
</c:choose>
</fmt:bundle>