<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeHistory"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="PreUpgradeReadiness" name="titleLocalized" />
		<jsp:param value="" name="headerTitleLocalized" />
		<jsp:param value="" name="headerTitle" />
		<jsp:param value="true" name="includeCustomSelect"/>
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />
		<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/upgradereadiness.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
</jsp:include>

<jsp:include page="surveyHeader.jsp">
    <jsp:param name="changePage" value="true" />
	<jsp:param name="includeBreadcrumb" value="true" />
	<jsp:param name="searchCC" value="true" />
	<jsp:param name="exportPdf" value="true"/>
	<jsp:param name="exportHtml" value="true" />
	<jsp:param name="printButton" value="true" />
	<jsp:param name="exportEnabled" value="true" />
	<jsp:param name="includeCROptionBeforeExport" value="true" />
	<jsp:param name="includeCROptionBeforeSearch" value="true" />
</jsp:include>

<div id="noDataNotificationPanel" class='noDataErrorMsg'></div>

<div class="allcheckspassed"><fmt:message key="All_Checks_Passed_UpgradeReadiness" /><br><br/></div>
<div class="failedreportclass"><fmt:message key="Failed_Reprot_UpgradeReadiness" /><br><br/></div>

<div id="ContentWrapper"> </div>

<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
	<input id="downloadType" type='hidden' name='type' value='report' />
	<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/jquery.uniform.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/upgradereadiness.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/search.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/columnTitle.js" name="js"/>
</jsp:include>

</fmt:bundle>