<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="Chargeback Trend" name="titleLocalized" />
	<jsp:param value="Chargeback Trend" name="headerTitleLocalized" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="classicReport"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
			<jsp:param value="true" name="bootstrapped" />
			<jsp:param value="true" name="reportsNav" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/growthDashboard.css" name="css" />
</jsp:include>
<style>
input#chargebackTrendsTable_filterText-0{
	display:none;
}
</style>
<script nonce="${sessionScope.cspNonce}" >
		var docBaseURL="${applicationScope.DOCUMENTATION_LINK}",
			isPublicMetrics = ${applicationScope.isPublicMetricsCloud == "true" ? "true" : "false"};
	</script>
<jsp:include page="../surveyBase.jsp">
	<jsp:param value="reports" name="apptype"/>
	<jsp:param value="true" name="includeExportSupport"/>
</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="includeCROptions" value="true" />
	<jsp:param name="changePage" value="true" />

	<jsp:param name="searchCC" value="true" />
	<jsp:param value="true" name="exportPdf"/>
	<jsp:param value="true" name="exportHtml"/>
	<jsp:param value="true" name="exportCsv"/>
	<jsp:param value="true" name="printButton"/>
	<jsp:param value="true" name="includeCROptionBeforeSearch"/>
	<jsp:param value="true" name="exportEnabled"/>
	<jsp:param name="headerLinks" value="worldwideUrl" />
</jsp:include>

<div id="chartContainer" class="grid viewBox">
	<div class="boxedChartTitle fullwidth"><span id="chartTitle">${fn:escapeXml(param.entityDisplayType) }</span>
		<a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	    <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
	</div>
    <span>
    </span>
    <div class="showifnodata chartnodata"><div class="noDataSpan"><fmt:message key="NoDataAvailable" /></div></div>
    <div class="showiferror chartnodata"><div class="errorSpan"></div></div>

    <div id="chart" class="boxedChart hideifnodata hideiferror centered"></div>

    <div id="chargebackFilterPane" class="clearfix centered">
    	<div class="">
			<ul class="horizontalList toggleButtons" id="yAxisSelection">
				<li id="0_growthType" class="on"> <fmt:message key="chargeback.trends.Backup_Size" /> </li>
				<li id="1_growthType"> <fmt:message key="chargeback.trends.Archive_Size" /> </li>
				<li id="2_growthType"> <fmt:message key="chargeback.trends.Primary_App_Size" /></li>
				<li id="3_growthType"> <fmt:message key="chargeback.trends.Total_Media_Size" /></li>
				<li id="4_growthType"> <fmt:message key="chargeback.trends.Media_Size" />   </li>
				<li id="5_growthType"> <fmt:message key="chargeback.trends.Total_Protected_App_Size" />   </li>
			</ul>
		</div>
		<div class="">
			<ul class="horizontalList toggleButtons" id="aggregateSelection">
				<li id="2_aggregate" class="on"  style="margin-left: 20px;"> Top 5</li>
				<li id="-1_aggregate"> <fmt:message key="Aggregate" /></li>
				<li id="0_aggregate"> <fmt:message key="Selected_Entities" /> </li>
			</ul>
		</div>
		<div id="drilldown">
			<select id="drilldownTo">
				<c:if test="${param.entityType == 'CommCell'}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
					<option value="Client"><fmt:message key="chargeback.trends.Client" /></option>
					<option value="AgentType"><fmt:message key="chargeback.trends.Agent" /></option>
					<option value="SubClient"><fmt:message key="chargeback.trends.SubClient" /></option>
					<option value="StoragePolicy"><fmt:message key="chargeback.trends.Storage_Policy" /></option>
					<option value="StoragePolicyCopy"><fmt:message key="chargeback.trends.Storage_Policy_Copy" /></option>
				</c:if>
				<c:if test="${param.entityType == 'Client'}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
					<option value="AgentType"><fmt:message key="chargeback.trends.Agent" /></option>
					<option value="SubClient"><fmt:message key="chargeback.trends.SubClient" /></option>
					<option value="StoragePolicy"><fmt:message key="chargeback.trends.Storage_Policy" /></option>
					<option value="StoragePolicyCopy"><fmt:message key="chargeback.trends.Storage_Policy_Copy" /></option>
				</c:if>
				<c:if test="${param.entityType == 'AgentType'}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
					<option value="Client"><fmt:message key="chargeback.trends.Client" /></option>
					<option value="SubClient"><fmt:message key="chargeback.trends.SubClient" /></option>
					<option value="StoragePolicy"><fmt:message key="chargeback.trends.Storage_Policy" /></option>
					<option value="StoragePolicyCopy"><fmt:message key="chargeback.trends.Storage_Policy_Copy" /></option>
				</c:if>
				<c:if test="${param.entityType == 'SubClient'}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
					<option value="AgentType"><fmt:message key="chargeback.trends.Agent" /></option>
					<option value="StoragePolicy"><fmt:message key="chargeback.trends.Storage_Policy" /></option>
					<option value="StoragePolicyCopy"><fmt:message key="chargeback.trends.Storage_Policy_Copy" /></option>
				</c:if>
				<c:if test="${param.entityType == 'StoragePolicy'}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
					<option value="Client"><fmt:message key="chargeback.trends.Client" /></option>
					<option value="AgentType"><fmt:message key="chargeback.trends.Agent" /></option>
					<option value="SubClient"><fmt:message key="chargeback.trends.SubClient" /></option>
					<option value="StoragePolicyCopy"><fmt:message key="chargeback.trends.Storage_Policy_Copy" /></option>
				</c:if>
				<c:if test="${param.entityType == 'StoragePolicyCopy'}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
					<option value="Client"><fmt:message key="chargeback.trends.Client" /></option>
					<option value="AgentType"><fmt:message key="chargeback.trends.Agent" /></option>
					<option value="SubClient"><fmt:message key="chargeback.trends.SubClient" /></option>
					<option value="StoragePolicy"><fmt:message key="chargeback.trends.Storage_Policy" /></option>
				</c:if>
				<c:if test="${param.entityType == 'Tenant'}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
					<option value="Client"><fmt:message key="chargeback.trends.Client" /></option>
					<option value="AgentType"><fmt:message key="chargeback.trends.Agent" /></option>
					<option value="SubClient"><fmt:message key="chargeback.trends.SubClient" /></option>
					<option value="StoragePolicy"><fmt:message key="chargeback.trends.Storage_Policy" /></option>
					<option value="StoragePolicyCopy"><fmt:message key="chargeback.trends.Storage_Policy_Copy" /></option>
				</c:if>
				<c:if test="${param.entityType == ''}">
					<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
				</c:if>
			</select>
		</div>
		<c:if test="${fn:escapeXml(param.commUniId) != null and not empty fn:escapeXml(param.commUniId)}">
			<div class="chargeback-diff">
				<span class="chargeback-diff-inputs">
					<span class=""><fmt:message key="chargeback.diff.diff_between" /></span>
					<span class="diff-first"><select id="diff-first"></select></span>
					<span><fmt:message key="chargeback.diff.and" /></span>
					<span class="diff-second"><select id="diff-second"></select></span>
					<span class="diff-button"><fmt:message key="chargeback.Generate_Report" /></span>
				</span>
			</div>
		</c:if>
	</div>
</div>

<div id='tableWrapper'>
<div id="chargebackTrendsTable" />
</div>
<jsp:include page="alarmdialog.jsp"></jsp:include>
<%@ include file="../../reports/reportsBaseBody.jsp" %>

<script nonce="${sessionScope.cspNonce}" >
var entityType='${fn:escapeXml(param.entityType)}';
var groupBy='${fn:escapeXml(param.groupBy)}';
</script>
</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/chargebackTrendsTable.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/chargebackEntityTrends.js" name="js"/>
</jsp:include>