<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
	<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<c:set var="wwOrGroupLevel" value="${empty param.commUniId || param.commUniId == null}" />
<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="false" name="includeJqueryUI" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />

	<jsp:param value="reports/reportsBase.jsp" name="jsp" />
	<jsp:param value="true" name="includeHistory"/>
	<jsp:param value="true" name="includeTableSupport" />
    <jsp:param value="${!wwOrGroupLevel}" name="disableTableColReordering" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/healthcheck.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />

    <jsp:param value="Health Report" name="titleLocalized" />
    <jsp:param value="Health Report" name="headerTitleLocalized" />
</jsp:include>
<%--
	<jsp:param value="${pageContext.request.contextPath}/survey/css/theme/jquery-ui.css" name="css" />
 --%>
<jsp:include page="../surveyBase.jsp">
    <jsp:param value="reports" name="apptype"/>
    <jsp:param value="true" name="includeExportSupport"/>
</jsp:include>
 <jsp:include page="surveyHeader.jsp">
	<jsp:param name="changePage" value="true" />
	<jsp:param name="includeBreadcrumb" value="true" />
	<jsp:param name="exportPdf" value="true" />
    <jsp:param name="exportCsv" value="${wwOrGroupLevel}" />
    <jsp:param name="exportHtml" value="${wwOrGroupLevel}" />
	<jsp:param name="exportWord" value="true" />
	<jsp:param name="exportPpt" value="true" />
	<jsp:param name="searchCC" value="true" />
	<jsp:param name="headerLinks" value="diagUrl" />
	<jsp:param name="headerLinks" value="dashboardUrl"/>
    <jsp:param name="headerLinks" value="worldwideUrl" />
	<jsp:param value="true" name="includeCROptionBeforeSearch"/>
	<jsp:param value="true" name="exportEnabled"/>
	<jsp:param value="true" name="healthReport"/>
</jsp:include>
 <div id="dialog-Health-form" style="display:none;" title="Please fill in required information">
		  <p class="validateTips" ><fmt:message key="health.error.All_fields_are_required" /> </p>


		  <fieldset>
		    <label for="name"><fmt:message key="health.label.Customer_Name" /></label>
		    <input type="text" name="field_name" id="name" class="text ui-widget-content ui-corner-all" />
		    <label for="location"><fmt:message key="health.label.Data_Center_Location" /></label>
		    <input type="text" name="field_location" id="location" class="text ui-widget-content ui-corner-all" />
	<%-- 	    <label for="date">Enter Date of Wellness Discovery</label>
		    From&nbsp;<input data-format="yyyy-MM-dd" type="date" name="field_fromdate" id="fromdate" class="ui-widget-content ui-corner-all" size='15'/>
		    To&nbsp;<input data-format="yyyy-MM-dd" type="date" name="field_todate" id="todate" class="ui-widget-content ui-corner-all" size='15' />   --%>
		    </fieldset>

		</div>
<!-- begin UI -->
<div id="noDataNotificationPanel" style="display:none;">
</div>
		<div class="clrfloat"></div>
		<div id="tableWrapper"></div>
		<input type="hidden" id="type" value="health" name="type"/>

	   <jsp:include page="alarmdialog.jsp">
	   		<jsp:param value="${wwOrGroupLevel == false}" name="healthReport"/>
	   </jsp:include>

<!-- end of UI -->
<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
	<input id="downloadType" type='hidden' name='type' value='report' />
	<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>
<script nonce="${sessionScope.cspNonce}" >
var isPublicMetrics = ${applicationScope.isPublicMetricsCloud == "true" ? "true" : "false"};
</script>
<c:choose>
    <c:when test="${wwOrGroupLevel}">
		<jsp:include page="../../common/footer.jsp">
		    <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js"/>
		    <jsp:param value="${pageContext.request.contextPath}/survey/js/health.js" name="js" />
			<jsp:param value="true" name="bootstrapped" />
		</jsp:include>
	</c:when>

	<c:otherwise>
        <jsp:include page="../../common/footer.jsp">
			<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
			<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
			<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
			<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
			<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js"/>
			<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
			<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js"/>
			<jsp:param value="${pageContext.request.contextPath}/survey/js/health.js" name="js" />
			<jsp:param value="true" name="bootstrapped" />
        </jsp:include>
	</c:otherwise>
</c:choose>
</fmt:bundle>