<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../../WEB-INF/cvtaglib.tld" prefix="cv" %>

<jsp:include page="../../common/header.jsp">
        <jsp:param value="" name="changePage" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
        <jsp:param value="Growth and Trends" name="titleLocalized" />
        <jsp:param value="true" name="includeTableSupport" />
        <jsp:param value="true" name="includeHistory"/>
        <jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />
        <jsp:param value="reports/reportsBase.jsp" name="jsp" />
        <jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/survey/css/growthDashboard.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />

</jsp:include>
<script nonce="${sessionScope.cspNonce}" >
		var docBaseURL="${applicationScope.DOCUMENTATION_LINK}",
			isPublicMetrics = ${applicationScope.isPublicMetricsCloud == "true" ? "true" : "false"};
</script>

<c:set var="commcellIdParam" value="" />
 <c:if test="${!(empty param.commUniId || param.commUniId == null) || !(empty param.ccGroupId || param.ccGroupId == null) || !(empty param.companyId || param.companyId == null)}">
 	<c:set var="commcellIdParam" value="?${pageContext.request.queryString}" />
 </c:if>

 <c:set var="dedupeParam" value="${commcellIdParam}&"/>
 <c:if test="${empty commcellIdParam || commcellIdParam == null}">
  <c:set var="dedupeParam" value="?"/>
 </c:if>
<jsp:include page="../reports/surveyHeader.jsp">
        <jsp:param value="true" name="changePage" />
        <jsp:param name="welcomeMsg" value="" />
        <jsp:param name="searchCC" value="true" />
        <jsp:param name="includeDashboardBreadcrumb" value="true" />
        <jsp:param name="headerLinks" value="worldwideUrl" />
        <jsp:param value="true" name="exportPdf"/>
		<jsp:param value="true" name="exportHtml"/>
		<jsp:param value="true" name="includeCROptionBeforeSearch"/>
		<jsp:param value="true" name="exportEnabled"/>
</jsp:include>

<jsp:include page="../../reports/reportImportExport.jsp?${applicationScope.BUILD_TS}"></jsp:include>

 <fmt:bundle basename="localization.SurveyMessages">
<div id="ContentWrapper">
        <div class="clear-both"></div>
        <div class="dashcontainer">
                        <div id="commcellBox" class="grid viewBox" comp='commcellBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><c:choose>
		<c:when test="${param.commUniId eq null or empty param.commUniId}">
			<fmt:message key="CommCells" />
		</c:when>
		<c:otherwise>
			<fmt:message key="CommCell" />
		</c:otherwise>
	</c:choose></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="commcellGrowth.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="commcellChart" class="boxedChart hideifnodata hideiferror"></div>

					            <div class="clearfix centered filterPane regFilterPane">
						            <div class="">
										<ul class="horizontalList toggleButtons yAxisSelection">
											<li id="0_growthType_commcellBox" class="on"> <fmt:message key="growth.Size_on_Media"/> </li>
											<li id="1_growthType_commcellBox"> <fmt:message key="growth.Protected_App_Size"/>  </li>
										</ul>
									</div>
								</div>
                        </div>
                        <div id="agentBox" class="grid viewBox" comp='agentBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><fmt:message key="agents" /></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="agentGrowth.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="agentChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered filterPane regFilterPane">
						            <div class="">
										<ul class="horizontalList toggleButtons yAxisSelection">
											<li id="0_growthType_agentBox" class="on"> <fmt:message key="growth.Size_on_Media"/> </li>
											<li id="1_growthType_agentBox"> <fmt:message key="growth.Protected_App_Size"/>  </li>
										</ul>
									</div>
                        	</div>
                        </div>
                        <div id="clientgroupBox" class="grid viewBox" comp='clientgroupBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><fmt:message key="clientGroups" /></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="clientGroupGrowth.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="clientgroupChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered filterPane regFilterPane">
						            <div class="">
										<ul class="horizontalList toggleButtons yAxisSelection">
											<li id="0_growthType_clientgroupBox" class="on"> <fmt:message key="growth.Size_on_Media"/> </li>
											<li id="1_growthType_clientgroupBox"> <fmt:message key="growth.Protected_App_Size"/>  </li>
										</ul>
									</div>
								</div>
                        </div>
                        <div id="libraryBox" class="grid viewBox" comp='libraryBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><fmt:message key="diskLibraries" /></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" href="diskLibraryGrowth.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="diskLibraryChart" class="boxedChart hideifnodata hideiferror"></div>
                        </div>
                        <div id="cloudLibraryBox" class="grid viewBox" comp='cloudLibraryBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><fmt:message key="cloudLibraries" /></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" href="cloudLibraryGrowth.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="cloudLibraryChart" class="boxedChart hideifnodata hideiferror"></div>
                        </div>
                        <div id="capacityBox" class="grid viewBox" comp='capacityBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><fmt:message key="growth.capacity" /></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="capacityGrowth.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="capacityChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered filterPane">
						            <div class="">
										<ul class="horizontalList toggleButtons yAxisSelection">
											<li id="2_growthType_agentBox" class="on"> <fmt:message key="Backup" /> </li>
											<li id="3_growthType_agentBox"> <fmt:message key="Archive" /> </li>
										</ul>
									</div>
								</div>
                        </div>
                        <div id="capacityByApplicationBox" class="grid viewBox" comp='capacityByApplicationBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><fmt:message key="growth.capacityByApplication" /></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="capacityByApplicationGrowth.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="capacityByApplicationChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered filterPane">
						            <div class="">
										<ul class="horizontalList toggleButtons yAxisSelection">
											<li id="2_growthType_agentBox" class="on"> <fmt:message key="Backup" /> </li>
											<li id="3_growthType_agentBox"> <fmt:message key="Archive" />  </li>
										</ul>
									</div>
								</div>
                        </div>
                        <c:if test="${applicationScope.isPublicMetricsCloud == null or applicationScope.isPublicMetricsCloud ==false}">
							<div id="commCellDedupeBox" class="grid viewBox dedupeBox" comp='commCellDedupeBox' data-component-type="METRICS_CHART">

	                               <div class="boxedChartTitle"><span><fmt:message key="growth.commcellDedupe" /></span>
		                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="commcellDedupeSavings.do${commcellIdParam}"></a>
		                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
		                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
	                                </div>
						            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
						            <div class="showiferror chartnodata"></div>
						            <div id="commcellDedupeChart" class="boxedChart hideifnodata hideiferror"></div>
						            <div class="clearfix centered filterPaneDedupe">
							            <div class="">
											<ul class="horizontalList toggleButtons yAxisSelection">
												<li id="1_growthType_agentBox" data-isdedupe="true" class="on"> <fmt:message key="Full" /> </li>
												<li id="0_growthType_agentBox" data-isdedupe="true"> <fmt:message key="Incremental.Differential" />  </li>
												<li id="2_growthType_agentBox" data-isdedupe="true"> <fmt:message key="Both" /> </li>
											</ul>
											<select class="dedupeIntervalTypes">
												<option   value="1"> <fmt:message key="Daily" /></option>
												<option   value="2" selected="true"><fmt:message key="Weekly" /></option>
												<option  value="3"> <fmt:message key="Monthly" /></option>
											</select>
										</div>
									</div>
	                        </div>
	                        <div id="agentDedupeBox" class="grid viewBox dedupeBox" comp='agentDedupeBox' data-component-type="METRICS_CHART">
	                                <div class="boxedChartTitle"><span><fmt:message key="growth.agentDedupe" /></span>
		                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="agentDedupeSavings.do${commcellIdParam}"></a>
		                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
		                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
	                                </div>
						            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
						            <div class="showiferror chartnodata"></div>
						            <div id="agentDedupeChart" class="boxedChart hideifnodata hideiferror"></div>
						            <div class="clearfix centered filterPaneDedupe">
							            <div class="">
											<ul class="horizontalList toggleButtons yAxisSelection">
												<li id="1_growthType_agentBox" data-isdedupe="true" class="on"> <fmt:message key="Full" /> </li>
												<li id="0_growthType_agentBox" data-isdedupe="true"> <fmt:message key="Incremental.Differential" />  </li>
												<li id="2_growthType_agentBox" data-isdedupe="true"> <fmt:message key="Both" /> </li>
											</ul>
											<select class="dedupeIntervalTypes">
												<option   value="1"> <fmt:message key="Daily" /></option>
												<option   value="2" selected="true"><fmt:message key="Weekly" /></option>
												<option  value="3"> <fmt:message key="Monthly" /></option>
											</select>
										</div>
									</div>
	                        </div>
							<div id="spDedupeBox" class="grid viewBox dedupeBox" comp='spDedupeBox' data-component-type="METRICS_CHART">
	                                <div class="boxedChartTitle"><span><fmt:message key="growth.spDedupe" /></span>
		                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="spDedupeSavings.do${commcellIdParam}"></a>
		                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
		                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
	                                </div>
						            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
						            <div class="showiferror chartnodata"></div>
						            <div id="spDedupeChart" class="boxedChart hideifnodata hideiferror"></div>
						            <div class="clearfix centered filterPaneDedupe">
							            <div class="">
											<ul class="horizontalList toggleButtons yAxisSelection">
												<li id="1_growthType_agentBox" data-isdedupe="true" class="on">  <fmt:message key="Full" /> </li>
												<li id="0_growthType_agentBox" data-isdedupe="true">  <fmt:message key="Incremental.Differential" />  </li>
												<li id="2_growthType_agentBox" data-isdedupe="true"> <fmt:message key="Both" /> </li>
											</ul>
											<select class="dedupeIntervalTypes">
												<option   value="1"><fmt:message key="Daily" /></option>
												<option   value="2" selected="true"><fmt:message key="Weekly" /></option>
												<option  value="3"> <fmt:message key="Monthly" /></option>
											</select>
										</div>
									</div>
	                        </div>

							<div id="subclientDedupeBox" class="grid viewBox dedupeBox" comp='subclientDedupeBox' data-component-type="METRICS_CHART">
	                                <div class="boxedChartTitle"><span><fmt:message key="growth.subclientDedupe" /></span>
		                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="subclientDedupeSavings.do${commcellIdParam}"></a>
		                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
		                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
	                                </div>
						            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
						            <div class="showiferror chartnodata"></div>
						            <div id="subclientDedupeChart" class="boxedChart hideifnodata hideiferror"></div>
						            <div class="clearfix centered filterPaneDedupe">
							            <div class="">
											<ul class="horizontalList toggleButtons yAxisSelection">
												<li id="1_growthType_agentBox" data-isdedupe="true" class="on"> <fmt:message key="Full" /></li>
												<li id="0_growthType_agentBox" data-isdedupe="true"> <fmt:message key="Incremental.Differential" />  </li>
												<li id="2_growthType_agentBox" data-isdedupe="true"> <fmt:message key="Both" /> </li>
											</ul>
											<select class="dedupeIntervalTypes">
												<option   value="1"> <fmt:message key="Daily" /></option>
												<option   value="2" selected="true"><fmt:message key="Weekly" /></option>
												<option  value="3"> <fmt:message key="Monthly" /></option>
											</select>
										</div>
									</div>
							</div>
						</c:if>
						<div id="clientsCountBox" class="grid viewBox regularBox" comp='clientsCountBox' data-component-type="METRICS_CHART">
                                <div class="boxedChartTitle"><span><fmt:message key="chart.axis.title.Clients_Count" /></span>
	                                <a class="viewdetails sprite icon-detail_trends followForExport" title="Details" href="clientsCount.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="clientsCountChart" class="boxedChart hideifnodata hideiferror"></div>
						</div>
        	</div>

</div>
 </fmt:bundle>
<jsp:include page="../../common/footer.jsp">
        <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
        <jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
        <jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
         <jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/survey/js/growthDashboard.js" name="js" />
        	<jsp:param value="true" name="bootstrapped" />
</jsp:include>


<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
