<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>


<c:set var="isAdminUser" value='false' scope="page" />
<cv:reportsTag name="adminRight" id="999">
	<c:set var="isAdminUser" value='true' scope="page" />
</cv:reportsTag>
<c:set var="enableCommCellGroupOp" value='false' scope="page" />
<c:set var="enableCommCellOp" value='false' scope="page" />

<c:choose>
<c:when test="${(sessionScope.isCommCellGroupAdminUser == 'true') and (param.ccGroups == 'true')}">
	<c:set var="enableCommCellGroupOp" value='true' scope="page" />
</c:when>
<c:when test="${(!sessionScope.isPublicMetricsCloud || isAdminUser == 'true') and (param.ccGroups != 'true')}">
	<c:set var="enableCommCellOp" value='true' scope="page" />
</c:when>
</c:choose>

<fmt:bundle basename="localization.SurveyMessages">
    <fmt:message key="No_Data_Metrics_Reporting" var="No_Data_Metrics_Reporting"/>
    <fmt:message key="No_Data_Metrics_Reporting_For_CommCelGroup" var="No_Data_Metrics_Reporting_For_CommCelGroup"/>
    <fmt:message key="No_Data_CommCell_Groups" var="No_Data_CommCell_Groups"/>
<jsp:include page="../../common/header.jsp">
    <jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
    <jsp:param value="${pageContext.request.contextPath}/common/css/jquery.multiselect.css" name="css" />
    <jsp:param value="true" name="includeJqueryUI" />
    <jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
    <jsp:param value="${pageContext.request.contextPath}/survey/css/applicationstyles.css" name="css" />
    <jsp:param value="Worldwide CommCells" name="titleLocalized" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
        <jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
        <jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/summary/css/summarystyles.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />

        <jsp:param value="reports/reportsBase.jsp" name="jsp" />
        <jsp:param value="true" name="includeHistory"/>
        <jsp:param value="true" name="includeTableSupport" />
        <jsp:param value="true" name="includeCustomSelect"/>

        <jsp:param value="false" name="changeSurvey" />
        <jsp:param value="report" name="appName" />
        <jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />
        <jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>
</jsp:include>

<%-- <div id="headerBreadcrumb">
    <ul id="breadcrumbMain" class="breadcrumbMain">
        <li class="smartlinkMain withSeparatorMain"><a class="smartLinkMain" href="${pageContext.request.contextPath}/survey/reports/dashboard.jsp">Worldwide Dashboard</a></li>
    </ul>
<div class="clear-both"></div>
</div> --%>
<jsp:include page="surveyHeader.jsp">
    <jsp:param value="true" name="changePage" />
    <jsp:param name="welcomeMsg" value="CommCells" />
    <jsp:param name="searchCC" value="true" />
    <jsp:param value="commcellmonitoring.jsp" name="searchPage"/>
    <jsp:param value="commcellUrl" name="headerLinks"/>
    <jsp:param value="false" name="scheduleButton"/>
    <jsp:param name="showTabs" value="true" />
    <jsp:param name="commcells" value="true" />
    <jsp:param value="true" name="includeCROptionBeforeSearch" />
    <jsp:param value="true" name="disbaleExport" />
   	<jsp:param value="${enableCommCellGroupOp}" name="createCommCellGroup" />
   	<jsp:param value="true" name="fileDropDown" />
</jsp:include>


<jsp:include page="../surveyBase.jsp">
    <jsp:param value="true" name="includeExportSupport"/>
</jsp:include>

<c:set var="isAdminUser" value='false' scope="page" />
<cv:reportsTag name="adminRight" id="999">
	<c:set var="isAdminUser" value='true' scope="page" />
</cv:reportsTag>

<c:set var="isPublicMetrics" value='true' scope="page" />
<c:if test="${applicationScope.isPublicMetricsCloud == null || applicationScope.isPublicMetricsCloud == 'false'}">
	<c:set var="isPublicMetrics" value='false' scope="page" />
</c:if>

<fmt:message key="No_Data_CommCellGroups" var="errorCCGroups"/>
<script nonce="${sessionScope.cspNonce}" >
	<c:if test="${sessionScope.MetricsNoCommcellsError !=null }">
		window.metricsNoCommcellsError = '<c:out value="${sessionScope.MetricsNoCommcellsError}"></c:out>';
	</c:if>
	SurveyGlobals.isAdminUser = ${isAdminUser};
	SurveyGlobals.isPublicMetrics = ${isPublicMetrics};
	window.tempCvIdtoMask = "ccTableWrapper";
	window.CommCellGroupOperationAuthorisedForUser = '${enableCommCellGroupOp}';
    window.CommCellOperationAuthorisedForUser = '${enableCommCellOp}';
	$(document).ready(function() {
		var ccGroups = cvUtil.getParameter("ccGroups", "false");
		var ccGroupId = cvUtil.getParameter("ccGroupId", 0);
		var companies = cvUtil.getParameter("companies", "false");
		if(companies == "true") {
			$(document).attr("title", cvUtil.cvLocalize("companies"));
			$("#noDataNotificationPanel").text("${No_Data_CommCell_Groups}");
			cvUtil.GUIAuditReportLog("Companies" ,"WorldWide");
			$('#buildYourOwnReport').remove();
			$('#welcomeMsg').html("Companies");
		}else if(ccGroups == "true") {
			$(document).attr("title", "CommCell Groups");
			$("#noDataNotificationPanel").text("${No_Data_CommCell_Groups}");
			cvUtil.GUIAuditReportLog("Commcell Group" ,"WorldWide");
			$('#buildYourOwnReport').remove();
		}else if(ccGroupId > 0){
			$("#noDataNotificationPanel").text("${No_Data_Metrics_Reporting_For_CommCelGroup}");
			cvUtil.GUIAuditReportLog("Commcell List" ,"CommcellGroup");
			$('#reportButton').remove();
		}else{
			cvUtil.GUIAuditReportLog("Commcell List" ,"WorldWide");
			$("#noDataNotificationPanel").text("${No_Data_Metrics_Reporting}");
			$('#reportButton').remove();
		}

		${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};

		if($('#reportButton ul li').length <=0){//No menu items, then remove File menu
			$('#reportButton').remove();
		}
		$("body").on("click", function(e) {
			var ele = $(e.target);
			if ($("body").find(".vw-dropdown-menu").length != 0) {
				$(".vw-dropdown-menu").parent().hide();
			}
		});
	});

	function loadData() {
		var ccGroups = cvUtil.getParameter('ccGroups', false);
		var comapnies = cvUtil.getParameter("companies", "false");
		if(ccGroups == false && window.metricsNoCommcellsError){
			alert(window.metricsNoCommcellsError);
		}

		$(".collapsible-page-tabs").addClass("monitoringResponsive");

		if (ccGroups) {
			$("#search").addClass("searchCommcellGroupTab");
			$("#st").addClass("stCommcellGroupTab");
			$("#headerSearchCC").addClass("searchCommcellGroupTab");
		} else {
			$("#headerSearchCC").addClass("monitoringResponsive");
		}
		var ccGroupId = cvUtil.getParameter("ccGroupId", -1);
		var companyId = cvUtil.getParameter("companyId", 0);
		if(ccGroupId > 0 || companyId > 0) {
            getCommCellDetailsOfUid(commUniId, null, function(data){
                if(data.error) {
                    $(".cvApps").hide();
                    $("#noDataNotificationPanel").html(data.error);
                    $("#noDataNotificationPanel").show();
                }else{
                	var entityName = data.GroupName;
                	if(companyId > 0){
                		entityName = "${requestScope.CompanyNameFull}";
                	}
                    var cgName = reportsUtil.getTruncatedName(entityName);
                    $('#welcomeMsg').html(cgName);
                    $('#welcomeMsg').attr('title', entityName);
                    if(data.CommCellCount){
                    	$(".commcells").append('('+ data.CommCellCount +')');
                    }
                    if(entityName){
                    	$(document).attr("title", entityName + " - CommCells");
                    }
                }
            });

        }

		if(ccGroupId == -1  && commUniId==0) {
			$("#meta").hide();
		}

        metricsReporting(function(data1){
            var dt;
            //data1 = $.parseJSON(data1);
            if(data1) {
                if(!data1.error) {
                    genearateTableFromResult(data1,0,'monitoringform','ccTableWrapper','ccTableWrapperPager', '', 0, 'CommCell', true);
                    $("#ccTableWrapper .rptTblBtnEncDiv").append($("#ccTableWrapper_table_length"));
                    // Set up dynamic actions dropdown positioning
                    dt = $("#ccTableWrapper_table").DataTable();

                    createActionsDropdown(dt, function () {
                    	// Returns true if dropdowns should be disabled
                    	var ccGroups = cvUtil.getParameter("ccGroups", "false");
                    	if(window.CommCellGroupOperationAuthorisedForUser == 'false' && ccGroups =='true'){
                    		return true;
                    	}else if(window.CommCellOperationAuthorisedForUser == 'false' && ccGroups !='true'){
                    		return true;
                    	}
                    	return false;

                    });

                    deleteHandler();
                    hideDropdownOpenerOnFilterOp();
                } else {
                    if(data1.error == 'No data to load for : ') {
                    	if(comapnies != null && comapnies == 'true'){
                    		$("#noDataNotificationPanel").html('No companies data available.');
                    	}
	                    $("#noDataNotificationPanel").show();
                    } else {
                        $("#noDataNotificationPanel").html(data1.error);
                        $("#noDataNotificationPanel").show();
                    }
                }
            } else {
                alert("Something went wrong. Please try again");
            }
            cvUtil.unmask('#ccTableWrapper');
        }, {"includeHexCCID" : true});

           this.requestString.dashboard = true;
           var commCellUID = this.requestString.commUniId;
           delete this.requestString.surveyId;
           var cid = cvUtil.getParameter("commUniId", 0);
           if(cid && cid > 0){
               this.requestString.commUniId = cid;
           }
           var tokens = [11];

           if(ccGroupId <= 0) {
               for(var i=0; i< tokens.length; i++){
                   this.requestString.dToken = tokens[i];
                   var URL = cvUtil.getContextPath() + '/server/cloudsurvey.do?type=operations&json='+window.encodeURIComponent(JSON.stringify(this.requestString));
                   cvUtil.loadPageWithPOST(URL, "", function(output) {
                       if(commCellUID == undefined){
                           if(output.summary11 !=undefined){
                               $(".commcells").append('('+ output.summary11.value +')');
                               if(parseInt(output.GroupsCount11)>0) {
                                   $(".commcellGroups").append('('+ output.GroupsCount11 +')');
                                }
                           }
                       }
                   });
               }//for
           }
           delete this.requestString.dashboard;
           delete this.requestString.dToken;
    }

    function createActionsDropdown(dt, dropdownsDisabledFn) {
        var commcellData = dt.fnGetData(),
            rows = dt.fnGetNodes(),
            current = {}, /// current CommCell or group
            ccGroups = cvUtil.getParameter("ccGroups", "false") === "true",
            handler = ccGroups ? "onGroupClick" : "onCommcellClick",
            actionNotAvailable = function () {
                /// This should never be called, since the buttons won't be
                /// visible, but it's a good safety catch
                cvUtil.errorToast(cvUtil.cvLocalize("ccdropdown.action_not_available"));
            },
            loadRedirectPage = function (key, errorMsg, naMsg) {
                /// Open a new tab within the synchronous thread,
                /// originating from a user event, which allows
                /// the tab to bypass popup blockers
                var newTab = window.open(
                    "../../common/redirect.jsp?showPage",
                    "_blank"
                );

                /// Fetch the Console and WebConsole URL
                cvUtil.loadPageWithGET(cvUtil.getContextPath() + "/server/retrieveConsoleUrls.do", {
                    commUniId: current["CommServe UniqueId"]
                }, function (response) {
                    //response = JSON.parse(response);

                    if (response.error ||  response.urls[key] == undefined) {
                        /// If for some reason an error occurs, close the
                        /// opened tab
                        cvUtil.errorToast(errorMsg);
                        newTab.close();
                    } else if (response.urls[key] === "N/A") {
                    	/// If the response URL is "N/A", the
                    	/// console/WebConsole is not installed on the CommCell
                    	cvUtil.errorToast(naMsg);
                    	newTab.close();
                    } else {
                        /// Update the redirect page to the retrieved URL
                        newTab.location = response.urls[key];
                    }
                });
            },
            /// These actions each correspond to an option in the dropdown with
            /// the class "commcell-action-" and the classSuffix member. The
            /// onCommcellClick and onGroupClick functions handle click events
            /// on those dropdown options at the CommCell and group levels,
            /// repsectively.
            actions = [{
                classSuffix: "webconsole",
                onCommcellClick: function () {
                	loadRedirectPage(
               			"webconsole",
                        cvUtil.cvLocalize("ccdropdown.webconsole_url_not_available"),
                        cvUtil.cvLocalize("ccdropdown.webconsole_not_installed")
                	);
                },
                onGroupClick: actionNotAvailable
            }, {
                classSuffix: "adminconsole",
                onCommcellClick: function () {
                	loadRedirectPage(
               			"adminconsole",
                        cvUtil.cvLocalize("ccdropdown.adminconsole_url_not_available"),
                        cvUtil.cvLocalize("ccdropdown.adminconsole_not_installed")
                	);
                },
                onGroupClick: actionNotAvailable
            }, {
                classSuffix: "console",
                onCommcellClick: function () {
                	loadRedirectPage(
               			"console",
                        cvUtil.cvLocalize("ccdropdown.console_url_not_available"),
                        cvUtil.cvLocalize("ccdropdown.console_not_installed")
                	);
                },
                onGroupClick: actionNotAvailable
            }, {
                classSuffix: "edit",
                onCommcellClick: actionNotAvailable,
                onGroupClick: function () {
                	commCellGroupHandler.createEditGroup(
               			current["GroupId"],
               			current["Group Name"],
               			current["Group Description"],
               			false
                	);
                }
            }, {
                classSuffix: "security",
                onCommcellClick: function () {
                        var data = {};
                        data.entityType = 1;
                        data.entityId = current["CommServe UniqueId"];
                        data.entityName = current["CommCell Name"];
                        data.displayName = current["DisplayName"];
                        data.ccGuid = current["GUID"];
                        reportsUtil.showUserGroupsDialog(data);

                },
                onGroupClick: function () {
                	var data = {};
                    data.entityType = 2;
                    data.entityId = current["GroupId"];
                    data.entityName = current["Group Name"];
                    reportsUtil.showUserGroupsDialog(data);

                }
            }, {
                classSuffix: "delete",
                onCommcellClick: function () {
                    $(".deleteIcon[data-uniqid=" + current["CommServe UniqueId"] + "]").data( "guid",current["GUID"]).click();
                },
                onGroupClick: function () {
                	commCellGroupHandler.deleteGroup(current["GroupId"], current["Group Name"]);
                }
            }, {
                classSuffix: "viewusers",
                onCommcellClick: function () {
                	var data = {};
                		data.entityType = 1;
	                    data.commUniId = current["CommServe UniqueId"];
	                    data.commCellId = current["CommCell ID"];
	                    data.entityName = current["DisplayName"];
	                    data.CommGuiId = current["GUID"];
	                    data.ccGroupId = 0;
                	usermanagement.showViewUsersDialog(data);
                },
                onGroupClick: function () {
                	var data = {};
	                    data.entityType = 2;
	                    data.ccGroupId = current["GroupId"];
	                    data.entityName = current["Group Name"];
                	usermanagement.showViewUsersDialog(data);
                }

            }, {
                classSuffix: "adduser",
                onCommcellClick: function () {
                	var data = {};
                		data.entityType = 1;
	                    data.commUniId = current["CommServe UniqueId"];
	                    data.commCellId = current["CommCell ID"];
	                    data.entityName = current["DisplayName"];
	                    data.CommGuiId = current["GUID"];
	                    data.ccGroupId = 0;
                	usermanagement.showNewUserDialog(data);
                },
                onGroupClick: function () {
                	var data = {};
	                    data.entityType = 2;
	                    data.ccGroupId = current["GroupId"];
	                    data.entityName = current["Group Name"];
                	usermanagement.showNewUserDialog(data);
                }

            }],
            $opener = $(".actionsDropdown").click(function (ev) {
                /// When the dropdown opener is clicked, show its dropdown
                $(this).children(".dropdown").css('display','block');
            }).hide(),
            $dropdown = $opener.children(".dropdown"),
            $drilldownCells = $(".cc-name-content, .ccGroupDrillDown").parent(),
            i;

          //for (i = 0; i < commcellData.length; ++i) {
            //(function (j) {
                //$(rows[j]).on('mouseover mouseout', function(event){
                $('#ccTableWrapper_table tbody').on('mouseover mouseout', 'tr', dt, function(event){
                	var $this = $(this),
                	    $drilldown = $this.find(".cc-name-content, .ccGroupDrillDown")
                	    $currentDrilldownCell = $drilldown.parent();

                    if (!$dropdown.is(":visible") && $drilldown.length > 0) {
                    	if (dropdownsDisabledFn()) return;

                        if (event.type == 'mouseover') {
                            /// If the dropdown is already visible for one row, don't
                            /// switch to a different row
                            current = commcellData[event.data.fnGetPosition( $(this)[0] )];
                            //current = commcellData[j];

                            /// Show and position the dropdown
                            $opener
                                .show()
                                .css({
                                    top: ($this.offset().top) + "px",
                                    left: ($currentDrilldownCell.position().left +
                                           $currentDrilldownCell.outerWidth() -
                                           25) + "px"
                                });
                            /// Change position of dropdown if table is in responsive mode
                            if(window.innerWidth<=900){
                            	$opener.css({
                            		top:($this.offset().top) + "px"
                            	});
                            	if($("tbody td:first-child").attr("data-label")!="CommCell ID"){
                            		$opener.css({
                                		top:($this.offset().top - 41) + "px"
                                	});
                            	}
                            	if(ccGroups==true){
                            		$opener.css({
                         				top:($this.offset().top - 36) + "px"
                            		});
                            	}
                            }

                            /// Apply padding to cell so the dropdown does not
                            /// cover text
                            $drilldownCells.removeClass("dropdownPadding");//("padding-right", "0");
                            $currentDrilldownCell.addClass("dropdownPadding");//css("padding-right", "45px");

                            if(!current.Version && current["Software Version"].length>0){ //Private Metrics: 'Version' column is renamed as 'Software Version' from SP21
                                current.Version=current["Software Version"];
                            }
                            if (current.Version) {
	                            /// The console URL is not stored until v10, so that
	                            /// menu option should be hidden for CommCells
	                           	$opener.find(".commcell-action-console")
	                           	   .toggle(Number(current.Version.split(/[\s.]/)[0]) >= 10);
	                           	var numberPattern = /\d+/g;
	                           	var version_arr = current.Version.match(numberPattern);
	                           	var version = parseInt(version_arr[0]);
	                           	var sp = 0;
	                           	if(version_arr.length > 1){
	                           		sp = parseInt(version_arr[1]);
	                           	}
	                           	if(version > 11 || (version >= 11 && sp >= 14)){//v11 SP14 onwards, renamed admin console to command center
		                           	$opener.find(".commcell-action-adminconsole a").text(cvUtil.cvLocalize("ccdropdown.commandcenter"));
	                           	}else{
	                           		$opener.find(".commcell-action-adminconsole a").text(cvUtil.cvLocalize("ccdropdown.adminconsole"));
	                           	}
                            }
                        } else {
                            if (event.toElement && !$(event.toElement.parentElement).hasClass("actionsDropdown")) {
                                $opener.hide();
                                $drilldownCells.removeClass("dropdownPadding");//("padding-right", "0");
                            }
                        }

                        /// Prevent classes from sticking around when event catching
                        /// fails
                        $(".openerVisible").removeClass("openerVisible");
                        $(this).toggleClass("openerVisible", $opener.is(":visible"));
                    }
                });
            //}(i));
        //}

        /// Bind event handlers to action buttons
        for (i = 0; i < actions.length; ++i) {
            $opener.find(".commcell-action-" + actions[i].classSuffix)
                .click(actions[i][handler]);
        }
    }
        function hideDropdownOpenerOnFilterOp(){
		     $(document).on("keyup", "#ccTableWrapper .inLineFilter", function(event){
		                if (event.keyCode == 13 ) {
		                $(".vw-drop-down-toggle.inlineDropdown.actionsDropdown").hide();
		                }
		        });
		}
</script>
<style>

#content #headerLinks{
    margin-top: 0px;
    display: none;
}


/* #content #headerSearchCC { */
/* 	margin-top: 15px; */
/* } */

.pageTabs {
    float: left;
    margin-top: 11px;
    margin-left: 0px;
}
ul.pageTabs li a {

}

.cancel {
    position: relative;
    right: 10px;
    float: right;
}
.surveyHead {
	border-bottom: 1px solid #DDDDDD;
	height:auto;
}

.reportTable{
    border-top: none;
}

/* Fixes font size applied globally by cvDialog.css (who's idea was that?) */
body {
    font-size: 100%;

}

.vw-fullscreen-mode .vw-container_fullscreen, #container #content {
	/* background:#f4f4f4; */
}
/* Action dropdown menu styles */
.actionsDropdown {
    display: none;
    cursor: pointer;
    position: absolute;
    z-index: 5;
    margin-top: -20px;
}

/* Button for dropdown */
.actionsDropdown .openButton {
    border: 1px solid #CCC;
    padding: 0 15px;
    width: 36px;
}

    /* Align images in menu */
.actionsDropdown .dropdown .sprite {
    vertical-align: top;
    margin-right: 3px;
}

/* Align dropdown with opener */
.actionsDropdown .dropdown {
    display: none;
    top: 5px;
    right: 1px;
}

/* Underline links on hover */
.actionsDropdown .dropdown li:hover a {
    text-decoration: underline;
}


/* Hide delete icon since, on this page, that can be done via dropdown */
table tbody tr:hover td span.deleteIcon {
    display: none;
}

td.dropdownPadding {
    padding-right: 45px;
}

.deleteCommCellGroupBtn{
	bottom: 10px;
	right: 90px;
	float: right;
	margin-bottom: 5px;
}
#ccTableWrapper{
	min-height: 150px;
	/* background:#F4F4F4; */
}

.vw-drop-down-toggle .vw-dropdown-menu {
    display: block;
    position: relative;
    padding: 0px;
    font-size: 1.025em;
}
.vw-dropdown-menu {
    background-color: #fff;
    border: 1px solid #CCCCCC;
    box-shadow: 1px 1px 1px #ececec;
    font-size: 0.875em;
    right: 50px;
    z-index: 1000;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    }
 .triarea {
    border-bottom: 11px solid #fff;
    border-left: 11px solid transparent;
    border-right: 11px solid transparent;
    height: 0;
    position: relative;
    width: 0;
    z-index: 10000;
    left: -11px;
    top: 1px;
    }

  .triborder {
    border-bottom: 11px solid #CCCCCC;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    height: 0;
    position: absolute;
    width: 0;
    top: -9px;
}
	ul.vw-dropdown-menu li{
		padding: 5px;
	}
</style>
<%--
<jsp:include page="searchCommcell.jsp"></jsp:include>
<h1 id='welcomeMsg'>Metrics Reporting</h1>
 --%>

<!-- Dropdown to be dynamically positioned on row hover -->

<span class="vw-drop-down-toggle inlineDropdown actionsDropdown">
    <!-- Dropdown opener button content -->
    <div class="openButton">
    <span class="sprite icon-arrow-dropdown" alt="^"></span>
    </div>

    <!-- Dropdown menu content -->
    <span class="dropdown" style="display: none;">
            <div class="triborder"><div class="triarea"></div></div>

            <ul class="vw-dropdown-menu">
			    <c:if test="${!sessionScope.isPublicMetricsCloud && !param.ccGroups}">
				    <!-- Open the CommCell WebConsole -->
				    <li class="commcell-action-webconsole">
				        <span class="sprite icon-globe"></span>
				        <a><fmt:message key="ccdropdown.webconsole" /></a>
				    </li>

 					<!-- Open the CommCell Admin Console -->
				    <li class="commcell-action-adminconsole">
				        <span class="sprite icon-adminconsole"></span>
				        <a><fmt:message key="ccdropdown.adminconsole" /></a>
				    </li>

				    <!-- Open the CommCell console -->
				    <li class="commcell-action-console">
				        <span class="sprite icon-commcell-console"></span>
				        <a><fmt:message key="ccdropdown.console" /></a>
				    </li>
				</c:if>
				<c:choose>
				    <c:when test="${param.ccGroups && sessionScope.isCommCellGroupAdminUser == true}">
					    <!-- Open the CommCell Group editing page -->
					    <li class="commcell-action-edit">
					        <span class="sprite icon-edit"></span>
					        <a><fmt:message key="ccdropdown.edit" /></a>
					    </li>
					    <!-- Open the CommCell security page -->
					    <li class="commcell-action-security">
					        <span class="sprite icon-locked"></span>
					        <a><fmt:message key="ccdropdown.security" /></a>
					    </li>

					    <!-- Delete the CommCell -->
					    <li class="commcell-action-delete">
					        <span class="sprite icon-trash"></span>
					        <a><fmt:message key="ccdropdown.delete" /></a>
					    </li>
				    </c:when>

				    <c:otherwise>
				    	<!-- CommCells page -->
				    	<c:if test="${!param.ccGroups && isAdminUser}">
						    <!-- Open the CommCell security page -->
						    <li class="commcell-action-security">
						        <span class="sprite icon-locked"></span>
						        <a><fmt:message key="ccdropdown.security" /></a>
						    </li>

						    <!-- Delete the CommCell -->
						    <li class="commcell-action-delete">
						        <span class="sprite icon-trash"></span>
						        <a><fmt:message key="ccdropdown.delete" /></a>
						    </li>
					    </c:if>
				    </c:otherwise>
			    </c:choose>
			    <c:if test="${applicationScope.isPublicMetricsCloud == 'true'}">
			    	<li class="commcell-action-viewusers">
						<span class="sprite reports-actions-security"></span>
					    <a><fmt:message key="View_Users" /></a>
					</li>
			    </c:if>
			</ul>
    </span>
</span>

<div id="noDataNotificationPanel" style="text-align: center; display:none;"></div>

<div id="ccTableWrapper">
</div>
<input type="hidden" id="hidden-report-name" value="CommCell Details"/>
    <jsp:include page="alarmdialog.jsp"></jsp:include>

<div id="dialog">
    <p class="alert"><span class="deleteCommCellName"></span><br/><span class='confirmText' ></span><p class="error"><fmt:message key="Please_Enter" /> "Confirm"</p></p>


    <div class="btns">
        <input type="text" class="confirm" autocomplete="off">
        <a href="#" class="deleteButton"><fmt:message key="Delete" /></a>
    </div>
    <div class="btns">
        <a href="#" class="cancel"><fmt:message key="Cancel" /></a>
    </div>

</div>

<div id="commCellGroupDeletedialog" style="display:none;">
	<p class="alert"><fmt:message key="Delete_CommCell_Group" /></p>
	<div class="btns">
		<a href="#" class="deleteButton deleteCommCellGroupBtn"><fmt:message key="Delete" /></a>
		<a href="#" class="cancel"><fmt:message key="Cancel" /></a>
	</div>
</div>
<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
	<input id="downloadType" type='hidden' name='type' value='report' />
	<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>
<c:if test="${not empty sessionScope.LOCALIZED_ERROR_MSG}">
    <script nonce="${sessionScope.cspNonce}" >
        cvUtil.errorToast("${sessionScope.LOCALIZED_ERROR_MSG}", null, null, true);
    </script>
    <c:set var="LOCALIZED_ERROR_MSG" value="" scope="session" />
</c:if>

<c:if test="${applicationScope.isPublicMetricsCloud == 'true'}" >
	<%@include file="userManagement.jsp" %>
	<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/survey/js/userManagement.js?${applicationScope.BUILD_TS}"></script>
</c:if>

</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
    <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
    <jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
    <jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
    <jsp:param value="${pageContext.request.contextPath}/survey/js/commCellGroupHandling.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
    <jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js"/>

    <jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
    <jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
    <jsp:param value="true" name="bootstrapped" />
</jsp:include>
