<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.SurveyMessages">
<span id='searcherr' class='error'></span>
<div id="search" class="loading">
	<input type="text" id="st" placeholder="Loading">
	<input type='hidden' name="ccUniId" id="ccUniId" /> 
	<input type='hidden' name="commcellId" id="commcellId" />
	<span id="sb">
		<svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" width="24" height="22" viewBox="0 0 34 34" style="fill: #505050;"><path d="M33,31.5,22.4,20.9a11.5,11.5,0,0,0,2.7-7.5A11.7,11.7,0,1,0,13.4,25.1,11.5,11.5,0,0,0,21,22.3L31.6,32.9ZM13.4,23.1a9.7,9.7,0,1,1,9.7-9.7A9.6,9.6,0,0,1,13.4,23.1Z"/></svg>
	</span>
</div>
<c:if test="${applicationScope.isPublicMetricsCloud != null and applicationScope.isPublicMetricsCloud ==true && sessionScope.isCommvaultUser == true}">
	<div class="adv-search">
		<a id="advCCSearch" href='${pageContext.request.contextPath}/reportsplus/reportViewer.jsp?reportName=Search%20Commcells' title='<fmt:message key="search.adv.title"/>'><fmt:message key="search.advanced"/></a>
	</div>
</c:if>

</fmt:bundle>

<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/survey/js/waitress.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/survey/js/search.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
(function(){
	var opts = {};
	<c:if test="${fn:escapeXml(param.searchPage) != null}">
		opts.page = "${fn:escapeXml(param.searchPage)}";
	</c:if>

	<c:if test="${applicationScope.METRICS_INSTALLED == 'true'}">
		opts.isMetricsInstalled = true;
	</c:if>
	
// 	opts.isHealthReport = "${param.isHealthReport}";
	
	search(opts);
})();
</script>