<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<%@  taglib prefix="we" uri="/WEB-INF/webenhance.tld" %>
<fmt:bundle basename="localization.SurveyMessages">

	<jsp:include page="../../common/header.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeHistory"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="CommCell Information" name="titleLocalized" />
		<jsp:param value="" name="headerTitleLocalized" />
		<jsp:param value="" name="headerTitle" />
		<jsp:param value="true" name="includeCustomSelect"/>
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />

		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	</jsp:include>

	<jsp:include page="../reports/surveyHeader.jsp">
		<jsp:param name="welcomeMsg" value="" />
		<jsp:param name="searchCC" value="true" />
		<jsp:param value="dashboard.jsp" name="searchPage"/>
		<jsp:param name="exportPdf" value="false"/>
		<jsp:param name="exportCsv" value="false" />
		<jsp:param name="exportHtml" value="false" />
		<jsp:param name="printButton" value="false" />
		<jsp:param name="exportEnabled" value="false" />
		<jsp:param name="includeCROptionBeforeExport" value="false" />
		<jsp:param name="includeCROptionBeforeSearch" value="false" />
	</jsp:include>


	<div id="ContentWrapper" >
		<we:out escapeXml="false">
			<div id="show-message">${requestScope.message}</div>
		</we:out>
	</div>
	<script nonce="${sessionScope.cspNonce}" >
    	$("#surveyName").html("${requestScope.title}");
    	$(document).attr("title", "${requestScope.title}");
    	$("#commCellLevelReportLinks").hide();
	</script>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />

	<jsp:param value="true" name="bootstrapped" />
</jsp:include>
</fmt:bundle>
