<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@  taglib  prefix="wae" uri="/WEB-INF/webenhance.tld" %>

<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css"	name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/testAlert.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="true" name="includeHistory"/>
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="Test Alert Criteria" name="titleLocalized" />
		<jsp:param value="" name="headerTitleLocalized" />
		<jsp:param value="" name="headerTitle" />
</jsp:include>
 	<div id="surveyHeaderRow">
    	<span id="surveyName">${fn:escapeXml(reportName)}</span>
	</div>

	 <c:set var="testcriteria" value='${fn:escapeXml(criteria)}' scope="page" />
	 <div id='testcriteria'>
	 	<h1><fmt:message key="Alert_Criteria"/></h1>
	    <ul id='testCriteriaList'></ul>
	 </div>
	 <script type="text/javascript" nonce="${sessionScope.cspNonce}" >
	 	window.testCriteriaString =  '${testcriteria}';
	</script>
	 <div id='tableWrapper'>
	    <div id = ${fn:escapeXml(gridId)} class="table">
	    	<wae:out escapeXml="false">
		    	${results}
	    	</wae:out>
	    </div>
	 </div>
<jsp:include page="../../common/footer.jsp">
		<jsp:param value="../js/testAlert.js" name="js" />
		<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
		<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/js/jquery.uniform.min.js" name="js" />
		<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
</jsp:include>

</fmt:bundle>
