<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.SurveyMessages">
	
	<jsp:include page="../../common/header.jsp">
		<jsp:param value="webconsole" name="applicationName" />
		<jsp:param value="reportsplus/reportHeader.jsp" name="jsp" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/js/encoder.js" name="js" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/viewReport.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/js/auto_complete.js" name="js" />
		<jsp:param value="${pageContext.request.contextPath}/survey/js/companyModal.js" name="js" />
		<jsp:param value="false" name="includeJqueryUI" />
		<jsp:param value="false" name="includeMask" />
		<jsp:param value="true" name="includeHistory" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="false" name="includeSecHeader" />
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />
		<jsp:param value="false" name="includeBootstrapCss" />
		<jsp:param value="false" name="includeLMjsp" />
		<jsp:param value="Reports" name="title" />
		<jsp:param value="Reports" name="headerTitle" />
	</jsp:include>
	<jsp:include page="../surveyBase.jsp">
		<jsp:param value="true" name="includeExportSupport"/>
	</jsp:include>
	
	<jsp:include page="../reports/surveyHeader.jsp">
		<jsp:param value="true" name="changePage" />
		<jsp:param value="../reports/dashboard.jsp" name="searchPage"/>
		<jsp:param name="welcomeMsg" value="" />
		<jsp:param name="searchCC" value="true" />
		<jsp:param name="exportPdf" value="true"/>
		<jsp:param name="exportCsv" value="true" />
		<jsp:param name="exportHtml" value="true" />	
		<jsp:param name="exportEnabled" value="true" />
		<jsp:param name="includeCROptionBeforeExport" value="true" />
		<jsp:param name="includeCROptionBeforeSearch" value="true" />
		<jsp:param name="includeBreadcrumb" value="false" />
		<jsp:param name="showNewCompany" value="true"/>
	</jsp:include>	
	
	<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
		var isPublicMetricsCloud = "${applicationScope.isPublicMetricsCloud}";
		var isCommvaultUser = "${sessionScope.isCommvaultUser}";
		var isReportsCloudAdminUser = "${sessionScope.isReportsCloudAdminUser}";
		var isCommCellGroupAdminUser = "${sessionScope.isCommCellGroupAdminUser}";
	</script>
	<jsp:include page="../reports/companyModal.jsp"/>
	
	<div id="ContentWrapper" class="view-custom-report-content-wrapper">
		<div>
			<jsp:include page="../../reportsplus/reportArea.jsp">	
				<jsp:param name="reportId" value="${fn:escapeXml(param.reportId)}" />
				<jsp:param name="includeTitle" value="false" />		
				<jsp:param name="noTitleUpdate" value="true" />		
			</jsp:include>
		</div>
	</div>
	
	<jsp:include page="../../common/footer.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	  	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
	  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/js/search.js" name="js" />
		<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
		<jsp:param value="${pageContext.request.contextPath}/survey/js/viewReport.js" name="js" />
		<jsp:param value="true" name="bootstrapped" />
	</jsp:include>
</fmt:bundle>
 