<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<c:set var="isAdminUser" value='false' scope="page" />
<cv:reportsTag name="adminRight" id="999">
    <c:set var="isAdminUser" value='true' scope="page" />
</cv:reportsTag>
<c:if test="${(applicationScope.isPublicMetricsCloud != null and applicationScope.isPublicMetricsCloud ==true) and (sessionScope.isReportsCloudAdminUser == false and isAdminUser == 'false' and sessionScope.isCommvaultUser == 'false')}">
	<c:redirect url="dashboard.jsp?commUniId=${param.commUniId}" />
</c:if>
<fmt:bundle basename="localization.SurveyMessages">
	
	<jsp:include page="../../common/header.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeHistory"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="CommCell Information" name="titleLocalized" />
		<jsp:param value="" name="headerTitleLocalized" />
		<jsp:param value="" name="headerTitle" />
		<jsp:param value="true" name="includeCustomSelect"/>
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />
		<jsp:param value="false" name="ViewCommcellInfo" />
		<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />

		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	</jsp:include>
	
	<jsp:include page="../surveyBase.jsp">
		<jsp:param value="true" name="includeExportSupport"/>
	</jsp:include>
	
	<jsp:include page="../reports/surveyHeader.jsp">
		<jsp:param value="true" name="changePage" />
		<jsp:param value="../reports/viewcommcellinfo.jsp" name="searchPage"/>
		<jsp:param name="welcomeMsg" value="" />
		<jsp:param name="searchCC" value="true" />
		
		<jsp:param name="exportPdf" value="true"/>
		<jsp:param name="exportCsv" value="false" />
		<jsp:param name="exportHtml" value="true" />	
		<jsp:param name="printButton" value="true" />
		<jsp:param name="exportEnabled" value="true" />
		<jsp:param name="includeCROptionBeforeExport" value="true" />
		<jsp:param name="includeCROptionBeforeSearch" value="true" />
	</jsp:include>
	
	
	<div id="ContentWrapper" class="cc-info-content">
		<div id='cc-info-div' class="cc-grid">
			<span class='users-customer-name cc-info-title'>CommCell Information:</span>
			<table id='cc-info-table' class='users-table tablesorter'>
				<tbody class='cc-info-table-body'>
					
				</tbody>
			</table>
		</div>
		<!-- <div id='cc-users-list' class="cc-grid">
			<span class='users-customer-name'>Users:</span>
			<span class='cc-new-user' title='User have access to this CommCell'>Add User</span>
			<table class='users-table tablesorter'>
				<thead>
					<tr class='grad'><th>Name</th><th>Email</th><th></th></tr>
				</thead>
				<tbody class='users-table-body'>
					
				</tbody>
			</table>
		</div> -->	
	</div>
	
<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
		<input id="downloadType" type='hidden' name='type' value='report' />
		<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
	</form>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/jquery.uniform.min.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/search.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/viewcommcellinfo.js" name="js" />
	<jsp:param value="true" name="bootstrapped" />
</jsp:include>
</fmt:bundle>
 