var chargebackDashboard = {};
chargebackDashboard.chartData = {};
$(document).ready(function() {
	chargebackDashboard.common = {};
	chargebackDashboard.requests = {};
	chargebackDashboard.common.ccGroupId = cvUtil.getParameter('ccGroupId', "-1");
	chargebackDashboard.common.companyId = cvUtil.getParameter('companyId', "0");
	chargebackDashboard.common.ccId = cvUtil.getParameter('commUniId', "0");
	chargebackDashboard.common.intervalType = cvUtil.getParameter('intervalType', "3");
	chargebackDashboard.common.endDate = cvUtil.getParameter('endDate');
	chargebackDashboard.common.excludeDeSCs = cvUtil.getParameter('excludeDeSCs', 0);
	chargebackDashboard.common.includeDRSubclients = cvUtil.getParameter('includeDRSubclients', 0);
	chargebackDashboard.common.primaryCopyOnly = cvUtil.getParameter('primaryCopyOnly', 0);

	var title = cvUtil.cvLocalize("chargeback.Trends_Report");
	if (chargebackDashboard.common.intervalType === '1') {
		title = cvUtil.cvLocalize("chargeback.trends.daily.title");
	} else if (chargebackDashboard.common.intervalType === '2') {
		title = cvUtil.cvLocalize("chargeback.trends.weekly.title");
	} else {
		title = cvUtil.cvLocalize("chargeback.trends.monthly.title");
	}
	var params = '?';
	if (chargebackDashboard.common.intervalType == 1) {
		params += "repType=4";
	} else if (chargebackDashboard.common.intervalType == 2) {
		params += "repType=2";
	} else {
		params += "repType=1";
	}
	if (chargebackDashboard.common.endDate) {
		params += "&startDate=" + chargebackDashboard.common.endDate + " 00:00:00";
	} else {
		params += "&startDate=1";
	}

	if (parseInt(chargebackDashboard.common.ccId) > 0) {
		params += "&commUniId=" + chargebackDashboard.common.ccId;
	}
	if (parseInt(chargebackDashboard.common.ccGroupId) > 0) {
		params += "&ccGroupId=" + chargebackDashboard.common.ccGroupId;
	}
	if (parseInt(chargebackDashboard.common.companyId) > 0) {
		params += "&companyId=" + chargebackDashboard.common.companyId;
	}
	params += "&excludeDeSCs=" + chargebackDashboard.common.excludeDeSCs;
	params += "&includeDRSubclients=" + chargebackDashboard.common.includeDRSubclients;
	params += "&primaryCopyOnly=" + chargebackDashboard.common.primaryCopyOnly;

	var a = '<a class="smartLinkMain trendsLink" href="chargebackmonthly.jsp' + params + '">Chargeback</a>';
	$('#breadcrumbMain').append('<li class="secTitleClickable smartlinkMain withSeparatorMain">' + a + '</li>');

	surveyCommon.initComponents(title,
			chargebackDashboard.common.ccId,
			chargebackDashboard.common.ccGroupId,
			chargebackDashboard.common.companyId,
			true);
	if (chargebackDashboard.common.ccId == '0') {
		$('body').addClass('worldwide');
	}
	reportsUtil.setWorldwideLink(!isPublicMetrics);

	chargebackDashboard.agentRequest = $.extend({}, chargebackDashboard.common);
	chargebackDashboard.requests['agentBox'] = chargebackDashboard.agentRequest;
	chargebackDashboard.agentRequest.groupBy = 'Agent Type';
	//chargebackDashboard.agentRequest.entityType='Agent Type';
	chargebackDashboard.agentRequest.entityDisplayType = 'Agent Type';
	chargebackDashboard.request = chargebackDashboard.agentRequest;
	chargebackDashboard.request.chartType = cvUtil.getParameter('agentBoxChartType', 'line');
	chargebackDashboard.drawLibraryGrowthChart("#agentBox", "agentChart", chargebackDashboard.request.chartType);

	chargebackDashboard.ccRequest = $.extend({}, chargebackDashboard.common);
	chargebackDashboard.requests['commcellBox'] = chargebackDashboard.ccRequest;
	chargebackDashboard.ccRequest.groupBy = 'CommCell';
	//chargebackDashboard.ccRequest.entityType='CommCell';
	chargebackDashboard.ccRequest.entityDisplayType = 'CommCell';
	chargebackDashboard.request = chargebackDashboard.ccRequest;
	chargebackDashboard.request.chartType = cvUtil.getParameter('commcellBoxChartType',
			'line',
			chargebackDashboard.request.chartType);
	chargebackDashboard.drawLibraryGrowthChart("#commcellBox", "commcellChart", chargebackDashboard.request.chartType);

	chargebackDashboard.clientRequest = $.extend({}, chargebackDashboard.common);
	chargebackDashboard.requests['clientBox'] = chargebackDashboard.clientRequest;
	chargebackDashboard.clientRequest.groupBy = 'Client';
	//chargebackDashboard.clientRequest.entityType='Client';
	chargebackDashboard.clientRequest.entityDisplayType = 'Client';
	chargebackDashboard.request = chargebackDashboard.clientRequest;
	chargebackDashboard.request.chartType = cvUtil.getParameter('clientBoxChartType', 'line');
	chargebackDashboard.drawLibraryGrowthChart("#clientBox", "clientChart", chargebackDashboard.request.chartType);

	id = 'storagePolicyBox';
	chargebackDashboard.requests[id] = $.extend({}, chargebackDashboard.common);
	chargebackDashboard.requests[id].groupBy = 'Storage Policy';
	//chargebackDashboard.requests[id].entityType='Storage Policy';
	chargebackDashboard.requests[id].entityDisplayType = 'Storage Policy';
	//chargebackDashboard.requests[id].growthType=2;
	chargebackDashboard.request = chargebackDashboard.requests[id];
	chargebackDashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	chargebackDashboard.drawLibraryGrowthChart("#storagePolicyBox",
			"storagePolicyChart",
			chargebackDashboard.request.chartType);

	id = 'tenantsBox';
	chargebackDashboard.requests[id] = $.extend({}, chargebackDashboard.common);
	chargebackDashboard.requests[id].groupBy = 'Tenant';
	chargebackDashboard.requests[id].entityDisplayType = 'Tenant';
	chargebackDashboard.request = chargebackDashboard.requests[id];
	chargebackDashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	chargebackDashboard.drawLibraryGrowthChart("#tenantsBox", "tenantsChart", chargebackDashboard.request.chartType);

	$('.linechartMini').click(function(e) {
		chargebackDashboard.getChartDiv(e.target, 'line');
		e.preventDefault();
	});
	$('.vbarchartMini').click(function(e) {
		chargebackDashboard.getChartDiv(e.target, 'bar');
		e.preventDefault();
	});
	$('.yAxisSelection').on('click', 'li', function() {
		$(this).siblings('.on').removeClass('on');
		$(this).addClass('on');
		var id = $(this).closest('.viewBox').attr('id');
		chargebackDashboard.request = chargebackDashboard.requests[id];
		chargebackDashboard.request.growthType = $(this).attr('id').substring(0, 1);
		var chartDiv = $('#' + id).find('.boxedChart').empty().attr('id');
		chargebackDashboard.drawLibraryGrowthChart('#' + id, chartDiv, chargebackDashboard.request.chartType);
	});
});
chargebackDashboard.getChartDiv = function(ele, chartType) {
	var container = $(ele).closest('.viewBox');
	var chartDiv = container.find('.boxedChart').empty().attr('id');
	chargebackDashboard.updateHash(container.attr('id') + 'ChartType', chartType);
	//	var detailsLink = container.find('.viewdetails');
	chargebackDashboard.requests[container.attr('id')].chartType = chartType;
	if (chartType == 'bar') {
		chargebackDashboard.drawBarGrowthChart(chartDiv, chargebackDashboard.chartData[chartDiv]);
	} else if (chartType == 'line') {
		chargebackDashboard.drawLineGrowthChart(chartDiv, chargebackDashboard.chartData[chartDiv]);
	}
};
chargebackDashboard.updateHash = function(name, value) {
	updateParamToUrl(name, value, true);
};
chargebackDashboard.drawLibraryGrowthChart = function(boxSelector, chartDiv, chartType) {
	cvUtil.mask(boxSelector);
	var entityDetails = {};
	entityDetails.groupBy = chargebackDashboard.request.groupBy;
	entityDetails.entityType = chargebackDashboard.request.entityType;
	entityDetails.entityDisplayType = chargebackDashboard.request.entityDisplayType;
	cvUtil.loadPageWithPOST('top5EntityChargebackTrendsChart.do', chargebackDashboard.request, function(resp) {
		cvUtil.unmask(boxSelector);
		if (!resp || !resp.data) {
			return handleError(boxSelector);
		}
		if (resp.data.isError) {
			return handleError(boxSelector, resp.data.errorMessage);
		}
		var cData = resp.data.cData;
		/*
		 * if(!cData){ return chargebackDashboard.handleNoChartableData(boxSelector); }
		 */
		if (!cData || cData.seriesList.length <= 0) {
			return chargebackDashboard.handleNoData(boxSelector);
		}
		chargebackDashboard.cleanChart(boxSelector);
		cData.entityDetails = entityDetails;
		chargebackDashboard.chartData[chartDiv] = cData;
		if (chartType == 'bar') {
			chargebackDashboard.drawBarGrowthChart(chartDiv, chargebackDashboard.chartData[chartDiv]);
		} else {
			chargebackDashboard.drawLineGrowthChart(chartDiv, chargebackDashboard.chartData[chartDiv]);
		}
	}, function(xhr, ajaxOptions, thrownError) {
		cvUtil.unmask(boxSelector);
		chargebackDashboard.handleError(boxSelector, cvUtil.cvLocalize("Something_went_wrong_please_try_again"));
	});
};

chargebackDashboard.drawLineGrowthChart = function(chartDiv, cData) {
	if (!cData) {
		console.log('drawLineGrowthChart - cData is null...returning without doing anything.');
		return;
	}
	var cw = 340, ch = 200;
	var browserExp = new RegExp('Android|webOS|iPhone|iPad|' + 'BlackBerry|Windows Phone|'
			+ 'Opera Mini|IEMobile|Mobile', 'i');

	if (browserExp.test(navigator.userAgent)) {
		var r = Raphael(chartDiv, '540px', 280);
	} else {
		var r = Raphael(chartDiv, '100%', 280);
	}
	//var r = Raphael(chartDiv, 400, 280);
	var numPoints = cData.seriesList[0].points.length;
	cData.yAxis.minValue = 0;
	var linechart = cvcharts.createRaphaelLinechartNew(r, cData, {
		axis : "0 1 1 1",
		chartWidth : cw,
		chartHeight : ch,
		leftMargin : 45,
		topMargin : 20,
		shade : false,
		showPartialLine : true,
		radius : 2,
		showLegend : false,
		legend : 1,
		legendX : cw,
		legendY : 20,
		maxSteps : numPoints,
		maxLegendLen : 12,
		colors : cvcharts.colors[5],
		thresholdLabel : cData["yAxis"]['thresholdLabel'],
		thresholdProperties : {
			thresholdStroke : {
				"stroke" : "#008000",
				"stroke-width" : 1.5
			}
		},
	});
};

chargebackDashboard.drawBarGrowthChart = function(frameid, chartData) {
	if (!chartData) {
		console.log('drawBarGrowthChart - chartdata is null...returning without doing anything.');
		return;
	}

	chartData.isStack = true;
	chartData.isShowLegend = true;

	var r = Raphael(frameid, '100%', 280);
	var minYAxisValue = chartData["yAxis"]["minValue"];
	var smooth = true;
	var temp = [];
	var temp2 = [];
	var popupLabels = [];
	var pointData = [];
	var seriesLabels = [];
	var colors = [];

	var myColor = cvcharts.colors[5];

	for (var i = 0; i < chartData.seriesList.length; i++) {
		var s = chartData.seriesList[i];
		var ctr = 0;
		for (var i = 0; i < chartData.seriesList.length; i++) {
			var s = chartData.seriesList[i];
			if (chartData.isStack == true) {
				if (chartData.colorSet != null && chartData.colorSet != undefined) {
					if (chartData.colorSet[s["seriesName"]] != null && chartData.colorSet[s["seriesName"]] != undefined) {
						s.color = chartData.colorSet[s["seriesName"]];
					} else {
						s.color = myColor[ctr++];
					}
				} else {
					s.color = myColor[i];
				}
			} else {
				s.color = myColor[0];
			}
		}
	}
	var clickParams = [];
	for (var i = 0; i < chartData.seriesList.length; i++) {
		var s = chartData.seriesList[chartData.seriesList.length - i - 1];
		var points = s.points;
		temp[i] = [];
		temp2[i] = [];
		popupLabels[i] = [];
		pointData[i] = [];
		xLabels = [];
		colors[i] = s["color"];
		clickParams[i] = [];
		for (var j = 0; j < points.length; j++) {
			temp[i][j] = points[j]["x"];
			xLabels[j] = points[j]["name"];
			temp2[i][j] = (parseInt(points[j]["y"]) >= 0) ? points[j]["y"] : 0;
			if (points[j]["y"] <= minYAxisValue && j + 1 < points.length) {
				if (points[j + 1]["y"] <= minYAxisValue) {
					smooth = false; //don't smooth if more than 1 cnsecutive values are 0 in which case it will go below the axis line
				}
			}
			popupLabels[i][j] = points[j]["popupLabel"];
			pointData[i][j] = s["pointData"];
			clickParams[i][j] = s["seriesName"];
		}
		seriesLabels[i] = s["seriesName"];
	}

	var xAxisLabels = chartData["xAxis"]["labels"];
	if (typeof xAxisLabels == 'undefined' || !xAxisLabels.length || xAxisLabels.length < 1) {
		xAxisLabels = xLabels;
	}
	xAxisLabels = modifyLabels(xAxisLabels);
	var barH = 30;

	var totalPoints = xAxisLabels.length;
	var width = 340;
	var chart;

	var height = 220;
	chart = r.barchart(15, 10, width, height, temp2, {
		stacked : true,
		nostroke : false,
		axis : "0 0 1 1",
		symbol : "circle",
		smooth : true,
		actualMaxY : chartData["stackedYAxis"]["maxValue"],
		axisxstep : totalPoints,
		serieslabels : seriesLabels,
		colors : colors,
		maxLegendLen : 12,
		showlegend : chartData["isShowLegend"],
		xAxisTitle : chartData["xAxisTitle"],
		yAxisTitle : chartData["yAxisTitle"],
		pointlabels : xAxisLabels,
		showpopup : true,
		showGrid : true,
		barGap : 9,
		barActualWidth : 11,
		threshold : {
			value : chartData["yAxis"]['thresholdValue'],
			color : '#008000',
			label : chartData["yAxis"]['thresholdLabel']
		}
	}, popupLabels);
	chart.heightAdjustment(frameid);

	chart.label(xAxisLabels, true);
};

chargebackDashboard.handleNoData = function(viewBoxId) {
	$(viewBoxId).addClass('nodata');
};
chargebackDashboard.handleNoChartableData = function(viewBoxId) {
	$(viewBoxId).addClass('nodata');
	$(viewBoxId).find('div.showifnodata').text(cvUtil.cvLocalize("No_chartable_data_available"));
};
chargebackDashboard.cleanChart = function(viewBoxId) {
	$(viewBoxId).removeClass('nodata').removeClass('errorBox');
};

chargebackDashboard.handleError = function(viewBoxId, errorText) {
	$(viewBoxId).addClass('errorBox');
	var msg = errorText || cvUtil.cvLocalize("Something_went_wrong_please_try_again");
	$(viewBoxId).find('.showiferror').text(msg);
};
cvcharts.formatChartLabels = function(seriesLabels) {
	return seriesLabels;
};