var chargebackTrends = {};
chargebackTrends.selectedEntities = [];
chargebackTrends.defaultGrowthType = 0;
chargebackTrends.defaultAggregateType = 2;
chargebackTrends.entityMap = {
	'commcell' : 'CommCell',
	'client' : 'Client',
	'agenttype' : 'Agent Type',
	'subclient' : 'SubClient',
	'storagepolicy' : 'Storage Policy',
	'storagepolicycopy' : 'Storage Policy Copy',
	'tenant' : 'Tenant'
};

$(document)
		.ready(function() {

			var showDrilldown = cvUtil.getParameter('dd', false);
			if (showDrilldown === 'true') {
				$("#drilldown").show();
				$("select#drilldownTo").removeClass('disable');
			} else {
				$("select#drilldownTo").addClass('disable');
				$("select#drilldownTo").attr('title', "Click on 'Entity' to enable drilldown");
			}

			chargebackTrends.request = {};
			var entityType = window.entityType;
			var groupBy = window.groupBy;
			chargebackTrends.request.ccGroupId = cvUtil.getParameter('ccGroupId', "-1");
			chargebackTrends.request.companyId = cvUtil.getParameter('companyId', "0");
			chargebackTrends.request.ccId = cvUtil.getParameter('commUniId', 0);
			chargebackTrends.request.commcell = cvUtil.getParameter('commcell', 0);
			chargebackTrends.request.application = cvUtil.getParameter('application');
			chargebackTrends.request.agent = cvUtil.getParameter('agent');
			chargebackTrends.request.growthType = cvUtil.getParameter('growthType', null);
			chargebackTrends.request.entityId = cvUtil.getParameter('entityId', 0);
			chargebackTrends.request.entityName = cvUtil.getParameter('entityName');
			chargebackTrends.request.intervalType = cvUtil.getParameter('intervalType', "3");
			chargebackTrends.request.endDate = cvUtil.getParameter('endDate');
			chargebackTrends.request.entityType = chargebackTrends.entityMap[entityType.toLowerCase()];
			chargebackTrends.request.drilldownto = cvUtil.getParameter('drilldownto', "");
			chargebackTrends.request.excludeDeSCs = cvUtil.getParameter('excludeDeSCs', 0);
			chargebackTrends.request.includeDRSubclients = cvUtil.getParameter('includeDRSubclients', 0);
			chargebackTrends.request.primaryCopyOnly = cvUtil.getParameter('primaryCopyOnly', 0);

			if (chargebackTrends.request.ccId == '0') {
				$('body').addClass('worldwide');
			}
			if (entityType === 'AgentType' && chargebackTrends.request.entityId == 106) {
				$('#drilldownTo option[value="SubClient"]').remove();//SubClient is not applicable for Virtual Server agent
			}

			if (groupBy.toLowerCase() == 'commcell') {
				chargebackTrends.request.groupBy = 'CommCell';
				chargebackTrends.request.entityDisplayType = 'CommCells';
				chargebackTrends.entityColumnName = 'CommCell Name';
				chargebackTrends.entityColumnId = 'CommservUniqueId<DONOTSHOW>';
				chargebackTrends.commcellColumnId = 'CommservUniqueId<DONOTSHOW>';
			} else if (groupBy.toLowerCase() == 'client') {
				chargebackTrends.request.groupBy = 'Client';
				chargebackTrends.request.entityDisplayType = 'Clients';
				chargebackTrends.entityColumnName = 'Entity Name';
				chargebackTrends.entityColumnId = 'EntityId<DONOTSHOW>';
				chargebackTrends.commcellColumnId = 'CommservUniqueId<DONOTSHOW>';
			} else if (groupBy.toLowerCase() == 'subclient') {
				chargebackTrends.request.groupBy = 'SubClient';
				chargebackTrends.request.entityDisplayType = 'SubClients';
				chargebackTrends.entityColumnName = 'Entity Name';
				chargebackTrends.entityColumnId = 'EntityId<DONOTSHOW>';
				chargebackTrends.commcellColumnId = 'CommservUniqueId<DONOTSHOW>';
			} else if (groupBy.toLowerCase() == 'agenttype') {
				chargebackTrends.request.groupBy = 'Agent Type';
				chargebackTrends.request.entityDisplayType = 'Agents';
				chargebackTrends.entityColumnName = chargebackTrends.request.agent ? 'CommCell' : 'Entity Name';
				chargebackTrends.entityColumnId = 'EntityId<DONOTSHOW>';
				chargebackTrends.commcellColumnId = 'CommservUniqueId<DONOTSHOW>';
			} else if (groupBy.toLowerCase() == 'storagepolicy') {
				chargebackTrends.request.groupBy = 'Storage Policy';
				chargebackTrends.request.entityDisplayType = 'Storage Policies';
				chargebackTrends.entityColumnName = 'Entity Name';
				chargebackTrends.entityColumnId = 'EntityId<DONOTSHOW>';
				chargebackTrends.commcellColumnId = 'CommservUniqueId<DONOTSHOW>';
				chargebackTrends.request.growthType = chargebackTrends.request.growthType != null ? chargebackTrends.request.growthType
						: chargebackTrends.defaultGrowthType;
			} else if (groupBy.toLowerCase() == 'storagepolicycopy') {
				chargebackTrends.request.groupBy = 'Storage Policy Copy';
				chargebackTrends.request.entityDisplayType = 'Storage Policy Copies';
				chargebackTrends.entityColumnName = 'Entity Name';
				chargebackTrends.entityColumnId = 'EntityId<DONOTSHOW>';
				chargebackTrends.commcellColumnId = 'CommservUniqueId<DONOTSHOW>';
				chargebackTrends.request.growthType = chargebackTrends.request.growthType != null ? chargebackTrends.request.growthType
						: chargebackTrends.defaultGrowthType;
			} else if (groupBy.toLowerCase() == 'tenant') {
				chargebackTrends.request.groupBy = 'Tenant';
				chargebackTrends.request.entityDisplayType = 'Tenants';
				chargebackTrends.entityColumnName = 'Tenant Name';
				chargebackTrends.entityColumnId = 'EntityId<DONOTSHOW>';
				chargebackTrends.commcellColumnId = 'CommservUniqueId<DONOTSHOW>';
				chargebackTrends.request.growthType = chargebackTrends.request.growthType != null ? chargebackTrends.request.growthType
						: chargebackTrends.defaultGrowthType;
			}
			var timeTitle = '';
			if (chargebackTrends.request.intervalType === '1') {
				timeTitle = 'Daily ';
			} else if (chargebackTrends.request.intervalType === '2') {
				timeTitle = 'Weekly ';
			} else {
				timeTitle = 'Monthly ';
			}
			var dispTitle = timeTitle + " Chargeback Trends -";
			if (chargebackTrends.request.entityName) {
				dispTitle += ' For ' + chargebackTrends.request.entityName;
			} else {

			}
			dispTitle += ' By ' + chargebackTrends.request.entityDisplayType;

			chargebackTrends.request.entityDisplayType = dispTitle;
			chargebackTrends.drawTable();
			chargebackTrends.initComponents();
		});
chargebackTrends.drawTable = function() {
	var view = {};
	view.title = '';
	view.filters = true;
	view.collapsible = true;
	view.alarm = true;
	view.exportExcel = true;
	view.colChooser = true;
	$("#chargebackTrendsTable").empty();
	$('#tableWrapper').append(SurveyTemplates.makeReportTable('chargebackTrendsTable', view));
	//cvUtil.mask("#tableWrapper");
	cvUtil.loadPageWithPOST(cvUtil.getContextPath() + '/server/entityChargebackTrendsTable.do',
			chargebackTrends.request,
			function(data) {
				chargebackTrends.createTable(data.data.cData, 'chargebackTrendsTable');
				//cvUtil.unmask("#tableWrapper");
			});
}
chargebackTrends.initComponents = function() {
	var trends_params = '?intervalType=' + chargebackTrends.request.intervalType;
	var cb_params = '?';
	if (chargebackTrends.request.intervalType == 1) {
		cb_params += "repType=4";
	} else if (chargebackTrends.request.intervalType == 2) {
		cb_params += "repType=2";
	} else {
		cb_params += "repType=1";
	}
	if (chargebackTrends.request.endDate) {
		cb_params += "&startDate=" + chargebackTrends.request.endDate + " 00:00:00";
		trends_params += "&endDate=" + chargebackTrends.request.endDate;
	}

	var params = '';
	if (parseInt(chargebackTrends.request.ccId) > 0) {
		params += "&commUniId=" + chargebackTrends.request.ccId;
	}
	if (parseInt(chargebackTrends.request.ccGroupId) > 0) {
		params += "&ccGroupId=" + chargebackTrends.request.ccGroupId;
	}
	if (parseInt(chargebackTrends.request.companyId) > 0) {
		params += "&companyId=" + chargebackTrends.request.companyId;
	}
	trends_params += params;
	cb_params += params;
	cb_params += "&excludeDeSCs=" + chargebackTrends.request.excludeDeSCs;
	trends_params += "&excludeDeSCs=" + chargebackTrends.request.excludeDeSCs;

	cb_params += "&includeDRSubclients=" + chargebackTrends.request.includeDRSubclients;
	trends_params += "&includeDRSubclients=" + chargebackTrends.request.includeDRSubclients;

	cb_params += "&primaryCopyOnly=" + chargebackTrends.request.primaryCopyOnly;
	trends_params += "&primaryCopyOnly=" + chargebackTrends.request.primaryCopyOnly;

	var cb = '<a class="smartLinkMain trendsLink" href="chargebackmonthly.jsp' + cb_params + '">' +
			cvUtil.cvLocalize("Chargeback") + '</a>';
	$('#breadcrumbMain').append('<li class="secTitleClickable smartlinkMain withSeparatorMain">' + cb + '</li>');

	var a = '<a class="smartLinkMain trendsLink" href="chargebackTrends.jsp' + trends_params + '">' +
			cvUtil.cvLocalize("chargeback.Trends_Report") + '</a>';
	$('#breadcrumbMain').append('<li class="secTitleClickable smartlinkMain withSeparatorMain">' + a + '</li>');
	surveyCommon.initComponents(chargebackTrends.request.entityDisplayType,
			chargebackTrends.request.ccId || chargebackTrends.request.commcell,
			chargebackTrends.request.ccGroupId,
			chargebackTrends.request.companyId,
			true);
	reportsUtil.setWorldwideLink(!isPublicMetrics);
	if (chargebackTrends.request.commcell) { //we have drilled down on a commcell
		$('#commcellUrl').click(function(e) {
			delete chargebackTrends.request.aggregate;
			delete chargebackTrends.selectedEntities;
			delete chargebackTrends.request.commcell;
			chargebackTrends.updateHash();
			chargebackTrends.updateHash('commUniId', null);
			window.location.href = 'capacityGrowth.do' + location.search;
			e.preventDefault();
		});
	}
	if (chargebackTrends.request.application) {
		$('#custName').text(chargebackTrends.request.application + ' - ');
	}
};
chargebackTrends.updateParamToUrl = function(params, name, value, isReplace) {
	if (value == null) {
		if (params[name]) {
			delete params[name];
		}
	} else {
		if (params[name] == value) {
			return;
		}
		params[name] = value;
	}
};
chargebackTrends.createTable = function(data, tableDiv) {
	data.iDisplayLength = 100;
	if (exportRequest) {
		data.iDisplayLength = -1;
	}
	var addSelectionColumn = data.aoColumns && !$('body').hasClass('exportfriendly');
	if (addSelectionColumn) {
		var firstColumn = data.aoColumns[0];
		firstColumn['bUseRendered'] = false;
		firstColumn['bFilterRendered'] = false;
		data.aoColumns.splice(0, 0, {
			"sTitle" : '',
			"sWidth" : "20px",
			"mDataProp" : firstColumn["mDataProp"],
			"bSortable" : false,
			'bUseRendered' : false,
			'bFilterRendered' : false,
			'rendererType' : 'selectionRenderer'
		});
	}
	var showDrilldown = cvUtil.getParameter('dd', false);
	if (showDrilldown !== 'true') {
		if (groupBy.toLowerCase() == 'commcell' || groupBy.toLowerCase() == 'agenttype') {
			data.aoColumns[addSelectionColumn ? 2 : 1].rendererType = 'drillDownRenderer';
			//drillDownType=entityType;
		} else {
			data.aoColumns[addSelectionColumn ? 4 : 3].rendererType = 'drillDownRenderer';
			//drillDownType=entityType;
		}
		$.each(data.aoColumns, function(columnCount, columnValue) {
			columnValue.bUseRendered = false;
		});
		if (groupBy.toLowerCase() == 'agenttype' && !chargebackTrends.request.agent) {
			data.aoColumns[2].sClass = 'enableDrillDown';
			//drillDownType='agent';
		}
	} else {
		$.each(data.aoColumns, function(columnCount, columnValue) {
			columnValue.bUseRendered = false;
		});
	}
	$(document).off("keyup", "#" + tableDiv + " .inLineFilter");
	Reports.configureClientSideTableWithPaging(tableDiv, '', data);
	var oTable = $("#" + tableDiv + CVTable.table).dataTable();

	$('#drilldownTo').change(function(e) {
		delete chargebackTrends.selectedEntities;
		delete chargebackTrends.request.aggregate;
		var drillDownType = $('#drilldownTo').val().toLowerCase();

		var params = cvUtil.getUrlParams();
		updateParamToUrl(params, 'drilldownto', $('#drilldownTo').val(), true);
		var href = "?" + cvUtil.requestToUrl(params);
		href = href + '&drilldownto=' + $('#drilldownTo').val();
		if (drillDownType == 'client') {
			href = 'clientChargebackTrends.do' + href;
		} else if (drillDownType == 'subclient') {
			href = 'subclientChargebackTrends.do' + href;
		} else if (drillDownType == 'agenttype') {
			href = 'agentChargebackTrends.do' + href;
		} else if (drillDownType == 'storagepolicy') {
			href = 'storagepolicyChargebackTrends.do' + href;
		} else if (drillDownType == 'storagepolicycopy') {
			href = 'storagepolicycopyChargebackTrends.do' + href;
		} else if (drillDownType == 'tenant') {
			href = 'tenantsChargebackTrends.do' + href;
		} else {
			href = null;
		}
		if (href) {
			window.location.href = href;
		}
	});
	$('#chargebackTrendsTable table').on('click', 'td .enableDrillDown', function() {
		var tr = $(this).closest('tr');
		if ($(tr).find("td .enableDrillDown").text().toLowerCase() == 'total') {
			return;
		}
		var aData = oTable.fnGetData(tr[0]);
		delete chargebackTrends.selectedEntities;
		delete chargebackTrends.request.aggregate;
		//var drillDownType = $('#drilldownTo').val().toLowerCase();

		var selectedCommUniId = aData['CommservUniqueId<DONOTSHOW>'];
		var selectedEntityId = aData['EntityId<DONOTSHOW>'];
		var selectedEntityName = aData['Entity Name'];
		if (groupBy.toLowerCase() == 'tenant') {
			selectedEntityName = aData['Tenant Name'];
		}
		chargebackTrends.updateHash(null, null, true);
		var temp = '?';
		if (location.search) {
			temp = location.search + '&';
		}
		var href = temp + '&entityType=' + groupBy;
		if (!selectedCommUniId) {
			selectedCommUniId = chargebackTrends.request.ccId;
		}
		href += '&commUniId=' + selectedCommUniId;
		href += '&ccGroupId=' + chargebackTrends.request.ccGroupId;
		href += '&companyId=' + chargebackTrends.request.companyId;
		if (!selectedEntityId) {
			selectedEntityId = 0;
			selectedEntityName = '';
		}
		href += '&entityId=' + selectedEntityId;
		href += '&entityName=' + selectedEntityName;
		href += '&entityType=' + groupBy + "&dd=true";
		href += '&intervalType=' + chargebackTrends.request.intervalType;
		href += '&endDate=' + chargebackTrends.request.endDate;
		href += '&excludeDeSCs=' + chargebackTrends.request.excludeDeSCs;
		href += '&includeDRSubclients=' + chargebackTrends.request.includeDRSubclients;
		href += '&primaryCopyOnly=' + chargebackTrends.request.primaryCopyOnly;
		href = 'commcellChargebackTrends.do' + href;
		if (href) {
			window.location.href = href;
		}
	});
	//}
	var pageLengthDiv = $("#" + tableDiv + "_table_wrapper .dataTables_length").detach();
	pageLengthDiv.appendTo($("#" + tableDiv + " .rptTblBtnEncDiv"));
	$("#drawChart").prependTo($("#" + tableDiv));

	$('input#chargebackTrendsTable_filterText-0').remove();
	chargebackTrends.historychanged();
	report.idtomask = 'chargebackTrendsTable';
	chargebackTrends.updateHash();
	//	report.mask(report.idtomask);
	$('#chargebackTrendsTable tbody').on("checkedState", '.entitySelection', function() {
		var selectedCb = $(this);
		if (chargebackTrends.selectedEntities.length >= 10) {
			cvUtil.toast('Maximum 10 entities can be selected.');
			window.setTimeout(function() {
				unCheckCb(selectedCb, false);
			}, 5);
			return;
		}
		var entity = $(this).attr('data-entity');
		chargebackTrends.selectedEntities.push(entity);
		chargebackTrends.addEntityToChart(entity, chargebackTrends.selectedEntities);
		chargebackTrends.updateHash();
		if (chargebackTrends.request.application) {
			chargebackTrends.cachedCommcells[entityName] = $(this).attr('data-commcell');
		}
	}).on("unCheckedState", '.entitySelection', function() {
		var entity = $(this).attr('data-entity');
		chargebackTrends.removeEntityFromChart(entity);
		chargebackTrends.updateHash();
		if (chargebackTrends.request.application) {
			chargebackTrends.cachedCommcells[entity] = $(this).attr('data-commcell');
		}
	});
};

chargebackTrends.drawChartFromSelectedEntities = function() {
	chargebackTrends.drawChartInSelectedMode(chargebackTrends.selectedEntities);
};

chargebackTrends.updateHash = function(name, value, clearAll) {
	report.fireHistoryChange = false;
	chargebackTrends.fireHistoryChange = false;
	var params = cvUtil.getUrlParams();
	if (clearAll) {
		var retainList = [ 'commUniId', 'ccGroupId', 'companyId' ];
		for ( var i in params) {
			if (retainList.indexOf(i) == -1) {
				delete params[i];
			}
		}
	}
	if (!name) {
		updateParamToUrl(params, 'entities', chargebackTrends.selectedEntities ? chargebackTrends.selectedEntities
				.join(',') : null, true);
		updateParamToUrl(params, 'chartType', chargebackTrends.chartType ? chargebackTrends.chartType : null, true);
		updateParamToUrl(params, 'aggregate', chargebackTrends.request.aggregate, true);
		updateParamToUrl(params,
				'growthType',
				chargebackTrends.request.growthType ? chargebackTrends.request.growthType : null,
				true);
		updateParamToUrl(params, 'commcell', chargebackTrends.request.commcell ? chargebackTrends.request.commcell
				: null, true);
		updateParamToUrl(params,
				'application',
				chargebackTrends.request.application ? chargebackTrends.request.application : null,
				true);
		updateParamToUrl(params, 'agent', chargebackTrends.request.agent ? chargebackTrends.request.agent : null, true);
	} else {
		updateParamToUrl(params, name, value, true);
	}
	var url = cvUtil.requestToUrl(params);
	var requestString = report.requestString;
	$.each(params, function(name, value) {
		requestString[name] = value;
	});
	History.replaceState(null, document.title, "?" + url);
	chargebackTrends.fireHistoryChange = true;
};
chargebackTrends.historychanged = function() {
	var temp = cvUtil.getParameter('entities');
	chargebackTrends.chartType = cvUtil.getParameter('chartType', 'line');
	if (temp) {
		chargebackTrends.selectedEntities = temp.split(',');
		checkCb($("#chargebackTrendsTable table .entitySelection[data-entity]").filter(function() {
			if ($.inArray($(this).attr("data-entity"), chargebackTrends.selectedEntities) != -1) {
				chargebackTrends.cachedCommcells[$(this).attr("data-entity")] = $(this).attr('data-commcell');
				return true;
			}
			return false;
		}));
	}
	chargebackTrends.request.growthType = cvUtil.getParameter('growthType', chargebackTrends.defaultGrowthType);
	chargebackTrends.request.aggregate = cvUtil.getParameter('aggregate', chargebackTrends.defaultAggregateType);
	chargebackTrends.initChartComponentsFromUrl();
	if (chargebackTrends.request.aggregate == 0) {
		chargebackTrends.drawChartInSelectedMode(chargebackTrends.selectedEntities);
	} else {
		chargebackTrends.toggleChartMode(chargebackTrends.request.aggregate);
	}
};
chargebackTrends.initDiffInputs = function(startDate) {
	if (startDate > 0 && $('#diff-first option').length <= 0) {
		var dates = [];
		for (var i = 0; i < 12; i++) {
			var temp = startDate;
			if (chargebackTrends.request.intervalType == 1) {
				temp = moment(startDate).add("days", i);
			} else if (chargebackTrends.request.intervalType == 2) {
				temp = moment(startDate).add("weeks", i);
			} else {
				temp = moment(startDate).add("months", i);
			}
			dates[i] = temp;
		}

		var options = '';
		var dateFormat = 'MMM YYYY';
		if (chargebackTrends.request.intervalType === '1') {//Daily
			dateFormat = 'MMM DD, YYYY';
		} else if (chargebackTrends.request.intervalType === '2') {//Weekly
			dateFormat = 'MMM DD, YYYY';
		}

		$.each(dates, function(i, dt) {
			var displayVal = moment(dt).format(dateFormat);
			if (chargebackTrends.request.intervalType === '2') {//Weekly
				displayVal = moment(dt).format(dateFormat) + " - " + moment(dt).add("days", 6).format(dateFormat);
			}
			dt = moment(dt).format('YYYY-MM-DD') + ' 00:00:00';
			options += '<option value=\'' + dt + '\'>' + displayVal + '</option>';
		});
		$('#diff-first').append(options);
		$('#diff-second').append(options);
		$("#diff-second option:last").prop("selected", "selected");
		$('.diff-button').click(function() {
			var date1 = $('#diff-first').val();
			var date2 = $('#diff-second').val();
			var params = cvUtil.getUrlParams();
			var href = "?" + cvUtil.requestToUrl(params);
			href = href + '&groupBy=' + groupBy + '&date1=' + date1 + '&date2=' + date2 + '&startDate=' + startDate;
			href = 'chargebackDiff.do' + href;
			if (href) {
				window.location.href = href;
			}
		});
	}
};
Reports.Renderers = Reports.Renderers || {};
Reports.Renderers.selectionRenderer = function(o, val) {
	var entityName = o.aData[chargebackTrends.entityColumnName];
	if (entityName && entityName.toString().trim().toLowerCase() == 'total') {
		return '';
	}
	var entityId = o.aData[chargebackTrends.entityColumnId];
	var commcellId = o.aData[chargebackTrends.commcellColumnId];
	var html = $('<div class="entitySelection custom-cb unchecked" data-state="unchecked"></div>');
	if (commcellId === undefined || commcellId < 0) {
		commcellId = chargebackTrends.request.ccId;
	}
	html.attr('data-entity', commcellId + ':' + entityId + ':' + entityName);
	if (chargebackTrends.request.application) {
		var commcellName = o.aData['CommCell Name'];
		html.attr('data-commcell', commcellName);
	}
	var c = $('<div />').append(html);
	return c.html();
};

Reports.Renderers.drillDownRenderer = function(o, val) {
	var entityName = o.aData[chargebackTrends.entityColumnName];
	if (entityName && entityName.toString().trim().toLowerCase() == 'total') {
		return entityName;
	}
	return '<div class="enableDrillDown">' + entityName + '</div>';
};
function updateParamToUrl(params, name, value, isReplace) {
	if (value == null) {
		if (params[name]) {
			delete params[name];
		}
	} else {
		if (params[name] == value) {
			return;
		}
		params[name] = value;
	}
}