Raphael.fn.pieChart = function (cx, cy, r, params, labels, labelxpos, labelypos, stroke, events, colors,isBothSides,isBottom,isHLegend, legendPadding,legendFontSize, squareXPadding) {
  	
var labelColor =  ["#1278B7","#4DB8DB","#11A139", "#86D32B", "#E8CF39", "#E1832C","#A55B49","#A58AA5","#7250A5", "#2635A5" ,"#92A574"],
labelColor = colors || labelColor,
        paper = this,
        rad = Math.PI / 180,
        chart = this.set();
  	paper.rect(0,0,paper.width,paper.height).attr({'stroke':'transparent'}); //FCFCF7
    var angles = new Array();
    var lineposx1 = new Array() , lineposy1 = new Array(),  lineposx2 = new Array(), lineposy2 = new Array();
    function sector(cx, cy, r, startAngle, endAngle, params,id) {
        var x1 = cx + r * Math.cos(-startAngle * rad),
            x2 = cx + r * Math.cos(-endAngle * rad),
            y1 = cy + r * Math.sin(-startAngle * rad),
            y2 = cy + r * Math.sin(-endAngle * rad);
        lineposx1[id] = x1;
        lineposy1[id] = y1;
        lineposx2[id] = x2;
        lineposy2[id] = y2;
        completeCircle=false;
        angles[id]=endAngle-startAngle; // the angle Swiped by the slice 
        return paper.path(["M", cx, cy, "L", x1, y1, "A", r, r, 0, +(endAngle - startAngle > 180), 0, x2, y2, "z"]).attr(params);
    }
    var angle = 0,
        total = 0,
        start = 0,
        delta = legendPadding || 14,
        lFontSize = legendFontSize || 11,
		k=0;
        values = params,
		oldYpos = labelypos,
		labelYpadding = 5,
		sqreXpadding = squareXPadding || 25,
		xDelta=0,
        process = function (j) {
            var value = values[j],
                angleplus = 360 * value / total,
                ms = 500,
                
                fillColor = labelColor[j],
                p;
                if(angleplus >= 360){
                	completeCircle=true;
                	p = paper.circle(cx,cy,r).attr({fill: fillColor, stroke: "#eeeeee", "stroke-width": 0});
                }
                else {
                	p = sector(cx, cy, r, angle, angle + angleplus, {fill: fillColor, stroke: "#eeeeee", "stroke-width": 0},j);
                	p.id= j;
                }
                if(isBothSides)
				{
				delta = 8;
                var sqre = paper.rect(labelxpos-sqreXpadding,labelypos + (delta*j), 15, 6).attr({fill:labelColor[j],"stroke-width": 0 }),
                txt = paper.text(labelxpos, labelypos + (delta*j) + labelYpadding, labels[j]).attr({fill: '#333', stroke: "none", "font-size": lFontSize,"text-anchor": 'start',"font-weight": 400});				
					if(j % 2 == 0)
					{					
						labelxpos = 100;
						oldYpos  = labelypos + (delta*j);					
					}else
					{
						labelxpos = 650;					
					}
				}else if(isBottom)
				{
				delta = 6;
                var sqre = paper.rect(labelxpos-sqreXpadding,labelypos + (delta*j), 15, 6).attr({fill:labelColor[j],"stroke-width": 0 }),
                txt = paper.text(labelxpos, labelypos + (delta*j) + labelYpadding, labels[j]).attr({fill: '#333', stroke: "none", "font-size": lFontSize,"text-anchor": 'start',"font-weight": 400});				
					if(j % 2 == 0)
					{					
						labelxpos = 50;
						oldYpos  = labelypos + (delta*j);					
					}else
					{
						labelxpos = 350;					
					}
				}else if(isHLegend){
					if (j>0) {
						var tempText = paper.text(0, 0,labels[j-1]).attr({ stroke: "none","font-size": lFontSize, "font-family": "Arial, Helevetica, sans-serif","text-anchor": 'start'});
			            var legendLen =tempText.getBBox().width;
			            tempText.remove();
						xDelta= legendLen;
						labelxpos = labelxpos + xDelta + 40;	
					} else {
						labelxpos = labelxpos + xDelta;
					}
					
					var sqre = paper.rect(labelxpos-sqreXpadding, labelypos, 15, 6).attr({fill:labelColor[j],"stroke-width": 0 }),
		            txt = paper.text(labelxpos, labelypos + 2, labels[j]).attr({fill: '#333', stroke: "none", "font-size": lFontSize,"text-anchor": 'start',"font-weight": 400});
				}else
				{
					var sqre = paper.rect(labelxpos-sqreXpadding,labelypos + (delta*j), 15, 6).attr({fill:labelColor[j],"stroke-width": 0, "margin-bottom": "10px" }),
                    txt = paper.text(labelxpos, labelypos + (delta*j) + labelYpadding, labels[j]).attr({fill: '#333', stroke: "none",   "font-size": lFontSize, "font-family": "Arial, Helevetica, sans-serif", "text-anchor": 'start',"font-weight": 400});
				}
				//var tempypos  = labelypos + (delta*j);
				//tempxpos = 25;
				//var sqre = paper.rect(tempxpos-30,tempypos + (delta*j)-4, 15, 6).attr({fill:labelColor[j],"stroke-width": 0 }),
                //txt = paper.text(tempxpos, tempypos + (delta*j), labels[j]).attr({fill: '#333', stroke: "none", "font-size": 11,"text-anchor": //'start',"font-weight": 600});
               
                
                if(events!=null && events.clickFtn.length>0 &&  events.clickFtn[j] !=null)
                {
	                p.attr("cursor", "pointer");
	                txt.attr("cursor", "pointer");
                }
                lpath = paper.path();
                
                
            var mousemoveover = function () {
                // p.stop().animate({transform: "s1.1 1.1 " + cx + " " + cy}, ms, "easeIn");            	
                sqre.stop().animate({transform: "s1.1 1.1"});
                txt.stop().animate({transform: "s1.1 1.1"});
                var sqreX = sqre.attr('x');
                var sqreY = sqre.attr('y');			
				              
               
                var xx = lineposx1[j] + lineposx2[j] + cx;
                xx = xx/3;
                var yy = lineposy1[j] + lineposy2[j] + cy;
                yy = yy/3;
                if(angles[p.id] > 180) {
                	xx = xx-cx;
                	yy = yy-cy;

                	xx = cx - xx;
                	yy = cy - yy;
                }                
               
                if(completeCircle)
                {
                	xx = cx;
                	yy = cy;
                	completeCircle=false;
                }
                lpath = paper.path('M' + xx + ' ' + yy + ' L'+ sqreX + ' ' +sqreY +'Z');  
                lpath.attr({fill: '#9cf', stroke: '#C0C0C0', 'stroke-width': 1 ,'stroke-linejoin': 'round'}); 
            };
            var mouseout = function () {
                // p.stop().animate({transform: ""}, ms, "easeIn");
                sqre.stop().animate({transform: ""});
                txt.stop().animate({transform: ""});
                lpath.hide();
            };
            
            p.mouseover(mousemoveover);
            p.mouseout(mouseout);
            
            txt.mouseover(mousemoveover);
            txt.mouseout(mouseout);
            
            p.params = params[j];
            txt.params = params[j];
            
            if (events !=null && events.clickFtn[j] != null) {
            	p.click(events.clickFtn[j]);
            	txt.click(events.clickFtn[j]);
            }
          
//            txt.click(function(){
//            	events.clickFtn[j](p);
//            });
            angle += angleplus;
            chart.push(p);
            chart.push(txt);
            start += .1;
        };       
    for (var i = 0, ii = values.length; i < ii; i++) {
       total += parseFloat(values[i]);	
    }
	total=parseInt(total);
    for (i = 0; i < ii; i++) {
        process(i);
    }
    return chart;
};

