(function(dashboardExports) {
	var commUniId = cvUtil.getParameter('commUniId', 0);
	var ccGroupId = cvUtil.getParameter('ccGroupId', 0);
	var companyId = cvUtil.getParameter('companyId', 0);

	function init() {
		if(commUniId > 0) {
			$("#content").addClass("commcellLevel");
			if(isCommvaultUser){
				var troubleshootUrl = cvUtil.getContextPath() + '/survey/reports/gatherlogsinfo.jsp?commUniId=' +commUniId;
				//$("#commCellLevelReportLinks").append('<a id="troubleShooting" href="'+troubleshootUrl+'" title="' +cvUtil.cvLocalize("dashboard.label.Troubleshooting") +'"><span class="sprite icon-settings"></span></a>');
			}
			surveyUtils.getCommCellDetailsOfUid(commUniId, null, function(data){
				if(data.error) {
					$(".cvApps").hide();
					$("#noDataNotificationPanel").html(data.error);
					$("#noDataNotificationPanel").show();
				}

				if(commCellId ==  ' '){
					commCellId =" N/A";
				}
				if(collectiontime ==  ' '){
					collectiontime =" N/A";
				}
				if(MonitoredGroup ==  ' '){
					MonitoredGroup =" N/A";
				}
				if(clientName ==  ' '){
					clientName=" N/A";
				}
				if(data.CommServeGUID != ''){
					CommGuiId = data.CommServeGUID;
					SurveyGlobals.CommGuiId = data.CommServeGUID;
					data.CommServeGUID = registrationCode(data.CommServeGUID);
				}
				if(data.CommServeGUID == ''){
					data.GUID=" N/A";
				}
				$("#meta ul").append('<li class="mItem">CommCell ID: <span class="mItem-val color-blue">'+ commCellId +'</span></li><li class="mItem">CommCell Version: <span class="version mItem-val color-blue"><a href="'+cvUtil.getContextPath()+'/survey/reports/indcommcellsurvey.jsp?surveyId=38&commUniId='+commUniId+'">'+Version+'</a></span></li><li class="mItem">As of : <span class="mItem-val color-blue">'+ collectiontime +'</span></li>' );
				$("a.capacitygrowth").attr("href", getCapacityUsageUrl(Version));
				if(data.licExpirationDate){
					var mm = moment(data.licExpirationDate, 'MMM DD, YYYY');
					var mnow = moment(new Date());
					var days = mm.diff(mnow, 'days');
					var color='color-blue';
					if(days < 15){
						color = 'color-red';
					}else if(days < 30){
						color = 'color-orange';
					}
					var licenseStatus="commcell.info.label.License_Expires_On";
					if(days<0){
						licenseStatus="commcell.info.label.License_Expired_On";
					}
					//var hexIDCheck = /^f{5,}$/i;
					if(data.CommCellID === "-1" || /^f{5,}$/i.test(data.CommCellHexID)){
						//var trialExt = cvUtil.getContextPath() + "/cloud/trials/extendTrial.jsp?commUniId=" + commUniId;
						var trialExtLink = $("<div>",{class:"trialextdiv"}).append($("<span />", {
							name : cvUtil.cvLocalize('trialext.req'),
							text: cvUtil.cvLocalize('trialext.req'),
							id: "trialext",
							class: "trialExt"
						}));

						$('#meta').parent().append(trialExtLink);
						trialExtLink.click(submitTrialExtensionReq);
						//$('.trialExt').on('click',flaGatherLog.trialExtensionClicked);
					}
					$("#meta ul").append('<li class="mItem">'+cvUtil.cvLocalize(licenseStatus)+'<span class="mItem-val '+color+'">'+ data.licExpirationDate +'</span></li>');
				}
				if(clientName.indexOf("@") != -1){
					clientName=clientName.replace(/@/g,"&");
				}
				if(clientName != null && clientName != " "  && clientName != " N/A" && $.trim(clientName).length != 0) {
					var cName = reportsUtil.getTruncatedName(clientName);
					$('#custName').html(cName);
					$('#custName').attr('title', clientName);
					$(document).attr("title", clientName + " - Dashboard");
					cvUtil.GUIAuditReportLog("Dashboard" ,cName);
				}
				if(data.GroupName){
					//$('.commcellsLink').text(data.GroupName+' (CommCells)');
				}
				if ((!isPublicMetricsCloud) || (isPublicMetricsCloud && (isReportsCloudAdminUser == "true" || isAdminUser == "true" || isCommvaultUser))) {
					var moreURL = cvUtil.getContextPath() + "/survey/reports/viewcommcellinfo.jsp?commUniId="+commUniId;
					$("#meta ul")
							.append('<li class="mItem" title="View CommCell Information"><a class="viewmore" href="' +
									moreURL + '">More info</a></li>');
				}
				if(isPublicMetricsCloud){
					$(".view-skus").removeClass('hide');
					var skuLink = cvUtil.getContextPath() + "/survey/reports/commcellskus.jsp?commUniId=" + commUniId;
					if(ccGroupId > 0){
						skuLink = skuLink + '&ccGroupId='+ccGroupId;
					}
					$("a.view-skus").attr("href", skuLink);
				}

				if(exportRequest){
					$("#custName").text($("#custName").text()+' - Dashboard');
				}
			});
		} else if(companyId > 0) {
			$('#custName').html(dashboardCommon.CompanyNameFull);
			$('#custName').attr('title', dashboardCommon.CompanyNameFull);
			$(document).attr("title", dashboardCommon.CompanyNameFull+" - Dashboard");
			if(exportRequest){
				$("#custName").text($("#custName").text()+' - Dashboard');
			}
		} else if(ccGroupId > 0) {
			surveyUtils.getCommCellDetailsOfUid(commUniId, null, function(data){
				if(data.error) {
					$(".cvApps").hide();
					$("#noDataNotificationPanel").html(data.error);
					$("#noDataNotificationPanel").show();
				}else{
					var cgName = reportsUtil.getTruncatedName(data.GroupName);
					$('#custName').html(cgName);
					$('#custName').attr('title', data.GroupName);
					clientName = data.GroupName;
					if(data.CommCellCount){
						$(".commcells").append('('+ data.CommCellCount +')');
					}
					if(data.GroupName){
						$(document).attr("title", data.GroupName + " - Dashboard");
					}
					cvUtil.GUIAuditReportLog("Dashboard" ,cgName);
				}

				$("#content").addClass("commcellLevel");
				if(exportRequest){
					$("#custName").text($("#custName").text()+' - Dashboard');
				}
			});
		} else {
			$('#custName').html("Reports");
			cvUtil.GUIAuditReportLog("Dashboard" ,"WorldWide");
		}
		if(ccGroupId == -1  && commUniId==0) {
			$("#meta").hide();
		}
	}

	init();
	dashboardExports.dashboardCommon = dashboardCommon || {};
	dashboardExports.dashboardCommon.utils = {

	};

}(window));