var commCellUID = cvUtil.getParameter("commUniId", 0);
var commUniId = cvUtil.getParameter("commUniId", 0);
var ccGroupId = cvUtil.getParameter("ccGroupId", -1);
var companyId = cvUtil.getParameter("companyId", 0);
var gOutput;
var troubleShootUrl;
var url;
var CommCellHexID;
var cloudrequestflags;
var dashboardLoaded = false;
var defaultAlertsContainer = $("#defaultAlertsContainer");
function populateDashboard(output, commCellUID) {
	if (output.hasOwnProperty("summary1")) {
		var strikeHtml = '';
		var strikeFlag = false;
		if (output.summary1 != undefined) {
			for (var i = 0; i < output.summary1.value.aaData.length; i++) {
				if (output.summary1.value.aaData[i].SubClients == "" || output.summary1.value.aaData[i].Clients == "" ||
					output.summary1.value.aaData[i].vms == "") {
					strikeFlag = true;
					break;
				}
			}
		}

		if ((output.summary1 == undefined) || (output.summary1.value.aaData[0] == null) || strikeFlag == true) {
			/*
			 * $("#strikeCounttablebody") .html("<td colspan='3'><span class='sprite icon-info'></span>
			 * <span class='msg'>" + cvUtil.cvLocalize("No_Data_Available") + "</span></td>");
			 */
			$("#strikes .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
					cvUtil.cvLocalize("No_Data_Available") + "</span></p>");
		} else {
			//$("#strikeCounttablebody").html("");


			var strikesHeader = '<tr><td class="strike-name color-blue"></td>';
			strikesHeader += '<td>';
			strikesHeader += "<span class='dot-status dot-strike dot-status-red'></span> ";
			strikesHeader += "<span class='dot-status dot-strike dot-status-red'></span> ";
			strikesHeader += "<span class='dot-status dot-strike dot-status-red'></span> ";
			strikesHeader += '</td>';
			strikesHeader += '<td>';
			strikesHeader += "<span class='dot-status dot-strike dot-status-orange'></span> ";
			strikesHeader += "<span class='dot-status dot-strike dot-status-orange'></span> ";
			strikesHeader += '</td>';
			strikesHeader += '<td>';
			strikesHeader += "<span class='dot-status dot-strike dot-status-yellow'></span> ";
			strikesHeader += '</td></tr>';

			var strikesData = {
					'SubClients':{ },
					'Clients':{ },
					'VMs':{ }
			};

			var aaData = output.summary1.value.aaData;
			var hasStrikesData = false;
			for (var i = aaData.length - 1; i >= 0; i--) {
				if (aaData[i].SubClients != 0 || aaData[i].Clients != 0) {
					var count = aaData[i].StrikeCount;
					strikesData.SubClients[count]=reportsUtil.getFormattedNumberNA(aaData[i].SubClients);
					strikesData.Clients[count]=reportsUtil.getFormattedNumberNA(aaData[i].Clients);
					strikesData.VMs[count]=reportsUtil.getFormattedNumberNA(aaData[i].VMs);
					hasStrikesData = true;
					/*
					 * var color; if (count == 1) { color = "yellow"; } else if (count == 2) { color =
					 * "orange"; } else { color = "red"; }
					 *
					 * for (var j = 0; j < count; ++j) { strikeHtml += "<span class='dot-status dot-strike
					 * dot-status-" + color + "'></span> "; }
					 *
					 * strikeHtml += "</td><td>" + reportsUtil.getFormattedNumberNA(aaData[i].SubClients) + "</td><td>" +
					 * reportsUtil.getFormattedNumberNA(aaData[i].Clients) + "</td><td>" +
					 * reportsUtil.getFormattedNumberNA(aaData[i].VMs) + "</td></tr>";
					 */
				}
			}
			var strikeHtml = '';
			if(hasStrikesData){
				strikeHtml = strikesHeader;
				strikeHtml += '<tr><td class="strike-name color-blue">'+cvUtil.cvLocalize('Subclients').toUpperCase()+'</td><td>'+(strikesData.SubClients["3"]?strikesData.SubClients["3"]:'')+'</td><td>'+(strikesData.SubClients["2"]?strikesData.SubClients["2"]:'')+'</td><td>'+(strikesData.SubClients["1"]?strikesData.SubClients["1"]:'')+'</td></tr>';
				strikeHtml += '<tr><td class="strike-name color-blue">'+cvUtil.cvLocalize('Servers').toUpperCase()+'</td><td>'+(strikesData.Clients["3"]?strikesData.Clients["3"]:'')+'</td><td>'+(strikesData.Clients["2"]?strikesData.Clients["2"]:'')+'</td><td>'+(strikesData.Clients["1"]?strikesData.Clients["1"]:'')+'</td></tr>';
				strikeHtml += '<tr><td class="strike-name color-blue">'+cvUtil.cvLocalize('Vms').toUpperCase()+'</td><td>'+(strikesData.VMs["3"]?strikesData.VMs["3"]:'')+'</td><td>'+(strikesData.VMs["2"]?strikesData.VMs["2"]:'')+'</td><td>'+(strikesData.VMs["1"]?strikesData.VMs["1"]:'')+'</td></tr>';

				$("#strikeCounttablebody").html(strikeHtml);
			}else{
				/*
				 * strikeHtml = "<td colspan='3'><span class='sprite icon-info'></span> <span class='msg'>" +
				 * cvUtil.cvLocalize("dashboard.msg.no_clients_strikes") + "</span></td>";
				 */

				$("#strikes .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
						cvUtil.cvLocalize("dashboard.msg.no_clients_strikes") + "</span></p>");
			}
		}
		$("#strikes .content").unmask();
	}

	/* Capacity Growth */
	if (output.hasOwnProperty("summary2")) {
		handleLicenseData(output);
	}

	/*
	 * Capacity G /* Dedupe Ratio
	 */
	if (output.hasOwnProperty("summary3")) {
		if ((output.summary3 == undefined) || output.summary3.value.aaData == "") {
			if (commCellUID != undefined) {
				$(".deduperatioww").html(cvUtil.cvLocalize("Not_Applicable"));
				$(".dedupecontainerww").css('visibility', 'hidden');
			}
		} else {
			if ((output.summary3.value.aaData[0][""] != undefined) && output.summary3.value.aaData[0].CCAvg != "") {
				var deduperatioww = output.summary3.value.aaData[0].CCAvg;
				var totalMediaSizeGB = output.summary3.value.aaData[0].TotalMediaSizeGB;
				var totalAppSizeGB = output.summary3.value.aaData[0].TotalAppSizeGB;
				if (deduperatioww != undefined && deduperatioww >= 0 &&
					(totalAppSizeGB != undefined && totalAppSizeGB != "") &&
					(totalMediaSizeGB != undefined && totalMediaSizeGB != "")) {
					$(".deduperatioww").html(deduperatioww + "%");
				} else {
					$(".deduperatioww").html(cvUtil.cvLocalize("Not_Applicable"));
				}
			} else {
				$(".deduperatioww").html(output.summary3.value.aaData[0].CCAvg + "%");
			}
			if (ccGroupId > 0) {
				$(".dedupecontainerww").html($(".dedupecontainerww").text().replace('worldwide', 'commcell group'));
			}
		}
		$("#deduperatio .content").unmask();
	}

	if (output.hasOwnProperty("summary4")) {
		if ((output.summary4 == undefined) || (output.summary4.value.aaData[0].CCAvg == "")) {
			$(".deduperatio").html(cvUtil.cvLocalize("Not_Applicable"));
			$(".dedupecontainer").hide();
			if ($(".dedupecontainerww").is(":hidden")) {
				$(".dedupecontainer").html(cvUtil.cvLocalize("No_Data_Available"));
				$(".dedupecontainer").show();
			}
		} else {
			if ((output.summary4.value.aaData[0].CCAvg != undefined) && output.summary4.value.aaData[0].CCAvg != "") {
				var deduperatio = output.summary4.value.aaData[0].CCAvg;
				var totalMediaSizeGB = output.summary4.value.aaData[0].TotalMediaSizeGB;
				var totalAppSizeGB = output.summary4.value.aaData[0].TotalAppSizeGB;
				if (deduperatio != undefined && deduperatio >= 0 &&
					(totalAppSizeGB != undefined && totalAppSizeGB != "") &&
					(totalMediaSizeGB != undefined && totalMediaSizeGB != "")) {
					$(".deduperatio").html(deduperatio + "%");
				} else {
					$(".deduperatio").html(cvUtil.cvLocalize("Not_Applicable"));
				}
			} else {
				$(".deduperatioww").html(output.summary3.value.aaData[0].CCAvg + "%");
			}
		}
		$("#deduperatio .content").unmask();
	}

	if (output.hasOwnProperty("summary5")) {
		/* SLA Chart */
		var slaNoDataMsg = cvUtil.cvLocalize("No_Data_Available_SLA");
		if ((output.summary5 == undefined) || (output.summary5.value.aaData[0] == null)) {
			$("#slaPanel .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
				slaNoDataMsg + "</span></p>");
		} else {
			//update improveSLADocLink link
			var improveSLADocLink = docBaseURL.substr(0, docBaseURL.lastIndexOf("/"));
			improveSLADocLink += "/article?p=features/reports/metrics/health_check_settings.htm#improving_sla";
			document.getElementById("improveSLADocLink").href = improveSLADocLink;
			var protectedclients = parseInt(output.summary5.value.aaData[0].ProtectedClients);
			var nonprotectedclients = parseInt(output.summary5.value.aaData[0].NotProtectedClients);
			var slapercent = parseFloat(protectedclients / (protectedclients + nonprotectedclients) * 100).toFixed(2);
			var protectedclientsww = 0;
			var nonprotectedclientsww = 0;
			var worldwide = 0;
			if (output.summary6 != undefined) {
				protectedclientsww = parseInt(output.summary6.value.aaData[0].ProtectedClients);
				nonprotectedclientsww = parseInt(output.summary6.value.aaData[0].NotProtectedClients);
				worldwide = parseFloat(protectedclientsww / (nonprotectedclientsww + protectedclientsww) * 100)
					.toFixed(2);
			}

			if (!isNaN(protectedclients) && !isNaN(nonprotectedclients) && !isNaN(slapercent) &&
				!isNaN(protectedclientsww) && !isNaN(nonprotectedclientsww) && !isNaN(worldwide)) {
				buildSLAChart(slapercent, worldwide, commCellUID, protectedclients, nonprotectedclients);
			} else {
				$("#slaPanel .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
					slaNoDataMsg + "</span></p>");
			}

		}

		$("#slaPanel .content").unmask();
	}

	if (output.hasOwnProperty("summary7")) {
		//checking health status and adding appropriate icon
		//reportsUtil.processHealthStatus(output);
	}

	if (output.hasOwnProperty("summary8")) {
		var contentId = '#usage_overview .content';
		if (output.summary8 == undefined || output.summary8.value.aaData == "" ||
			output.summary8.value.iTotalRecords == 0) {
			$(contentId).html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
					cvUtil.cvLocalize("No_Data_Available") + "</span></p>");
		} else {
			$(contentId).html("");
			var telement = "";
			var usageHtml = '<div class="row usage-overview-wrapper">';
			for (var i = 0; i < output.summary8.value.iTotalRecords; i++) {
				var name = output.summary8.value.aaData[i].Entities;
				if (name == 'CI Objects') {
					continue;
				}

				var value = output.summary8.value.aaData[i].Count;
				var units = '';
				var url = '';

				if (name == 'Disk Library' || name == 'Dedupe Store') {
					var valueStr = autoConvertFromMB(value);
					valueStr = valueStr + '';
					var valArr = valueStr.split(' ');
					if (valArr.length > 1) {
						value = valArr[0];
						units = valArr[1];
					}

				} else if (isCountLicense(name)) {
					var valueObj = reportsUtil.autoConvertCount(value);
					value = valueObj.value;
					units = valueObj.unit ? valueObj.unit : '';
				} else {
					value = reportsUtil.getFormattedNumberNA(value);
				}
				if (isPublicMetrics && commCellUID > 0 && !exportRequest) {
					if (name == 'VMs' && value <= 3) {
						url = '<a class="try-link hideOnExportFriendly try-virtualization" href="javascript:void(0);" title="Try Virtualization Protection">Try Virtualization Protection</a>';
						updateTryVirtualizationURL();
					}
				// commenting per Sanjay's request
				/*
				 * else if (name === 'Laptops' && value <= 3) { var url = cvUtil.getContextPath() +
				 * '/cloud/trials/tryEndpoint.do?commUniId=' + commCellUID; name = name + '<a class="try-link
				 * hideOnExportFriendly" href="' + url + '" title="Try Endpoint Protection"
				 * target="_BLANK">Try Endpoint Protection</a>'; }
				 */
				}
				name = (name == 'VMs')? name : name.toUpperCase();
				var entity = '<span class="col-lg-2 col-md-4 col-sm-12 entity-wrapper"><div class="entity-data-wrapper"><span class="entity-data"><div class="entity-value-wrapper"><span class="entity-value">' +
					value +
					'</span><span class="entity-value-units">' +
					units +
					'</span></div><div class="entity-name">' +
					name +
					'</div></div><div class="entity-url">' +
					url +
					'</div></span></span>';
				usageHtml += entity;
			}
			usageHtml += '</div>';
			$(contentId).html(usageHtml);
		}
		$(".usage .content").unmask();
	}

	if (output.hasOwnProperty("summary9")) {
		//$(".cube").show();
		if (output.summary9 == undefined || output.summary9.value.aaData[0] == undefined ||
			output.summary9.value.aaData[0] == "") {
			$("#days30 .used").html(cvUtil.cvLocalize("Not_Applicable"));
			$("#days90 .used").html(cvUtil.cvLocalize("Not_Applicable"));
			$("#year1 .used").html(cvUtil.cvLocalize("Not_Applicable"));
			$("#yearplus .used").html(cvUtil.cvLocalize("Not_Applicable"));
		} else {
			var days30,
				days90,
				year1,
				yearplus;
			for (var prop in output.summary9.value.aaData[0]) {
				if (prop.match(/Days/) && prop.match(/Days/).length > 0) {
					days30 = parseFloat(output.summary9.value.aaData[0]["30 Days"]);
					days90 = parseFloat(output.summary9.value.aaData[0]["30 To 90 Days"]);
					year1 = parseFloat(output.summary9.value.aaData[0]["90 To 365 Days"]);
					yearplus = parseFloat(output.summary9.value.aaData[0]["Above 365 Days"]);
				}
			}

			if (isNaN(days90)) {
				$("#days30 .used").html(cvUtil.cvLocalize("Not_Applicable"));
			} else {
				//days90 = setSizeUnits(days90);
				days30 = getSizeAndUnits(autoConvertFromMB(days30));
				$("#days30 .used").html(days30.value);
				$("#days30 .used-units").html(days30.units);
			}

			if (isNaN(days90)) {
				$("#days90 .used").html(cvUtil.cvLocalize("Not_Applicable"));
			} else {
				//days90 = setSizeUnits(days90);
				days90 = getSizeAndUnits(autoConvertFromMB(days90));
				$("#days90 .used").html(days90.value);
				$("#days90 .used-units").html(days90.units);
			}

			if (isNaN(year1)) {
				$("#year1 .used").html(cvUtil.cvLocalize("Not_Applicable"));
			} else {
				//year1 = setSizeUnits(year1);
				year1 = getSizeAndUnits(autoConvertFromMB(year1));
				$("#year1 .used").html(year1.value);
				$("#year1 .used-units").html(year1.units);
			}

			if (isNaN(yearplus)) {
				$("#yearplus .used").html(cvUtil.cvLocalize("Not_Applicable"));
			} else {
				//yearplus = setSizeUnits(yearplus);
				yearplus = getSizeAndUnits(autoConvertFromMB(yearplus));
				$("#yearplus .used").html(yearplus.value);
				$("#yearplus .used-units").html(yearplus.units);
			}

		}
		$("#data-rentention .content").unmask();
	}

	if (output.hasOwnProperty("summary10")) {
		if (output.summary10 == undefined || output.summary10.value.aaData == null) {
			$("#donut").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
				cvUtil.cvLocalize("No_Data_Available") + "</span></p>");
		} else {
			builWeeklyBackupChart(output.summary10.value);
		}
		$("#backup-jobs .content").unmask();
	}

	if (output.hasOwnProperty("summary11")) {
		if (commCellUID == undefined) {
			if (output.summary11 != undefined) {
				//$(".commcells").append('(' + output.summary11.value + ')');
				/*
				 * if (parseInt(output.GroupsCount11) > 0) { $(".commcellGroups").append('(' +
				 * output.GroupsCount11 + ')'); }
				 */
			}
		}
	}
	if (output.hasOwnProperty("summary14")) {//Top 10 errors
		var errorsDiv = '.top-errors-content';
		if ((output.summary14 == undefined) || (output.summary14.value.aaData[0] == null)) {
			$(errorsDiv).html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
					cvUtil.cvLocalize("No_Data_Available") + "</span></p>");
		} else {
			var topErrorsHtml = "";
			var aaData = output.summary14.value.aaData;
			//var errorTemplate = '<div class="top-error-cont"><div class="top-error-header"><span class="top-error-label">Error code:</span><span class="top-error-code">{ErrorCode}</span><span class="top-error-label">Jobs affected:</span><span class="top-error-jobs">{ErrorJobs}</span></div><div class="top-error-desc" title="{ErrorDescTitle}">{ErrorDesc}</div></div>';
			var errorTemplate = '<tr><td class="top-error-code">{ErrorCode}</td><td class="top-error-jobs">{ErrorJobs}</td><td class="top-error-desc" title="{ErrorDescTitle}">{ErrorDesc}</td></tr>';
			var errorsCnt = (aaData.length > 5)? 5 : aaData.length;
			for (var i = 0; i < errorsCnt; i++) {
				var errorCode = aaData[i]['Error Code'];
				errorCode = $("<div/>").html(errorCode).text();
				var jobs = aaData[i]['Jobs Affected'];
				var params = '';
				if (commCellUID > 0) {
					params += '&commUniId=' + commCellUID;
				}
				if (ccGroupId > 0) {
					params += "&ccGroupId=" + ccGroupId;
				}
				if (companyId > 0) {
					params += "&companyId=" + companyId;
				}
				var urlval =  cvUtil.getContextPath() + '/survey/reports/operations.jsp?';
				if(params.length > 0){
					urlval += params + '&surveyId=103&filteredTable-0=details103&details103-filterClause=Error%20Code-LIKE-' + encodeURIComponent(errorCode) + '%3B';
				}else{
					urlval += 'errorCode=' + errorCode;
				}
				if (!exportRequest) {
					jobs = "<a href='" + urlval + "' target='_blank'>" + jobs + "</a>";
				}
				var temp = errorTemplate.replace('{ErrorCode}', aaData[i]['Error Code']).replace('{ErrorJobs}', jobs).replace('{ErrorDesc}', aaData[i]['Description']).replace('{ErrorDescTitle}', aaData[i]['Description']).replace('<br>', '&#13;');
				topErrorsHtml += temp;
			}
			$('#topErrorsTablebody').html(topErrorsHtml);
		}
		$("#top-errors .content").unmask();
	}
	if (commCellUID !== undefined && isCommvaultUser) {
		troubleShootUrl = cvUtil.getContextPath() + '/survey/reports/gatherlogsinfo.jsp?commUniId=' + commCellUID;
		$(".helpLinksList").append("<li data-href='" + troubleShootUrl + "'><a>" +
			cvUtil.cvLocalize("dashboard.label.Troubleshooting") + " </a></li>");
	}
	if (output.hasOwnProperty("refreshStatus")) {
		if (commCellUID != undefined && commCellUID > 0) {
			$("#refreshCommcellSurveyLink").attr("title", cvUtil.cvLocalize("Request_Metrics_Collection"));
			if (output.refreshStatus !== undefined && (output.refreshStatus === "1" || output.refreshStatus === "5")) { //enable if registered or any error in last operation.
				$("#refreshCommcellSurveyLink span").removeClass("disabled");
			}
			if (output.message !== undefined && output.refreshStatus !== "1") { //display the message as tool tip for any status other then 1 (registered)
				$("#refreshCommcellSurveyLink").attr("title", output.message);
			}
			//For displaying commcell connection status icon
			if (isPublicMetrics && output.refreshStatus !== undefined) {
				var statusClass = 'icon-connection-status-unknown';
				var title = cvUtil.cvLocalize("dashboard.cc_status.not_available");
				//define CLOUD_CS_CONNECTION_STATUS_NA                           -1  //Not Available
				//define CLOUD_CS_CONNECTION_STATUS_ACTIVE                       1   //SignalR connection active
				//define CLOUD_CS_CONNECTION_STATUS_INACTIVE                     2   //SignalR connection inactive
				//define CLOUD_CS_CONNECTION_STATUS_LAST_REQ_PROCESSING          3   //Last request is in progress
				//define CLOUD_CS_CONNECTION_STATUS_METRICS_DISABLED             4   //Cloud Metrics Or Remote Troubleshooting disabled on the commserver. So SignalR connection cannot be made.
				//define CLOUD_CS_CONNECTION_STATUS_LAST_REQ_FAILED              5   //Last request failed
				if (output.refreshStatus === "1" || output.refreshStatus === "3" || output.refreshStatus === "5") {
					statusClass = 'icon-connection-status-good';
					title = cvUtil.cvLocalize("dashboard.cc_status.active");
				} else if (output.refreshStatus === "4") {
					statusClass = 'icon-connection-status-unknown';
					title = cvUtil.cvLocalize("dashboard.cc_status.not_enabled");
				} else if (output.refreshStatus === "-1") {
					statusClass = 'icon-connection-status-critical';
					title = cvUtil.cvLocalize("dashboard.cc_status.not_available");
				} else if (output.refreshStatus === "2") {
					statusClass = 'icon-connection-status-critical';
					var hours = parseInt(output.DisconnectedTimeInHours);
					if (hours > 24) {
						title = cvUtil.cvLocalize("dashboard.cc_status.not_active_days", parseInt(hours / 24));
					} else if (hours > 0) {
						title = cvUtil.cvLocalize("dashboard.cc_status.not_active_hours", hours);
					} else {
						title = cvUtil.cvLocalize("dashboard.cc_status.not_active");
					}
				}
				$('#meta ul').prepend('<li class="sprite ' + statusClass + ' mItem cc-connection-status" title="' +
					title + '"></li>');
			}
		}

	}
}
function updateTryVirtualizationURL() {
	var tryurl = '../../download-trial.do?PHONE=111-111-1111&trialId=1&partnerId=0';
	var request = {};
	var configURL = cvUtil.getContextPath() + '/getUserDetailsForTrail.do';
	cvUtil.loadPageWithGET(configURL, request, function(resp) {
		if (resp && !resp.errorMessage) {
			tryurl = tryurl + '&EMAIL_ADDR=' + resp.email;
			tryurl = tryurl + '&FIRST_NAME=' + resp.fname;
			tryurl = tryurl + '&LAST_NAME=' + resp.lname;
			tryurl = tryurl + '&COMPANY=' + $('ul.nav .nav-customer-title').attr('title');
			$('a.try-virtualization').prop('href', tryurl);
		}
	}, function(resp) {
		//cvUtil.errorToast(resp.responseText.trim(), null, null, true);
	});
}
//when coming from dashboard the format is simplified - there is no prediction
function handleLicenseData(output) {
	var licData = {},
		lic;

	licData.data = [];

	if (output.summary2 == undefined || output.summary2.value.aaData[0] == null) {
		return licData;
	}

	for (var j = 0; j < output.summary2.value.iTotalDisplayRecords; j++) {
		lic = {};
		lic.chartData = {};
		lic.chartData.detail = {};


		if (output.summary2.value.aaData[j].Name == "Commvault Complete") {
			lic.gType = "commvaultComplete";
		}else if (output.summary2.value.aaData[j].Name == "Backup" || output.summary2.value.aaData[j].Name == "DP Core" ||
			output.summary2.value.aaData[j].Name == "Data Protection") {
			lic.gType = "protectionEnterprise";
		} else if (output.summary2.value.aaData[j].Name == "Archive Enterprise" ||
			output.summary2.value.aaData[j].Name == "Archive Core" ||
			output.summary2.value.aaData[j].Name == "Archive") {
			lic.gType = "archiveEnterprise";
		} else if (output.summary2.value.aaData[j].Name == "Users" ||
			output.summary2.value.aaData[j].Name == "Sharing Users" ||
			output.summary2.value.aaData[j].Name == "eDiscovery Users") {
			lic.gType = "users";
		} else if (output.summary2.value.aaData[j].Name == "VM Sockets") {
			lic.gType = "vmsockets";
		} else if (output.summary2.value.aaData[j].Name == "Protected VMs") {
			lic.gType = "protectedvms";
		}

		lic.chartData.currentUsage = 0;
		lic.chartData.totalCapacity = 0;
		lic.chartData.loanedCapacity = 0;

		if (lic.gType) {
			lic.chartData.currentUsage += parseFloat(output.summary2.value.aaData[j].Used);
			lic.chartData.totalCapacity += parseFloat(output.summary2.value.aaData[j].Total) -
			parseFloat(output.summary2.value.aaData[j].Eval);
			lic.chartData.loanedCapacity = parseFloat(output.summary2.value.aaData[j].Eval);

			if (lic.chartData.loanedCapacity > 0) {
				lic.chartData.loanedCapacityLabel = cvUtil.cvLocalize("dashboard.label.loaned_capacity",
						reportsUtil.getFormattedNumberNA(lic.chartData.loanedCapacity));
			}

			licData.data.push(lic);
		}
	}
	drawUsageDials(licData);
}

function drawUsageDials(licData) {
	var chartData;

	var divId = [ "pie3", "pie4" ];
	var color = [ "#e3b56b", "#77ab59" ];
	if (licData.data.length == 0) {
		$("#pie4").hide();
		$(".dataarchive").hide();
		$("#pie3").css("margin-left", "115px");
		$(".dataprotection").css("margin-left", "100px");
	}

	var dialEnum = {
		CommvaultComplete : "commvaultComplete",
		DataProtection : "protectionEnterprise",
		Archive : "archiveEnterprise",
		Sockets : "vmsockets",
		VMs : "protectedvms",
		Users : "users"
	};
	var dials = {
		"commvaultComplete" : getEmptyCapacityObject("Commvault Complete", true),
		"protectionEnterprise" : getEmptyCapacityObject("Backup", true),
		"archiveEnterprise" : getEmptyCapacityObject("Archive", true),
		"vmsockets" : getEmptyCapacityObject("VM Sockets", false),
		"protectedvms" : getEmptyCapacityObject("Protected VMs", false),
		"users" : getEmptyCapacityObject("Endpoint Users", false)
	};

	$.each(licData.data, function(index, license) {
		if (dials[license.gType]) {
			chartData = license.chartData;
			dials[license.gType].used.value = parseFloat(chartData.currentUsage);
			dials[license.gType].total.value = parseFloat(chartData.totalCapacity);
			dials[license.gType].dialTotal.value = parseFloat(chartData.totalCapacity) +
			parseFloat(chartData.loanedCapacity);
			dials[license.gType].usageNote = chartData.detail.usageNote;

			if (chartData.detail.outOfCapacityDay) {
				dials[license.gType].usageNote += " " + chartData.detail.outOfCapacityDay;
			}

			dials[license.gType].loanNote = "";
			dials[license.gType].loanedCapacity = 0;
			if (chartData.loanedCapacity > 0) {
				dials[license.gType].loanNote = "*" + chartData.loanedCapacityLabel; //Includes loaned capacity of " +chartData.loanedCapacity + " TB";
				dials[license.gType].loanedCapacity = chartData.loanedCapacity;
			}

		}
	});

	$.each(dials, function(index, dial) {
		if (dial.isDataSize) {
			if (isPublicMetrics) {
				var obj = reportsUtil.autoConvertFromTB(dial.used.value);
				dial.used.formattedValue = obj.value;
				dial.used.unit = obj.units;

				obj = reportsUtil.autoConvertFromTB(dial.total.value);
				dial.total.formattedValue = obj.value;
				dial.total.unit = obj.units;

				obj = reportsUtil.autoConvertFromTB(dial.dialTotal.value);
				dial.dialTotal.formattedValue = obj.value;
				dial.dialTotal.unit = obj.units;

			} else {
				dial.used.formattedValue = dial.used.value.toFixed(2);
				dial.used.unit = 'TB';

				dial.total.formattedValue = dial.total.value;
				dial.total.unit = 'TB';

				dial.dialTotal.formattedValue = dial.dialTotal.value;
				dial.dialTotal.unit = 'TB';
			}

			if (dial.loanedCapacity > 0) {
				dial.total.unit += "*";
			}

		} else {
			var usedObj = reportsUtil.autoConvertCount(dial.used.value);
			dial.used.formattedValue = usedObj.value;
			dial.used.unit = usedObj.unit ? usedObj.unit : "";

			var totalObj = reportsUtil.autoConvertCount(dial.total.value);
			dial.total.formattedValue = totalObj.value;
			dial.total.unit = totalObj.unit ? totalObj.unit : "";
		}
	});

	var chartIndex = 0;
	var dialWidth = "100%";
	if (dials[dialEnum.CommvaultComplete].total.value > 0 || dials[dialEnum.CommvaultComplete].loanedCapacity > 0 ||
		dials[dialEnum.DataProtection].total.value != 0 || dials[dialEnum.Archive].total.value != 0 ||
		dials[dialEnum.DataProtection].loanedCapacity > 0 || dials[dialEnum.Archive].loanedCapacity > 0) { //capacity is present, show DP and archive charts just like before
		chartIndex = -1;
		var isNotWorldwide = (commUniId > 0 || companyId > 0 || ccGroupId > 0);
		var showCVComplete = false;
		var showBackupArchive = true;
		if(isNotWorldwide){
			if (dials[dialEnum.CommvaultComplete].total.value > 0 || dials[dialEnum.CommvaultComplete].loanedCapacity > 0 ) { //commvault complete capacity is present
				var stats = dials[dialEnum.CommvaultComplete];
				chartIndex++;
				processCapacityWidgetData(stats, chartIndex);
				showCVComplete = true;
				if(commUniId > 0){
					showBackupArchive = false;
				}
			}
		}
		if(showBackupArchive){
			if (dials[dialEnum.DataProtection].total.value == 0 && !dials[dialEnum.DataProtection].loanedCapacity > 0) {

				if (dials[dialEnum.DataProtection].usageNote != undefined && dials[dialEnum.DataProtection].usageNote != "") {
					chartIndex++;
					var ele = $('#capacity-pie'+(chartIndex+1)).parent();
					ele.empty();
					ele.addClass('capacity-chart-usage-note-row');
					$('#capacity-title'+(chartIndex+1)).text(dials[dialEnum.DataProtection].name);
					$(ele).append('<span class="usage-note">' +
							dials[dialEnum.DataProtection].usageNote + '</span>');
				} else {
					if(!showCVComplete){
						chartIndex++;
						var ele = $('#capacity-pie'+(chartIndex+1)).parent();
						ele.empty();
						ele.addClass('capacity-chart-usage-note-row');
						$('#capacity-title'+(chartIndex+1)).text(dials[dialEnum.DataProtection].name);
						$(ele).append('<span class="usage-note">' + cvUtil.cvLocalize("error.msg.Backup_License_may_not_be_used") + '</span>');
					}
				}
			} else {
				var stats = dials[dialEnum.DataProtection];
				chartIndex++;
				processCapacityWidgetData(stats, chartIndex);
			}

			if (dials[dialEnum.Archive].total.value == 0 && !dials[dialEnum.Archive].loanedCapacity > 0) {

				if (dials[dialEnum.Archive].usageNote != undefined && dials[dialEnum.Archive].usageNote != "") {
					chartIndex++;
					var ele = $('#capacity-pie'+(chartIndex+1)).parent();
					ele.empty();
					ele.addClass('capacity-chart-usage-note-row');
					$('#capacity-title'+(chartIndex+1)).text(dials[dialEnum.Archive].name);
					$(ele).append('<span class="usage-note">' +
							dials[dialEnum.Archive].usageNote + '</span>');
				} else {
					if(!showCVComplete){
						chartIndex++;
						var ele = $('#capacity-pie'+(chartIndex+1)).parent();
						ele.empty();
						ele.addClass('capacity-chart-usage-note-row');
						$('#capacity-title'+(chartIndex+1)).text(dials[dialEnum.Archive].name);
						$(ele).append('<span class="usage-note">' + cvUtil.cvLocalize("error.msg.Archive_License_may_not_be_used") + '</span>');
					}
				}
			} else {
				var stats = dials[dialEnum.Archive];
				chartIndex++;
				processCapacityWidgetData(stats, chartIndex);
			}
		}
		hideCapacityDials(chartIndex+1);

	} else {
		//		No capacity present. Look for E-SIM/C-SIM licenses in following order and award them dials
		//		a.       Sockets
		//		b.      VMs
		//		c.       End users (basic)
		//		d.      Archive mailboxes

		if (isPublicMetricsCloud && (this.requestString.commUniId || this.requestString.companyId)) {
			$(".totalUsageNoteDiv").hide();
		} else {
			$(".totalUsageNoteDiv").addClass("doNotShow");
		}

		var stats = getLicenseUsage(dials, dialEnum.Sockets);
		if (stats != null) {
			processCapacityWidgetData(stats, chartIndex);
			chartIndex++;
		}

		stats = getLicenseUsage(dials, dialEnum.VMs);
		if (stats != null) {
			processCapacityWidgetData(stats, chartIndex);
			chartIndex++;
		}

		if (chartIndex < 2) {
			stats = getLicenseUsage(dials, dialEnum.Users);
			if (stats != null) {
				processCapacityWidgetData(stats, chartIndex);
				chartIndex++;
			}
		}

		if (chartIndex < 2) {
			stats = getLicenseUsage(dials, dialEnum.Mailboxes);
			if (stats != null) {
				processCapacityWidgetData(stats, chartIndex);
				chartIndex++;
			}
		}
		if (chartIndex == 0) {
			//If none are found,  show predictive capacity dials like today.  (Since we assume this is ancient customer with agent based licensing)
			var ele = $('#capacity-pie1').parent();
			ele.empty();
			ele.addClass('capacity-chart-usage-note-row');
			$('#capacity-title1').text(dials[dialEnum.DataProtection].name);
			if (dials[dialEnum.DataProtection].usageNote && dials[dialEnum.DataProtection].usageNote != "") {
				$(ele).append('<span class="usage-note">' +
					dials[dialEnum.DataProtection].usageNote + '</span>');
			} else {
				$(ele).append('<span class="usage-note">' + cvUtil.cvLocalize("error.msg.Capacity_License_may_not_be_used") + '</span>');
			}

			ele = $('#capacity-pie2').parent();
			ele.empty();
			ele.addClass('capacity-chart-usage-note-row');
			$('#capacity-title2').text(dials[dialEnum.Archive].name);
			if (dials[dialEnum.Archive].usageNote && dials[dialEnum.Archive].usageNote != "") {
				$(ele).append('<span class="usage-note">' +
					dials[dialEnum.Archive].usageNote + '</span>');
			} else {
				$(ele).append('<span class="usage-note">' + cvUtil.cvLocalize("error.msg.Capacity_License_may_not_be_used") + '</span>');
			}
		} else if (chartIndex == 1) { //center the chart
			$("#capacity-pie1").addClass("centered");
		}
	}

	if (!isPublicMetricsCloud || (!this.requestString.commUniId && !this.requestString.companyId)) {
		$(".totalUsageNoteDiv").addClass("vertical");
	}

	if (!isPublicMetricsCloud) {
		$("#top-errors .content").addClass("privateMetrics");
	}

	//programatically setting height so that SLA and Usage will align
	var minH = parseInt($("#CurrentCapacityUsage").css("min-height").replace("px", "")),
		height = $("#usagePanel").height(),
		diff = height -
			minH,
		activityChartHeight = $("#hours").height();
	if (diff > 0) {
		$("#topCharts .grid").css("min-height", height);
		$("#hours").height(activityChartHeight - diff);
	}
	$("#CurrentCapacityUsage .content").unmask();
}

function hideCapacityDials(dialCount){
	if(dialCount != undefined){
		if(dialCount == 1){//Commvault Complete dial
			if(isPublicMetrics){
				$('#capacity-container2-col').hide();
				$('#capacity-container3-col').hide();
				$('#capacity-container1-col').removeClass('col-lg-6 col-md-6');
				$('#capacity-container1-col').addClass('col-lg-8 col-md-8 col-lg-offset-3 col-md-offset-3');
			}else{
				$('#CurrentCapacityUsage .vw-row.dotted-border').hide();
				$('#capacity-container1-row').addClass('single-dial-private');
			}
			$('#capacity-title1').addClass('long-title');
		}else if(dialCount == 2){//Backup and Archive dials
			if(isPublicMetrics){
				$('#capacity-container3-col').hide();
			}else{
				$('#capacity-container3-row').hide();
			}
			if(exportType){
				$('#capacity-container2-row').addClass('clearFloat')
			}
		}else if(dialCount == 3){//Commvault Complete, Backup and Archive dials
			if(isPublicMetrics){
				if(commUniId > 0 || (companyId >0 && isRegisteredCommcellGroup)){
					$('#CurrentCapacityUsageWrapper').removeClass('col-lg-5 col-md-5 col-sm-12');
					$('#CurrentCapacityUsageWrapper').addClass('col-lg-7 col-md-7 col-sm-12');
					$('#countsWrapper').removeClass('col-lg-7 col-md-7 col-sm-12');
					$('#countsWrapper').addClass('col-lg-5 col-md-5 col-sm-12');

					$('#capacity-container1-col').removeClass('col-lg-6 col-md-6');
					$('#capacity-container1-col').addClass('col-lg-4 col-md-4');
					$('#capacity-container2-col').removeClass('col-lg-6 col-md-6');
					$('#capacity-container2-col').addClass('col-lg-4 col-md-4');
					$('#capacity-container3-col').removeClass('col-lg-6 col-md-6');
					$('#capacity-container3-col').addClass('col-lg-4 col-md-4');
					$('#capacity-container3-col').removeClass('hidden');
					$('#capacity-container3-col').show();
				}else if(companyId > 0 && !isRegisteredCommcellGroup){
					$('#CurrentCapacityUsageWrapper').removeClass('col-lg-3 col-md-3 col-sm-12');
					$('#alerts-info').removeClass('col-lg-2 col-md-2 col-sm-12');
					$('#commcells-locations-wrapper').removeClass('col-lg-7 col-md-7 col-sm-12');
					if(exportType){
						$('#CurrentCapacityUsageWrapper').addClass('col-lg-6 col-md-9 col-sm-12');
						$('#alerts-info').addClass('col-lg-2 col-md-3 col-sm-12');
						$('#commcells-locations-wrapper').addClass('col-lg-4 col-md-12 col-sm-12');
					}else{
						$('#CurrentCapacityUsageWrapper').addClass('col-lg-5 col-md-9 col-sm-12');
						$('#alerts-info').addClass('col-lg-2 col-md-3 col-sm-12');
						$('#commcells-locations-wrapper').addClass('col-lg-5 col-md-12 col-sm-12');
					}
					var dialRowClass= (exportType)?'col-lg-5 col-md-5':'col-lg-6 col-md-6';
					$('#capacity-container1-row').removeClass('vw-row');
					$('#capacity-container1-row').addClass(dialRowClass+' col-lg-offset-3 col-md-offset-3');
					$('#capacity-title1').addClass('long-title');
					$('#capacity-container2-row').removeClass('vw-row');
					$('#capacity-container2-row').addClass(dialRowClass);
					$('#capacity-container3-row').removeClass('vw-row');
					$('#capacity-container3-row').addClass(dialRowClass);
					$('#capacity-container3-row').removeClass('hidden');
					$('#capacity-container3-row').show();


					var locationMapId = 'map-container';
					var charts = Highcharts.charts;
					charts.forEach(function(chart, index) {
						chart.reflow();
					});
				}
			}else{
				$('#CurrentCapacityUsageWrapper').removeClass('col-lg-3 col-md-3 col-sm-12');
				$('#CurrentCapacityUsageWrapper').addClass('col-lg-6 col-md-6 col-sm-12');
				$('#top-errors').removeClass('col-lg-9 col-md-9 col-sm-12');
				$('#top-errors').addClass('col-lg-6 col-md-6 col-sm-12');

				$('#capacity-container1-row').removeClass('vw-row');
				$('#capacity-container1-row').addClass('col-lg-6 col-md-6 col-lg-offset-3 col-md-offset-3');
				$('#capacity-title1').addClass('long-title');
				$('#capacity-container2-row').removeClass('vw-row');
				if(exportType){
					$('#capacity-container2-row').addClass('col-lg-5 col-md-5');
				}else{
					$('#capacity-container2-row').addClass('col-lg-6 col-md-6');
				}
				$('#capacity-container3-row').removeClass('vw-row');
				$('#capacity-container3-row').addClass('col-lg-6 col-md-6');
				$('#capacity-container3-row').removeClass('hidden');
				$('#capacity-container3-row').show();
			}
		}
	}
}

function updateCapacityLegends(dial, chartIndex) {
	var usageId = '#capacity-usage-container-' + (chartIndex + 1);
	var totalUnit = (dial.loanedCapacity > 0) ? dial.dialTotal.unit + "*" : dial.dialTotal.unit;
	$(usageId).append('<div id="capacity-usage-container"><div class="used-text">'+cvUtil.cvLocalize("dashboard.capacity.using")+'</div><div class="capacity-legend"><span class="capacity-used-val" style="color:' + dial.dialColors[0] + '">' + reportsUtil.getFormattedNumberNA(dial.used.formattedValue) + '</span><span class="capacity-val-unit">' + dial.used.unit + '</span>/<span class="capacity-total-val">' + reportsUtil.getFormattedNumberNA(dial.dialTotal.formattedValue) + '</span><span class="capacity-val-unit">' + totalUnit + '</span></div></div><div class="capacity-notes dialNotes">' + (dial.usageNote ? dial.usageNote : "") + '</div><div id="loan-notes" class="loanNote dialNotes">' + dial.loanNote + '</div>');
}



function processCapacityWidgetData(dial, chartIndex) {
	var divId = [ "capacity-pie1", "capacity-pie2", "capacity-pie3" ];
	var titleId = [ "capacity-title1", "capacity-title2", "capacity-title3" ];
	var colors = [ "#e3b56b", "#77ab59" ];
	var chartData = [];
	var total = dial.total.value - dial.used.value;
	if (total < 0) {
		total = 0;
	}
	var chartTooltip = cvUtil.cvLocalize('dashboard.capacity.purchased', reportsUtil.getFormattedNumberNA(dial.total.formattedValue), (dial.loanedCapacity?dial.total.unit.substr(0,3):dial.total.unit).trim());
	if(dial.loanedCapacity){
		chartTooltip = chartTooltip + '<br/>'+cvUtil.cvLocalize('dashboard.capacity.loaned', reportsUtil.getFormattedNumberNA(dial.loanedCapacity), 'TB');
	}
	chartTooltip = chartTooltip + '<br/>'+cvUtil.cvLocalize('dashboard.capacity.usage', reportsUtil.getFormattedNumberNA(dial.used.formattedValue), dial.used.unit);

	chartData.push({
		name : cvUtil.cvLocalize('dashboard.capacity.usage'),
		y : dial.used.value
	});
	chartData.push({
		name : cvUtil.cvLocalize('dashboard.capacity.purchased'),
		y : total
	});
	chartData.push({
		name : cvUtil.cvLocalize('dashboard.capacity.loaned'),
		y : dial.loanedCapacity
	});

	var usagePercent = Math.round((100 * dial.used.value) / dial.total.value * 100) / 100; //actual usage in percent

	var usageColor = colors[chartIndex];
	if (dial.total.value == 0) { //New licenses. These are consumption levels only.  Not licensed entities.
		usageColor = COLORCODES["LICENSE_NOT_APPLIED"];
	} else if (dial.total.value < 0) {
		amount2 = 110;
		usageColor = COLORCODES["WITHIN_CAPACITY"]; // Unlimited
	} else if (usagePercent < 90) {
		usageColor = COLORCODES["WITHIN_CAPACITY"];
	} else if (usagePercent >= 90 && usagePercent <= 100) {
		usageColor = COLORCODES["WARNING"];
	} else {
		usageColor = COLORCODES["OVER_CAPACITY"];
	}
	var totalColor = '#ededed';
	var loanedColor = dial.loanedCapacity > 0 ? COLORCODES["LOANED_CAPACITY"] : "#ededed";

	var dialColors = [];
	dialColors.push(usageColor);
	dialColors.push(totalColor);
	dialColors.push(loanedColor);

	dial.chartData = chartData;
	dial.dialColors = dialColors;
	dial.divId = divId[chartIndex];
	dial.titleId = titleId[chartIndex];
	dial.tooltip = chartTooltip;
	var ccVersion = null;
	if(typeof Version !== 'undefined'){	//When vieweing commcell dashboard
		ccVersion = Version
	}
	dial.detailsLink = getCapacityUsageUrl(ccVersion);

	drawCapacityChart(dial);
	updateCapacityLegends(dial, chartIndex);
}

function drawCapacityChart(dial) {
	$('#'+dial.titleId).text(dial.name);
	var chart = new Highcharts.Chart({
		chart : {
			renderTo : dial.divId,
			type : 'pie',
			margin: [0, 0, 0, 0]
		},
		title : {
			text : ''
		},
		subtitle : {
			text : ''
		},
		colors : dial.dialColors,
		exporting : {
			enabled : false
		},
		credits : {
			enabled : false
		},
		tooltip : {
			headerFormat : '',
			useHTML : true,
			formatter : function(){
				return dial.tooltip;
			}
		},
		plotOptions : {
			pie : {
				//startAngle : 180,
				startAngle: -150,
	            endAngle: 150,
				allowPointSelect : false,
				cursor : 'pointer',
				dataLabels : {
					enabled : false
				},
				showInLegend : true,
				events : {
					click : function(){
						window.location.href = dial.detailsLink;
					}
				}
			},
			series: {
	            states: {
	                hover: {
	                    enabled: false
	                }
	            }
	        }
		},
		legend : {
			enabled : false,
		},
		series : [ {
			colorByPoint : true,
			animation: (exportRequest)?false:true,
			innerSize : '70%',
			data : dial.chartData
		} ]
	});
}

function getLicenseUsage(data, licenseName) {
	var retVal = null;
	$.each(data, function(index, lic) {
		if (lic.name == licenseName) {
			retVal = lic;
		}
	});

	return retVal;
}

function mbToTb(mb) {
	tb = mb / 1048576;
	return (parseFloat(tb)).toFixed(2);
}

function getEmptyCapacityObject(name, isDataSize) {
	return {
		name : name,
		usageNote : "",
		isDataSize : isDataSize,
		used : {
			value : 0,
			formattedValue : 0,
			unit : ""
		},
		total : {
			value : 0,
			formattedValue : 0,
			unit : ""
		},
		dialTotal : {
			value : 0,
			formattedValue : 0,
			unit : ""
		}
	};
}


function gbToHigher(valInGB) {
	var obj = {};
	obj.value = valInGB;
	obj.units = " GB";
	if (valInGB > 1024) {
		valInGB = valInGB / 1024;
		return reportsUtil.autoConvertFromTB(valInGB);
	}
	obj.value = (parseFloat(obj.value)).toFixed(2);
	return obj;
}

function setSizeUnits(val) {
	if (val > 1024) {
		if (val > 1048576) {
			val = val / 1048576;
			if (val > 1024) {
				return (val / 1024).toFixed(2) + " PB";
			}
			return val.toFixed(2) + " TB";
		} else {
			val = val / 1024;
			return val.toFixed(2) + " GB";
		}
	} else {
		return val.toFixed(2) + " MB";
	}
}

function getSizeAndUnits(val){
	var size ={};
	size.value = val;
	var valueStr = val + '';
	var valArr = valueStr.split(' ');
	if (valArr.length > 1) {
		size.value = valArr[0];
		size.units = valArr[1];
	}
	return size;
}

function buildSLAChart(slapercent, worldwide, commCellUID, met, missed) {
	var colors = [ COLORCODES["SUCCESS"], COLORCODES["FAILURE"] ];
	slapercent = Math.floor(slapercent);
	var failsla = 100 - slapercent;
	var data = [];
	data.push({
		name : 'Met SLA',
		y : met,
		slaPercent : slapercent
	});
	data.push({
		name : 'Missed SLA',
		y : missed,
		slaPercent : failsla,
		details : true
	});

	var slaData = {};
	slaData.data = data;
	slaData.colors = colors;
	slaData.slaPercent = slapercent;
	slaData.worldwide = worldwide;

	drawSLAPieChart(slaData);
}

function builWeeklyBackupChart(chartData) {
	var asof = new Array();
	var success = new Array();
	var failure = new Array();
	var warning = new Array();
	var maxValue = new Array();
	var killed = new Array();

	if (chartData.aaData.length >= 0) {
		var showPoints = 8;
		var i = 0;
		if (chartData.aaData.length > showPoints) {
			i = chartData.aaData.length - showPoints;
		}
		for (; i < chartData.aaData.length; i++) {
			asof.push((chartData.aaData[i]["As Of"]));
			if (chartData.aaData[i]["Completed"] == "-") {
				success.push(parseInt(0));
			} else {
				success.push(parseInt(chartData.aaData[i]["Completed"]));
			}
			if (chartData.aaData[i]["Failed"] == "-") {
				failure.push(parseInt(0));
			} else {
				failure.push(parseInt(chartData.aaData[i]["Failed"]));
			}
			if (chartData.aaData[i]["Killed"] == "-") {
				killed.push(parseInt(0));
			} else {
				killed.push(parseInt(chartData.aaData[i]["Killed"]));
			}
			if (chartData.aaData[i]["Completed with Errors or Warnings"] == "-") {
				warning.push(parseInt(0));
			} else {
				warning.push(parseInt(chartData.aaData[i]["Completed with Errors or Warnings"]));
			}
			if (chartData.aaData[i]["Total"] == "-") {
				maxValue.push(parseInt(0));
			} else {
				maxValue.push(chartData.aaData[i]["Total"]);
			}
		}
	} else {
		success.push(parseInt(0));
		failure.push(parseInt(0));
		warning.push(parseInt(0));
		maxValue.push(parseInt(0));
	}
	var div = 'backup-jobs-chart';
	if (chartData.aaData.length > 0) {
		var labels = new Array();
		var popupLabels = new Array();
		for (var i = 0; i < asof.length; i++) {
			labels.push(getDate(asof[i], "ddd"));
			popupLabels[i]= getDate(asof[i], "ddd, MMM D");
		}
		var totalSeries = function(series){
			var total=0;
			for(var i in series) { total += series[i]; }
			return total;
		};

		var seriesData = [];
		seriesData.push({
			name : cvUtil.cvLocalize("chart.series.label.Killed"),
			data : killed
		});
		seriesData.push({
			name : cvUtil.cvLocalize("chart.series.label.Failed"),
			data : failure
		});
		seriesData.push({
			name : cvUtil.cvLocalize("chart.series.label.Completed_with_Errors_or_Warnings"),
			data : warning
		});
		seriesData.push({
			name : cvUtil.cvLocalize("chart.series.label.Completed"),
			data : success
		});
		var colors = [
			COLORCODES["KILLED"],
			COLORCODES["FAILURE"],
			COLORCODES["PARTIALSUCCESS"],
			COLORCODES["SUCCESS"]
		];

		var yMax = Math.ceil(Math.max.apply(Math, maxValue));
		var yAxistitle = "Job Count";

		var xAxistitle = '';
		if (chartData.aaData.length <= 0) {
			yMax = 4;
			xAxistitle = cvUtil.cvLocalize("No_Data_Available");
		} else {
			xAxistitle = getDate(asof[0], "MMMM D") + " - " + getDate(asof[asof.length - 1], "MMMM D");
		}
		var chartHeight = 240;
		if (isPublicMetrics && (commCellUID > 0 || companyId > 0)) {
			chartHeight = 190;
		}
		var chart = new Highcharts.Chart({
			chart : {
				renderTo : div,
				type : 'column',
				height: chartHeight,
				width: (exportRequest)?400:450,
				margin: [50, 10, 50, 70]
			},
			title : {
				text : ''
			},
			subtitle : {
				text : ''
			},
			exporting : {
				enabled : false
			},
			credits : {
				enabled : false
			},
			colors : colors,
			xAxis : {
				categories : labels,
				gridLineWidth : 0,
				title : {
					text : xAxistitle
				}
			},
			yAxis : {
				min : 0,
				title : {
					text : yAxistitle
				},
				stackLabels : {
					enabled : false,
					style : {
						fontWeight : 'bold',
						color : (Highcharts.theme && Highcharts.theme.textColor) || 'gray'
					}
				}
			},
			legend : {
				enabled: false
			},
			tooltip : {
				shared: true,
				borderColor: '#60AEB9',
				formatter: function () {
					var tool = '<b>'+popupLabels[this.points[0].point.x]+'</b><br/>';
					tool += this.points[3].series.name+': <b>'+reportsUtil.getFormattedNumberNA(this.points[3].point.y)+'</b><br/>';
					tool += cvUtil.cvLocalize('chart.series.label.cwew')+': <b>'+reportsUtil.getFormattedNumberNA(this.points[2].point.y)+'</b><br/>';
					tool += this.points[1].series.name+': <b>'+reportsUtil.getFormattedNumberNA(this.points[1].point.y)+'</b><br/>';
					tool += this.points[0].series.name+': <b>'+reportsUtil.getFormattedNumberNA(this.points[0].point.y)+'</b><br/>';
					tool += cvUtil.cvLocalize('chart.series.label.Total')+': <b>'+reportsUtil.getFormattedNumberNA(this.points[0].point.stackTotal)+'</b>';
					return tool;
				}
			},
			plotOptions : {
				column : {
					stacking : 'normal',
					cursor : 'pointer',
					dataLabels : {
						enabled : false,
						color : (Highcharts.theme && Highcharts.theme.dataLabelsColor) || 'white'
					},
					events : {
						click : function(){
							window.location.href = getBackupJobsDetailsUrl();
						}
					}
				},
				series : {
					animation: (exportRequest)?false:true
				}
			},
			series : seriesData
		});
		var chartWidth = $('.backup-jobs-chart-container').width()-10;
		chartWidth = chartWidth > 550?550:chartWidth;
		chart.setSize(chartWidth, chartHeight);
		//legends
		var successTotal = totalSeries(success);
		var warningTotal = totalSeries(warning);
		var failureTotal = totalSeries(failure);
		var killedTotal = totalSeries(killed);
		var successObj = reportsUtil.autoConvertCount(successTotal);
		var warningObj = reportsUtil.autoConvertCount(warningTotal);
		var failureObj = reportsUtil.autoConvertCount(failureTotal);
		var killedObj = reportsUtil.autoConvertCount(killedTotal);

		$('.legend-val-completed').text(successObj.value+(successObj.unit?successObj.unit:''));
		$('.legend-val-warning').text(warningObj.value+(warningObj.unit?warningObj.unit:''));
		$('.legend-val-failed').text(failureObj.value+(failureObj.unit?failureObj.unit:''));
		$('.legend-val-killed').text(killedObj.value+(killedObj.unit?killedObj.unit:''));
		$('.legend-val-completed').prop('title', reportsUtil.getFormattedNumberNA(successTotal));
		$('.legend-val-warning').prop('title', reportsUtil.getFormattedNumberNA(warningTotal));
		$('.legend-val-failed').prop('title', reportsUtil.getFormattedNumberNA(failureTotal));
		$('.legend-val-killed').prop('title', reportsUtil.getFormattedNumberNA(killedTotal));
	} else {
		$("#backup-jobs .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
			cvUtil.cvLocalize("No_Data_Available") + "</span></p>");
	}
}

function getDashboardData() {
	this.requestString.dashboard = true;
	var commCellUID = this.requestString.commUniId;
	delete this.requestString.surveyId;
	this.requestString.commUniId = cvUtil.getParameter("commUniId", 0);
	if (isPublicMetrics && commCellUID <= 0 && (typeof companyCommUniId != 'undefined' && companyCommUniId > 0)) {
		this.requestString.commUniId = companyCommUniId;
	}
	//var tokens = [12,1,2,3,4,5,7,8,9,10];

	var URL = cvUtil.getContextPath() + '/server/getDashboardDataReq1.do?type=operations&json=' +
	window.encodeURIComponent(JSON.stringify(this.requestString));
	cvUtil.loadPage(URL, null, function(output) {
		var i = 0;
		for (; i < output.length; i++) {
			populateDashboard(output[i], commCellUID);
		}

	});

	URL = cvUtil.getContextPath() + '/server/getDashboardDataReq2.do?type=operations&json=' +
	window.encodeURIComponent(JSON.stringify(this.requestString));
	cvUtil.loadPage(URL, null, function(output) {
		var i = 0;
		for (; i < output.length; i++) {
			populateDashboard(output[i], commCellUID);
		}

	});

	if(isPublicMetrics && ((ccGroupId > 0 && commUniId <= 0) || (commUniId <= 0 && companyId <= 0) || (!isRegisteredCommcellGroup && companyId > 0))){
		reportsUtil.getCommCellsLocationSummary(0, commUniId, ccGroupId, companyId, showCommCellsLocations);
	}

	if(!(isPublicMetrics && ((ccGroupId > 0 && commUniId <= 0) || (commUniId <= 0 && companyId <= 0) || (!isRegisteredCommcellGroup && companyId > 0 && commUniId <= 0)))){
		reportsUtil.getHealthInfo(commUniId, ccGroupId, companyId, showHealthStats);
	}

	if (isPublicMetricsCloud && companyId > 0) {
		var loggedInEmail = window.sessionStorage.getItem('userEmail');
		if (loggedInEmail == null) {
			console.debug("Getting email address");
			cvUtil.loadPageWithGET(cvUtil.getContextPath() + "/reports/getUserSmtpAddress.do", "", function(data) {
				window.sessionStorage.setItem('userEmail', data);
				loggedInEmail = data;
				console.debug("Received email address: " + loggedInEmail);
				getUserInfo(loggedInEmail);
			});
		} else {
			getUserInfo(loggedInEmail);
		}
	}
	report.logReportLoadEvent(null, "Dashboard");
}

function getUserInfo(loggedInEmail) {
	console.debug("Fetching users information: " + loggedInEmail);
	var configURL = cvUtil.getContextPath() + '/reports/getCustomerUsers.do';
	var params = {};
	params.ccGroupId = ccGroupId;
	params.companyId = companyId;
	cvUtil.loadPageWithPOST(configURL, params, function(resp) {
		if (resp.data.ccusers && resp.data.ccusers.length > 0 && resp.data.ccusers[0].users) {
			var retval = resp.data.ccusers[0].users.filter(function(user) {
				console.debug("user email: " + user.email);
				return user.email === loggedInEmail;
			});

			if (retval && retval.length > 0) {
				if (retval[0].description == 0) {
					console.debug("hiding options");
					$("#addNewUserLink").hide();
					//$("#viewUsersLink").hide();
				}
			}

		}
	}, function(resp) {
		cvUtil.errorToast(resp.responseText.trim(), null, null, true);
		console.debug("Error occured getting user info.")
	});
}

function getGrowthData() {
	//this.requestString.dashboard = true;
	//$('.currentCapacity').html('Peak Capacity Usage');
	//$('.currentCapacity').attr('title', 'The maximum amount of space used by the CommCell for the last two months. Indicates whether you are approaching the capacity license limit.');
	var cuid = this.requestString.commUniId;
	delete this.requestString.surveyId;
	this.requestString.commUniId = cvUtil.getParameter("commUniId", 0);
	this.requestString.companyId = cvUtil.getParameter("companyId", 0);
	if (this.requestString.companyId > 0 && (companyCommUniId != undefined && companyCommUniId > 0)) {
		cuid = companyCommUniId;
	}

	var URL = cvUtil.getContextPath() + '/server/survey.do?action=CommCellGrowth&commUniId=' + cuid + '&companyId=' +
			this.requestString.companyId + '&json=json=' +
			window.encodeURIComponent(JSON.stringify(this.requestString));

	cvUtil.loadPage(URL, null, function(output) {
		if (output != undefined) {
			drawUsageDials(output, cuid);
		}
	});
}

/**
 * Produces the URL to redirect to when the user clicks on the details link or the dials in the Current
 * Capacity Usage panel, based on the level of the dashboard (CommCell/group/worldwide) and whether the system
 * is a private or public metrics server
 *
 * @returns {String} relative URL
 */
function getCapacityUsageUrl(ccVersion) {
	ccVersion = ccVersion || null ;
	if(commCellUID != undefined && commCellUID > 0 && ccVersion){
		if(isMinRequiredFRForNewCapacityReport(ccVersion)){
			return cvUtil.getContextPath() + "/reportsplus/reportViewer.jsp?reportId=License%20Summary%20Worldwide&input.CommCell="+commCellUID+"&commUniId="+commCellUID;
		}
		else{
				return getCapacityUsageUrlGroupCompany();	//When commcell is older than V11 SP15
		}
	}
	else{
		return getCapacityUsageUrlGroupCompany();	//For cloud or company dashboard or if the version is not loaded in dashboard
	}
}
function getCapacityUsageUrlGroupCompany(){		//used in company / group dashboards and commcell dashboard with version less than V11 SP15
			var url = "",
			params = [],
			paramStr = "";

			/// Add the CommCell group to the parameter list if relevant
			if (ccGroupId > 0) {
				params.push("ccGroupId=" + ccGroupId);
			}
			if (companyId > 0) {
				params.push("companyId=" + companyId);
			}
			if (commCellUID != undefined && commCellUID != 0) {
				url = "indcommcellsurvey.jsp";
				params.push("commUniId=" + commCellUID);
			} else {
				url = "CommCellSurvey.jsp";
			}
			params.push("surveyId=1");
			params.push("dashboarddrill=true");
			/// Build query string
			if (params.length > 0) {
				paramStr = "?";
			}
			paramStr += params.join("&");

			return cvUtil.getContextPath() + "/survey/reports/" + url + paramStr;
} /// end method getCapacityUsageUrlGroupCompany

function getBackupJobsDetailsUrl(){
	var grp = "";
	if (ccGroupId > 0) {
		grp = "&ccGroupId=" + ccGroupId;
	}
	if (companyId > 0) {
		grp += "&companyId=" + companyId;
	}
	var link = cvUtil.getContextPath() + "/survey/reports/operations.jsp";
	if (commCellUID != 0) {
		link = link + "?commUniId=" + commCellUID + grp;
	}else{
		link = link + "?" + grp.substr(1);
	}
	return link;
}
function populateLinks() {
	var grp = "";
	if (ccGroupId > 0) {
		grp = "&ccGroupId=" + ccGroupId;
	}
	if (companyId > 0) {
		grp += "&companyId=" + companyId;
	}
	$("a.capacitygrowth").attr("href", getCapacityUsageUrl());
	$("a.backupjobsummary").attr("href", getBackupJobsDetailsUrl());
	if (commCellUID != 0) {
		/*
		 * $("a.capacityusage").attr("href", cvUtil.getContextPath() +
		 * "/survey/reports/indcommcellsurvey.jsp?surveyId=1&commUniId=" + commCellUID + grp);
		 */
		$(".last7dedupe")
			.attr("href",
				cvUtil.getContextPath() +
				"/survey/reports/commcellDedupeSavings.do?commUniId=" +
				commCellUID +
				grp +
				"&isDedupe=true&chartType=line&aggregate=2&growthType=5&isFullBackup=1&intervalType=2&groupBy=CommCell&entityType=CommCell");
		$("a.strike").attr("href",
			cvUtil.getContextPath() + "/survey/reports/operations.jsp?commUniId=" + commCellUID + "&surveyId=25" +
			grp);
		$(".last7days").attr("href",
			cvUtil.getContextPath() + "/survey/reports/operations.jsp?commUniId=" + commCellUID +
			"&dashboardData=true&duration7=true" + grp);
		$("a.30sla").attr("href",
			cvUtil.getContextPath() + "/survey/reports/indcommcellsurvey.jsp?commUniId=" + commCellUID +
			"&surveyId=27&fromCCDashboardSLA=true" + grp);
		$("a.dataretention ").attr("href",
			cvUtil.getContextPath() + "/survey/reports/indcommcellsurvey.jsp?commUniId=" + commCellUID +
			"&surveyId=141" + grp);

		$("a.storageresource").attr("href",
			cvUtil.getContextPath() + "/survey/reports/indcommcellsurvey.jsp?commUniId=" + commCellUID +
			"&surveyId=117" + grp);
		$("a.health-info").attr("href",
				cvUtil.getContextPath() + "/health/health.jsp?commUniId=" + commCellUID + grp);
		$("a.topErrors").attr("href",
				cvUtil.getContextPath() + "/survey/reports/operations.jsp?commUniId=" + commCellUID + "&surveyId=30" +
				grp);
	} else {
		var pref = grp == "" ? "" : "&";
		/*
		 * $("a.capacityusage").attr("href", cvUtil.getContextPath() +
		 * "/survey/reports/CommCellSurvey.jsp?surveyId=1" + grp);
		 */
		if (isPublicMetrics) {
			$(".last7dedupe").attr("href",
				cvUtil.getContextPath() + "/survey/reports/CommCellSurvey.jsp?repType=dedupsavings" + grp);
		} else {
			$(".last7dedupe")
				.attr("href",
					cvUtil.getContextPath() +
					"/survey/reports/commcellDedupeSavings.do?" +
					grp +
					pref +
					"isDedupe=true&chartType=line&aggregate=2&growthType=5&isFullBackup=1&intervalType=2&groupBy=CommCell&entityType=CommCell");
		}
		$(".last7days").attr("href", cvUtil.getContextPath() + "/survey/reports/operations.jsp?surveyId=51" + grp);
		$("a.30sla").attr("href",
			cvUtil.getContextPath() +
			"/survey/reports/CommCellSurvey.jsp?showSLATrend=true&surveyId=27&repType=SLATrend" + grp);
		$("a.strike").attr("href", cvUtil.getContextPath() + "/survey/reports/operations.jsp?surveyId=25" + grp);
		$("a.dataretention").attr("href",
			cvUtil.getContextPath() + "/survey/reports/CommCellSurvey.jsp?surveyId=141" + grp);

		$("a.storageresource").attr("href",
			cvUtil.getContextPath() + "/survey/reports/CommCellSurvey.jsp?surveyId=117" + grp);

		$("a.topErrors").attr("href",
				cvUtil.getContextPath() + "/survey/reports/operations.jsp?surveyId=30" + grp);
		if (isPublicMetrics && commCellUID <= 0 && (typeof companyCommUniId != 'undefined' && companyCommUniId > 0)) {
			$("a.health-info").attr("href", cvUtil.getContextPath() + "/survey/reports/health.jsp?commUniId=" + companyCommUniId + grp);//
		}else{
			$("a.health-info").attr("href",
					cvUtil.getContextPath() + "/survey/reports/health.jsp?" + grp.substr(1));
		}
	}

}
function refreshCommcellSurvey() {
	if ($("#refreshCommcellSurvey").hasClass("disabled")) {
		return;
	}
	$("#refreshCommcellSurvey").addClass("disabled");
	cvUtil.loadPageWithPOST("refreshCommcellSurvey.do", {
		commcellGuid : SurveyGlobals.CommGuiId,
		commcellName : SurveyGlobals.clientName
	}, function(data) {
		cvUtil.toast(cvUtil.cvLocalize("dashboard.msg.refresh_info"));
	}, function(xhr, ajaxOptions, thrownError) {
		if (!cvUtil.handleIfFwkErr(xhr, ajaxOptions, thrownError)) {
			var exText = cvUtil.getString("Exception_Text", function() {});
			if (exText == "") {
				exText = cvUtil.cvLocalize("Something_went_wrong_please_try_again");
			}
			alert(exText);
		} else {
			$("#refreshCommcellSurvey").removeClass("disabled");
		}
	});
}

function updateEolstatus() {
	$("#eolstatus").hide();
	cvUtil.loadPageWithPOST("updateEolstatus.do", {
		CommCellHexID : CommCellHexID
	}, function(data) {
		data = cvUtil.parseJSON(data);
		if (data != null) {
			$("#eolstatus").hide();
		}
	});
}

function loadupgradecommcelldata() {
	cvUtil.loadPageWithPOST("loadupgradecommcelldata.do", {
		commCellUID : commCellUID
	}, function(data) {
		data = cvUtil.parseJSON(data);

		if (data != null) {
			ver = parseInt(data.Version);
			v10eof = parseInt(data.V10EOF);
			v9eof = parseInt(data.V9EOF);
			V10EolDate = data.V10EolDate;
			EOLStatusClosed = data.EOLStatusClosed;
			CommCellHexID = data.CommCellHexID;
			if (EOLStatusClosed != null && EOLStatusClosed != '' &&
				(EOLStatusClosed.indexOf(CommCellHexID + "-1,") == -1)) {
				if ((ver === 10) && (v10eof === 1)) {
					$("#eolstatus").removeClass("hidden");
					$('#v10eol').text(cvUtil.cvLocalize('Unsupported_Version_V10') + ' ' +
							cvUtil.cvLocalize('Upgrade_now'));
					$('#v10eol').attr("href", cvUtil.cvLocalize('Reaching_end_of_life_kb_link'));
					$("#v10eol").show();
				} else if ((ver === 9) && (v9eof === 1)) {
					$("#eolstatus").removeClass("hidden");
					$('#v9eol').text(cvUtil.cvLocalize('Unsupported_Version_V9') + ' ' +
							cvUtil.cvLocalize('Upgrade_now'));
					$("#v9eol").show();
				} else if ((ver === 10) && (v10eof === 2)) {
					$("#eolstatus").removeClass("hidden");
					$('#v10eol').text(cvUtil.cvLocalize('Reaching_end_of_life_soon', V10EolDate) + ' ' +
							cvUtil.cvLocalize('Upgrade_now'));
					$('#v10eol').attr("href", cvUtil.cvLocalize('Reaching_end_of_life_kb_link'));
					$("#v10eol").show();
				}
			}
		}

		if (data != null && data.PhaseName != undefined) {
			ver = parseInt(data.Version);
			sp = parseInt(data.SP);
			commcellcount = parseInt(data.CommcellCount);
			enabledservices = parseInt(data.EnabledServices);
			cloudRequestid = parseInt(data.CloudRequestID);
			RetestFalg = data.RetestFalg;
			phasename = data.PhaseName;
			phaseid = parseInt(data.PhaseID);
			if (ver === 10 && sp >= 11) {
				$("#headerUpgradeCC").show();
				CommCellHexID = data.CommCellHexID;
				$("#failedupgraderequestretry").hide();
				$("#failedupgraderequestreport").hide();
				$("#failedupgraderequestreportnew").hide();
				if (data.PhaseID != "1") {
					if (data.PhaseID == "5" || data.PhaseName == "Pre Upgrade Tests Failed") {
						if (cloudRequestid == 0) {
							id = "failedupgraderequestreportnew";
						} else {
							id = "failedupgraderequestreport";
							cloudrequestflags = "1";
							$("#failedupgraderequestretry").on("click", resubmitfailedphase);
							$("#failedupgraderequestretry").addClass("upgradebutton");
							$("#failedupgraderequestretry").show();
						}
						$("#" + id).attr("href",
							cvUtil.getContextPath() + "/survey/reports/UpgradeReadiness.jsp?commUniId=" +
							commCellUID)
						$("#" + id).addClass("upgradebutton");
						$("#" + id).show();
					} else if ((data.PhaseID == "10" || data.PhaseName == cvUtil
							.cvLocalize("upgrade.testupgradeofdatabasefailed")) &&
						(cloudRequestid != 0)) {
						cloudrequestflags = "2";
						$("#failedupgraderequestretry").on("click", resubmitfailedphase);
						$("#failedupgraderequestretry").addClass("upgradebutton");
						$("#failedupgraderequestretry").show();
					} else if ((data.PhaseID == "13") && (cloudRequestid != 0) && (RetestFalg == 'true')) {
						cloudrequestflags = "3";
						$("#failedupgraderequestretry").on("click", resubmitfailedphase);
						$("#failedupgraderequestretry").addClass("upgradebutton");
						$("#failedupgraderequestretry").show();
					}
					$("#upgraderequestphase").text(phasename);
					$("#upgraderequestphase").show();
				} else if (commcellcount > 1 || ((enabledservices & 64) != 64)) {
					$("#upgraderequest").text(phasename);
					$("#upgraderequest").attr("href", cvUtil.cvLocalize("upgrade.label.requestupgratov11link"));
					$("#upgraderequest").addClass("upgradebutton");
					$("#upgraderequest").show();
				} else {
					$("#upgraderequest").text(phasename);
					$("#upgraderequest").on("click", createautoupgradecloudrequest);
					$("#upgraderequest").addClass("upgradebutton");
					$("#upgraderequest").show();
				}
			} else if (ver != 11) {
				$("#headerUpgradeCC").show();
				$("#failedupgraderequestretry").hide();
				$("#failedupgraderequestreport").hide();
				$("#failedupgraderequestreportnew").hide();
				if (data.PhaseID == "1") {
					$("#upgraderequest").text(phasename);
					$("#upgraderequest").attr("href", cvUtil.cvLocalize("upgrade.label.requestupgratov11link"));
					$("#upgraderequest").addClass("upgradebutton");
					$("#upgraderequest").show();
				} else {
					$("#upgraderequestphase").text(phasename);
					$("#upgraderequestphase").show();
				}
			}
		} else if (data != null) {
			ver = parseInt(data.Version);
			sp = parseInt(data.SP);
			if (ver != 11) {
				$("#headerUpgradeCC").show();
				$("#failedupgraderequestretry").hide();
				$("#failedupgraderequestreport").hide();
				$("#failedupgraderequestreportnew").hide();
				$("#upgraderequest").text(cvUtil.cvLocalize("upgrade.label.requestupgratov11"));
				//$("#upgraderequest").on("click", popupupgrademessage);
				//$("#upgraderequest").addClass("upgradebutton");
				//$("#upgraderequest").show();
				commcellcount = parseInt(data.CommcellCount);
				enabledservices = parseInt(data.EnabledServices);
				phasename = cvUtil.cvLocalize("upgrade.label.requestupgratov11");
				if (commcellcount > 1 || (ver == 9) || !((ver === 10 && sp >= 11) && ((enabledservices & 64) == 64))) {
					$("#upgraderequest").text(phasename);
					$("#upgraderequest").attr("href", cvUtil.cvLocalize("upgrade.label.requestupgratov11link"));
					$("#upgraderequest").addClass("upgradebutton");
					$("#upgraderequest").show();
				} else {
					$("#upgraderequest").text(phasename);
					$("#upgraderequest").on("click", createautoupgradecloudrequest);
					$("#upgraderequest").addClass("upgradebutton");
					$("#upgraderequest").show();
				}
			}
		}
	});
}

function resubmitfailedphase() {
	var PhaseName = "";
	$("#failedupgraderequestretry").addClass("upgradeloading");
	cvUtil.loadPageWithPOST("resubmitfailedrequest.do", {
		CommCellHexID : CommCellHexID,
		flags : cloudrequestflags
	}, function(data) {
		data = cvUtil.parseJSON(data);
		if (data != null && data.Error == "") {
			PhaseName = data.PhaseName;
			$("#upgraderequestphase").text(PhaseName);
			$("#upgraderequest").hide();
			$("#failedupgraderequestretry").hide();
			$("#failedupgraderequestreport").hide();
			$("#failedupgraderequestreportnew").hide();
			$("#upgraderequestphase").show();
		} else if (data.Error != "") {
			cvUtil.toast(data.Error);
			$("#failedupgraderequestretry").removeClass("upgradeloading");
		}
	});
}

function createautoupgradecloudrequest() {
	var PhaseName = "";
	$("#upgraderequest").addClass("upgradeloading");
	//cvUtil.toast("V11 Upgrade Request Initiated. It will take a few minutes to submit the request");

	var newDiv = $(document.createElement('div'));
	newDiv
		.html("<label class='upgradelabel'>" +
			cvUtil.cvLocalize("upgrade.label.confirmRequest") +
			"</label> <br/><br/>" +
			"<label class='upgradelabel'>" +
			cvUtil.cvLocalize("upgrade.label.requesttype") +
			"</label> <br/> <select name='request_type' id='request_type'> <option disabled selected='selected'>" +
			cvUtil.cvLocalize("upgrade.option.selectone") +
			"</option> <option value='" +
			cvUtil.cvLocalize("upgrade.option.partnerassistedupgrade") +
			"'>" +
			cvUtil.cvLocalize("upgrade.option.partnerassistedupgrade") +
			"</option> <option value='" +
			cvUtil.cvLocalize("upgrade.option.professionalservicesassistedupgrade") +
			"'>" +
			cvUtil.cvLocalize("upgrade.option.professionalservicesassistedupgradefees") +
			"</option><option value='" +
			cvUtil.cvLocalize("upgrade.option.selfupgradewithsupportcontact") +
			"'>" +
			cvUtil.cvLocalize("upgrade.option.selfupgradewithsupportcontact") +
			"</option></select>" +
			"<br/><br/>" +
			"<label class='upgradelabel'>" +
			cvUtil.cvLocalize("upgrade.label.alsonotifyemail") +
			" </label> <br/> <input id='alsonotifyemailtextbox' class='textbox' type='text' placeholder='" +
			cvUtil.cvLocalize("upgrade.label.alsonotifyemailplaceholder") +
			"'/>" +
			"<br/>" +
			"<label class='upgradelabel'>" +
			cvUtil.cvLocalize("upgrade.label.upgradefeatures") +
			"</label><br/><textarea rows='3' class='textbox' id='features_enabled' name='features_enabled'></textarea>" +
			"<br/>" +
			"<label class='upgradelabel'>" +
			cvUtil.cvLocalize("upgrade.label.comments") +
			"</label><br/><textarea rows='3' class='textbox' id='comments' name = 'comments'></textarea><p class='help-block'>(" +
			cvUtil.cvLocalize("upgrade.label.upgradedetails") + ")</p>" + "<br/>" +
			"<label class='upgradelabel'> " + cvUtil.cvLocalize("upgrade.label.upgradeexperience") +
			" <u><a class= \"upgradefeatureslink\" target=\"_blank\" href = \"" +
			cvUtil.cvLocalize("upgrade.label.V11NewFeatureslink") + "\">" +
			cvUtil.cvLocalize("upgrade.label.V11NewFeatures") + "</a></u> " +
			cvUtil.cvLocalize("upgrade.label.upgradeexperience1") + " </label>" + "<br/>" +
			"<br/> <span class='red' id='emailerror'></span>");
	newDiv.dialog({
		resizable : false,
		modal : true,
		title : cvUtil.cvLocalize("upgrade.label.requestupgratov11"),
		width : 500,
		height : 550,
		buttons : {
			noLocalized : {
				text : cvUtil.cvLocalize("upgrade.label.dialogNo"),
				"class" : "ui-close-button",
				click : function() {
					newDiv.dialog('close').remove();
					$("#upgraderequest").removeClass("upgradeloading");
				},
			},
			yesLocalized : {
				text : cvUtil.cvLocalize("upgrade.label.dialogYes"),
				"class" : "ui-ok-button",
				click : function() {
					var notifyEmails = $('#alsonotifyemailtextbox').val();
					var requestType = $("#request_type option:selected").val();
					var featuresEnabled = $("#features_enabled").val();
					var comments = $("#comments").val();
					if (notifyEmails != null && notifyEmails != "") {
						emailArr = notifyEmails.split(",");
						for (email in emailArr) {
							isValid = cvUtil.isEmailValid(emailArr[email])
							if (!isValid) {
								$('#emailerror').text("Please enter correct email.");
								return;
							}
						}
					}
					if ($("#request_type option:selected").text() == "Select One") {
						$('#emailerror').text("Please select request type.");
						return;
					}
					newDiv.dialog('close').remove();
					cvUtil.loadPageWithPOST("createautpupgraderequest.do", {
						CommCellHexID : CommCellHexID,
						NotifyEmails : notifyEmails,
						RequestType : requestType,
						FeaturesEnabled : featuresEnabled,
						Comments : comments
					}, function(data) {
						data = cvUtil.parseJSON(data);
						if (data != null && data.Error == "") {
							PhaseName = data.PhaseName;
							$("#upgraderequestphase").text(PhaseName);
							$("#upgraderequest").hide();
							$("#upgraderequestphase").show();
						} else if (data.Error != "") {
							cvUtil.toast(data.Error);
							$("#upgraderequest").removeClass("upgradeloading");
						}
					});
				},
			}
		}
	});
}

function popupupgrademessage() {
	$("#upgraderequest").addClass("upgradeloading");
	var newDiv1 = $(document.createElement('div'));
	newDiv1.html("<label class='upgradelabel'>" +
		(cvUtil.cvLocalize("upgrade.label.requestupgrademsg")).replace(/&lt;br\/&gt;/g, '<br/>') + "</label>");
	newDiv1.dialog({
		resizable : false,
		modal : true,
		title : cvUtil.cvLocalize("upgrade.label.requestupgratov11"),
		width : 500,
		height : 220,
		buttons : {
			noLocalized : {
				text : cvUtil.cvLocalize("upgrade.label.dialogOk"),
				"class" : "ui-ok-button pull-right",
				click : function() {
					newDiv1.dialog('close').remove();
					$("#upgraderequest").removeClass("upgradeloading");
				}
			}
		}
	});
}

function triggerpreupgradereadinesstask() {
	var PhaseName = "";
	$("#upgraderequest").addClass("upgradeloading");
	//cvUtil.toast("V11 Upgrade Request Initiated. It will take a few minutes to submit the request");
	cvUtil.loadPageWithPOST("triggerpreupgradereadinesstask.do", {
		commCellUID : commCellUID,
		CommCellHexID : CommCellHexID
	}, function(data) {
		data = cvUtil.parseJSON(data);
		if (data != null && data.Error == "") {
			PhaseName = data.MessageName;
			$("#upgraderequestphase").text(PhaseName);
			$("#upgraderequest").hide();
			$("#upgraderequestphase").show();
		} else if (data.Error != "") {
			cvUtil.toast(data.Error);
			$("#upgraderequest").removeClass("upgradeloading");
		}
	});
}

function submitTrialExtensionReq() {
	if (!$(".trialExt").hasClass("clicked")) {
		$(".trialExt").addClass("submittrialext clicked").html("");
		cvUtil.loadPageWithPOST(cvUtil.getContextPath() + '/server/extendtrial', {
			commUniId : commCellUID
		}, function(data) {
			if (data.error) {
				cvUtil.errorToast(localMsg.trialext_error);
				$(".submittrialext").html(localMsg.trialext_req).removeClass("submittrialext clicked");
			} else {
				if (data.workflowresponse.response["errorMessage"] == "") {
					cvUtil.toast(localMsg.trialext_submittedinfo);
					$(".submittrialext").html(localMsg.trialext_submitted).removeClass("submittrialext")
						.addClass("trialsubmitted");
				} else {
					cvUtil.errorToast(data.workflowresponse.response["errorMessage"]);
					$(".submittrialext").html(localMsg.trialext_req).removeClass("submittrialext clicked");
				}
			//console.log("Data: " + data.workflowresponse.response["errorMessage"]);
			}
		});
	}
}

function getDashboardAlertData() {
	var params = {},
		commUniId,
		groupId,
		severityIcon,
		totalRows = 0,
		totalAlerts = 0,
		alertDetailLink = "";

	commUniId = cvUtil.getParameter("commUniId", 0);
	ccGroupId = cvUtil.getParameter("ccGroupId", 0);
	alertDetailLink = cvUtil.getContextPath() + "/reportsplus/reportViewer.jsp?reportName=CommCell Alerts";
	if (commUniId > 0) {
		alertDetailLink += "&input.CommCell=" + commUniId+"&commUniId="+commUniId;;
	}
	if (companyId > 0) {
		alertDetailLink += "&companyId="+companyId;
	}

	if (groupId > 0) {
		alertDetailLink += "&input.CommCellGroup=" + groupId;
	}
	$("#alerts-info .viewdetails").attr("href", alertDetailLink);

	params.commUniId = commUniId;
	params.ccGroupId = ccGroupId;
	params.companyId = companyId;


	cvUtil.loadPageWithPOST(cvUtil.getContextPath() + '/server/getDashboardAlertData.do', params, function(data) {
		if (data.data.alertAggregate && data.data.alertAggregate.aaData &&
				data.data.alertAggregate.aaData.length > 0) {
			var row = data.data.alertAggregate.aaData[0];
			var companyIdParams = '';
			if (companyId > 0) {
				if(data.data.companyCCGroupId){
					alertDetailLink +="&input.CommCellGroup=" + data.data.companyCCGroupId;
				}else if(data.data.companyCommcellId){
					alertDetailLink +="&input.CommCell=" + data.data.companyCommcellId;
				}
				$("#alerts-info .viewdetails").attr("href", alertDetailLink);
			}
			var critical=0, warning=0, info=0;
			if(row["CriticalAlerts"] <= 0 && row["WarningAlerts"] <= 0 && row["InfoAlerts"] <= 0){
				//$("#alerts-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
				//		cvUtil.cvLocalize("No_Data_Available") + "</span></p>");
				//return;
			}else{
				critical = reportsUtil.getFormattedNumberNA(row["CriticalAlerts"]);
				warning = reportsUtil.getFormattedNumberNA(row["WarningAlerts"]);
				info = reportsUtil.getFormattedNumberNA(row["InfoAlerts"]);
			}

			$('.alert-val-critical').text(critical);
			$('.alert-val-warning').text(warning);
			$('.alert-val-info').text(info);

			$('.alert-val-critical').attr('href', alertDetailLink + "&AlertChart.filter.SeverityText=Critical");
			$('.alert-val-warning').attr('href', alertDetailLink + "&AlertChart.filter.SeverityText=Warning");
			$('.alert-val-info').attr('href', alertDetailLink + "&AlertChart.filter.SeverityText=Info");
		} else {
			//$("#alerts-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" +
			//		cvUtil.cvLocalize("No_Data_Available") + "</span></p>");
		}
		$("#alerts-info .content").unmask();
	});
}

function buildAlertPieChart(chartData) {
	var colors = [ COLORCODES["FAILURE"], COLORCODES["PARTIALSUCCESS"], COLORCODES["SUCCESS"] ];
	var chart = new Highcharts.Chart({
		chart : {
			renderTo : 'alerts-pie',
			type : 'pie',
			margin: [0, 0, 0, 0]
		},
		title : {
			text : ''
		},
		subtitle : {
			text : ''
		},
		colors : colors,
		exporting : {
			enabled : false
		},
		credits : {
			enabled : false
		},
		tooltip : {
			formatter: function () {
				return this.point.name+': <b>'+reportsUtil.getFormattedNumberNA(this.point.y);
			}
		},
		plotOptions : {
			pie : {
				startAngle : 90,
				//endAngle: 150,
				allowPointSelect : false,
				cursor : 'pointer',
				dataLabels : {
					enabled : false
				},
				showInLegend : false,
				events : {
					click : function(e){
						if(e.point.drilldownEntity && e.point.drilldownURL){
							var drilldownEntity = window.encodeURIComponent(JSON.stringify([e.point.drilldownEntity]));
							window.location.href = e.point.drilldownURL + "&AlertChart.filter.SeverityText="+drilldownEntity;
						}
					}
				}
			},
			series: {
	            states: {
	                hover: {
	                    enabled: false
	                }
	            }
	        }
		},
		legend : {
			enabled : false,
		},
		series : [ {
			colorByPoint : true,
			animation: (exportRequest)?false:true,
			innerSize : '70%',
			data : chartData
		} ]
	});
}

function showCustomerFileShareFolder(data) {
	if (isPublicMetrics && (ccGroupId > 0 || commUniId > 0 || companyId > 0)) {
		if (data.folders != undefined && data.folders.length > 0) {
			var folder = data.folders[0];
			var shareId = folder.syncWebFolderId;
			if (isCommvaultUser) {
				if (!data.fileshareShareId) {
					console.log('Fileshare share Id not found for commvault user.')
					$('#exportMenu').removeClass('with-cloud-docs');
					$('#cloudDocsLink').hide();
					return;
				}
				shareId = data.fileshareShareId;
			}
			var fileShareUrl = cvUtil.getContextPath() + '/browse/MyDrive.do?shareFolderId=' + shareId + '&path=' +
			folder.syncPath;
			$('#cloudDocsLink').click(function() {
				window.open(fileShareUrl, '_blank');
			});
		} else {
			$('#exportMenu').removeClass('with-cloud-docs');
			$('#cloudDocsLink').hide();
		}
	}
}
function drawSLAPieChart(slaData) {

	//if (commUniId > 0 || companyId > 0) {
	//	slaTextLeft = slaTextLeft + 80;
	//}
	var params='', detailsLink='';
	if (ccGroupId > 0) {
		params = "&ccGroupId=" + ccGroupId;
	}
	if (companyId > 0) {
		params = "&companyId=" + companyId;
	}
	if(commCellUID > 0){
		detailsLink = cvUtil.getContextPath() + "/survey/reports/indcommcellsurvey.jsp?commUniId=" + commCellUID +
		"&surveyId=27&fromCCDashboardSLA=true" + params;
	}else{
		detailsLink = cvUtil.getContextPath() +
		"/survey/reports/CommCellSurvey.jsp?showSLATrend=true&surveyId=27&repType=SLATrend" + params;
	}

	var chart = new Highcharts.Chart({
		chart : {
			renderTo : 'sla-chart-container',
			type : 'pie',
			margin: [0, 0, 0, 0],
	        spacingTop: 0,
	        spacingBottom: 20,
	        spacingLeft: 0,
	        spacingRight: 0
		},
		title : {
			text : ''
		},
		subtitle : {
			text : ''
		},
		exporting : {
			enabled : false
		},
		credits : {
			enabled : false
		},
		colors : slaData.colors,
		tooltip : {
			formatter: function () {
				return this.point.name+': <b>'+reportsUtil.getFormattedNumberNA(this.point.y)+' ('+this.point.slaPercent+'%)</b>';
			}
		},
		plotOptions : {
			pie : {
				center: ['35%', '42%'],
				startAngle : 90,
				size:'100%',
				allowPointSelect : false,
				//cursor : 'pointer',
				dataLabels : {
					enabled : false
				},
				showInLegend : false,
				point : {
					events : {
						click : function() {
							if (this.options.details) {
								location.href = detailsLink;
							}
						},
						mouseOver: function(jqEvent){
		                    if(this.options.details){
							    this.graphic.element.style.cursor = 'pointer';
		                    }
						}
					}
				}
			},
			series: {
	            states: {
	                hover: {
	                    enabled: false
	                }
	            }
	        }
		},
		legend : {
			enabled : false,
			margin : 0,
			padding : 0,
			symbolRadius: 0,
			itemStyle : {
				fontWeight : 'normal',
			},
			labelFormatter : function() {
				return this.name + ': ' + this.y + ' (' + this.slaPercent + '%)'
			}
		},
		series : [ {
			colorByPoint : true,
			animation: (exportRequest)?false:true,
			data : slaData.data
		} ]
	});//, function(chart) { // on complete
	var chartRight = ((chart.chartHeight-20)/2);
	var slaTextLeft = (chart.chartWidth/2) + chartRight -10;
	var slaTextTopStart = 45;
	if (!isPublicMetrics && commCellUID > 0) {
		slaTextTopStart = 30;
		slaTextLeft = slaTextLeft - 5;
	}
		chart.renderer.text(cvUtil.cvLocalize('dashboard.label.SLA_is'), slaTextLeft + 5, slaTextTopStart)
			.css({
				fontSize : '1.0em',
				color : '#AAA8A8'
			}).add();
		chart.renderer.text(slaData.slaPercent + "%", ((slaData.slaPercent < 10)?slaTextLeft+10:slaTextLeft), slaTextTopStart+25)
			.css({
				fontSize : '2.0em',
				color : '#555',
				fontWeight : '400'
			}).add();
		if (!isPublicMetrics && commCellUID > 0) {
			chart.renderer.text(cvUtil.cvLocalize('dashboard.label.The_Worldwide'), slaTextLeft-5, slaTextTopStart+45)
			.css({
				fontSize : '0.875em',
				color : '#AAA8A8'
			}).add();
			chart.renderer.text(cvUtil.cvLocalize('dashboard.label.SLA_is_at', slaData.worldwide), slaTextLeft-10, slaTextTopStart+60)
			.css({
				fontSize : '0.875em',
				color : '#AAA8A8'
			}).add();
		}
	//});
	var metObj = reportsUtil.autoConvertCount(slaData.data[0].y);
	var missedObj = reportsUtil.autoConvertCount(slaData.data[1].y);
	$('.legend-val-met').text(metObj.value+(metObj.unit?metObj.unit:''));
	$('.legend-val-missed').text(missedObj.value+(missedObj.unit?missedObj.unit:''));
	$('.legend-val-met').prop('title', reportsUtil.getFormattedNumberNA(slaData.data[0].y));
	$('.legend-val-missed').prop('title', reportsUtil.getFormattedNumberNA(slaData.data[1].y));
	$('a.legend-val-missed').attr('href', detailsLink);
}



function showHealthStats(healthRawData) {
	//var healthInfo = cvUtil.parseJSON(healthRawData);
	if(healthRawData && healthRawData.data.healthErrorMessage){
		var hmsg_link_text = cvUtil.cvLocalize('dashboard.tile.health.disabled.Cloud_Metrics_Reports');
		var healthDocLink = docBaseURL.substr(0, docBaseURL.lastIndexOf("/"));
		healthDocLink += "/article?p=95377.htm";
		var help_link = '<a class="health-disabled-doc" href='+healthDocLink+' target="_blank">'+hmsg_link_text+'</a>';
		var hmsg = cvUtil.cvLocalize('dashboard.tile.health.disabled', help_link);
		$("#health-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + hmsg + "</span></p>");
		return;
	}
	var healthInfo = healthRawData.data.healthData;
	var columns = [];
	$.each(healthInfo.columns, function(i, col) {
		columns.push(col.name);
	});
	var CRITICAL = '4_Critical', WARNING = '3_Warning', GOOD = '1_Good', INFO = '2_Info';
	var severitySummary = {
			'4_Critical': {cnt:0},
			'3_Warning': {cnt:0},
			'1_Good': {cnt:0},
			'2_Info': {cnt:0}
	};
	$.each(healthInfo.records, function(j, row) {
		var tileStatus = row[columns.indexOf('Status')];
		var severity = severitySummary[tileStatus] || {};
		severity.tileStatus = tileStatus;
		severity.cnt = row[columns.indexOf('Count')];
		severitySummary[tileStatus] = severity
	});

	$('.health-critical-cnt').text(severitySummary[CRITICAL].cnt);
	$('.health-warning-cnt').text(severitySummary[WARNING].cnt);
	$('.health-good-cnt').text(severitySummary[GOOD].cnt);
	$('.health-info-cnt').text(severitySummary[INFO].cnt);

	$('.health-severity').on('click', function(){
		var grp = "";
		if (ccGroupId > 0) {
			grp = "&ccGroupId=" + ccGroupId;
		}
		if (companyId > 0) {
			grp += "&companyId=" + companyId;
		}
		if(commCellUID > 0){
			var healthParams='';
			var data = $(this).data();
			if(data){
				healthParams='&severity='+data.severity + '&grouping=severity';
			}
			window.location.href = cvUtil.getContextPath() + "/health/health.jsp?commUniId=" + commCellUID + grp+healthParams;
		}else{
			if (isPublicMetrics && commCellUID <= 0 && (typeof companyCommUniId != 'undefined' && companyCommUniId > 0)) {
				var healthParams='';
				var data = $(this).data();
				if(data){
					healthParams='&severity='+data.severity + '&grouping=severity';
				}
				window.location.href = cvUtil.getContextPath() + "/health/health.jsp?commUniId=" + companyCommUniId + grp+healthParams;
			}else{
				window.location.href = cvUtil.getContextPath() + "/survey/reports/health.jsp?" + grp.substr(1);
			}
		}
	});

	$("#health-info .content").unmask();
}

function processServiceTilesData(rawData, tileType){
	if(tileType == 0 || tileType == 1){
		showCMRsStats(rawData);
	}
	if(tileType == 0 || tileType == 2){
		showTRsStats(rawData);
	}
	if(tileType == 0 || tileType == 3){
		updateCustomerMembershipInfo(rawData);
	}
	//if(tileType == 0 || tileType == 4){
		//showCommCellCount(rawData);
	//}
}

function showCMRsStats(rawData) {
	cvUtil.unmask('#cmrs-info .content');
	var idParams = '';
	if(rawData.data.commUniId > 0){
		idParams += '&commUniId='+rawData.data.commUniId;
	}else if(commCellUID > 0){
		idParams += '&commUniId='+commCellUID;
	}else if(companyId > 0){
		idParams += '&companyId='+companyId;
	}
	var days = $('#cmr-days').val();
	idParams += '&input.days='+days;
	var detailsLink = cvUtil.getContextPath() + "/reportsplus/reportViewer.jsp?reportId=CMRReportV2&input.serial=" + rawData.data.serial + "&input.regcode="+ rawData.data.regcode+idParams;
	$("a.cmrs-details").attr("href", detailsLink);
	$("#cmrs-info a.request-val-active").attr("href", detailsLink);
	$("#cmrs-info a.request-val-closed").attr("href", detailsLink);
	$('#cmrs-info .summary-counts-wrapper').click(function(){
		window.location.href = detailsLink;
	});
	$('#cmrs-info .summary-counts-wrapper').addClass('clickable');

	var cmrDataAvailable = true;
	var fixed=0, created=0;
	if(rawData && (rawData.data.cmrsErrorMessage || !rawData.data.cmrsData)){
		if(rawData.data.errorMessage){
			//$("#cmrs-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + rawData.data.errorMessage + "</span></p>");
			//return;
			cmrDataAvailable = false;
		}else if(rawData.data.cmrsErrorMessage){
			//$("#cmrs-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + rawData.data.cmrsErrorMessage + "</span></p>");
			//return;
			cmrDataAvailable = false;
		}else if(!rawData.data.cmrsData){
			//$("#cmrs-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + cvUtil.cvLocalize("NoDataAvailable") + "</span></p>");
			//return;
			cmrDataAvailable = false;
		}
	}
	if(cmrDataAvailable){
		var cmrsInfo = rawData.data.cmrsData;
		var columns = [];
		$.each(cmrsInfo.columns, function(i, col) {
			columns.push(col.name);
		});
		var requests = [];
		$.each(cmrsInfo.records, function(j, row) {
			fixed = row[columns.indexOf('FixedCMRCount')];
			created = row[columns.indexOf('OpenCMRCount')];
		});
	}
	$('#cmrs-info .request-val-closed').text(fixed);
	$('#cmrs-info .request-val-active').text(created);

}

function showTRsStats(rawData) {
	cvUtil.unmask('#trs-info .content');
	var idParams = '';
	if(commCellUID > 0){
		idParams += '&commUniId='+commCellUID;
	}else if(companyId > 0){
		idParams += '&companyId='+companyId;
	}
	var days = $('#tr-days').val();
	idParams += '&input.days='+days;
	var detailsLink = cvUtil.getContextPath() + "/reportsplus/reportViewer.jsp?reportId=TRs&input.serial=" + rawData.data.serial + "&input.regcode="+ rawData.data.regcode + idParams;
	$("a.trs-details").attr("href", detailsLink);
	$("#trs-info a.request-val-active").attr("href", detailsLink);
	$("#trs-info a.request-val-closed").attr("href", detailsLink);
	$('#trs-info .summary-counts-wrapper').click(function(){
		window.location.href = detailsLink;
	});
	$('#trs-info .summary-counts-wrapper').addClass('clickable');
	var trDataAvailable = true;

	if(rawData && (rawData.data.trsErrorMessage || !rawData.data.trsData || !rawData.data.trsData.rawData)){
		//$("#trs-info .content .data").empty();
		if(rawData.data.errorMessage){
			//$("#trs-info .content .data").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + rawData.data.errorMessage + "</span></p>");
			//return;
			trDataAvailable = false;
		}else if(rawData.data.trsErrorMessage){
			//$("#trs-info .content .data").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + rawData.data.trsErrorMessage + "</span></p>");
			//return;
			trDataAvailable = false;
		}else if(!rawData.data.trsData){
			//$("#trs-info .content .data").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + cvUtil.cvLocalize("NoDataAvailable") + "</span></p>");
			//return;
			trDataAvailable = false;
		}
	}
	var active = 0, closed = 0;
	if(trDataAvailable){
		var rawDataStr = rawData.data.trsData.rawData['Other HTTP'];
		var trsInfo = JSON.parse(rawDataStr);

		var statusCount = {};
		if(trsInfo.facet_counts && trsInfo.facet_counts.facet_fields && trsInfo.facet_counts.facet_fields.incidentState){
			var status = trsInfo.facet_counts.facet_fields.incidentState;
			for(var i=0; i < status.length; i++){
				var name = status[i];
				var cnt = status[++i];
				statusCount[name] = cnt;
			};
		}
		if(statusCount.Active){
			active = statusCount.Active;
		}
		if(statusCount.Resolved){
			closed = statusCount.Resolved;
		}
	}
	$('#trs-info .request-val-closed').text(closed);
	$('#trs-info .request-val-active').text(active);
}

function buildCMRsTRsCharts(chartData){
	var root = chartData.chartId;
	root = root + ' .content';
	var type = chartData.isCMR ? 'cmr' : 'tr';
	var chartId = 'requests-chart-container-' + type;

	var chartHtml = '<div class="vw-row requests-chart"><div id="' + chartId + '" class="requests-chart-container"></div></div>';

	var legendHtml = '<div class="vw-row requests-legend" class="requests-legend-container-root"><span class="requests-legend-container">';
	var colors = [ '#60AEB9', '#FF9800' ];
	var categories = [];
	var seriesData = [];
	$.each(chartData.data, function(index, request) {
		//console.log(request);
		var rh = '<span class="request-legend"><span class="request-legend-name">' + request.name + '</span><span class="request-legend-value" style="background-color:' + colors[index] + '">' + request.data[0] + '</span></span>';
		legendHtml = legendHtml + rh;
		categories.push(request.name);
		seriesData.push(request.data[0]);
	});
	var dateTo = moment(new Date()).format('MMM DD, YYYY');
	var dateFrom = moment(new Date()).subtract('days', chartData.days-1).format('MMM DD, YYYY');
	var xTitle = dateFrom + ' - ' + dateTo;
	legendHtml = legendHtml + '</span></div>';
	$(root).append('<div class="requests-container">' + chartHtml + legendHtml + '</div>');

	var chart = new Highcharts.Chart({
		chart : {
			renderTo : chartId,
			type : 'column'
			//margin: [0, 0, 0, 0]
		},
		title : {
			text : ''
		},
		subtitle : {
			text : ''
		},
		exporting : {
			enabled : false
		},
		credits : {
			enabled : false
		},
		colors : colors,
		xAxis : {
			//categories: categories,
			visible : true,
			gridLineWidth : 0,
			minorTickWidth : 0,
			labels : {
				enabled : false
			},
			title : {
				text : xTitle,
				 margin: 20,
			}
		},
		yAxis : {
			allowDecimals: false,
			min : 0,
			title : {
				text : cvUtil.cvLocalize('dashboard.tile.requests.count')
			}
		},
		legend : {
			enabled : false
		},
		plotOptions : {
			column : {
				pointPadding : 0.2,
				borderWidth : 0
			},
			series : {
				animation: (exportRequest)?false:true,
				pointWidth: 20
			}

		},
		tooltip: {
            formatter: function() {
                return categories[this.series.index] +': <b>'+ reportsUtil.getFormattedNumberNA(this.y, 0) + '</b>';
            }
        },
		series : chartData.data//seriesData
	});
}

function showCustomerSatisfaction(rawData){
	$("#customer-satisfaction .content").unmask();
	$("#prof-service-info .content").unmask();
	$("#commcell-count .content").unmask();
	if(!rawData){
		return;
	}
	var cpId = 0;
	if(rawData.data.companyId > 0 || companyId > 0){
		var idParams = '';
		if(rawData.data.companyId > 0){
			cpId = rawData.data.companyId;
		}else if(companyId > 0){
			cpId = companyId;
		}
		idParams += 'companyId='+cpId;
		if(commCellUID > 0){
			idParams += '&commUniId='+commCellUID;
		}
		var custRatingUrl = cvUtil.getContextPath() + "/survey/profile/profilefeedbackdetails.jsp?" + idParams;
		$("a.cust-rating-details").attr("href", custRatingUrl);
		$('a.cust-rating').attr('href', custRatingUrl);
		$('#customer-satisfaction .content').click(function(){
			window.location.href = custRatingUrl;
		});
		$('#customer-satisfaction .content').addClass('clickable');

		var tasksUrl = cvUtil.getContextPath() + "/survey/profile/profiletasks.jsp?" + idParams;
		$("a.prof-services-details").attr("href", tasksUrl);
		$('a.tasks-count-val').attr('href', tasksUrl);
		$('#prof-service-info .content').click(function(){
			window.location.href = tasksUrl;
		});
		$('#prof-service-info .content').addClass('clickable');

	}else{
		$("a.cust-rating-details").removeClass('followForExport');
		$("a.prof-services-details").removeClass('followForExport');
	}
	if(rawData.data.errorMessage){
		$("#customer-satisfaction .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + cvUtil.cvLocalize("Not_Applicable") + "</span></p>");
		$("#prof-service-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + cvUtil.cvLocalize("Not_Applicable") + "</span></p>");
		return;
	}
	if(!rawData.data.satisData || rawData.data.satisData.iTotalRecords <= 0){
		$("#customer-satisfaction .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + cvUtil.cvLocalize("dashboard.tile.rating.not_rated") + "</span></p>");
	}else{
		var satisInfo = rawData.data.satisData.aaData[0];
		$('.cust-rating').text(satisInfo['Customer Satisfaction']);
		var submit_date = moment(satisInfo['Submitted Date<MMMDDYYYY>'] * 1000);
		var submittedby =  cvUtil.cvLocalize('touch.rating.tooltip.msg', satisInfo['Submitted By'], submit_date.format('MMM DD, YYYY'));
		$('.cust-rating').prop('title', submittedby);
	}
	if(!rawData.data.tasksCount || rawData.data.tasksCount.iTotalRecords <= 0){
		//$("#customer-satisfaction .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + cvUtil.cvLocalize("dashboard.tile.rating.not_rated") + "</span></p>");
		$('.tasks-count-name').text(0);
	}else{
		var count = 0;
		$.each(rawData.data.tasksCount, function(i, status){
			count += parseInt(status['Total Tasks']);
		});
		$('.tasks-count-val').text(count);
	}
	if(cpId > 0){
		$(".add-cust-rating").click(function() {
			var opts = {};
			opts.target = '/survey/profile/customertouch.jsp';
			opts.width = 350;
			opts.height = 270;
			opts.title = cvUtil.cvLocalize('touch.custSatisfaction');
			var touch = {
				'CustomerTouchId<DONOTSHOW>' : 0,
				'ccGroupId<DONOTSHOW>' : 0,
				'companyId<DONOTSHOW>' : cpId,
				'Customer Name<ProfileCustName>' : $('ul.nav .nav-customer-title').attr('title')
			};
			touch['isCommmvaultUser'] = false;
			touch['loggedInUser'] = {
					'name':dashboardCommon.loggedInUserName,
					'email':''
			};
			reportsUtil.showProfileDialog(ccGroupId, opts, touch, function() {
				reportsUtil.getLatestCustomerSatisfacation(commCellUID, 0, cpId, showCustomerSatisfaction);
			});
		});
	}
	showCommCellCount(rawData);
}

function showCommCellCount(rawData){
	if(!rawData){
		return;
	}
	if(rawData.data.companyId > 0 || companyId > 0){
		var idParams = '';
		if(rawData.data.companyId > 0){
			idParams += 'companyId='+rawData.data.companyId;
		}else if(companyId > 0){
			idParams += 'companyId='+companyId;
		}
		if(idParams == '' && commCellUID > 0){
			idParams += 'commUniId='+commCellUID;
		}
		var url = cvUtil.getContextPath() + "/survey/reports/monitoringform.jsp?" + idParams;
		$("a.commcells-details").attr("href", url);
		$('a.cc-count-val').attr('href', url);
		$('#commcell-count .content').click(function(){
			window.location.href = url;
		});
		$('#commcell-count .content').addClass('clickable');
	}else{
		$("a.commcells-details").removeClass('followForExport');
	}

	if(rawData.data.countErrorMessage){
		$("#commcell-count .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + rawData.data.countErrorMessage + "</span></p>");
		return;
	}else if(!rawData.data.ccCount){
		return;
	}
	$('.cc-count-val').text(rawData.data.ccCount);
}

function showCommCellsLocations(rawData){
		var contNameMap = {
				'as':'custom/asia',
				'eu':'custom/europe',
				'af':'custom/africa',
				'oc':'custom/oceania',
				'na':'custom/north-america',
				'sa':'custom/south-america',
		}
		var dataByCont = {};
		if(rawData && (rawData.data.errorMessage || !rawData.data.locationsData)){

		}else{
			var locationsData = rawData.data.locationsData;
			var columns = [];
			$.each(locationsData.columns, function(i, col) {
				columns.push(col.name);
			});
			$.each(locationsData.records, function(j, country) {
				var contCode = country[columns.indexOf('Continent Code')];
				if(contCode){
					contCode = contCode.toLowerCase();
					var cont = dataByCont[contCode];
					if(!cont){
						cont = {'count':0, countries:[]};
						dataByCont[contCode] = cont;
					}
					cont['count']=cont['count']+country[columns.indexOf('CommCells Count')];
					var countObj = reportsUtil.autoConvertCount(country[columns.indexOf('CommCells Count')]);
					cont['countries'].push({
						'hc-key': country[columns.indexOf('Country Code')].toLowerCase(),
						'value': country[columns.indexOf('CommCells Count')],
						'count':countObj.value+(countObj.unit?countObj.unit:''),
						'name': country[columns.indexOf('Country')],
						'drilldown': true,
					});
				}
			});
		}
		var mapContData = [];
		var colorAxisData = {
				min: 1,
	            max: 100,
	            minColor: '#F6E3CE',//'#A9E2F3',
	            maxColor: '#DF7401'//'#086A87'
		};
		$.each(dataByCont, function(key, val){
			mapContData.push({
				'hc-key': key.toLowerCase(),
	            'drilldown': true,
	            'value': val['count']
			})
			if(colorAxisData.max < val['count']){
				colorAxisData.max = val['count'];
			}
		});
		colorAxisData.max = colorAxisData.max + 100;
		Highcharts.setOptions({
		    lang: {
		        drillUpText: '<< Back'
		    }
		});
		var chart = Highcharts.mapChart('map-container', {
	        chart: {
	            map: 'custom/world-continents',
	            height: 363,
	            margin: [0, 0, 0, 0],
	            backgroundColor: '#83B2B9',
	            events: {
	                drilldown: function (e) {
	                    if (!e.seriesOptions) {
	                    	if(contNameMap[e.point['hc-key']]){
		                        var chart = this,
		                        pointWithLatLon = function (point, latLon) {
		                        	return Highcharts.merge(point, chart.transformFromLatLon(latLon,
		                        			Highcharts.maps['custom/world']['hc-transform']['default']));
		                        };
		                        chart.addSeriesAsDrilldown(e.point, {
		                        	mapData: Highcharts.maps[contNameMap[e.point['hc-key']]],
		                        	joinBy: 'hc-key',
		                        	name: 'CommCells',
		                        	data: dataByCont[e.point['hc-key']]['countries'],
		                        	dataLabels: {
		                        		enabled: true,
		                        		formatter: function () {
		                        			return this.point.name+': '+this.point.value;
		                        		}
		                        	}
		                        });
		                    }else{//drilldown by country.. show custom report
		                    	var ccode = window.encodeURIComponent(JSON.stringify([e.point['hc-key'].toUpperCase()]));
		                    	var params = '&input.countryCode='+ccode;
		                    	var cgId = rawData.data.ccGroupId;
		                    	var ccId = rawData.data.commUniId;
		                    	if(cgId > 0){
		                    		params = params + "&input.ccGroupId="+cgId;
		                    	}
		                    	if(ccId > 0){
		                    		params = params + "&input.commUniId="+ccId;
		                    	}
		                    	if(companyId > 0){
		                    		params = params + "&companyId="+companyId;
		                    	}
		                    	window.location.href = cvUtil.getContextPath() + "/reportsplus/reportViewer.jsp?reportId=CommCellsByCountry"+params;
		                    }
	                    }
	                }
	            }
	        },

	        title : {
				text : ''
			},
			subtitle : {
				text : ''
			},
			exporting : {
				enabled : false
			},
			credits : {
				enabled : false
			},

	        legend: {
	            enabled: false
	        },

	        mapNavigation: {
	            enabled: true,
	            buttonOptions: {
	                verticalAlign: 'bottom'
	            }
	        },
	        colorAxis: colorAxisData,
	        series: [{
	            name: 'CommCells',
	            enableMouseTracking: true
	        }, {
	        	name: 'CommCells',
	            joinBy: 'hc-key',
	            data: mapContData,
	            dataLabels: {
	                enabled: true,
	                format: '{point.name}' + ': ' + ' {point.value}'
	            }
	        }],
	        tooltip: {
            	formatter: function(){
            		return this.point.name + ': '+this.point.value;
            	}
            }
	    });
		chart.renderer.text(cvUtil.cvLocalize('dashboard.tile.cclocations.title'), 10, 20)
		.css({
			fontSize : '1.225em',
			color : '#FFF'
		}).add();
		$("#commcells-locations .content").unmask();
}

function updateCustomerMembershipInfo(rawData) {
	if (isPublicMetrics && (commUniId > 0 || companyId > 0)) {
		if(rawData && (rawData.data.maErrorMessage || rawData.data.errorMessage)){
			//$("#support-info .content").html("<p class='nodata'><span class='sprite icon-info'></span> <span class='msg'>" + healthRawData.data.healthErrorMessage + "</span></p>");
			return;
		}
		var DRInfo = rawData.data.DR;	//accessing information about DR
		if (DRInfo) {
			var uploadStatus = DRInfo.UploadStatus;		//Checking cloud DR upload status :0 -> Uploading, 1 -> Uploaded Successfully, 2 -> Upload Failed, 3 -> Upload Disabled, 4 -> Uploaded with errors
			if( commUniId>0 && ( (uploadStatus==0 && DRInfo.DRbackupURL!=="0") || uploadStatus==1 || uploadStatus==2 ||  uploadStatus==4 ) ){
				$('#tile1').removeClass("col-lg-3 col-md-12 col-xl-12");
				$('#subTile1_2').removeClass("col-lg-6 col-md-6 col-sm-12");
				$('#subTile1_1').removeClass("col-lg-6 col-md-6 col-sm-12");
				$('#tile2').removeClass("col-lg-9 col-md-12 col-xl-12");
				$('#subTile1_3').css("display","inline");
				$('#tile1').addClass('col-lg-6 col-md-12 col-xl-12');
				$('#subTile1_2').addClass('col-lg-3 col-md-4 col-sm-12');
				$('#subTile1_1').addClass('col-lg-4 col-md-4 col-sm-12');
				$('#subTile1_3').addClass('col-lg-5 col-md-4 col-sm-12');
				$('#tile2').addClass('col-lg-6 col-md-12 col-xl-12');
				$("#support-info .content").unmask();
				var iconCls, infoText;
				if(uploadStatus == 0){
					iconCls = '_progress'; // DRBackup_Progress
					infoText = cvUtil.cvLocalize("dashboard.support.DR_progress");
				}else if (uploadStatus == 1) {
					iconCls = '_successful'; //DRBackup_Successful
				} else if (uploadStatus == 2 || uploadStatus == 4) {
					iconCls = '_failure'; //DRBackup_Failure
					infoText = (uploadStatus == 2) ? cvUtil.cvLocalize("dashboard.support.DR_failed") : cvUtil.cvLocalize("dashboard.support.DR_errors");
				}
				if( infoText && ( uploadStatus !=1 ) ){
					$("#subTile1_3 .service-name").html(infoText);
				}
				iconCls = 'sprite icon-drbackup' + iconCls;
				$('.ma-dr-status-icon').addClass(iconCls);
				$('.ma-dr').html('<a class="service-value" target="_blank" href="' + cvUtil.getContextPath() + '/' + DRInfo.DRbackupURL + '">' + moment(DRInfo.DRLastUploadedTime).format('MMM DD, YYYY hh:mm A') + '</a>');
			}
		}
		var membershipInfo = rawData.data.membershipData;
		if(membershipInfo){
			var columns = [];
			$.each(membershipInfo.columns, function(i, col) {
				columns.push(col.name);
			});
			var membership = {};
			$.each(membershipInfo.records, function(j, row) {
				membership.ServiceType = row[columns.indexOf('ServiceType')];
				membership.RenewDate = row[columns.indexOf('RenewDate')];
			});
			if (membership.ServiceType) {
				var isESP = false;
				var serviceType = membership.ServiceType.toLowerCase();
				if (serviceType != 'none') {
					var iconCls = 'service';
					if (serviceType.indexOf('bcs') == 0) {
						iconCls = 'bcs';
					} else if (serviceType.indexOf('casp') == 0) {
						iconCls = 'casp';
					} else if (serviceType.indexOf('levels') == 0) {
						iconCls = 'levels';
					} else if (serviceType.indexOf('trials') == 0) {
						iconCls = 'trials';
					} else if (serviceType.indexOf('enterprise') == 0) {
						iconCls = 'enterprise';
					} else if (serviceType.indexOf('proactive') == 0) {
						iconCls = 'proactive';
					}
					iconCls = 'sprite icon-support-' + iconCls;
					$('.ma-service-type-icon').addClass(iconCls);

					if(serviceType == 'enterprise support program'){
						isESP = true;
					}
				}
				$('.ma-membership').html(membership.ServiceType);
			}
			if (membership.RenewDate) {
				var renewDate = moment(membership.RenewDate);
				var today = moment(new Date());
				var days = renewDate.diff(today, 'days');
				var dateCls;
				var dateText;
				if (days >= 90) {//good
					//dateCls = 'ma-renew-good';
				} else if (days >= 0 && days < 90) {//warning, less than 90 days
					dateCls = 'ma-renew-warning';
					dateText = cvUtil.cvLocalize("dashboard.support.expires_on");
				} else {//expired
					dateCls = 'ma-renew-critical';
					dateText = cvUtil.cvLocalize("dashboard.support.expired_on");
				}

				$('.ma-renew-date').text(renewDate.format('MMM DD, YYYY'));
				if (dateCls) {
					$('.ma-renew-date').addClass(dateCls);
				}
				if (dateText) {
					$('.ma-renew-date-text').text(dateText);
				}
				if(isESP){
					//$('.esp-customer').text('Yes');
					//$('.esp-renew-date').text(renewDate.format('MMM DD, YYYY'));
				}
			}
		}
	}
	$("#support-info .content").unmask();
}

$(document).ready(function() {
	if (isPublicMetrics){
		if(commCellUID > 0 || (companyId > 0 && isRegisteredCommcellGroup) || (typeof companyCommUniId != 'undefined' && companyCommUniId > 0 && isRegisteredCommcellGroup)) {
			$("#content").addClass('company-dashboard');
		}else{
			$("#content").addClass('cloud-dashboard');
		}
		if(commCellUID > 0){
			// add request upgrade v11 button.
			loadupgradecommcelldata();
			$("#remove-eolstatus").on("click", updateEolstatus);
		}
	}else{
		$("#content").addClass('private-dashboard');
	}
	$(".content").mask(" ");
	populateLinks();
	//$('#slaTitle').prop('title', 'A client meets SLA (Service Level Agreement) when all of its subclients have at least one successful backup in the last '+slaDays+' days. A higher number of SLA is best. The formula used to calculate SLA is: Number of Clients that Met SLA  / Total Number of Clients.');
	if (commCellUID != 0) {
		if ($("body").hasClass("SurveySingleCommcellUser")) {
			$("#headerLinks .rightMenu").html("<a href='health.jsp?commUniId=" + commCellUID +
				"' id='health' class='health_icon' title='Loading'>" + cvUtil.cvLocalize("dashboard.label.Health") +
				"</a> | <a href='commcellmonitoring.jsp?commUniId=" + commCellUID + "' id='reports'>" +
				cvUtil.cvLocalize("Reports") + "</a>");
		} else {
			$("#headerLinks .rightMenu").html("<a href='health.jsp?commUniId=" + commCellUID +
				"' id='health' class='health_icon' title='Loading'>" + cvUtil.cvLocalize("dashboard.label.Health") +
				"</a> | <a href='commcellmonitoring.jsp?commUniId=" + commCellUID + "' id='reports'>" +
				cvUtil.cvLocalize("Reports") + "</a> | <a href='dashboard.jsp' id='worldwide'>" +
				cvUtil.cvLocalize("dashboard.label.Worldwide") + "</a>");
		}

		if (!$('#helpText .dropdown').is(':empty')) {
			if (troubleShootUrl != undefined) {
				$(".helpLinksList").append("<li data-href='" + troubleShootUrl + "'><a>" +
					cvUtil.cvLocalize("dashboard.label.Troubleshooting") + " </a></li>");
			}
		} else {
			//console.log("Clicked");

		}
		getGrowthData();
		$(document).ajaxComplete(function(event, jqxhr, settings) {
			if (troubleShootUrl != undefined) {
				if (settings.url.indexOf("help.jsp") != -1) {
					$(".helpLinksList").append("<li data-href='" + troubleShootUrl + "'><a>" +
						cvUtil.cvLocalize("dashboard.label.Troubleshooting") + " </a></li>");
				}
			}

		});

		$("#refreshCommcellSurveyLink").click(function() {
			if ($("#refreshCommcellSurveyLink span.disabled").length <= 0) {
				refreshCommcellSurvey();
			}
		});

	} else {
		$("#ContentWrapper").removeClass("individual");
		//$("#headerLinks .rightMenu").html("<a href='monitoringform.jsp' id='list'>CommCells</a> | <a href='../../reports/' id='reports'>Reports</a>");
		$("#headerLinks .rightMenu").html("<a href='../../reports/' id='reports'>" + cvUtil.cvLocalize("Reports") +
			"</a>");
		$(".last7daysindww").hide();
		$(".dedupecontainerww").css('visibility', 'hidden');
		growthReturn = true;
		if (!(isPublicMetrics && companyId > 0)) {
			document.title = cvUtil.cvLocalize("Worldwide_Dashboard");
		}
	}
	if (isPublicMetrics && commCellUID <= 0 && (typeof companyCommUniId != 'undefined' && companyCommUniId > 0)) {
		getGrowthData();
	}

	var page = getUrlParameter('page');
	if (page) {
		page = page.toLowerCase();
		switch (page) {
		case "dashboard":
			$(document).prop('title', 'Worldwide Dashboard');
			break;
		case "reports":
			$(document).prop('title', 'Reports');
			break;
		case "customreports":
			$(document).prop('title', 'Reports');
			break;
		case "tiles":
			$(document).prop('title', 'Tiles');
			break;
		case "datasets":
			$(document).prop('title', 'Data Sets');
			break;
		case "reportsettings":
			$(document).prop('title', 'Settings');
			break;
		case "manageddatasources":
			$(document).prop('title', 'Data Sources');
			break;
		case "customreports":
			$(document).prop('title', 'Reports');
			break;
		case "alarmssettings":
			$(document).prop('title', 'Alerts');
			break;
		case "schedulesettings":
			$(document).prop('title', 'Schedules');
			break;
		}
	}

	if (window.location.href.indexOf("dashboard.jsp") > 0) {
		getDashboardData();
		//getDashboardAlertData();
	} else {
		if (surveyEnabled === 'true') {
			var commUniId = getUrlParameter('commUniId');
			if ((window.location.href.indexOf("index.jsp") > 0 && page == 'dashboard') ||
				window.location.href.indexOf("index.jsp") > 0 && commUniId) {

				getDashboardData();
				//getDashboardAlertData();
				dashboardLoaded = true;
			}

		}
	}



	$('#ContentWrapper span[title]').qtip({
		position : {
			my : 'top left',
			at : 'bottom left',
			corner : true
		},
		style : {
			classes : 'qtip-rounded qtip-shadow qtip-light dashtool'
		}
	});
	if (exportRequest) {
		if (commCellUID != 0 || ccGroupId > 0 || companyId > 0) {
			//$("#custName").text($("#custName").text() + ' - ' + cvUtil.cvLocalize("Dashboard"));
		} else {
			$("#custName").hide();
		}
		//$('.viewdetails.hide-details').removeClass('hide-details');
		//$('.viewdetails.capacitygrowth').removeClass('hide-details');

	}
	report.getExportFilePrefix = function() {
		if (commCellUID != 0 || ccGroupId > 0 || companyId > 0) {
			return $('#custName').text() + ' - ' + cvUtil.cvLocalize("Dashboard");
		}
		return cvUtil.cvLocalize("Worldwide_Dashboard");
	};

	report.getExportPageOptions = function(exportType) {
		var opts = 'orientation=landscape&commUniId=' + commCellUID + '&ccGroupId=' + ccGroupId + '&companyId=' +
		companyId;
		return opts;
	};

	if (commCellUID != 0) {
		$("#container").addClass("commcellLevel");
		$(".collapsible-page-tabs").addClass("commcellDashboardResponsive");
		$("#headerSearchCC").addClass("commcellDashboardResponsive");
	} else {
		$(".navbar-toggle").addClass("responsiveStyle");
		if (ccGroupId > 0 || companyId > 0) {
			$(".collapsible-page-tabs").addClass("groupDashboardResponsive");
			$("#headerSearchCC").addClass("groupDashboardResponsive");
		} else {
			$(".collapsible-page-tabs").addClass("dashboardResponsive");
			$("#headerSearchCC").addClass("dashboardResponsive");
		}

	}

	$("#alertFooter .statusRow").on("click", function(e) {
		alertPieDrillDown($(this).attr("data-alertstatus"));
	})

	if (isPublicMetrics && (ccGroupId > 0 || commCellUID > 0 || companyId > 0)) {
		reportsUtil.getCustomerFileShareFolderInfo(commCellUID, ccGroupId, companyId, showCustomerFileShareFolder);
	}
	if (isPublicMetrics && (commCellUID > 0 || companyId > 0)) {
		if(commCellUID > 0 || (isRegisteredCommcellGroup && companyId > 0)){
			$('#cmr-days').change(function(){
				var val = $(this).val();
				cvUtil.mask('#cmrs-info .content');
				reportsUtil.getServiceTilesData($('#cmr-days').val(), commCellUID, ccGroupId, companyId, 1, processServiceTilesData);
			});
			$('#tr-days').change(function(){
				var val = $(this).val();
				cvUtil.mask('#trs-info .content');
				reportsUtil.getServiceTilesData($('#tr-days').val(), commCellUID, ccGroupId, companyId, 2, processServiceTilesData);
			});

			reportsUtil.getServiceTilesData($('#cmr-days').val(), commCellUID, ccGroupId, companyId, 0, processServiceTilesData);
			reportsUtil.getLatestCustomerSatisfacation(commCellUID, ccGroupId, companyId, showCustomerSatisfaction);
		}
		getDashboardAlertData();
	}

	var dashboard = getUrlParameter('page');
	var exportType = getUrlParameter('exportType');
	if (dashboard == 'Dashboard' && exportType) {
		$('#' + 'Dashboard').show();
	}
	if(commCellUID <= 0 && exportRequest == 'pdf'){
		$('a.title').removeClass('followForExport');
	}

	if(isPublicMetrics && ( window.commUniId <= 0 && window.ccGroupId <=0 && window.companyId<=0)){ //public cloud worldwide
		defaultAlertsContainer.hide();
	}else{
		defaultAlertsContainer.show();
	}

	$(document).on('change',".default-alert-real-checkbox",function(){
		defaultAlertsContainer.find("#error-hold").hide();

		var operation = $(this).attr("data-operation");
		$(this).attr('disabled', true);//Disabling checkbox before final operation
		$(this).attr("checked", !$(this).attr("checked"));//Reverting back checkbox change before final result
		$(this).siblings(".loader-spin").show();

		getCheckBoxAction($(this),operation,function(operation,checkboxObj,output){
			checkboxObj.attr('disabled', false);
			checkboxObj.siblings(".loader-spin").hide();
			var newOperation = "";
			if(operation=="CREATE" || operation=="ENABLE"){
				newOperation = "DISABLE";
				checkboxObj.attr('checked', true);
			}else if(operation=="DISABLE"){
				newOperation = "ENABLE";
				checkboxObj.attr('checked', false);
			}
			checkboxObj.attr("data-operation",newOperation);
			if(output.details && output.details.alarmProps && output.details.alarmProps[0] ){
				if(output.details.alarmProps[0].alarmId){
					checkboxObj.attr("data-alarm-id",output.details.alarmProps[0].alarmId);
				}
				if(output.details.alarmProps[0].templateId){
					checkboxObj.attr("data-template-id",output.details.alarmProps[0].templateId);
				}
			}
		},function(operation,checkboxObj,output){ //operation failed
			checkboxObj.attr('disabled', false);
			checkboxObj.siblings(".loader-spin").hide();
			if(operation=="CREATE" || operation=="ENABLE"){
				checkboxObj.attr('checked', false);
			}else if(operation=="DISABLE"){
				checkboxObj.attr('checked', true);
			}
		});

		function getCheckBoxAction( checkboxObj,  operation , callback, errCallback ){
			var URL = cvUtil.getContextPath() + '/server/cloudsurvey.do?type=defaultAlarms';
			var params ={
					"operation" : operation,
					"commservUniqueId" : window.commUniId,
					"ccGroupId" : window.ccGroupId,
					"companyId" : window.companyId,
					"reportUrl" : window.location.href,
					"templateId" : checkboxObj.attr("data-template-id"),
					"alarmId" : checkboxObj.attr("data-alarm-id"),
					"custName" : $("#custName").text()
			}
			cvUtil.loadPageWithPOST(URL, params, function(output) {
				if(output.errorCode && output.errorCode!=0){
					if(output.errorMsg){
						$("#defaultAlert-error-location").html(cvUtil.cvLocalize("errors.error")+": "+output.errorMsg);
					}else{
						$("#defaultAlert-error-location").html(cvUtil.cvLocalize("errors.error"));
					}

					defaultAlertsContainer.find("#error-hold").show();
					errCallback(operation,checkboxObj,output);
				}else{
					callback(operation,checkboxObj,output);
				}
			},function(output){
				$("#defaultAlert-error-location").html(cvUtil.cvLocalize("errors.error"));
				defaultAlertsContainer.find("#error-hold").show();
				errCallback(operation,checkboxObj,output);
			});
		}
	});

	defaultAlertsContainer.on('click', function(e) {
		$("#defaultAlertDialogBox").show();
		if(!window.defaultAlertsLoaded){
			loadDefaultAlerts();
		}
		e.stopPropagation();

		function loadDefaultAlerts(){
			window.defaultAlertsLoaded = true;
			var URL = cvUtil.getContextPath() + '/server/cloudsurvey.do?type=defaultAlarms';
			var params = {
					"commservUniqueId" : window.commUniId,
					"ccGroupId" : window.ccGroupId,
					"companyId" : window.companyId,
			};
			defaultAlertsContainer.find("#loading-icon").show();
			defaultAlertsContainer.find("#default-alerts-list").hide();
			defaultAlertsContainer.find("#small-loading-icon").hide();
			defaultAlertsContainer.find("#error-hold").hide();

			cvUtil.loadPageWithPOST(URL, params, function(output) {
				defaultAlertsContainer.find("#loading-icon").hide();
				defaultAlertsContainer.find("#default-alerts-list").show();

				if(output.errorCode && output.errorCode!=0){
					if(output.errorMsg){
						defaultAlertsContainer.find("#defaultAlert-error-location").html(output.errorMsg);
					}else{
						defaultAlertsContainer.find("#defaultAlert-error-location").html(cvUtil.cvLocalize("errors.error"));
					}

					defaultAlertsContainer.find("#error-hold").show();
				}else if(output.details){
					if(!output.details.alarmTemplate || output.details.alarmTemplate.length <=0 ){
						defaultAlertsContainer.find("#defaultAlert-error-location").html('<span class="greyed-out">'+cvUtil.cvLocalize("errors.noDefaultAlerts")+'</span>');
						defaultAlertsContainer.find("#error-hold").show();
					}else{
						var finalHtmlData="";
						output.details.alarmTemplate.forEach(function(template){
							finalHtmlData+=getSingleTemplateHtml(template);
						});
						finalHtmlData+='<hr>';
						finalHtmlData+='<div id="info-section">*'+cvUtil.cvLocalize('info.emailWillBeSent')+'</div>';
						$('#default-alerts-list').html(finalHtmlData);
					}

				}else{
					$("#defaultAlert-error-location").html(cvUtil.cvLocalize("errors.error"));
					defaultAlertsContainer.find("#error-hold").show();
				}
			});

			function getSingleTemplateHtml(template){
				if(!template.templateId || template.templateId==-1 || template.templateName == undefined ){
					return "";
				}
				var extraCheckBoxParams='';
				if(template.alarmId == undefined || template.alarmId == -1){
					extraCheckBoxParams+=' data-operation="CREATE"'; //If alert doesn't exist create it from template
				}else if(template.alarmId > -1){
					if(template.isDisabled == 1){
						extraCheckBoxParams+=' data-operation="ENABLE"';
					}else{
						extraCheckBoxParams+=' data-operation="DISABLE"';
						extraCheckBoxParams+=' checked';
					}
				}

				extraCheckBoxParams+=' data-alarm-id="'+template.alarmId+'" data-template-id="'+template.templateId+'"';

				var templateDesc = template.templateDesc!=undefined?template.templateDesc:" ";

				var switchObject ={
					"classVal":"default-alert-real-checkbox",
					"extraCheckBoxParams":extraCheckBoxParams
				};

				var svgIcon = '<svg version="1.1" id="inside-alert-icon" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="28px" height="28px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve"> <g> <path fill="#069" d="M381.7,225.9c0-97.6-52.5-130.8-101.6-138.2c0-0.5,0.1-1,0.1-1.6c0-12.3-10.9-22.1-24.2-22.1c-13.3,0-23.8,9.8-23.8,22.1 c0,0.6,0,1.1,0.1,1.6c-49.2,7.5-102,40.8-102,138.4c0,113.8-28.3,126-66.3,158h384C410.2,352,381.7,339.7,381.7,225.9z M107.2,368 c8.6-9,16.4-18.4,22.7-31.8c12-25.3,17.4-59.2,17.4-110.2c0-46.4,12.5-80.4,37.1-101.2c22.9-19.3,51.7-23.3,71.8-23.3 c20.1,0,48.9,4,71.6,23.3c24.5,20.7,37,54.5,37,100.9c0,83.8,14.9,117.3,40.3,142.3H107.2z"></path> <path fill="#069" d="M256.2,448c26.8,0,48.8-19.9,51.7-43H204.5C207.3,428.1,229.4,448,256.2,448z"></path> </g> </svg>';

				var data = '<hr>'+
							'<div class="default-alert-list-component container">'+
								'<div class="col-xs-1">'+svgIcon+'</div>'+
								'<div class="col-xs-8">'+
									'<div class="default-alert-overflow">'+
									 	'<span class="default-alert-name" title="'+template.templateName+'">'+ template.templateName +'</span><br/>'+
									 	'<span class="default-alarms-smaller default-alert-description" title="'+templateDesc+'">'+ templateDesc +'</span>'+
									 '</div>'+
								'</div>'+
								'<div class="col-xs-3">'+
									getCustomSwitch(switchObject)+
								'</div>'+
							'</div>';
				return data;
			}

		}
	});

	//Hiding dialog on click outside
	$(window).click(function() {
		$("#defaultAlertDialogBox").hide();
	});
	$("#defaultAlertDialogBox").click(function(e){
		e.stopPropagation();
	});
	//END: Hiding dialog on click outside

});

$("body").on("click",
	".navHeaderLi",
	function(e) {

		var page = getUrlParameter('page');
		if (page) {
			page = page.toLowerCase();
		}
		if ((window.location.href.indexOf("index.jsp") > 0 && page == 'dashboard' && dashboardLoaded == false) ||
			window.location.href.indexOf("dashboard.jsp") > 0) {
			getDashboardData();
			//getDashboardAlertData();
			dashboardLoaded = true;
		}
	});