var executiveSummaryMonthlyPPT = {};
var headName;
var designation;

executiveSummaryMonthlyPPT.initializeAndValidateInputs = function() {

	headName = $("#head-name").val();
	designation = $("#designation").val();

	if (headName.length <= 0 || designation.length <= 0) {

		$('#validateTips').text(cvUtil.cvLocalize('error.input_cannot_be_blank'));
		$('#validateTips').addClass("validation-error");

		if (headName.length <= 0) {
			executiveSummaryMonthlyPPT.raiseErrorForComponent($("#head-name"));
		}

		if (designation.length <= 0) {
			executiveSummaryMonthlyPPT.raiseErrorForComponent($("#designation"));
		}
		return false;
	}
	return true;
};
executiveSummaryMonthlyPPT.exportPpt = function() {

	var APAC_QBR_DOC_GUID = '4a30f4bf-3862-4725-b985-704f89862943';
	var EXPORT_TYPE = 'customppt';
	var FILE_PREFIX = 'Executive Summary'; // for push service
	var subscriptionId = window.sessionStorage.getItem("export_subscriptionID"); // Push service subscription Id

	var link = "directDownload=false&commUniId=" + parent.cvUtil.getParameter('commUniId', "0") + "&ccGroupId=" +
			parent.cvUtil.getParameter('ccGroupId', "-1") + "&exportType=" + EXPORT_TYPE + "&documentGUID=" +
			APAC_QBR_DOC_GUID + "&subscriptionID=" + subscriptionId + "&filePrefix=" + FILE_PREFIX;
	link = link + "&headName=" + headName + "&designation=" + designation + "&companyId=" +
			parent.cvUtil.getParameter('companyId', 0);
	var csExportURL = parent.cvUtil.getContextPath() + '/reports/exp.do?' + link;

	cvUtil.getTopWindow().cvUtil.loadPageWithGET(csExportURL, ""); // Success and error handling done in push service

};
executiveSummaryMonthlyPPT.raiseErrorForComponent = function(component) {

	component.addClass("ui-state-error");
	component.on('focus', function() {
		component.removeClass("ui-state-error");
	});
};

$(document).ready(function() {

	$(".qbrButtons").on('click', "#qbrSubmitButton", function(e) {
		if (executiveSummaryMonthlyPPT.initializeAndValidateInputs()) {
			executiveSummaryMonthlyPPT.exportPpt();
			cvUtil.closeModal();
		}
	});
	$(".qbrButtons").on('click', "#qbrCancelButton", function(e) {
		cvUtil.closeModal();
	});
	$("exportForm").bind("keypress", function(e) {
		if (e.keyCode == 13) {
			return false;
		}
	});
});