var flaGatherLog = flaGatherLog || {};
flaGatherLog = $
		.extend(flaGatherLog,
				{
					isparent : true,
					WAIT_TIME : 1000,
					REDIRECT_TIME : 6000,
					MAX_ITEM_INDROPDOWN : 100,
					ZERO : 0,
					NA_STRING : " N/A",
					A_SPACE : ' ',
					COMMCELLS_URL : 'monitoringform.jsp',
					SELECT_COMMCELL : localMsg.selectCommcell,
					PAGE_TITLE : localMsg.flaheadertxt,
					LOAD_DETAILS_ERROR_MSG : localMsg.gl_loaderrmsg,
					CLIENTS_LIST_ERROR_MSG : localMsg.gl_clloaderrmsg,
					CHECK_COMMCELL_SUPPORTED_URL : '/server/checkcommcelltroubleshootinginfo.do',
					CLIENT_NAMES_URL : '/server/getclndmanames.do',
					SUBMIT_REQUEST_URL : '/server/getremoteloginfo.do?app=FA',
					PROACTIVE_URL : '/server/handleProactiveSupport.do',
					EXTEND_LOGSTREAMING_URL : '/server/extendlogstreamingreq.do',
					N_CLIENTS : "4", // this option denotes that there is some clients selected by users.
					N_INDEX : "6",// this denotes that index option is selected.
					N_STAGEDB : "7", // this denotes that stage the index and perform file analytics is selected.
					N_UPLOAD : "9", // this denotes that upload using ftp is selected.
					N_EMAILS : "12", // users provided some email ids to notify.
					TRY_AGAIN_HTML : localMsg.gl_tryagain,
					ONE_MORE_HTML : localMsg.gl_submitmore,
					commUniId : cvUtil.getParameter('commUniId', "' '"),
					confirmModalHtml : '',
					commIpAddr : '',
					CommGuiId : '',
					clientName : '',
					app : 'FA',
					collectTime : '',
					errCd : 0,
					availableTags : '',
					errorMsgWhileShowingLocalizedMsg : "There is some unexpected error happened. Unable to get localized message code. Please contact administrator.",
					CLLIST : this.CLLIST || {
						source : new Array(),
						items : 100,
						delimiter : ","
					},
					CGLIST : this.CGLIST || {
						source : new Array(),
						items : 100,
						delimiter : ","
					},
					LOGLIST : this.LOGLIST || {
						source : new Array(),
						items : 100,
						delimiter : ","
					},
					logstreamingRequests : [],
					logstreamingRequestsProps : [
							"RequestID",
							"ClientName",
							"PolicyDetail",
							"DateCreated",
							"ExpiryTime",
							"PolicyName" ],
					logStreamingURL : "https://cloud.commvault.com/webconsole/logMonitoring.do?viewId=1&MonitoringPolicyName=%22POLICY_NAME%22&fieldList=MonitoringPolicyName&startTime=NOW-1DAYS&endTime=NOW&estimatedTimeDiff=86400000&gap=1HOUR&isAllTime=false&dataView=rawView&graphScale=linear&compareScale=1",
					uploadNowDialog : '',
					uploadnowClientGroupInterval : '',
					uploadnowCLGFlag : false,
					isLogStreamingReq : false
				/*
				 * uploadnowModalHtml: "<div style=\"padding-top: 20px;\"><p>"
				 * +localMsg.gl_upldnowmodaltext+"</p><br>"+ "<div><label
				 * class=\"label\">"+localMsg.fla_clg+"</label><br>"+ "<textarea
				 * placeholder=\""+localMsg.fla_clgplaceholder+"\" rows=\"1\" name=\"UCGL\" id=\"UCGL\"
				 * class=\"textbox\"></textarea>"+ "<br><p class=\"hidden\" id=\"labelerr\"></label>"+ "<br><p class=\"hidden\" id=\"labelconfirm\"></label><br></div></div>"
				 */
				});

flaGatherLog.WRONG_COMMCELL_MSG = localMsg.gl_wrongcommcellmsg.replace("{0}", flaGatherLog.COMMCELLS_URL);
localMsg.gl_wrongcommcellmsg = flaGatherLog.WRONG_COMMCELL_MSG;
localMsgCode[3] = localMsg.gl_wrongcommcellmsg;
flaGatherLog.selectedOptions = flaGatherLog.N_CLIENTS + "," + flaGatherLog.N_UPLOAD + "," + flaGatherLog.N_INDEX + "," +
		flaGatherLog.N_STAGEDB + "," + flaGatherLog.N_EMAILS;

flaGatherLog.commCellId = flaGatherLog.ZERO;

flaGatherLog.onLoadCall = function() {
	if (this.commUniId == this.ZERO) {
		cvUtil.errorToast(this.LOAD_DETAILS_ERROR_MSG + this.commUniId);
		setTimeout(function() {
			window.location.href = flaGatherLog.COMMCELLS_URL;
		}, flaGatherLog.REDIRECT_TIME);
	}
};
flaGatherLog.onLoadCall();

flaGatherLog.checkExistenceOfInput = function(val, valsObj) {
	//val will be comma seperated.

	if (typeof val !== "object") {
		val = val.split(",");
	}
	var notIntheList = jQuery.grep(val, function(n) {
		if (n.trim().length === 0) {
			return false;
		}
		var sArr = jQuery.grep(valsObj, function(o) {
			if (o.value) {
				return o.value === n;
			}
			return o === n;
		});
		return sArr.length === 0;
	});
	return notIntheList;
};
flaGatherLog.checkLocalMsgCodeArrayAndReturnMsg = function(indexToCheck) {
	if (indexToCheck >= localMsgCode.length) {
		return flaGatherLog.localizedErrorMsgCheck(localMsg.gl_unexpectederrormsg);
	} else {
		return flaGatherLog.localizedErrorMsgCheck(localMsgCode[indexToCheck]);
	}
};
flaGatherLog.localizedErrorMsgCheck = function(localizedMsg) {
	if (typeof localizedMsg == 'undefined') {
		return flaGatherLog.errorMsgWhileShowingLocalizedMsg;
	}
	return localizedMsg;
};

flaGatherLog.checkCommcell = function() {
	cvUtil.mask('');
	$('#detailsBusy').removeClass("hidden");

	var data = {};
	data.commUniId = this.commUniId;
	cvUtil.loadPageWithPOST(cvUtil.getContextPath() + this.CHECK_COMMCELL_SUPPORTED_URL,
			data,
			this.successHandlerForCheck,
			this.handleCheckError);
};
flaGatherLog.disableDBOption = function() {

};
flaGatherLog.successHandlerForCheck = function(data) {
	data = cvUtil.parseJSON(data);
	if (data.errorCode != 0) {
		$(".getloginfo").addClass("hidden");
		//$(".getloginfo").css("display", "none");
		if (data.errorCode != 999) {
			$("#noDataNotificationPanel").html(flaGatherLog.checkLocalMsgCodeArrayAndReturnMsg(data.errorCode));
			$("#noDataNotificationPanel").html($("#noDataNotificationPanel").text());
		} else {
			$("#noDataNotificationPanel").html(data.errorString);
		}
		$('#welcomeMsg').html(flaGatherLog.PAGE_TITLE);
		$("#noDataNotificationPanel").removeClass("hidden");
	} else {
		flaGatherLog.commCellId = data.commcellid;
		flaGatherLog.commCellName = data.commcellname;
		flaGatherLog.clientName = data.commcellname;
		flaGatherLog.wiaprogress = data.wiaprogress;
		flaGatherLog.wialasttime = data.wialasttime;
		flaGatherLog.isProcDumpSupported = data.isprocdumpsupported;
		flaGatherLog.logstreamingRequests = data.LogStreamingReq;
		flaGatherLog.extendLogStreamingSupported = data.extendLogStreamingSupported;
		flaGatherLog.dbnotsupported = data.dbnotsupported;
		flaGatherLog.isCloudDRBackupAvailable = data.isCloudDRBackupAvailable;
		if (flaGatherLog.dbnotsupported) {
			flaGatherLog.disableDBOption();
		}
		if (flaGatherLog.isProcDumpSupported) {
			$("#procdump").closest("label.collect-by").removeClass("hidden");
		}
		if (!flaGatherLog.isCloudDRBackupAvailable) {
			flaGatherLog.hideDoNotUseCloudDrBackupCheckbox();
		} else {
			flaGatherLog.showDoNotUseCloudDrBackupCheckbox();
		}
		if (flaGatherLog.commCellId == flaGatherLog.A_SPACE) {
			flaGatherLog.commCellId = flaGatherLog.NA_STRING;
			$(".getloginfo").addClass("hidden");
			$('#welcomeMsg').html(flaGatherLog.PAGE_TITLE);
			$("#noDataNotificationPanel").html(flaGatherLog.WRONG_COMMCELL_MSG);
			$("#noDataNotificationPanel").removeClass("hidden");
		} else {

			if (flaGatherLog.clientName == flaGatherLog.A_SPACE) {
				flaGatherLog.clientName = flaGatherLog.NA_STRING;
			}
			if (flaGatherLog.clientName.indexOf("@") != -1) {
				flaGatherLog.clientName = flaGatherLog.clientName.replace(/@/g, "&");
			}

			if (flaGatherLog.clientName != null && flaGatherLog.clientName != flaGatherLog.A_SPACE &&
					flaGatherLog.clientName != flaGatherLog.NA_STRING && $.trim(flaGatherLog.clientName).length != 0) {
				flaGatherLog.clientName = flaGatherLog.clientName + " - " + flaGatherLog.PAGE_TITLE;
				$(document).attr("title", flaGatherLog.clientName);
				$('#welcomeMsg').html(flaGatherLog.clientName);
			} else {
				$(document).attr("title", flaGatherLog.PAGE_TITLE);
				$('#welcomeMsg').html(flaGatherLog.PAGE_TITLE);
			}

			if (typeof data.ischecked !== "undefined" && data.ischecked === 'false') {
				$(".getloginfo").addClass("hidden");
				$("#noDataNotificationPanel").html(data.troubleshootingNotEnabledMsg);
				$("#noDataNotificationPanel").removeClass("hidden");
			} else if (typeof data.activeReqMsg != "undefined" && data.activeReqMsg != "") {
				$(".getloginfo").addClass("hidden");
				$("#noDataNotificationPanel").html(data.activeReqMsg + data.activerequest);
				$("#noDataNotificationPanel").removeClass("hidden");
			} else {
				if (flaGatherLog.app !== "FA") {
					flaGatherLog.setRTTypeClickEvent();
					if (data.isProactiveEnabled) {
						//prepare the existing req table
						flaGatherLog.createExistingLogStreamReqTable();
					} else {
						$(".collect-by-logmon").addClass("hidden");
					}
				}

			}
			if (typeof data.lastSuccReqMsg != "undefined" && data.lastSuccReqMsg != "") {
				//then show a dialog.

				var modOpts = {};
				modOpts.title = "Existing logs";
				modOpts.dialogClass = "infoDialog";
				modOpts.noText = "Close";
				modOpts.additionalClassForOk = "hidden";
				cvUtil.showWarningDialog(modOpts, data.lastSuccReqMsg, null, null, null);
			}
		}
		//create uploadnow button
		//flaGatherLog.createUploadNowButton();

	}
	$("#content").unmask();
	$("#loginfodiv").removeClass("hidden");
	$('#detailsBusy').addClass("hidden");

};

flaGatherLog.createExistingLogStreamReqTable = function() {
	if (flaGatherLog.logstreamingRequests && flaGatherLog.logstreamingRequests.length > 0) {
		$(".log-stream-table .log-stream-row").empty();
		$(".log-stream-reqcount").html(flaGatherLog.logstreamingRequests.length + " " + localMsg.totalreqmsg);
		for (var i = 0; i < flaGatherLog.logstreamingRequests.length; i++) {
			var r = $('<div>', {
				"class" : "rTableRow log-stream-row"
			});
			for (var j = 0; j < flaGatherLog.logstreamingRequestsProps.length; j++) {
				var v = flaGatherLog.logstreamingRequests[i][flaGatherLog.logstreamingRequestsProps[j]];
				if (flaGatherLog.logstreamingRequestsProps[j] === "PolicyName") {
					var url = flaGatherLog.logStreamingURL.replace("POLICY_NAME", v);
					v = $('<a>', {
						"href" : url,
						"target" : "_blank"
					}).html(localMsg.log_stream_reportlink);
				}
				//|%SIMPANA_LOG_DIR%cvd.log|#12!%SIMPANA_LOG_DIR%jobmanager.log|#12!%SIMPANA_LOG_DIR%CLBackup.log|#12!%SIMPANA_LOG_DIR%filescan.log|#12!%SIMPANA_LOG_DIR%clbackup.log|#12!
				if (flaGatherLog.logstreamingRequestsProps[j] === "PolicyDetail") {
					v = v.replace(/(\|{0,1}(#12!){0,1}(\%SIMPANA_LOG_DIR\%))|(\|#12!)/g, ", ").replace(/(^, )|(, $)/g,
							"");
				}

				var c = $('<div>', {
					"class" : "rTableCell"
				}).html(v);
				var date = new Date(flaGatherLog.logstreamingRequests[i]["ExpirySecs"]);
				var dateToStr = date.toUTCString().split(' ');
				//console.log(dateToStr);
				//var cleanDate = dateToStr[2] + ' ' + dateToStr[1] ;
				r.append(c);
			}
			//action button
			var v = "<button>Extend</button>";
			v = '<a href="#" title="Extend">Extend</a>';
			var c = $('<div>', {
				"class" : "rTableCell"

			}).html(v).data("extendflag", flaGatherLog.logstreamingRequests[i].canExtend).data("reqid",
					flaGatherLog.logstreamingRequests[i].RequestID);

			c.on("click", flaGatherLog.extendLogStreamingRequests);

			r.append(c);

			$('.log-stream-table').append(r);
		}
	} else {
		/*
		 * $(".log-stream-table log-stream-row").empty(); var r = $('<div>', { "class" : "rTableRow
		 * log-stream-row" }).html(localMsg.no_log_streamreq); $('.log-stream-table').append(r);
		 */
	}
};
flaGatherLog.extendLogStreamingRequests = function() {
	//console.log(this);
	if (flaGatherLog.extendLogStreamingSupported) {
		var f = $(this).data("extendflag");
		var reqid = $(this).data("reqid");
		if (f == 1) {
			//submit extend request.
			//create dialog for asking expire time.
			flaGatherLog.openExtendLogStreamingDialog(reqid, flaGatherLog.submitExtensionRequest);
		} else if (f == 2) {
			//it is expired
			cvUtil.errorToast(localMsg.gl_logstreaming_expired);
		} else {
			//it is about to expire, so we can not extend it.
			cvUtil.errorToast(localMsg.gl_logstreaming_about_toexpire);
		}
	} else {
		cvUtil.errorToast(localMsg.gl_logstreaming_notsupported);
	}

};
flaGatherLog.submitExtensionRequest = function(existingReqID, closeDialog) {
	var interval = $("input[name='extend-interval']:checked").val();
	if (isNaN(interval)) {
		cvUtil.errorToast("Invalid extension period.");
	} else {
		var data = {};
		data.reqid = existingReqID;
		data.interval = interval;
		data.commUniId = flaGatherLog.commUniId;
		var url = cvUtil.getContextPath() + flaGatherLog.EXTEND_LOGSTREAMING_URL + '?commUniId=' +
				flaGatherLog.commUniId;
		cvUtil.mask('');
		closeDialog();
		cvUtil.loadPageWithPOST(url, data, function(resp) {
			flaGatherLog.successHandlerForLogReq(resp);
			if (resp && (resp.errorCode === 0 || resp.data.isErrorResponse === false)) {
				flaGatherLog.streamFormcleanUp();
				flaGatherLog.isLogStreamingReq = true;
			}

		}, function() {
			flaGatherLog.handleError();
		});
	}

};
flaGatherLog.handleCheckError = function() {
	$(".getloginfo").addClass("hidden");
	$('#welcomeMsg').html(flaGatherLog.PAGE_TITLE);
	$("#noDataNotificationPanel").html(flaGatherLog.WRONG_COMMCELL_MSG);
	$("#noDataNotificationPanel").removeClass("hidden");
	$("#loginfodiv").removeClass("hidden");
	$('#detailsBusy').addClass("hidden");
	$("#content").unmask();
};

flaGatherLog.createUploadNowButton = function() {
	var aDiv;
	aDiv = $("<div></div>", {
		'id' : 'uploadnowdiv'
	});

	//add the div before the div with id headerSearchCC
	$("#headerSearchCC").after(aDiv);

	var aTag = '<a href="javascript:void(0);" id="uploadnowbtn" class="mainBtn">' + localMsg.gl_uploadnow + '</a>';
	aDiv.html(aTag);
	//now bind handler for upload now button.
	flaGatherLog.confirmFalg = false;
	$("#uploadnowbtn").on("click",
			function() {

				flaGatherLog.openUploadNowDialog(function() {
					var data = {};
					var isProceed = true;
					data.clgnames = $("#UCGL").val();
					if (data.clgnames == "" || data.clgnames == null) {
						cvUtil.errorToast(localMsg.gl_nogrouptxt);
						isProceed = false;
					}
					if (isProceed) {
						if (!flaGatherLog.confirmFalg) {
							var diffCGList = "";
							if (typeof data.clgnames !== "undefined") {
								diffCGList = flaGatherLog.checkExistanceOfInput(data.clgnames,
										flaGatherLog.CGLIST.source);
							}

							if (diffCGList == "" || diffCGList.length == 0) {
								flaGatherLog.confirmFalg = false;
								isProceed = true;
								$("#labelerr").addClass("hidden").html("");
								$("#labelconfirm").addClass("hidden").html("");
							} else {
								isProceed = false;
								flaGatherLog.confirmFalg = true;
								$("#labelerr").removeClass("hidden").html(localMsg.gl_confboxmsg2.replace("{0}",
										localMsg.fla_clg + " [" + diffCGList.join(",") + "]"));
								$("#labelconfirm").removeClass("hidden").html(localMsg.gl_confmsg);
								$("#upldnwybtn").text(localMsg.yes);
								$("#upldnwcbtn").text(localMsg.no);
							}
						}
						if (isProceed) {
							//call server to upload the xml.
							cvUtil.toast("Calling server to uploadnow");
							return true;
						}
					}
				});
			});
	flaGatherLog.makeUCGLDropdown();
};

flaGatherLog.openUploadNowDialog = function(uploadNowCallBack) {
	var aDiv = $("<div></div>", {
		'id' : 'uploadnowDialog'
	});
	aDiv.appendTo("body");
	aDiv.html($(".uploadnowdiv").removeClass("hidden"));

	var closeDialog = function() {
		flaGatherLog.confirmFalg = false;
		aDiv.dialog('destroy');
		$(".uploadnowdiv").addClass("hidden");
		$("#uploadnowDialog").remove();
	};

	var okButtonClasses = 'buttonContents okSaveClick';

	aDiv.dialog({
		resizable : false,
		modal : true,
		title : localMsg.gl_uploadnow,
		width : "auto",
		height : "auto",
		dialogClass : "uploadnow",
		close : function() {
			closeDialog();
		},
		open : function(event, ui) {
			flaGatherLog.makeUCGLDropdown();
			$("#labelerr").addClass("hidden").html("");
			$("#labelconfirm").addClass("hidden").html("");
		},
		buttons : {
			noLocalized : {
				id : "upldnwcbtn",
				text : localMsg.fla_btn_cancel,
				"class" : 'buttonContents dialogCancel',
				click : function() {
					closeDialog();
				}
			},
			yesLocalized : {
				id : "upldnwybtn",
				text : localMsg.fla_btn_ok,
				"class" : okButtonClasses,
				click : function() {
					if (uploadNowCallBack(closeDialog)) {
						closeDialog();
					}
				}
			}
		}
	});

	aDiv.removeClass("hidden");
	return aDiv;
};
flaGatherLog.openExtendLogStreamingDialog = function(existingReqID, logStreamingCallBack) {
	var aDiv = $("<div></div>", {
		'id' : 'ExtendLogStreamingDialog'
	});
	aDiv.appendTo("body");
	aDiv.html($(".extendlogstreamingdiv").html());

	var closeDialog = function() {
		flaGatherLog.confirmFalg = false;
		aDiv.dialog('destroy');
		$(".extendlogstreamingdiv").addClass("hidden");
		$("#ExtendLogStreamingDialog").remove();
	};

	var okButtonClasses = 'buttonContents okSaveClick';

	aDiv.dialog({
		resizable : false,
		modal : true,
		title : localMsg.gl_extendlogstreaming,
		width : "auto",
		height : "auto",
		dialogClass : "extendlogstreaming",
		close : function() {
			closeDialog();
		},
		open : function(event, ui) {

		},
		buttons : {
			noLocalized : {
				text : localMsg.fla_btn_cancel,
				"class" : 'buttonContents',
				click : function() {
					closeDialog();
				}
			},
			yesLocalized : {
				text : localMsg.gl_submit,
				"class" : okButtonClasses,
				click : function() {
					if (logStreamingCallBack(existingReqID, closeDialog)) {
						closeDialog();
					}
				}
			}
		}
	});

	aDiv.removeClass("hidden");
	return aDiv;
};
flaGatherLog.openCloudDRBackupAvailableDialog = function(overrideCloudDRBackupAvailable, resubmit) {
	var aDiv = $("<div></div>", {
		'id' : 'CloudDRBackupAvailableDialog'
	});
	aDiv.appendTo("body");
	aDiv.html(localMsg.cloud_dr_available);

	var closeDialog = function() {
		aDiv.dialog('destroy');
		$("#CloudDRBackupAvailableDialog").remove();
	};

	aDiv.dialog({
		resizable : false,
		modal : true,
		title : localMsg.cloud_dr_available_title,
		width : "auto",
		height : "auto",
		close : function() {
			closeDialog();
		},
		open : function(event, ui) {
			
		},
		buttons : {
			cancelLocalized : {
				text : localMsg.fla_btn_cancel,
				"class" : 'buttonContents dialogcancel',
				click : function() {
					closeDialog();
				}
			},
			yesLocalized : {
				id : "getatafromcs",
				text : localMsg.common_yes,
				"class" : 'buttonContents dialogprimarybutton',
				click : function() {
					overrideCloudDRBackupAvailable();
					// Resubmit form with modified configuration
					resubmit();
					closeDialog();
				}
			}
		}
	});

	aDiv.removeClass("hidden");
	return aDiv;
};
flaGatherLog.makeUCGLDropdown = function() {
	if (flaGatherLog.uploadnowCLGFlag) {
		$('#UCGL').typeahead(flaGatherLog.CGLIST);
		$(".dropdown-menu").css("z-index", "1100");
		$('#UCGL').focus();
	} else {
		flaGatherLog.uploadnowClientGroupInterval = setInterval(function() {
			if (flaGatherLog.uploadnowCLGFlag) {
				$('#UCGL').typeahead(flaGatherLog.CGLIST);
				window.clearInterval(flaGatherLog.uploadnowClientGroupInterval);
				$(".dropdown-menu").css("z-index", "1100");
				$('#UCGL').focus();
			}
		}, flaGatherLog.WAIT_TIME);
	}
};
flaGatherLog.getMAndCLNames = function() {
	var data = {};
	data.commUniId = this.commUniId;
	cvUtil.mask('');
	cvUtil.loadPageWithPOST(cvUtil.getContextPath() + this.CLIENT_NAMES_URL,
			data,
			this.successHandlerForNames,
			this.handleError);
};
flaGatherLog.successHandlerForNames = function(sd) {
	sd = cvUtil.parseJSON(sd);
	if (sd != null && sd.errorCode != undefined && sd.errorCode == 0) {
		flaGatherLog.CLLIST.source = sd.CL;
		flaGatherLog.CGLIST.source = sd.CGL;
		$('#CLL').typeahead(flaGatherLog.CLLIST);
		//flaGatherLog.CLLIST.delimiter = "";
		$('#client-list').typeahead(flaGatherLog.CLLIST);
		$('#CGL').typeahead(flaGatherLog.CGLIST);
		if (flaGatherLog.app.toLowerCase() != 'fa') {
			flaGatherLog.MALIST.source = sd.MA;
			$('#MAL').typeahead(flaGatherLog.MALIST);
			flaGatherLog.BINLIST.source = sd.BL;
			$('#PDL').typeahead(flaGatherLog.BINLIST);
		}
		var logList = [];
		$.each(sd.BL, function(i, entity) {
			var label = entity.label.replace('.exe', '.log');
			var log = {};
			log.label = label;
			log.value = label;
			logList.push(log);
		});
		flaGatherLog.LOGLIST.source = logList;
		$('#log-files-list').typeahead(flaGatherLog.LOGLIST);
	} else if (sd != null && sd.errorCode != undefined && sd.errorCode != 999) {
		//cvUtil.errorToast(flaGatherLog.CLIENTS_LIST_ERROR_MSG);
		cvUtil.errorToast(flaGatherLog.checkLocalMsgCodeArrayAndReturnMsg(sd.errorCode));
	} else if (sd != null && sd.errorString != undefined) {
		cvUtil.errorToast(sd.errorString);
	}
	flaGatherLog.uploadnowCLGFlag = true;
};

flaGatherLog.successHandlerForLogReq = function(data) {
	//console.log(data);
	/*
	 * if(window.cvCustomMask) $("#content").unmask("");
	 */
	if ($.type(data) !== "object") {
		data = cvUtil.parseJSON(data);
	}
	//$("#sbmtGetLogs").addClass("hidden");
	cvUtil.unmask('');
	if ($.isEmptyObject(data)) {
		cvUtil.errorToast(localMsg.gl_unexpectederrormsg);
	} else {
		if (data.errorCode == 0 || (data.data && data.data.isErrorResponse === false)) {
			flaGatherLog.showSuccess();
		} else {
			var msg = "";
			if (typeof data.errorCode !== "undefined" && data.errorCode != 999) {
				msg = flaGatherLog.checkLocalMsgCodeArrayAndReturnMsg(data.errorCode);
			} else if (data.errorString) {
				msg = data.errorString;
			} else if (data.data.errorMessage) {
				msg = data.data.errorMessage;
			} else {
				msg = localMsg.gl_unexpectederrormsg;
			}
			cvUtil.errorToast(msg);
		}
	}
};
flaGatherLog.showSuccess = function() {
	$("#submittedDiv").removeClass("hidden");
	$(".getloginfo").addClass("hidden");
	if (!$(".gl-try-again").hasClass("evadded")) {
		$(".gl-try-again").on('click', flaGatherLog.tryAgainClickEvent).addClass("evadded");
	}
};

flaGatherLog.tryAgainClickEvent = function() {
	//$("#sbmtGetLogs").removeClass("hidden");
	if (flaGatherLog.isLogStreamingReq) {
		flaGatherLog.checkCommcell();
		flaGatherLog.isLogStreamingReq = false;
	}
	$("#submittedDiv").addClass("hidden");
	$(".getloginfo").removeClass("hidden");

};
flaGatherLog.handleError = function(errdata) {
	flaGatherLog.uploadnowCLGFlag = true;
	console.log(errdata);
	cvUtil.unmask('');
	//$("#sbmtGetLogs").addClass("hidden");
	$(".aftrsbmtmsg").removeClass("hidden alert-info").addClass("alert-danger").html(localMsg.gl_unexpectederrormsg);

};
flaGatherLog.submitButtonClickEventBinding = function() {
	$("#sbmtGetLogs").unbind('click');
	$("#sbmtGetLogs").click(function() {
		if ($("#sbmtGetLogs").attr("disabled")) {
			return;
		}

		var data = {};
		data.commUniId = flaGatherLog.commUniId;

		var isProceed = true;
		data.clnames = $("#CLL").val();
		if (data.clnames == "" || data.clnames == null) {
			cvUtil.errorToast(localMsg.gl_noclienttxt);
			isProceed = false;
		}

		data.nmails = $("#NMAIL").val();
		if (data.nmails == "" || data.nmails == null) {
			//cvUtil.errorToast("Notify Emails is not provided.");
			//isProceed = false;
		} else {
			var mails = data.nmails.split(",");
			for (email in mails) {
				if (!cvUtil.isEmailValid(mails[email])) {
					cvUtil.errorToast(localMsg.gl_invalidmailtxt.replace("{0}", encodeURIComponent(mails[email])));
					isProceed = false;
				}
			}
		}

		flaGatherLog.selectedOptions += "," + $('input[name=upld]:checked').val();
		data.selectedoptions = flaGatherLog.selectedOptions;

		var diffClList = "";

		if (typeof data.clnames !== "undefined") {
			diffClList = flaGatherLog.checkExistenceOfInput(data.clnames, flaGatherLog.CLLIST.source);
		}

		if (isProceed) {
			/*
			 * if(window.cvCustomMask) $("#content").mask("");
			 */
			if ((diffClList == "" || diffClList.length == 0)) {

				/*
				 * cvUtil.mask(''); cvUtil.loadPageWithPOST(cvUtil.getContextPath() +
				 * flaGatherLog.SUBMIT_REQUEST_URL, data, flaGatherLog.successHandlerForLogReq,
				 * flaGatherLog.handleError);
				 */
				txt = localMsg.gl_confspacemsg + "<br><br>" + localMsg.gl_confmsg;
				flaGatherLog.confirmModalHtml = '<div class="confirmdiv">' + txt + '</div>';
				flaGatherLog.showConfirmModal(data);

			} else {
				var tmpTxt = "";
				var inputNames = "";
				if (diffClList.length != 0) {
					tmpTxt += "<li>" +
							localMsg.gl_confboxmsg2.replace("{0}", localMsg.gl_cl + " [" + diffClList.join(",") + "]") +
							"</li>";
					inputNames = localMsg.gl_cl;
				}

				var txt = localMsg.gl_confspacemsg + "<br><br>";
				txt += localMsg.gl_confboxmsg1.replace("{0}", inputNames) + "<br/><ul>";
				tmpTxt += "</ul><br><span>" + localMsg.gl_confmsg + "</span>";
				txt += tmpTxt;
				flaGatherLog.confirmModalHtml = '<div class="confirmdiv">' + txt + '</div>';
				flaGatherLog.showConfirmModal(data);
			}
		}
	});
};

flaGatherLog.showConfirmModal = function(serverData) {
	//options, content,  callbackFunctionYes, callbackFunctionNo
	cvUtil.showWarningDialog({
		width : "auto",
		height : "auto",
		title : localMsg.gl_confheadertxt,
		href : null,
		iframe : true
	}, flaGatherLog.confirmModalHtml, function() {

		/*
		 * if(window.cvCustomMask) $("#content").mask("");
		 */

		// then call to server.
		cvUtil.mask('');
		cvUtil.loadPageWithPOST(cvUtil.getContextPath() + flaGatherLog.SUBMIT_REQUEST_URL,
				serverData,
				flaGatherLog.successHandlerForLogReq,
				flaGatherLog.handleError);

		return true;
	});
};

flaGatherLog.clientChanged = function(e) {

	var cls = $("#CLL").val().replace(/,\s*$/, "");
	cls = cls.split(",");
	var len = cls.length;
	for (var i = 0; i < len; i++) {
		cls[i] && cls.push(cls[i]);
	}
	cls.splice(0, len);
	if (cls.length > 5) {
		// you can not select more than five clients.
		cls.splice(5);
		$(e.target).val(cls.join(","));
		cvUtil.errorToast(localMsg.gl_maxclientsreached);

	}

};
flaGatherLog.setOnChangeEvents = function() {
	$("#CLL").on("change", flaGatherLog.clientChanged);
};
if (typeof String.prototype.endsWith !== 'function') {
	String.prototype.endsWith = function(suffix) {
		return this.indexOf(suffix, this.length - suffix.length) !== -1;
	};
}
$(document).ready(function() {
	var commUniId = cvUtil.getParameter('commUniId', "");
	if (commUniId == "") {
		$("#noDataNotificationPanel").html(flaGatherLog.SELECT_COMMCELL);
		$("#noDataNotificationPanel").removeClass("hidden");
		$("#noDataNotificationPanel").addClass("selectCommcell");
		$('#welcomeMsg').html(flaGatherLog.PAGE_TITLE);
		$("#content").unmask();
		$("#loginfodiv").removeClass("hidden");
		$(".getloginfo").addClass("hidden");
		return;
	}
	flaGatherLog.setOnChangeEvents();
	setTimeout(function() {
		flaGatherLog.checkCommcell();
	}, 100);
	setTimeout(function() {
		flaGatherLog.getMAndCLNames();
	}, 120);
	$(document).ajaxStart(function() {
		$("#sbmtGetLogs").addClass("loading");
	}).ajaxStop(function() {
		$("#sbmtGetLogs").removeClass("loading");
	});
	$('.textbox').keyup(function(e) {
		if (this.scrollHeight < 150) {
			$(this).css('height', 'auto');
			$(this).height(this.scrollHeight);
		}
		this.scrollTop = this.scrollHeight + 10;
	});
	/*
	 * $("#MAL,#CLL").click(function(){ return false; });
	 */
});
