var dashboard = {};
dashboard.chartData = {};
$(document).ready(function() {
	dashboard.clearURLParams();
	dashboard.common = {};
	dashboard.requests = {};
	dashboard.common.ccGroupId = cvUtil.getParameter('ccGroupId', "-1");
	dashboard.common.companyId = cvUtil.getParameter('companyId', 0);
	dashboard.common.ccId = cvUtil.getParameter('commUniId', "0");
	surveyCommon.initComponents('Growth and Trends',
			dashboard.common.ccId,
			dashboard.common.ccGroupId,
			dashboard.common.companyId);
	if (dashboard.common.ccId == '0') {
		$('body').addClass('worldwide');
	}
	reportsUtil.setWorldwideLink(!isPublicMetrics);

	if (isPublicMetrics && exportRequest == 'pdf' && dashboard.common.ccId == '0' && dashboard.common.companyId <= 0) {
		$('a.viewdetails').removeClass('followForExport');
	}

	dashboard.diskRequest = $.extend({}, dashboard.common);
	dashboard.requests['libraryBox'] = dashboard.diskRequest;
	dashboard.diskRequest.entityType = 'Disk Library';
	dashboard.diskRequest.entityDisplayType = 'Disk Libraries';
	dashboard.request = dashboard.diskRequest;
	dashboard.request.chartType = cvUtil.getParameter('libraryBoxChartType', 'line');
	dashboard.drawLibraryGrowthChart("#libraryBox", "diskLibraryChart", dashboard.request.chartType);

	dashboard.cloudRequest = $.extend({}, dashboard.common);
	dashboard.requests['cloudLibraryBox'] = dashboard.cloudRequest;
	dashboard.cloudRequest.entityType = 'Cloud Library';
	dashboard.cloudRequest.entityDisplayType = 'Cloud Libraries';
	dashboard.request = dashboard.cloudRequest;
	dashboard.request.chartType = cvUtil.getParameter('cloudLibraryBoxChartType', 'line');
	dashboard.drawLibraryGrowthChart("#cloudLibraryBox", "cloudLibraryChart", dashboard.request.chartType);

	dashboard.agentRequest = $.extend({}, dashboard.common);
	dashboard.requests['agentBox'] = dashboard.agentRequest;
	dashboard.agentRequest.entityType = 'Agent Type';
	dashboard.agentRequest.entityDisplayType = 'Agent Type';
	dashboard.request = dashboard.agentRequest;
	dashboard.request.chartType = cvUtil.getParameter('agentBoxChartType', 'line');
	dashboard.drawLibraryGrowthChart("#agentBox", "agentChart", dashboard.request.chartType);

	dashboard.ccRequest = $.extend({}, dashboard.common);
	dashboard.requests['commcellBox'] = dashboard.ccRequest;
	dashboard.ccRequest.entityType = 'CommCell';
	dashboard.ccRequest.entityDisplayType = 'CommCell';
	dashboard.request = dashboard.ccRequest;
	dashboard.request.chartType = cvUtil.getParameter('commcellBoxChartType', 'line', dashboard.request.chartType);
	dashboard.drawLibraryGrowthChart("#commcellBox", "commcellChart", dashboard.request.chartType);

	dashboard.cgRequest = $.extend({}, dashboard.common);
	dashboard.requests['clientgroupBox'] = dashboard.cgRequest;
	dashboard.cgRequest.entityType = 'Client Group';
	dashboard.cgRequest.entityDisplayType = 'Client Group';
	dashboard.request = dashboard.cgRequest;
	dashboard.request.chartType = cvUtil.getParameter('clientgroupBoxChartType', 'line');
	dashboard.drawLibraryGrowthChart("#clientgroupBox", "clientgroupChart", dashboard.request.chartType);

	var id = 'capacityBox';
	dashboard.requests[id] = $.extend({}, dashboard.common);
	dashboard.requests[id].entityType = 'Capacity License Usage';
	dashboard.requests[id].entityDisplayType = 'Capacity License Usage';
	dashboard.requests[id].growthType = 2;
	dashboard.request = dashboard.requests[id];
	dashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	dashboard.drawLibraryGrowthChart("#capacityBox", "capacityChart", dashboard.request.chartType);

	id = 'capacityByApplicationBox';
	dashboard.requests[id] = $.extend({}, dashboard.common);
	;
	dashboard.requests[id].entityType = 'Capacity License Usage by Application';
	dashboard.requests[id].entityDisplayType = 'Capacity License Usage by Agent';
	dashboard.requests[id].growthType = 2;
	dashboard.request = dashboard.requests[id];
	dashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	dashboard.drawLibraryGrowthChart("#capacityByApplicationBox",
			"capacityByApplicationChart",
			dashboard.request.chartType);

	dashboard.handleDedupeCharts();

	dashboard.drawClientCountChart();

	$('.linechartMini').click(function(e) {
		dashboard.getChartDiv(e.target, 'line');
		e.preventDefault();
	});
	$('.vbarchartMini').click(function(e) {
		dashboard.getChartDiv(e.target, 'bar');
		e.preventDefault();
	});
	$('.yAxisSelection').on('click', 'li', function() {
		$(this).siblings('.on').removeClass('on');
		$(this).addClass('on');
		var id = $(this).closest('.viewBox').attr('id');
		dashboard.request = dashboard.requests[id];
		if ($(this).attr("data-isdedupe") != undefined) {
			dashboard.request.isFullBackup = $(this).attr('id').substring(0, 1);
		} else {
			dashboard.request.growthType = $(this).attr('id').substring(0, 1);
		}
		var chartDiv = $('#' + id).find('.boxedChart').empty().attr('id');
		dashboard.drawLibraryGrowthChart('#' + id, chartDiv, dashboard.request.chartType);
	});
	$(".dedupeIntervalTypes").on("change", function() {
		var intervalType = $(this).val();
		var id = $(this).closest('.viewBox').attr('id');
		dashboard.request = dashboard.requests[id];
		dashboard.request.intervalType = intervalType;
		if (intervalType == 3) {
			dashboard.request.numOfInterval = 13;
		} else {
			dashboard.request.numOfInterval = 12;
		}
		var chartDiv = $('#' + id).find('.boxedChart').empty().attr('id');
		dashboard.drawLibraryGrowthChart('#' + id, chartDiv, dashboard.request.chartType);
	});

});

dashboard.handleDedupeCharts = function() {
	if (!isPublicMetrics) {
		dashboard.drawDedupeCharts();
	}

	//	 cvUtil.loadPageWithGET('dedupeApplicable.do', dashboard.request, function(resp) {
	//		 if (resp && resp.data && resp.data.isApplicable)
	//			 dashboard.drawDedupeCharts();
	//     },function(xhr, ajaxOptions, thrownError){
	//    	 dashboard.drawDedupeCharts();
	//     });
}

dashboard.drawClientCountChart = function() {
	var id = 'clientsCountBox';
	dashboard.requests[id] = $.extend({}, dashboard.common);
	dashboard.requests[id].entityDisplayType = 'Clients Count';
	dashboard.requests[id].intervalType = 3;
	dashboard.requests[id].growthType = 6;
	dashboard.requests[id].aggregate = 0;
	dashboard.request = dashboard.requests[id];
	dashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');

	dashboard.drawLibraryGrowthChart("#clientsCountBox", "clientsCountChart", dashboard.request.chartType);
};

dashboard.drawDedupeCharts = function() {
	$(".dedupeBox").addClass("showElement");

	var id = 'commCellDedupeBox';
	dashboard.requests[id] = $.extend({}, dashboard.common);
	dashboard.requests[id].entityType = '';
	dashboard.requests[id].entityDisplayType = 'CommCell';
	dashboard.requests[id].growthType = 5;
	dashboard.requests[id].groupBy = "CommCell";
	dashboard.requests[id].entityId = 0;
	dashboard.requests[id].isFullBackup = 1;
	dashboard.requests[id].intervalType = 2;
	dashboard.request = dashboard.requests[id];
	dashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	dashboard.drawLibraryGrowthChart("#commCellDedupeBox", "commcellDedupeChart", dashboard.request.chartType);

	id = 'agentDedupeBox';
	dashboard.requests[id] = $.extend({}, dashboard.common);
	;
	dashboard.requests[id].entityType = '';
	dashboard.requests[id].entityDisplayType = 'Agent';
	dashboard.requests[id].growthType = 5;
	dashboard.requests[id].groupBy = "Agent Type";
	dashboard.requests[id].entityId = 0;
	dashboard.requests[id].isFullBackup = 1;
	dashboard.requests[id].intervalType = 2;
	dashboard.request = dashboard.requests[id];
	dashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	dashboard.drawLibraryGrowthChart("#agentDedupeBox", "agentDedupeChart", dashboard.request.chartType);

	id = 'spDedupeBox';
	dashboard.requests[id] = $.extend({}, dashboard.common);
	;
	dashboard.requests[id].entityType = '';
	dashboard.requests[id].entityDisplayType = 'storage policy';
	dashboard.requests[id].growthType = 5;
	dashboard.requests[id].groupBy = "Storage Policy";
	dashboard.requests[id].entityId = 0;
	dashboard.requests[id].isFullBackup = 1;
	dashboard.requests[id].intervalType = 2;
	dashboard.request = dashboard.requests[id];
	dashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	dashboard.drawLibraryGrowthChart("#spDedupeBox", "spDedupeChart", dashboard.request.chartType);

	id = 'subclientDedupeBox';
	dashboard.requests[id] = $.extend({}, dashboard.common);
	;
	dashboard.requests[id].entityType = '';
	dashboard.requests[id].entityDisplayType = 'subclient';
	dashboard.requests[id].growthType = 5;
	dashboard.requests[id].groupBy = "Subclient";
	dashboard.requests[id].entityId = 0;
	dashboard.requests[id].isFullBackup = 1;
	dashboard.requests[id].intervalType = 2;
	dashboard.request = dashboard.requests[id];
	dashboard.request.chartType = cvUtil.getParameter(id + 'ChartType', 'line');
	dashboard.drawLibraryGrowthChart("#subclientDedupeBox", "subclientDedupeChart", dashboard.request.chartType);

};

dashboard.getChartDiv = function(ele, chartType) {
	var container = $(ele).closest('.viewBox');
	var chartDiv = container.find('.boxedChart').empty().attr('id');
	//dashboard.updateHash(container.attr('id') + 'ChartType', chartType);
	//	var detailsLink = container.find('.viewdetails');
	dashboard.requests[container.attr('id')].chartType = chartType;
	if (chartType == 'bar') {
		dashboard.drawBarGrowthChart(chartDiv, dashboard.chartData[chartDiv]);
	} else if (chartType == 'line') {
		dashboard.drawLineGrowthChart(chartDiv, dashboard.chartData[chartDiv]);
	}
};
dashboard.updateHash = function(name, value) {
	updateParamToUrl(name, value, true);
};

dashboard.clearURLParams = function() {
	var params = cvUtil.getUrlParams();
	var retainList = [ 'commUniId', 'ccGroupId', 'companyId' ];
	for ( var i in params) {
		if (retainList.indexOf(i) == -1) {
			delete params[i];
		}
	}
	var url = cvUtil.requestToUrl(params);
	History.replaceState(null, document.title, "?" + url);
};
dashboard.drawLibraryGrowthChart = function(boxSelector, chartDiv, chartType) {
	cvUtil.mask(boxSelector);
	var entityDetails = {};
	entityDetails.entityType = dashboard.request.entityType;
	entityDetails.entityDisplayType = dashboard.request.entityDisplayType;
	cvUtil.loadPageWithPOST('top5EntityGrowthChart.do', dashboard.request, function(resp) {
		cvUtil.unmask(boxSelector);
		if (!resp || !resp.data) {
			return handleError(boxSelector);
		}
		if (resp.data.isError) {
			return handleError(boxSelector, resp.data.errorMessage);
		}
		var cData = resp.data.cData;
		/*
		 * if(!cData){ return dashboard.handleNoChartableData(boxSelector); }
		 */

		if (!cData || cData.seriesList.length <= 0) {
			return dashboard.handleNoData(boxSelector);
		}
		dashboard.cleanChart(boxSelector);
		cData.entityDetails = entityDetails;
		dashboard.chartData[chartDiv] = cData;
		if (chartType == 'bar') {
			dashboard.drawBarGrowthChart(chartDiv, dashboard.chartData[chartDiv]);
		} else {
			dashboard.drawLineGrowthChart(chartDiv, dashboard.chartData[chartDiv]);
		}
	}, function(xhr, ajaxOptions, thrownError) {
		cvUtil.unmask(boxSelector);
		dashboard.handleError(boxSelector, cvUtil.cvLocalize("Something_went_wrong_please_try_again"));
	});
};

dashboard.drawLineGrowthChart = function(chartDiv, cData) {
	if (!cData) {
		console.log('drawLineGrowthChart - cData is null...returning without doing anything.');
		return;
	}
	var cw = 340, ch = 200, leftMargin = 45;

	if (chartDiv === 'clientsCountChart') {
		cw = 380;
		leftMargin = 60;
	}
	if (cData.xAxis.showSkippedLabels) {
		$.each(cData.xAxis.labels, function(i, val) {
			cData.xAxis.labels[i] = (i % 2 == 0) ? val : '';
		});
	}

	var browserExp = new RegExp('Android|webOS|iPhone|iPad|' + 'BlackBerry|Windows Phone|'
			+ 'Opera Mini|IEMobile|Mobile', 'i');

	if (browserExp.test(navigator.userAgent)) {
		var r = Raphael(chartDiv, '540px', 280);
	} else {
		var r = Raphael(chartDiv, '100%', 280);
	}
	var numPoints = cData.seriesList[0].points.length;
	cData.yAxis.minValue = 0;
	var linechart = cvcharts.createRaphaelLinechartNew(r, cData, {
		axis : "0 1 1 1",
		chartWidth : cw,
		chartHeight : ch,
		leftMargin : leftMargin,
		topMargin : 20,
		shade : false,
		radius : 2,
		showPartialLine : true,
		showLegend : false,
		legend : 1,
		legendX : cw,
		legendY : 20,
		maxSteps : numPoints,
		maxLegendLen : 12,
		colors : cvcharts.colors[5],
		thresholdLabel : cData["yAxis"]['thresholdLabel'],
		thresholdProperties : {
			thresholdStroke : {
				"stroke" : "#008000",
				"stroke-width" : 1.5
			}
		},
	});
	//    $.each(linechart.lines, function(index,value){
	//    	var url = dashboard.getRedirectUrl(cData.seriesList[index].seriesName, cData);
	//    	value.click(function(){
	//    		window.location.href=url;
	//        }).attr('cursor', 'pointer');
	//    });
};
//dashboard.getRedirectUrl=function(entityName, cData){
//	var url='';
//	var urlParams=[];
//	if(dashboard.request.ccId!='0')
//		urlParams.push('commUniId='+dashboard.request.ccId);
//	if(dashboard.request.ccGroupId!='-1')
//		urlParams.push('ccGroupId='+dashboard.request.ccGroupId);
//	urlParams.push('entityNames='+entityName);
//
//	if(cData.entityDetails.entityType=='Disk Library'){
//		url='diskLibraryGrowth.do';
//	}
//	if(cData.entityDetails.entityType=='CommCell'){
//		url='commcellGrowth.do';
//	}
//	if(cData.entityDetails.entityType=='Agent Type'){
//		url='agentGrowth.do';
//	}
//	if(cData.entityDetails.entityType=='Client Group'){
//		url='clientGroupGrowth.do';
//	}
////	if(cData.entityDetails.entityType=='CommCell')
////		window.location.search='?commUniId='+
////	else
//		url=url+'?'+cvUtil.createParamsString(urlParams);
//	return url;
//};

dashboard.drawBarGrowthChart = function(frameid, chartData) {
	if (!chartData) {
		console.log('drawBarGrowthChart - chartdata is null...returning without doing anything.');
		return;
	}

	chartData.isStack = true;
	chartData.isShowLegend = true;

	var r = Raphael(frameid, '100%', 280);
	var minYAxisValue = chartData["yAxis"]["minValue"];
	var smooth = true;
	var temp = [];
	var temp2 = [];
	var popupLabels = [];
	var pointData = [];
	var seriesLabels = [];
	var colors = [];

	var myColor = cvcharts.colors[5];

	for (var i = 0; i < chartData.seriesList.length; i++) {
		var s = chartData.seriesList[i];
		var ctr = 0;
		for (var i = 0; i < chartData.seriesList.length; i++) {
			var s = chartData.seriesList[i];
			if (chartData.isStack == true) {
				if (chartData.colorSet != null && chartData.colorSet != undefined) {
					if (chartData.colorSet[s["seriesName"]] != null && chartData.colorSet[s["seriesName"]] != undefined) {
						s.color = chartData.colorSet[s["seriesName"]];
					} else {
						s.color = myColor[ctr++];
					}
				} else {
					s.color = myColor[i];
				}
			} else {
				s.color = myColor[0];
			}
		}
	}
	var clickParams = [];
	for (var i = 0; i < chartData.seriesList.length; i++) {
		var s = chartData.seriesList[chartData.seriesList.length - i - 1];
		var points = s.points;
		temp[i] = [];
		temp2[i] = [];
		popupLabels[i] = [];
		pointData[i] = [];
		xLabels = [];
		colors[i] = s["color"];
		clickParams[i] = [];
		for (var j = 0; j < points.length; j++) {
			temp[i][j] = points[j]["x"];
			xLabels[j] = points[j]["name"];
			temp2[i][j] = points[j]["y"] >= 0 ? points[j]["y"] : 0;
			if (points[j]["y"] <= minYAxisValue && j + 1 < points.length) {
				if (points[j + 1]["y"] <= minYAxisValue) {
					smooth = false; //don't smooth if more than 1 cnsecutive values are 0 in which case it will go below the axis line
				}
			}
			popupLabels[i][j] = points[j]["popupLabel"];
			pointData[i][j] = s["pointData"];
			clickParams[i][j] = s["seriesName"];
		}
		seriesLabels[i] = s["seriesName"];
	}

	var xAxisLabels = chartData["xAxis"]["labels"];
	if (typeof xAxisLabels == 'undefined' || !xAxisLabels.length || xAxisLabels.length < 1) {
		xAxisLabels = xLabels;
	}
	xAxisLabels = modifyLabels(xAxisLabels);

	var cw = 340, ch = 200, leftMargin = 45;
	if (frameid === 'clientsCountChart') {
		cw = 380;
		leftMargin = 60;
	}
	if (chartData.xAxis.showSkippedLabels) {
		$.each(chartData.xAxis.labels, function(i, val) {
			chartData.xAxis.labels[i] = (i % 2 == 0) ? val : '';
		});
	}

	var barH = 30;

	var totalPoints = xAxisLabels.length;
	var width = cw;
	var chart;

	//format labels
	//	seriesLabels = cvcharts.formatChartLabels(seriesLabels, 12,6);
	var height = 220;
	chart = r.barchart(15, 10, width, height, temp2, {
		stacked : true,
		nostroke : false,
		axis : "0 0 1 1",
		symbol : "circle",
		smooth : true,
		//maxy:chartData["yAxis"]["maxValue"],
		actualMaxY : chartData["stackedYAxis"]["maxValue"],
		axisxstep : totalPoints,
		//axisystep:chartData["yAxis"]["numSteps"] || 3,
		serieslabels : seriesLabels,
		colors : colors,
		//xaxiswidth:width,
		maxLegendLen : 12,
		showlegend : chartData["isShowLegend"],
		xAxisTitle : chartData["xAxisTitle"],
		yAxisTitle : chartData["yAxisTitle"],
		pointlabels : xAxisLabels,
		//    	 		yAxisTitleXPos:10,
		//    	 		topBottomDisplay:topBottomDisplay,
		showpopup : true,
		//    	 		chartDataType:chartData.chartDataType,
		showGrid : true,
		//    	 		legendAnchor:'bottom',
		barGap : 5,
		barActualWidth : 10,
		threshold : {
			value : chartData["yAxis"]['thresholdValue'],
			color : '#008000',
			label : chartData["yAxis"]['thresholdLabel']
		}
	//    	 		clickParams: clickParams
	//    	 		clickHandler:function(e){
	//    	 			var url = dashboard.getRedirectUrl(this.bar.clickParams, chartData);
	//    	 			window.location.href=url;
	//    	 		}
	//barActualHeight:20
	}, popupLabels);
	chart.heightAdjustment(frameid);

	chart.label(xAxisLabels, true);

	//	chart.label(labels, true);
	//    cvcharts.createBarChart( cData,chartDiv,cx,25, 'vbarchart', cw, ch,0, -1,null,20, true);
	//    cvcharts.createRaphaelBarchart(r, cData, {axis:"0 1 1 1",chartWidth:cw,chartHeight:ch,topMargin:0,shade:false,radius:0,showLegend:false, legend:1,legendX:cw+10,legendY:10, maxSteps:numPoints,maxLegendLen:10});
};

dashboard.handleNoData = function(viewBoxId) {
	$(viewBoxId).addClass('nodata');
};
dashboard.handleNoChartableData = function(viewBoxId) {
	$(viewBoxId).addClass('nodata');
	$(viewBoxId).find('div.showifnodata').text(cvUtil.cvLocalize("No_chartable_data_available"));
};
dashboard.cleanChart = function(viewBoxId) {
	$(viewBoxId).removeClass('nodata').removeClass('errorBox');
};

dashboard.handleError = function(viewBoxId, errorText) {
	$(viewBoxId).addClass('errorBox');
	var msg = errorText || cvUtil.cvLocalize("Something_went_wrong_please_try_again");
	$(viewBoxId).find('.showiferror').text(msg);
};
cvcharts.formatChartLabels = function(seriesLabels) {
	return seriesLabels;
};