var growth = {};
growth.selectedEntities = [];
growth.defaultGrowthType = 0;
growth.defaultAggregateType = 2;
$(document).ready(function() {
	growth.request = {};
	var entityType = window.entityType || cvUtil.getParameter('entityType', "");
	var isDedupe = window.isDedupe || cvUtil.getParameter('isDedupe', false);
	growth.request.ccGroupId = cvUtil.getParameter('ccGroupId', "-1");
	growth.request.companyId = cvUtil.getParameter('companyId', 0);
	growth.request.ccId = cvUtil.getParameter('commUniId', 0);
	growth.request.commcell = cvUtil.getParameter('commcell', 0);
	growth.request.application = cvUtil.getParameter('application');
	growth.request.agent = cvUtil.getParameter('agent');
	growth.request.growthType = cvUtil.getParameter('growthType', null);
	if (growth.request.ccId == '0') {
		$('body').addClass('worldwide');
		$('li .commcellsLink').parent().hide();
	}
	if (isDedupe == "true") {
		var isFullBackup = cvUtil.getParameter('isFullBackup', 1);
		var intervalType = cvUtil.getParameter('intervalType', 2);
		var groupBy = cvUtil.getParameter('groupBy', "");
		var groupById = cvUtil.getParameter('groupById', 0);
		growth.request.entityType = entityType;
		growth.request.growthType = 5;
		growth.request.intervalType = intervalType;// ? intervalType : window.intervalType;
		growth.request.numOfInterval = 12;
		growth.request.isFullBackup = isFullBackup;// ? isFullBackup : window.isFullBackup;
		growth.request.entityId = cvUtil.getParameter('entityId', 0);
		if (groupById != 0) {
			growth.request.groupById = groupById;
		}

		if (entityType == "CommCell") {
			growth.request.entityDisplayType = "CommCell Dedupe Savings";
			growth.request.groupBy = groupBy != "" ? groupBy : "CommCell";
		} else if (entityType == "Agent Type") {
			growth.request.entityDisplayType = "Agent Dedupe Savings";
			growth.request.groupBy = groupBy != "" ? groupBy : "Agent Type";
		} else if (entityType == "Storage Policy") {
			growth.request.entityDisplayType = "Storage Policy Dedupe Savings";
			growth.request.groupBy = groupBy != "" ? groupBy : "Storage Policy";

		} else if (entityType == "Subclient") {
			growth.request.entityDisplayType = "Subclient Dedupe Savings";
			growth.request.groupBy = groupBy != "" ? groupBy : "Subclient";
		}

		if ((entityType == "CommCell" && groupBy != "" && groupBy != "CommCell")) {
			$("#dedupeGroupBy").show();
		} else if (entityType == "Agent Type") {
			if (groupBy != "" && groupBy != "Agent Type") {
				$("#dedupeGroupBy").show();
			}
		}

		$("#commcellGroupBy").show();
		$("#agentTypeGroupBy").show()
		if (entityType == "CommCell") {
			$("#commcellGroupBy").hide();
		}

		if (entityType == "Agent Type") {
			$("#agentTypeGroupBy").hide();
		}

	} else if (entityType.toLowerCase() == 'disklibrary') {
		growth.request.entityType = 'Disk Library';
		growth.request.entityDisplayType = 'Disk Library Growth';
		growth.entityColumnName = 'Library Name';
		$('#yAxisSelection').hide();
		$('#aggregateSelection').css('margin-left', '100px');
	} else if (entityType.toLowerCase() == 'cloudlibrary') {
		growth.request.entityType = 'Cloud Library';
		growth.request.entityDisplayType = 'Cloud Library Growth';
		growth.entityColumnName = 'Library Name';
		$('#yAxisSelection').hide();
		$('#aggregateSelection').css('margin-left', '100px');
	} else if (entityType.toLowerCase() == 'commcell') {
		growth.request.entityType = 'CommCell';
		growth.request.entityDisplayType = 'CommCell Growth';
		growth.entityColumnName = 'CommCell';
	} else if (entityType.toLowerCase() == 'agent') {
		growth.request.entityType = 'Agent Type';
		growth.request.entityDisplayType = 'Agent Type Growth';
		growth.entityColumnName = growth.request.agent ? 'CommCell' : 'Agent Name';
	} else if (entityType.toLowerCase() == 'clientgroup') {
		growth.request.entityType = 'Client Group';
		growth.request.entityDisplayType = 'Client Group Growth';
		growth.entityColumnName = 'Client Group';
	} else if (entityType.toLowerCase() == 'capacity') {
		growth.request.entityType = 'Capacity License Usage';
		growth.request.entityDisplayType = 'Capacity License Usage';
		growth.entityColumnName = growth.request.commcell ? 'Agent Name' : 'CommCell';
		growth.defaultGrowthType = 2;
		growth.request.growthType = growth.request.growthType != null ? growth.request.growthType
				: growth.defaultGrowthType;
	} else if (entityType.toLowerCase() == 'clientscount') {
		growth.request.commUniId = growth.request.ccId;
		growth.request.isClientsCount = true;
		growth.request.entityType = 'ClientsCount';
		growth.request.entityDisplayType = 'Clients Count';
		growth.request.intervalType = 3;
		growth.request.growthType = 6;
	}
	if (entityType.toLowerCase() == 'capacitybyapplication') {
		growth.request.entityType = 'Capacity License Usage by Application';
		growth.request.entityDisplayType = 'Capacity License Usage by Agent';
		growth.entityColumnName = growth.request.application ? 'CommCell Name' : 'Agent Name';
		growth.defaultGrowthType = 2;
		growth.request.growthType = growth.request.growthType != null ? growth.request.growthType
				: growth.defaultGrowthType;
	}
	growth.drawTable();
	growth.initComponents();
});

growth.exportSummary = function() {
	var summary = "<table id=\"reportSummary\">";
	summary += "<tr><td><u>" + cvUtil.cvLocalize("Summary") + "</u></td><td></td></tr>";
	var backup = cvUtil.cvLocalize("Full");
	if (growth.request.isFullBackup === '0') {
		backup = cvUtil.cvLocalize("Incremental.Differential");
	} else if (growth.request.isFullBackup === '2') {
		backup = cvUtil.cvLocalize("Full.Incremental.Differential");
	}
	summary += "<tr><td>" + cvUtil.cvLocalize("Backup_Type") + ":</td><td> " + backup + "</td></tr>";

	var interval = cvUtil.cvLocalize("Daily");
	if (growth.request.intervalType === '2') {
		interval = cvUtil.cvLocalize("Weekly");
	} else if (growth.request.intervalType === '3') {
		interval = cvUtil.cvLocalize("Monthly");
	}

	summary += "<tr><td>" + cvUtil.cvLocalize("chargeback.time_interval") + ":</td><td> " + interval + "</td></tr>";
	summary += "</table>";
	var ele = '<div id="summary">' + summary + '</div>';
	$('#chartContainer').append(ele);
};
growth.drawTable = function() {
	var isDedupe = window.isDedupe || cvUtil.getParameter('isDedupe', false);
	var view = {};
	view.title = '';
	view.filters = true;
	view.collapsible = true;
	view.alarm = true;
	view.exportExcel = true;
	view.colChooser = true;
	$("#growthTable").empty();
	$('#tableWrapper').append(SurveyTemplates.makeReportTable('growthTable', view));
	cvUtil.loadPageWithPOST(cvUtil.getContextPath() + '/server/entityGrowthTable.do', growth.request, function(data) {
		growth.createTable(data.data.cData, 'growthTable');
	});
	if (isDedupe === 'true' && exportRequest && exportRequest === 'csv') {
		growth.exportSummary();
	}
}
growth.initComponents = function() {
	var a = '<a class="smartLinkMain growthDashboardLink" href="growthDashboard.jsp' + window.location.search + '">' +
			cvUtil.cvLocalize("growth.Growth_Dashboard") + '</a>';
	$('#breadcrumbMain').append('<li class="secTitleClickable smartlinkMain withSeparatorMain">' + a + '</li>');
	var entityDisplayType = growth.request.entityDisplayType;
	if (growth.request.application) {
		entityDisplayType = growth.request.application + ' - ' + entityDisplayType;
	}
	surveyCommon.initComponents(entityDisplayType,
			growth.request.ccId || growth.request.commcell,
			growth.request.ccGroupId,
			growth.request.companyId);
	reportsUtil.setWorldwideLink(!isPublicMetrics);
	if (growth.request.commcell) { //we have drilled down on a commcell
		$('#commcellUrl').click(function(e) {
			delete growth.request.aggregate;
			delete growth.selectedEntities;
			delete growth.request.commcell;
			growth.updateHash();
			growth.updateHash('commUniId', null);
			window.location.href = 'capacityGrowth.do' + location.search;
			e.preventDefault();
		});
	}

};

growth.createTable = function(data, tableDiv) {
	var dateIndex = 4, ctr = 0, total = 5;
	data.iDisplayLength = 100;
	var opt = {};

	if (exportRequest) {
		data.iDisplayLength = -1;
	}
	if (data.aoColumns && !$('body').hasClass('exportfriendly') && !(growth.request.growthType === 6)) {
		var firstColumn = data.aoColumns[0];
		opt.growthAndTrendTable = true;
		firstColumn['bUseRendered'] = false;
		firstColumn['bFilterRendered'] = false;
		data.aoColumns.splice(0, 0, {
			"sTitle" : '',
			"sWidth" : "20px",
			"mDataProp" : firstColumn["mDataProp"],
			"bSortable" : false,
			'bUseRendered' : false,
			'bFilterRendered' : false,
			'rendererType' : 'selectionRenderer'
		});
	}
	var drillDownType = '';
	if (entityType.toLowerCase() == 'capacity' && !growth.request.commcell) {
		if (data.aoColumns[2].mDataProp == 'CommCell') {
			data.aoColumns[2].rendererType = 'drillDownRenderer';
			drillDownType = 'commcell';
		}
	}

	if (parseInt(growth.request.ccId) <= 0 && entityType.toLowerCase() === 'capacitybyapplication' &&
			!growth.request.application) {
		$.each(data.aoColumns, function(index, value) {
			if (value.sTitle === "Agent Name") {
				value.rendererType = 'drillDownRenderer';
				drillDownType = 'application';
			}
		});

	} else if (parseInt(growth.request.ccId) <= 0 && entityType.toLowerCase() === 'agent' &&
			!growth.request.application) {
		$.each(data.aoColumns, function(index, value) {
			if (value.sTitle === "Agent Name") {
				value.rendererType = 'drillDownRenderer';
				drillDownType = 'agent';
			}
		});
	}

	if (growth.request.growthType == 5) {
		var groupBy = growth.request.groupBy;

		if (entityType == 'CommCell') {
			if (groupBy == 'CommCell') {
				$.each(data.aoColumns, function(index, value) {
					if (value.sTitle === "CommCell Name") {
						value.rendererType = 'drillDownRenderer';
						drillDownType = 'commcell';
						growth.entityColumnName = "CommCell Name";
					}
				});
			} else {
				$("#dedupeGroupBy").show();
				growth.entityColumnName = "Entity Name";
			}
		} else if (entityType == 'Agent Type') {
			if (groupBy == 'Agent Type' && growth.request.entityId == 0) {
				$.each(data.aoColumns, function(index, value) {
					if (value.sTitle === "Agent Name") {
						value.rendererType = 'drillDownRenderer';
						drillDownType = "agenttype";
						growth.entityColumnName = "Agent Name";
					}
				});
			} else if (groupBy == 'CommCell') {
				growth.entityColumnName = "CommCell Name";
			} else {
				growth.entityColumnName = "Entity Name";
			}
		} else {
			growth.entityColumnName = "Entity Name";
		}

		/*
		 * if (groupBy !='CommCell' && groupBy!='Agent Type') { dateIndex=6; }
		 * 
		 * for (; ctr<total; dateIndex++, ctr++) { data.aoColumns[dateIndex].bVisible = false; }
		 */

	} else if (growth.request.growthType == 6 && parseInt(growth.request.ccId) <= 0) {
		if (data.aoColumns[1].mDataProp == 'CommCell Name') {
			data.aoColumns[1].rendererType = 'drillDownRenderer';
			drillDownType = 'commcell';
		}
	}

	$.each(data.aoColumns, function(columnCount, columnValue) {
		columnValue.bUseRendered = false;
	});

	if (growth.request.growthType == 5) {
		$.each(data.aoColumns, function(columnCount, columnValue) {
			if (!columnValue.rendererType && columnValue.sqlType == 'Decimal') {
				columnValue.rendererType = 'NumberNA';
			}
		});
	}

	//	if(entityType.toLowerCase()=='agent'&&!growth.request.agent){
	//		data.aoColumns[2].sClass='enableDrillDown';
	//		drillDownType='agent';
	//	}
	$(document).off("keyup", "#" + tableDiv + " .inLineFilter");
	Reports.configureClientSideTableWithPaging(tableDiv, '', data, undefined, opt);
	var oTable = $("#" + tableDiv + CVTable.table).dataTable();
	if (drillDownType) {
		$('#growthTable table').on('click',
				'td .enableDrillDown',
				function() {
					var tr = $(this).closest('tr');
					if ($(tr).find("td .enableDrillDown").text().toLowerCase() == 'total') {
						return;
					}
					var aData = oTable.fnGetData(tr[0]);
					delete growth.selectedEntities;
					delete growth.request.aggregate;

					if (growth.request.growthType == 5) {
						delete growth.request.groupBy;
						if (drillDownType == "agenttype") {
							growth.request.application = aData[growth.entityColumnName];
						}

						growth.updateHash(null, null, true);

						var temp = '?';
						if (location.search) {
							temp = location.search + '&';
						}

						if (drillDownType == 'commcell') {

							var ccId = aData["CommservUniqueId<DONOTSHOW>"];
							var newHref = 'commcellDedupeSavings.do' + temp + "commUniId=" + ccId +
									"&entityType=CommCell&entityId=" + ccId;
							if (growth.request.ccId != 0) {
								newHref = newHref + "&groupBy=Storage Policy&groupById=" + ccId;
							}
							window.location.href = newHref;
						} else if (drillDownType == "agenttype") {
							window.location.href = 'agentDedupeSavings.do' + temp + "entityType=Agent Type&entityId=" +
									aData['EntityId<DONOTSHOW>'] + "&groupBy=Storage Policy&groupById=" +
									aData['EntityId<DONOTSHOW>'];
						}
						//				else if (drillDownType=="storagepolicy") {
						//					var spId = aData["EntityId<DONOTSHOW>"];
						//					window.location.href='spDedupeSavings.do'+temp+ "commUniId=" + ccId + "&entityType=Storage Policy&entityId=" + spId + "&groupBy=Subclient";
						//				}
						//				else if (drillDownType=="agenttype")
						//					window.location.href='agentDedupeSavings.do'+temp+ "groupBy=Storage Policy";
					} else {
						if (drillDownType == 'commcell') {
							var selectedCommUniId = aData['CommServ UniqueId<DONOTSHOW>'];
							growth.updateHash(null, null, true);
							var temp = '?';
							if (location.search) {
								temp = location.search + '&';
							}
							window.location.href = 'capacityByApplicationGrowth.do' + temp + 'commUniId=' +
									selectedCommUniId;
						}
						if (drillDownType == 'application') {
							var application = aData['Agent Name'];
							growth.updateHash(null, null, true);
							var temp = '?';
							if (location.search) {
								temp = location.search + '&';
							}
							window.location.href = 'capacityByApplicationGrowth.do' + temp + 'application=' +
									application;
						}
						if (drillDownType == 'agent') {
							var agent = aData['Agent Name'];
							growth.updateHash(null, null, true);
							var temp = '?';
							if (location.search) {
								temp = location.search + '&';
							}
							window.location.href = 'agentGrowth.do' + temp + 'agent=' + agent;
						}

					}
				});
	}
	var pageLengthDiv = $("#" + tableDiv + "_table_wrapper .dataTables_length").detach();
	pageLengthDiv.appendTo($("#" + tableDiv + " .rptTblBtnEncDiv"));
	$("#drawChart").prependTo($("#" + tableDiv));

	$('input#growthTable_filterText-0').remove();
	growth.historychanged();
	report.idtomask = 'growthTable';
	growth.updateHash();
	//	report.mask(report.idtomask);
	$('#growthTable tbody').on("checkedState", '.entitySelection', function() {
		var selectedCb = $(this);
		if (growth.selectedEntities == undefined) {
			growth.selectedEntities = [];
		}
		if (growth.selectedEntities.length >= 10) {
			cvUtil.toast('Maximum 10 entities can be selected.');
			window.setTimeout(function() {
				unCheckCb(selectedCb, false);
			}, 5);
			return;
		}
		var entityName = $(this).attr('data-entity');
		growth.selectedEntities.push(entityName);
		growth.addEntityToChart(entityName, growth.selectedEntities);
		growth.updateHash();
		if (growth.request.application) {
			growth.cachedCommcells[entityName] = $(this).attr('data-commcell');
		}
	}).on("unCheckedState", '.entitySelection', function() {
		var entityName = $(this).attr('data-entity');
		growth.removeEntityFromChart(entityName);
		growth.updateHash();
		if (growth.request.application) {
			growth.cachedCommcells[entityName] = $(this).attr('data-commcell');
		}
	});
};
growth.drawChartFromSelectedEntities = function() {
	growth.drawChartInSelectedMode(growth.selectedEntities);
};
//History.Adapter.bind(window, 'statechange', function() {
//	if(growth.fireHistoryChange){
//		growth.historychanged();
//	}
//});
growth.updateHash = function(name, value, clearAll) {
	report.fireHistoryChange = false;
	growth.fireHistoryChange = false;
	var params = cvUtil.getUrlParams();
	if (clearAll) {
		var retainList = [ 'commUniId', 'ccGroupId', 'companyId' ];
		for ( var i in params) {
			if (retainList.indexOf(i) == -1) {
				delete params[i];
			}
		}
	}
	if (!name) {
		updateParamToUrl(params,
				'entityNames',
				growth.selectedEntities ? growth.selectedEntities.join(',') : null,
				true);
		updateParamToUrl(params, 'chartType', growth.chartType ? growth.chartType : null, true);
		updateParamToUrl(params, 'aggregate', growth.request.aggregate, true);
		updateParamToUrl(params, 'growthType', growth.request.growthType ? growth.request.growthType : null, true);
		updateParamToUrl(params, 'commcell', growth.request.commcell ? growth.request.commcell : null, true);
		updateParamToUrl(params, 'application', growth.request.application ? growth.request.application : null, true);
		updateParamToUrl(params, 'agent', growth.request.agent ? growth.request.agent : null, true);
		if (growth.request.growthType == 5) {
			updateParamToUrl(params, 'isFullBackup', growth.request.isFullBackup, true);
			updateParamToUrl(params, 'intervalType', growth.request.intervalType, true);
			updateParamToUrl(params, 'groupBy', growth.request.groupBy, true);
		}
	} else {
		updateParamToUrl(params, name, value, true);
	}
	var url = cvUtil.requestToUrl(params);
	var requestString = report.requestString;
	$.each(params, function(name, value) {
		requestString[name] = value;
	});
	History.replaceState(null, document.title, "?" + url);
	growth.fireHistoryChange = true;
};
growth.historychanged = function() {
	var temp = cvUtil.getParameter('entityNames');
	growth.chartType = cvUtil.getParameter('chartType', 'line');
	if (temp) {
		growth.selectedEntities = temp.split(',');
		checkCb($("#growthTable table .entitySelection[data-entity]").filter(function() {
			if ($.inArray($(this).attr("data-entity"), growth.selectedEntities) != -1) {
				growth.cachedCommcells[$(this).attr("data-entity")] = $(this).attr('data-commcell');
				return true;
			}
			return false;
		}));
	}
	if (growth.request.growthType != 5 && growth.request.growthType != 6) {
		growth.request.growthType = cvUtil.getParameter('growthType', growth.defaultGrowthType);
	}
	growth.request.aggregate = cvUtil.getParameter('aggregate', growth.defaultAggregateType);
	growth.initChartComponentsFromUrl();
	if (growth.request.aggregate == 0) {
		growth.drawChartInSelectedMode(growth.selectedEntities);
	} else {
		growth.toggleChartMode(growth.request.aggregate);
	}
};
Reports.Renderers = Reports.Renderers || {};
Reports.Renderers.selectionRenderer = function(o, val) {
	var entityName = o.aData[growth.entityColumnName];
	var commcellId = 0;
	var entityId = 0;
	if (entityName && entityName.toString().trim().toLowerCase() == 'total') {
		return '';
	}
	if (growth.request.growthType == 5) {
		entityId = o.aData["EntityId<DONOTSHOW>"];
		commcellId = o.aData["CommservUniqueId<DONOTSHOW>"];
		if (growth.request.entityType == 'CommCell') {
			if (commcellId == undefined) {
				commcellId = 0;
			}
			if (growth.request.groupBy == 'CommCell' || growth.request.groupBy == "") {
				entityName = commcellId + "_" + commcellId;
			} else {
				entityName = commcellId + "_" + entityId;
			}
		} else if (growth.request.entityType == 'Agent Type') {
			if (growth.request.groupById != undefined && growth.request.groupById != 0) {
				if (growth.request.groupBy == 'CommCell') {
					entityName = commcellId + "_" + commcellId;
				} else {
					entityName = commcellId + "_" + entityId;
				}
			} else {
				entityName = growth.request.ccId + "_" + entityId;
			}

		} else {
			entityName = commcellId + "_" + entityId;
		}
	} else if (entityType.toLowerCase() === 'capacitybyapplication' || entityType.toLowerCase() === 'agent') {
		commcellId = o.aData["CommServ UniqueId<DONOTSHOW>"];
		if (commcellId > 0) {
			entityName = commcellId;
		}
	}

	var html = $('<div class="entitySelection custom-cb unchecked" data-state="unchecked"></div>');
	html.attr('data-entity', entityName);
	html.attr('data-entityDisplayName', o.aData[growth.entityColumnName]);
	if (growth.request.application) {
		var commcellName = o.aData['CommCell Name'];
		html.attr('data-commcell', commcellName);
	}
	var c = $('<div />').append(html);
	return c.html();
};

Reports.Renderers.drillDownRenderer = function(o, val) {
	var entityName = o.aData[growth.entityColumnName];
	if (entityName && entityName.toString().trim().toLowerCase() == 'total') {
		return entityName;
	}
	var temp = "?";
	if (location.search) {
		temp = location.search + "&";
	}
	var path = "";
	if (growth.request.growthType == 5) { //Dedupe
		if (entityType == "CommCell" && growth.request.groupBy == "CommCell") {
			var ccId = o.aData["CommservUniqueId<DONOTSHOW>"];
			path = "commcellDedupeSavings.do" + temp + "commUniId=" + ccId + "&entityType=CommCell&entityId=" + ccId;
			if (growth.request.ccId != 0) {
				path = path + "&groupBy=" + encodeURIComponent("Storage Policy") + "&groupById=" + ccId;
			}
		} else if (entityType == "Agent Type" && growth.request.groupBy == "Agent Type") {
			path = "agentDedupeSavings.do" + temp + "entityType=" + encodeURIComponent("Agent Type") + "&entityId=" +
					o.aData['EntityId<DONOTSHOW>'] + "&groupBy=" + encodeURIComponent("Storage Policy") +
					"&groupById=" + o.aData['EntityId<DONOTSHOW>'];
		}

	} else if (growth.request.growthType == 6) { //clients count
		var ccId = o.aData["CommservUniqueId<DONOTSHOW>"];
		path = "clientsCount.do" + temp + "commUniId=" + ccId + "&entityType=ClientsCount";
	} else {
		if (entityType.toLowerCase() == 'capacitybyapplication') {
			path = "capacityByApplicationGrowth.do" + temp + "application=" + encodeURIComponent(val);
		} else if (entityType.toLowerCase() == 'capacity') {
			var selectedCommUniId = o.aData['CommServ UniqueId<DONOTSHOW>'];
			path = 'capacityByApplicationGrowth.do' + temp + 'commUniId=' + selectedCommUniId;
		} else if (entityType.toLowerCase() == 'agent') {
			path = "agentGrowth.do" + temp + "application=" + encodeURIComponent(val);
		}
	}
	return "<div><a href=" + cvUtil.getContextPath() + "/survey/reports/" + path + ">" + val + "</a></div>";
};
function updateParamToUrl(params, name, value, isReplace) {
	if (value == null) {
		if (params[name]) {
			delete params[name];
		}
	} else {
		if (params[name] == value) {
			return;
		}
		params[name] = value;
	}
}