var commCellSearchLoaded = false;
$("body").on("click", ".navHeaderLi", function(e) {
	var ele = $(this);
	var divid = ele.attr('data-div');
	if (divid) {
		divid = divid.toLowerCase();
	}
	if (divid == "dashboard" && commCellSearchLoaded == false) {
		search();
	}
});

function search(opts) {
	opts = opts || {};
	var availableTags = new Array();
	var URL = "survey.do?action=CommCellsForSearch";
	var ccGroupId = cvUtil.getParameter('ccGroupId', -1);
	var companyId = cvUtil.getParameter('companyId', 0);
	var surveyId = cvUtil.getParameter('surveyId', 0);
	var unicID = cvUtil.getParameter('commUniId', 0);

	var commcellListPage = window.location.href.indexOf("monitoringform.jsp");
	var isDatasourceList = false;

	if (ccGroupId > 0) {
		URL += '&ccGroupId=' + cvUtil.getParameter('ccGroupId');
	}
	if (companyId > 0) {
		URL += '&companyId=' + cvUtil.getParameter('companyId');
	}
	if (commcellListPage > -1) {
		URL += '&commcellListPage=' + true;
	}
	//	if (opts.isHealthReport == 'true' && opts.isMetricsInstalled) {
	//		URL += '&dataSourceList=true';
	//		isDatasourceList = true;
	//	}

	var page = '';
	if (typeof opts.page !== 'undefined' && opts.page) {
		page = opts.page;
	} else {
		page = window.location.pathname;
	}

	var searchCtrl = $("#st").autocomplete({
		"position" : {
			"my" : "right top",
			"at" : "right bottom",
			"of" : "#search"
		},
		minLength : 3,
		"source" : function(request, response) {
			if (isDatasourceList) {
				var results = $.ui.autocomplete.filter(availableTags, request.term);
				response(results.slice(0, 50));
			} else {
				var searchURL = URL + '&keyword=' + request.term;
				cvUtil.loadPageWithPOST(searchURL, null, function(newData) {
					jQuery.fn.extend({
						propAttr : $.fn.prop || $.fn.attr
					});

					availableTags = newData;
					window.commcellSearchData = newData;
					response(newData.slice(0, 50));
				});
			}
		},
		"focus" : function(event, ui) {
			$('#st').val(ui.item.label);
		},

		"select" : function(event, ui) {
			$('#st').val(ui.item.label);
			if (page.indexOf('/reports/index.jsp') > 0) {
				page = page.replace("/reports/index.jsp", "/survey/reports/dashboard.jsp")
			}
			if (ui.item.companyId && ui.item.companyId > 0) {
				page = page.replace('indcommcellsurvey.jsp', 'CommCellSurvey.jsp');
				page = page + "?companyId=" + ui.item.companyId;
			} else {
				page = page + "?commUniId=" + ui.item.commUniId;

				if (companyId > 0 && (CvUserDefaultDashboardGroupId <= 0 || (companyId != CvUserDefaultDashboardGroupId))) {
					page = page + "&companyId=" + companyId;
				}
				if (ccGroupId > 0) {
					page = page + "&ccGroupId=" + ccGroupId;
				}
			}
			if (surveyId) {
				page = page + "&surveyId=" + surveyId;
			}
			window.location = page;
			return false;
		}
	});

	if (isPublicMetricsCloud) {//Show icons
		searchCtrl.data("autocomplete")._renderItem = function(ul, item) {
			var svgIcon = '<svg  xmlns="http://www.w3.org/2000/svg"  width="16" height="16" viewBox="0 0 25 25"><polygon  points="1.99 14.49 6.86 11.62 11.84 14.49 11.84 20.13 6.86 23.01 1.99 20.13 1.99 14.49"/><polygon  points="7.52 4.87 12.39 1.99 17.37 4.87 17.37 10.51 12.39 13.38 7.52 10.51 7.52 4.87"/><polygon  points="13.16 14.49 18.03 11.62 23.01 14.49 23.01 20.13 18.03 23.01 13.16 20.13 13.16 14.49"/></svg>';
			if (item.companyId && item.companyId > 0) {
				svgIcon = '<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 25 25"><path d="M12.49,24.45H3.09c-.25,0-.32-.07-.3-.3s0-.37,0-.56a.38.38,0,0,1,.42-.42c.51,0,.51,0,.51-.54q0-7.37,0-14.73c0-.43,0-.49.44-.62l5-1.63L13.82,4.1a.66.66,0,0,1,.6.06l6.58,4a.54.54,0,0,1,.28.53q0,7.05,0,14.1c0,.31,0,.31.31.32.51,0,.6.1.6.6,0,.22.06.53-.05.63s-.42.06-.65.06ZM14.1,4.87c0,.16,0,.24,0,.32q0,8.83,0,17.66c0,.32,0,.32.33.32h5.8c.33,0,.33,0,.33-.32q0-6.83,0-13.66a.57.57,0,0,0-.3-.55L15.19,5.54Zm-2.28,6.24h0c0-.2,0-.41,0-.61a.37.37,0,0,0-.44-.39l-.32.06-1.34.32-3.27.78c-.19,0-.35.14-.35.37s0,.75,0,1.12.17.4.46.36.37-.07.55-.11l4.34-.91a.4.4,0,0,0,.38-.45C11.83,11.49,11.83,11.3,11.83,11.11Zm0-3h0q0-.15,0-.3c0-.1,0-.2,0-.3a.37.37,0,0,0-.5-.38c-.23.05-.45.13-.67.19L6.43,8.56a.39.39,0,0,0-.33.37c0,.37,0,.75,0,1.12a.31.31,0,0,0,.36.31,1.54,1.54,0,0,0,.3,0l4.68-1.19a.42.42,0,0,0,.38-.47C11.83,8.47,11.83,8.3,11.83,8.12Zm0,6h0q0-.26,0-.51s0,0,0,0c0-.32-.17-.46-.48-.42s-.54.09-.81.14l-2.32.43L6.42,14a.36.36,0,0,0-.32.39c0,.33,0,.65,0,1a.36.36,0,0,0,.46.39l1.11-.15,3.77-.54a.4.4,0,0,0,.39-.41C11.84,14.5,11.83,14.3,11.83,14.11Zm0,3h0c0-.15,0-.3,0-.44,0-.46-.13-.58-.57-.53-.77.09-1.53.19-2.29.29l-2.52.34a.35.35,0,0,0-.34.39c0,.32,0,.64,0,1s.16.43.46.4l4.84-.41a.41.41,0,0,0,.43-.46C11.84,17.46,11.83,17.28,11.83,17.11ZM8.94,21.16h0l2.41-.06c.34,0,.48-.15.48-.49s0-.64,0-1-.13-.55-.55-.52l-4.8.37c-.29,0-.38.12-.39.42s0,.58,0,.86.13.48.49.47Z"/><path d="M19.53,6.65c-.23-.14-.44-.26-.63-.4A.33.33,0,0,1,18.82,6c0-.3,0-.61,0-.91a.53.53,0,0,0-.25-.49l-2.9-2.1c-.45-.33-.91-.65-1.36-1a.51.51,0,0,0-.54-.08L6.83,4.12c-.73.28-.64.24-.64,1,0,.26,0,.53,0,.79a.23.23,0,0,1-.2.26c-.17,0-.34.1-.53.16,0-.11,0-.18,0-.26,0-.63,0-1.26,0-1.89a.39.39,0,0,1,.29-.42l4-1.52L14,.55a.39.39,0,0,1,.32,0q2.55,1.83,5.09,3.69a.42.42,0,0,1,.17.28c0,.65,0,1.29,0,1.94A.93.93,0,0,1,19.53,6.65Z"/></svg>';
			}
			return $('<li></li>').data("item.autocomplete", item).append('<a class="cc-search-item">' + svgIcon +
					'<span class="search-item-label">' + item.label + '</span></a>').appendTo(ul);
		};
	}

	$('#sb').click(function() {
		if ($("#st").val()) {
			$("#st").autocomplete("search", $("#st").val());
		} else {
			$("#st").autocomplete("search", "   ");
		}
		$("#st").select();
	});
	cvUtil.loadPageWithPOST(URL, null, function(data) {
		if (isDatasourceList) {
			$.each(data.records, function(i, val) {
				var labelStr = '';
				availableTags.push({
					label : val[1],
					value : val[1],
					commUniId : val[0]
				});
			});
			availableTags.sort(function(a, b) {
				if (a.label.toLowerCase() < b.label.toLowerCase()) {
					return -1; //return any +ve values			
				} else if (a.label.toLowerCase() > b.label.toLowerCase()) {
					return 1; // return any -ve values			
				} else {
					return 0; // return zero for equal values			
				}
			});
		}else{
			window.commcellSearchData = data;
		}
		//Initial loading
		if (isPublicMetricsCloud){
			$("#st").attr("placeholder", cvUtil.cvLocalize("Search_cloud"));
			$("#st").attr("title", cvUtil.cvLocalize("Search_Company_CommCell_help"));
			$("#sb").attr("title", cvUtil.cvLocalize("Search_Company_CommCell_help"));
		}else{
			$("#st").attr("placeholder", cvUtil.cvLocalize("Search_CommCell"));
		}
		$("#search").removeClass("loading");
		$("#headerSearchCC").removeClass("wait");
		$("#st").autocomplete("widget").addClass("on-top");
	});
	//window.waitress = new Waitress();
	var decimalToHex = function(d, padding) {
		var hex = Number(d).toString(16);
		if (hex == -1) {
			return "FFFFFFFF";
		}
		padding = typeof (padding) === "undefined" || padding === null ? padding = 2 : padding;
		while (hex.length < padding) {
			hex = "0" + hex;
		}
		return hex.toUpperCase();
	};

	return availableTags;
}