(function(surveyExports) {
	var commUniId = cvUtil.getParameter('commUniId', 0);
	var ccGroupId = cvUtil.getParameter('ccGroupId', 0);
	var companyId = cvUtil.getParameter('companyId', 0);

	function init() {

	}

	function getCommCellDetailsOfUid(uid, sid, callback) {
		var URL = "survey.do?action=CommCellDetailsUid&commUniId=" + uid;
		if (sid) {
			URL = URL + "&survey=" + sid;
		}
		var ccGroupId = cvUtil.getParameter('ccGroupId', -1);
		if (ccGroupId > 0) {
			URL = URL + "&ccGroupId=" + ccGroupId;
		}
		var companyId = cvUtil.getParameter('companyId', 0);
		if (companyId > 0) {
			URL = URL + "&companyId=" + companyId;
		}
		cvUtil.loadPageWithPOST(URL, null, function(output) {
			var data = output;//jQuery.parseJSON(output);
			if (typeof SurveyGlobals == 'undefined') {
				SurveyGlobals = {};
			}
			if (data.CommCellID != undefined) {
				commCellId = data.CommCellHexID;
				SurveyGlobals.commCellId = commCellId;
			} else {
				commCellId = " ";
				SurveyGlobals.commCellId = commCellId;
			}
			if (data.IP != undefined) {
				commIpAddr = data.IP;
				SurveyGlobals.commIpAddr = commIpAddr;
			} else {
				commIpAddr = " ";
				SurveyGlobals.commIpAddr = commIpAddr;
			}
			if (data.GUID != undefined) {
				CommGuiId = data.GUID;
				SurveyGlobals.CommGuiId = CommGuiId;
			} else {
				CommGuiId = " ";
				SurveyGlobals.CommGuiId = CommGuiId;
			}
			if (data.Customer != undefined) {
				clientName = data.Customer;
				SurveyGlobals.clientName = clientName;
			} else {
				clientName = " ";
				SurveyGlobals.clientName = clientName;
			}
			if (data.Version != undefined) {
				Version = data.Version;
				SurveyGlobals.Version = Version;
			} else {
				Version = " ";
				SurveyGlobals.Version = Version;
			}
			if (data.MonitoredGroup != undefined) {
				MonitoredGroup = data.MonitoredGroup;
				SurveyGlobals.MonitoredGroup = MonitoredGroup;
			} else {
				MonitoredGroup = " ";
				SurveyGlobals.MonitoredGroup = MonitoredGroup;
			}
			if (data.time != undefined) {
				collectiontime = data.time;
				SurveyGlobals.collectiontime = collectiontime;
			} else {
				collectiontime = " ";
				SurveyGlobals.collectiontime = collectiontime;
			}
			if (data.TimeZone != undefined) {
				tZ = data.TimeZone;
				SurveyGlobals.tZ = tZ;
			} else {
				tZ = " ";
				SurveyGlobals.tZ = tZ;
			}

			var GroupName;
			if (data.GroupName) {
				GroupName = data.GroupName;
			}
			SurveyGlobals.GroupName = GroupName;

			CommCellCount = 0;
			if (data.CommCellCount) {
				CommCellCount = data.CommCellCount;
			}
			SurveyGlobals.CommCellCount = CommCellCount;

			callback(data);
		});
	}

	surveyExports.surveyUtils = {
		getCommCellDetailsOfUid : getCommCellDetailsOfUid
	};

}(window));