var testAlertCriteria = (function() {
	var testCriteria = {};
	testCriteria.iframe = {};

	testCriteria.init = function() {
		// Get a handle to the iframe element
		testAlertCriteria.iframe = window.frames['iframe_testCriteria'];
		testCriteria.tableGridId = populateTableID();
		testCriteria.report = $("#surveyHeaderRow #surveyName").text();
		//mask the content
		//$("#tableWrapper").mask("");

		//wait for iframe to load
		if (window.testCriteriaString) {
			displayTestCriteria(JSON.parse(unescape(window.testCriteriaString)));
		}
		
		//checkIframeLoaded();
	}
	checkIframeLoaded = function() {
		//Check if it is health report with no data
		if (testCriteria.report && testCriteria.report.indexOf("Health") > -1) {
			if (testCriteria.iframe.document.getElementById("noDataNotificationPanel")) {
				var noDataNotificationPanel = testCriteria.iframe.document.getElementById("noDataNotificationPanel");
				if ($(noDataNotificationPanel).is(":visible")) {
					$("#tableWrapper .table").append(noDataNotificationPanel);
					$("#tableWrapper").unmask();
					return;
				}
			}
		}

		// Check if loading is complete
		if (testCriteria.iframe.document.getElementById(testCriteria.tableGridId)) {
			afterLoading(testCriteria.iframe.document.getElementById(testCriteria.tableGridId))
			return;
		}
		// If we are here, it is not loaded. Set things up so we check   the status again in 5000 milliseconds
		window.setTimeout(this.checkIframeLoaded, 5000);
	};

	function afterLoading(iframe_table) {
		$("#tableWrapper .table").append(iframe_table);
		$("#tableWrapper .table").find("#filterRow_" + testCriteria.tableGridId).hide();
		$("#tableWrapper .table").find(".rptTblBtnEncDiv").hide();
		//unmask the content
		$("#tableWrapper").unmask();
	}

	function displayTestCriteria(testCriteriaString) {
		$.each(testCriteriaString, function(index, value) {
			$('<li />', {
				html : decodeURIComponent(value)
			}).appendTo('ul#testCriteriaList');
		});
	}

	function populateTableID() {
		var tableGridId = $("#tableWrapper .table").attr('id');
		if ((tableGridId == undefined || tableGridId == null) &&
				(testCriteria.report && testCriteria.report.indexOf("Health") > -1)) {
			var iframeTableWrapper = testCriteria.iframe.document.getElementById("tableWrapper");
			tableGridId = $(iframeTableWrapper).find(".reportTable").attr("id");
		}
		return tableGridId;
	}
	return testCriteria;

}).call(this);

$(document).ready(function() {
	testAlertCriteria.init();
});