	function showErrorResponse(msg){
		$('.errorResponse',"#"+currentSelection).remove();
		$('#viewChartHolder','.trendAreaWrapper',"#"+currentSelection).empty();
		$('#trendArea',"#"+currentSelection).hide();
		$('.trendAreaWrapper',"#"+currentSelection).after("<div class='errorResponse' style='text-align:center'></div>");
		 $("#"+currentSelection).unmask("");
        $('#chartTitle1').empty();
        $('.errorResponse',"#"+currentSelection).text(msg);
        $('.errorResponse',"#"+currentSelection).show();
	}

	function drawTrendReport(data,currentSelection){
					var customReportData = data;
					if(data.error==undefined){
						if(customReportData.chartData!=undefined){
							var data = JSON.parse(customReportData.chartData);
							var chartData = data["charts"];
							var cData="";
							for (var i=0; i< chartData.length; i++) {
								var chartDataElement = chartData[i];
								if (chartDataElement.type =="BAR" || chartDataElement.type=="LINE")
									cData = chartDataElement;
									break;
							}

							maxSteps=$('.timeList',"#"+currentSelection).val();
							drawTrendLineChart(currentSelection, 'viewChartHolder', cData, 'linechart', 5,maxSteps);

						}
					}
					if(customReportData.reportErrors != undefined){
						var errorText = "";
						$.each(customReportData.reportErrors,function(i,val){
							errorText= errorText + val + "<br>";
						});
						if(errorText != "")
							cvUtil.errorToast($.trim(errorText),30000);
						$('#trendArea',"#"+currentSelection).hide();
					}



					$(document).trigger('chartLoadedEvt',[false,null]);
					triggerGraphLoaded(currentSelection,data.reportErrors,"");
	}


	function drawTrendLineChart(currentSelection, frameId, cData, chartType, colorOption,maxSteps){
		$('#'+frameId,'#'+currentSelection).empty();
		var showXAxisLabels=0;
		var xAxisLabels =cData["xAxis"]["labels"];

		var startTime= moment(xAxisLabels[0].trim(), "DD MMM YYYY");
		 var endTime  = moment(xAxisLabels[xAxisLabels.length -1].trim(), "DD MMM YYYY");

		if (maxSteps=="1 Week") {
			 showXAxisLabels =endTime.diff(startTime,'days');
			 cData["xAxisTitle"]= cData["xAxisTitle"]+" ( " + startTime.format("DD MMM ")+ " - "+
			 	endTime.format("DD MMM ") + " )";
		} else if (maxSteps=="1 Month") {
             showXAxisLabels =endTime.diff(startTime,'weeks');
             cData["xAxisTitle"]= cData["xAxisTitle"]+" ( " + startTime.format("DD MMM ")+ " - "+
             	endTime.format("DD MMM ") + " )";
		} else if (maxSteps=="3 Months"||maxSteps=="6 Months"||maxSteps=="1 Year") {
        	showXAxisLabels =endTime.diff(startTime,'months');

        	cData["xAxisTitle"]= cData["xAxisTitle"]+" ( " + startTime.format("MMM YYYY")+ " - "+
        		endTime.format("MMM YYYY") + " )";
        }

		if(showXAxisLabels==0){
       	 cvUtil.errorToast($.trim(cvUtil.cvLocalize("No_chartable_data_available")),30000);
       	$('.trendAreaWrapper','#'+currentSelection).hide();
       	 return;
        }
		for(var i=0;i<xAxisLabels.length;i++){
			if(cData["xAxisTitle"].indexOf("Day")>=0||cData["xAxisTitle"].indexOf("Week")>=0){
				xAxisLabels[i] = moment(xAxisLabels[i].trim(), "DD MMM YYYY").format("DD MMM");
			}else{
				if(i==0){
					xAxisLabels[i] = moment(xAxisLabels[i].trim(),"DD MMM YYYY").format("DD MMM");
				}else if(i==xAxisLabels.length-1){
					xAxisLabels[i] = moment(xAxisLabels[i].trim(),"DD MMM YYYY").format("DD MMM");
				}else{
					xAxisLabels[i] = moment(xAxisLabels[i].trim(),"DD MMM YYYY").format("MMM");
				}
			}
		}
		cData["xAxis"]["labels"]=xAxisLabels;
		var seriesCount = createLineChartData(cData['seriesList']);
		if(seriesCount!= -1){
			cData['seriesList'] = seriesCount;
		}else{
			cvUtil.errorToast($.trim(cvUtil.cvLocalize("No_chartable_data_available")),30000);
			$('.trendAreaWrapper','#'+currentSelection).hide();
			return;
		}
		var yMax = getYmax(cData["yAxis"]["maxValue"],cData.chartDataType);
		cData["yAxis"]["maxValue"]=yMax;
		cData["yAxis"]["numSteps"]=getYStepCount(yMax);

		var cW=600;
		cW=cData.totalPoints * 70;
		if(cW < 300)
			cW=300;
		if(cW > 800)
			cW=800;
		($('#'+frameId,'#'+currentSelection).width()/2)-(cW/2);
		var r = Raphael(frameId);
		cvcharts.createRaphaelLinechart(r,cData,
				{axis:"0 1 1 1",
				legend:-1,
				chartWidth:cW,
				chartHeight:240,
				topMargin:30,
				legendX:10,
				legendY:85,
				maxSteps:showXAxisLabels,
				barPointLabelWidth:40,
				shade:true,
				width:1,
				showLegend:true,
				smooth:true,
				radius:0,
				formatLabels:false}

		, null, true);



		$('.chartTitle1').empty().append(cData["chartTitle"]);;
		var svg = $("svg", $("#viewChartHolder"));
		svg.css("left",(svg.width()/2 - svg[0].getBBox().width/2));
	}
	function createLineChartData(dataList){
		var temp2=0;
		for (var i=0; i<dataList.length; i++)
	    {
	    	var points = dataList[i].points;
	    	if(temp2<points.length){
	    		temp2=points.length;
	    	}
	    	var temp1;
	    	var flag =false;
	    	for (var j=0; j<points.length; j++)
	    	{
	    		if(points[j]['y']==-1 && flag == false){

	    			if(j==0){
	    				points[j]['y'] =0;
	    				 flag == false;
	    			}else{
	    				flag =true;
	    				temp1 = j-1;
	    			}

	    		}
	    		if(flag == true && points[j]['y']== -1 && j== (points.length-1)){
	    			points[j]['y']= 0;
	    			points[j]['popupLabel']=points[j]['popupLabel'].replace(/-1([^-1]*)$/, 0 +'$1');
	    		}
	    		if(flag == true && points[j]['y']!= -1){
	    			flag = false;
	    			var slope = (points[j]['y']-points[temp1]['y'])/(j-temp1) ;
	    			for(var k =1;k<(j-temp1);k++){
	    				points[temp1+k]['y'] =Math.floor((points[temp1]['y']+ slope * (k+1)) * 100) / 100; ;
	    				points[temp1+k]['popupLabel']=points[temp1+k]['popupLabel'].replace(/-1([^-1]*)$/, points[temp1+k]['y']+'$1');
	    			}
	    			temp1 = "";
	    		}

	    	}
	    	dataList[i].points = points;
	    	temp1 = "";
	    }
		if(temp2>1){
			return dataList;
		}else{
			return -1;
		}
	}
	function getYmax(yMax,chartDataType){
		var toNearest = 100;
		if(chartDataType && chartDataType == 'PERCENTAGE')
			return toNearest;
		var done = false, isFloat = false;

		var arr1 = [0.005, 0.01, 0.05, 0.1, 0.5, 1, 2];
		var arr2 = [10, 100, 500, 1000, 5000, 10000, 50000, 100000, 500000, 1000000];

		if(yMax < arr1[arr1.length-1]){
			for(var i = 0; i < arr1.length; i++){
				if(yMax < arr1[i]){
		    		yMax = arr1[i];
		    		isFloat = true;
		    		done = true;
		    		break;
		    	}
			}
		}else if(yMax <= 5){
			yMax++;
			done = true;
		}else if(yMax < arr2[arr2.length-1]){
			for(var i = 0; i < arr2.length; i++){
				if(yMax < arr2[i]){
					toNearest = arr2[i]/10;
		    		break;
		    	}
			}
		}

		if(isFloat == false){
			yMax = Math.ceil(yMax);
		}
		if(done == false){
			var rest = yMax % toNearest;
			yMax = (yMax - rest) + (toNearest == 1 ? 0 : toNearest);
			while(yMax % 5 != 0) {
				yMax++;
			}
		}
		return yMax;
	}

	function getYStepCount(yMax) {
		var count = 5;
		if(yMax <= 1) {
			return count;
		}else if(yMax <= 2) {
			return count-1;
		}else if(yMax <=5){
			return yMax;
		}
		var unit = (yMax <= 10)?2:5;
		for (; count > 0; count--) {
			if ( Math.floor(yMax / count) % unit == 0 ) {
				return count;
			}
		}
		return 1;
	}