<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.SurveyMessages">

	<jsp:include page="../../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/jquery-ui-slider-pips.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/profile.css" name="css" />
	</jsp:include>
	<style>
		#content {
		    background-color: white;
		    border: medium none;
		    box-shadow: none;
		    min-height: 1px;

		}
	</style>
	<script nonce="${sessionScope.cspNonce}" >
	    var localMsg = localMsg || {};
		${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};
	</script>
	<div>
		<form id="touchForm">
			<label for="customer"><span><fmt:message key="touch.customer"/></span>
				<input type="text" name="customer" id="customer" class="formField">
				<!-- <select id="customer" class="formField">
				</select> -->
			</label>
			<c:choose>
				<c:when test="${sessionScope.isCommvaultUser == true}">
					<label for="cvStatus" id="cvStatusLbl"><span><fmt:message key="touch.cvInfluence"/></span>
					</label>
					<div id="cvInfluSldrWrapper" class="sliderWrapper">
						<div id="cvInfluSldr" class="slider"></div>
						<div class="sldrlabel"><span class="sldrlabel1"><fmt:message key="touch.low"/></span><span class="sldrlabel2"><fmt:message key="touch.high"/></span></div>
					</div>
					<label for="" id="timePeriodLbl"><span><fmt:message key="touch.time_period"/></span>
						<input type="text" name="timeStart" id="startDate" class="formField">To
						<input type="text" name="timeEnd" id="endDate" class="formField">
					</label>
					<label for="tamLocation	" id="onsiteLabl"><span><fmt:message key="touch.TAM"/></span>
						<select id="tamLocation">
							<option value="1" selected><fmt:message key="touch.onsite"/></option>
							<option value="2"><fmt:message key="touch.remote"/></option>
						</select>
						<fmt:message key="touch.for"/><input type="text" name="tamdays" id="tamdays" value="1"><fmt:message key="touch.days"/>
					</label>
				</c:when>
				<c:otherwise>
					<label for="custStatus" id="custStatusLbl"><span><fmt:message key="touch.custSatisfaction"/></span>
					</label>
					<div id="custStatusSldrWrapper" class="sliderWrapper">
						<div id="custStatusSldr" class="slider"></div>
						<div class="sldrlabel"><span class="sldrlabel1"><fmt:message key="touch.dissatisfied"/></span><span class="sldrlabel2"><fmt:message key="touch.highlySatisfied"/></span></div>
					</div>
				</c:otherwise>
			</c:choose>
			<label for="notes"><span><fmt:message key="touch.notes"/></span>
				<textarea name="notes" id="notes"  class="formField"></textarea>
			</label>
		</form>
		<fmt:bundle basename="localization.messages">
			<div class="buttonsDiv btns rghtFloat" >
				<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a>
				<a href="#" id="okButton" class="okSaveButton"><fmt:message key="Submit" /></a>
			</div>
		</fmt:bundle>
	</div>
</fmt:bundle>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/profile/js/customertouch.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/jquery-ui-slider-pips.min.js" name="js" />
</jsp:include>

