<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.SurveyMessages">

	<jsp:include page="../../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/profile.css" name="css" />
	</jsp:include>

	<style>
		#content {
		    background-color: white;
		    border: medium none;
		    box-shadow: none;
		    min-height: 1px;
		    padding: 0;
		}
	</style>
	<script nonce="${sessionScope.cspNonce}" >
	    var localMsg = localMsg || {};
		${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};
	</script>
	<div>
		<form id="notificationForm">
			<input type="checkbox" name="enableNotif" value="1" checked="checked"> <fmt:message key="notification.EnableNotifications"/>
			<div id="freqDetails" class="stdBorder">
				<fmt:message key="notification.HowFrequently"/>
				<div id="dailyElements">
					<input type="radio" name="freqType" value="1"> <fmt:message key="notification.RepeatEvery"/> <input id="daysSpinner" name="daysValue" type="number" min="0" max="100" value="7"> <fmt:message key="notification.days"/>
				</div>
				<div id="weeklyElements">
					<input type="radio" name="freqType" value="2"> <fmt:message key="notification.Weekly"/>
					<div id="daysToRunList" class="clearfix">
						<input type="checkbox" name="day1" value="1" checked="checked"> <fmt:message key="notification.Monday"/>
						<input type="checkbox" name="day2" value="2"> <fmt:message key="notification.Tuesday"/>
						<input type="checkbox" name="day3" value="3"> <fmt:message key="notification.Wednesday"/>
						<input type="checkbox" name="day4" value="4"> <fmt:message key="notification.Thursday"/>
						<input type="checkbox" name="day5" value="5"> <fmt:message key="notification.Friday"/>
						<input type="checkbox" name="day6" value="6"> <fmt:message key="notification.Saturday"/>
						<input type="checkbox" name="day7" value="7"> <fmt:message key="notification.Sunday"/>
					</div>
				</div>
				<div id="dueDateElements">
					<fmt:message key="notification.Notify"/> <input id="dueDaysSpinner" name="dueDaysValue" type="number" min="0" max="100" value="3"> <fmt:message key="notification.PriorToDueDate"/>
				</div>
			</div>
			<p class='tasknotifmsg'><fmt:message key="notification.DuedateMsg" /></p>
		</form>
		<fmt:bundle basename="localization.messages">
			<div class="buttonsDiv btns rghtFloat" >
				<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a>
				<a href="#" id="okButton" class="okSaveButton"><fmt:message key="Submit" /></a>
			</div>
		</fmt:bundle>
	</div>
</fmt:bundle>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/profile/js/profilenotification.js" name="js" />
</jsp:include>