<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="func"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<%@ taglib uri="../../WEB-INF/webenhance.tld" prefix="we" %>
<fmt:bundle basename="localization.SurveyMessages">

<jsp:include page="../../common/header.jsp">
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="Configuration Audit (Deprecated)" name="titleLocalized" />
	<jsp:param value="Configuration Audit (Deprecated)" name="headerTitleLocalized" />
	<jsp:param value="true" name="changePage"/>
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="classicReport"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
 	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-select.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/audit.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>
</jsp:include>
<we:out escapeXml="false">
	<c:if test="${showUrl != null}">
		<script nonce="${sessionScope.cspNonce}" >
			window.history.replaceState(null,document.title,"${showUrl}");
		</script>
	</c:if>
</we:out>

<style>
#content #headerLinks {
	margin-top: -26px;
}
</style>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
<!--
	(function(){
		$("#commcellUrl").html("Dashboard");
		$("#commcellUrl").attr("href", "dashboard.jsp");

		var url = cvUtil.getContextPath() + "/server/dumpCommCells.do";
		cvUtil.loadSynchronously(url, null);
	})();
//-->
</script>

<c:set var="DiffEntityTypes" value="${requestScope.DiffEntityTypes}" />
<c:set var="DiffCommcells" value="${sessionScope.DiffCommcells}" />
<div id="noDataNotificationPanel" style="text-align: center; display:none;"></div>
<form name="filters" id="filters">
	<div id="filterPane" class="clearfix hideOnExportFriendly">
		<div id="firstChild" class="inlineDisplay">
			<span class="selectLabel"><fmt:message key="Select_Entity_Type" /></span>

			<ul id="entityTypes">
				<c:forEach items="${DiffEntityTypes}" var="item" varStatus="status">
					<li id="entityType_${status.index }" data-id="${item.id }" data-name="${item.data.name }" data-pluralname="${item.data.pluralName }" data-desc="${item.data.desc }">${item.value }</li>
				</c:forEach>
			</ul>
		</div>
		<div class="inlineDisplay separator">
			<img src="${pageContext.request.contextPath}/survey/images/filter-arrow.png">
		</div>
		<div class="inlineDisplay ui-front">
			<span class="selectLabel"><fmt:message key="Select_Master_Commcell" /></span>
			<div id="autocompletediv" class="autocompletediv">
			<input name="autoCommcells" id="autoCommcells" class="textfield" spellcheck="false" placeholder="Select Template Commcell"/>
			<span class="dropdownimage"></span>
			</div>
		</div>
		<div id = "ccSeparator" class="inlineDisplay separator">
			<img src="${pageContext.request.contextPath}/survey/images/filter-arrow.png">
		</div>
		<script nonce="${sessionScope.cspNonce}" >
			localMsg=localMsg||{};
			${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};
			var commcells=[];
			<c:forEach items="${DiffCommcells}" var="item" varStatus="status">
				commcells.push({label: "${item.value }", value: "${item.id }"});
			</c:forEach>
			var defaultEntityTypeObj={name:'${ Select_Entity.localizedName }', pluralName:'${ Select_Entity.localizedPluralName }',id:'${ Select_Entity.id }',desc:'${ Select_Entity.localizedDesc }'};
			localMsg.select_Master_Entity_Label = '<fmt:message key="Select_Master_Entity" />';
			localMsg.Enable_Report_From_Metrics_Configuration_Page = '<fmt:message key="Enable_Report_From_Metrics_Configuration_Page" />';
			localMsg.select_mount_path = '<fmt:message key="select_mount_path" />';
			localMsg.no_entities_error = '<fmt:message key="no_entities_error" /><br /><br /><div id = "notificationPanel" class="notePanel" style="text-align:left;"> </div>';


			var entityNameMappings={};
			var templatePlaceHolder = "${ Select_Entity.name }";
			templatePlaceHolder = "Select Template " + templatePlaceHolder.replace("_" , " " );
		</script>
		<div id="entityDiv" class="inlineDisplay">
<%-- 			<span class="selectLabel">Template <span class="entity_label" id="select_entity_label">${ Select_Entity.name }</span></span> --%>

<!-- 			<ul id="availableEntities" style="display:none;"> -->

<!-- 			</ul> -->


			<span class="selectLabel">Template <span class="entity_label" id="select_entity_label">${ Select_Entity.name }</span></span>
			<div id="entityAutCompletediv" class="autocompletediv">
			<input name="autoEntities" id="autoEntities" class="textfield" spellcheck="false"}>
			<span class="entitiesDropdownImage"></span>
		</div>
		</div>




		<div id="advanceFilter" class="inlineDisplay">
			<input type="button" value='<fmt:message key="audit.title.Advance_Filter" />'>
		</div>

		<div id="filterSummary">
			<div class="filterDetail">
				<div id="filterEntityRow" class="filterRow">
					<div class="filterLabel"><fmt:message key="audit.label.Entity" />: </div> <span class="filterValue" id= "filterEntity"></span>
				</div>
				<div id ="filterGroupRow" class="filterRow">
					<div class="filterLabel"><fmt:message key="audit.label.Client_Group" />:  </div> <span class="filterValue" id="filterGroup"></span>
				</div>
				<div id="filterChildEntitiesRow" class="filterRow">
					<div class="filterLabel"><fmt:message key="audit.label.Child_Entities" />: </div> <span class="filterValue" id="filterChildEntities"></span>
				</div>
			</div>

			<div class="filterDetail">
				<div id="filterSPRow" class="filterRow">
					<div class="filterLabel"><fmt:message key="audit.label.Storage_Policy_Association" />: </div> <span class="filterValue" id="filterSP"></span>
				</div>
				<div id="filterClientTypeRow" class="filterRow">
					<div class="filterLabel"><fmt:message key="audit.label.Across_Client_Type" />:  </div> <span class="filterValue" id="filterClientType"> </span>
				</div>
			</div>
		</div>

		<c:if test="${param.entityTypeId eq '2'}">
			<%@ include file="libraryAudit.jsp" %>
		</c:if>
	</div>
</form>
<div class="showOnExportFriendly" id="reportSummaryDiv" comp="reportSummaryDiv" data-component-type="EB_HTML">
<table id="reportSummary">
<tr><td><fmt:message key="audit.label.Entity_Type" /></td><td id="entityTypeText">:&nbsp; ${func:escapeXml(param.entityType) }</td></tr>
<tr><td><fmt:message key="audit.label.Template_Commcell" /></td><td id="masterCommcellText">:&nbsp; ${func:escapeXml(param.masterCommcellId) }</td></tr>
<c:if test="${param.entityTypeId != '3'}">
	<tr><td><fmt:message key="audit.label.Template" /> <span class="entity_label">${ Select_Entity.name }</span></td><td id="masterEntityText">:&nbsp; ${func:escapeXml(param.entity) }</td></tr>
</c:if>
<c:if test="${param.entityTypeId eq '2'}">
<tr><td><fmt:message key="audit.label.Mount_Path" /></td><td>: ${func:escapeXml(param.stdMountPath)}</td></tr>
</c:if>
<c:if test="${param.entityTypeId eq '4'}">
	<tr><td><fmt:message key="audit.label.Entity" /></td><td></td></tr>
	<tr><td><fmt:message key="audit.label.Client_Group" /></td><td></td></tr>
	<tr><td><fmt:message key="audit.label.Child_Entities" /></td><td></td></tr>
	<tr><td><fmt:message key="audit.label.Storage_Policy_Association" /></td><td></td></tr>
	<tr><td><fmt:message key="audit.label.Across_Client_Type" /></td><td></td></tr>
</c:if>
</table>
</div>

<div class="clearFloat"></div>
<div class="reportContent">
	<span id="reportDesc" comp="reportDesc" data-component-type="EB_HTML">
	Number of <span class="pluralName">${ Select_Entity.localizedPluralName }</span> failing audit:
	</span><a class="hideOnExportFriendly" id="audithelp" href="#" target="_blank" ><fmt:message key="audit.label.help" /></a>
	<br>

	<div class="clearFloat"></div>
	<jsp:include page="../../reports/reportstable.jsp">
		<jsp:param name="id" value="audit" />
		<jsp:param name="tabletitle" value='Storage Policy Type :Snap' />
		<jsp:param name="collapsible" value='false' />
	</jsp:include>
	<span id="reportNote">
		Note: <span class="entity_label">${ Select_Entity.localizedName }</span> counts are indicated by various property groups that have failed audit.
	</span>
</div>

<%@ include file="../../reports/reportsBaseBody.jsp" %>
<script nonce="${sessionScope.cspNonce}" >
	var docBaseURL="${applicationScope.DOCUMENTATION_LINK}";
</script>

<div id="advanceFilterDialog" class="hidden">
	<div id="entityLabel"><fmt:message key="audit.label.Select_Entity" /></div>
	<div id ="treePanel"> </div>
	<div class="row" id="advanceSelectionDiv">
		<div class="row">
			<label> <fmt:message key="audit.label.Client_Group" /></label>
			<select id="clientGroupList"></select>
		</div>

		<div class="row">
			<div id="spAssociation" class="custom-cb unchecked"  data-state="unchecked">
			</div><span class="custom-cb-label"><fmt:message key="audit.label.Storage_Policy_Association" /></span>
		</div>

		<div class="row">
			<div id="acrossClient" class="custom-cb unchecked"  data-state="unchecked">
			</div><span class="custom-cb-label"><fmt:message key="audit.label.Across_Client_Type" /></span>
		</div>

		<div class="row">
			<div  id="childEntities" class="custom-cb unchecked"  data-state="unchecked">
			</div><span class="custom-cb-label"><fmt:message key="audit.label.Child_Entities" /></span>
		</div>
	</div>
</div>
</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-select.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/audit.js" name="js"/>
	<jsp:param value="true" name="bootstrapped" />
</jsp:include>