<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.SurveyMessages">
<c:url value="reports/audit.do" var="mainurl"  scope="request" >
	<c:param name="type" value="audit" />
	<c:param name="entityTypeId" value="${fn:escapeXml(param.entityTypeId) }" />
	<c:param name="masterCommservId" value="${fn:escapeXml(param.masterCommservId) }" />
	<c:param name="entityId" value="${fn:escapeXml(param.entityId) }" />
	<c:param name="stdMountPathID" value="${fn:escapeXml(param.stdMountPathID) }" />
</c:url>
<jsp:include page="../../common/header.jsp">
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="Configuration Audit (Deprecated)" name="titleLocalized" />
	<jsp:param value="Configuration Audit (Deprecated) - Details" name="headerTitleLocalized" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="classicReport"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>

 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/audit.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
 	<jsp:param value="Reports:../reports/,Configuration Audit (Deprecated):${mainurl}" name="breadCrumbValues" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css"/>
</jsp:include>

<div id="reportSummaryDiv" class="${fn:escapeXml(param.status) }">
<table id="reportSummary">
<tr><td><fmt:message key="audit.label.Audit_Type" /></td><td>: ${fn:escapeXml(param.status) } ${fn:escapeXml(param.pluralEntityType) }</td></tr>
<tr><td><fmt:message key="audit.label.Template_Commcell" /></td><td>: ${fn:escapeXml(param.masterCommcellId) }</td></tr>
<c:if test="${fn:escapeXml(param.entity!=null)}">
	<tr><td><fmt:message key="audit.label.Template" /> ${fn:escapeXml(param.entityType) }</td><td>: ${fn:escapeXml(param.entity) }</td></tr>
</c:if>
<c:if test="${fn:escapeXml(param.stdMountPath)!=null}">
<tr><td><fmt:message key="audit.label.Mount_Path" /></td><td>: ${fn:escapeXml(param.stdMountPath)}</td></tr>
</c:if>
<tr><td><fmt:message key="audit.label.Current_Commcell" /></td><td>: ${fn:escapeXml(param.selectedCommcellId) }</td></tr>
<c:if test="${fn:escapeXml(param.status) != 'Passed'}">
<tr><td><fmt:message key="audit.label.Property_Group" /></td><td>: ${fn:escapeXml(param.propertyGroup)}</td></tr>
</c:if>
</table>
</div>
<div>
	<jsp:include page="../../reports/reportstable.jsp">
		<jsp:param name="id" value="auditProperties" />
		<jsp:param name="tabletitle" value='' />
		<jsp:param name="collapsible" value='false' />
	</jsp:include>
</div>
<%@ include file="../../reports/reportsBaseBody.jsp" %>
</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/auditProperties.js" name="js"/>
</jsp:include>