<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="Peak Capacity Usage Growth Detail" name="titleLocalized" />
	<jsp:param value="Peak Capacity Usage Growth Detail" name="headerTitleLocalized" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="classicReport"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/growthDashboard.css" name="css" />
</jsp:include>
<script nonce="${sessionScope.cspNonce}" >
		var docBaseURL="${applicationScope.DOCUMENTATION_LINK}",
			isPublicMetrics = ${applicationScope.isPublicMetricsCloud == "true" ? "true" : "false"};
	</script>
<jsp:include page="../surveyBase.jsp">
	<jsp:param value="reports" name="apptype"/>
	<jsp:param value="true" name="includeExportSupport"/>
</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="includeCROptions" value="true" />
	<jsp:param name="changePage" value="true" />

	<jsp:param name="searchCC" value="true" />
	<jsp:param value="true" name="exportPdf"/>
	<jsp:param value="true" name="exportHtml"/>
	<jsp:param value="true" name="exportCsv"/>
	<jsp:param value="true" name="printButton"/>
	<jsp:param value="true" name="includeCROptionBeforeSearch"/>
	<jsp:param value="true" name="exportEnabled"/>
	<jsp:param name="includeDashboardBreadcrumb" value="true" />
</jsp:include>

<div id='tableWrapper'> </div>
<div id="capacityGrowthDetail"> </div> 

<jsp:include page="alarmdialog.jsp"></jsp:include>
<%@ include file="../../reports/reportsBaseBody.jsp" %>

</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/capacityGrowthDetail.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js" />
	<jsp:param value="true" name="bootstrapped" />
</jsp:include>
