<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="Chargeback Difference" name="titleLocalized" />
	<jsp:param value="Chargeback Difference" name="headerTitleLocalized" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="classicReport"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
</jsp:include>
<style>
input#chargebackTrendsTable_filterText-0{
	display:none;
}
</style>
<script nonce="${sessionScope.cspNonce}" >
	var isPublicMetrics = ${applicationScope.isPublicMetricsCloud == "true" ? "true" : "false"};
</script>
<jsp:include page="../surveyBase.jsp">
	<jsp:param value="reports" name="apptype"/>
	<jsp:param value="true" name="includeExportSupport"/>
</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="includeCROptions" value="true" />
	<jsp:param name="changePage" value="true" />

	<jsp:param name="searchCC" value="false" />
	<jsp:param value="true" name="exportPdf"/>
	<jsp:param value="true" name="exportHtml"/>
	<jsp:param value="true" name="exportCsv"/>
	<jsp:param value="true" name="printButton"/>
	<jsp:param value="true" name="includeCROptionBeforeSearch"/>
	<jsp:param value="true" name="exportEnabled"/>
	<jsp:param name="headerLinks" value="" />
</jsp:include>
<div id="ContentWrapper" class="container">
		<c:if test="${param.commUniId != null}">
			<div class="chargeback-diff-details">
				<span class="chargeback-diff-details-inputs hideOnExportFriendly">
					<span class=""><fmt:message key="chargeback.diff.diff_between" /></span>
					<span class="diff-first"><select id="diff-first"></select></span>
					<span><fmt:message key="chargeback.diff.and" /></span>
					<span class="diff-second"><select id="diff-second"></select></span>
					<span id="drilldown">
						<select id="drilldownTo">
								<option value="" disabled selected><fmt:message key="chargeback.trends.Drilldown_By" /></option>
								<option value="client"><fmt:message key="chargeback.trends.Client" /></option>
								<option value="agenttype"><fmt:message key="chargeback.trends.Agent" /></option>
								<option value="subclient"><fmt:message key="chargeback.trends.SubClient" /></option>
								<option value="storagepolicy"><fmt:message key="chargeback.trends.Storage_Policy" /></option>
								<option value="storagepolicycopy"><fmt:message key="chargeback.trends.Storage_Policy_Copy" /></option>
								<option value="tenant"><fmt:message key="chargeback.trends.Tenants" /></option>
						</select>
					</span>
					<span class="diff-generate-button"><fmt:message key="chargeback.Generate_Report" /></span>
				</span>
				<span class="diff-export-summary" >

				</span>
			</div>
		</c:if>
	<div id='tableWrapper'>
		<div id="chargebackDiffTable"></div>
	</div>
</div>
<jsp:include page="alarmdialog.jsp"></jsp:include>
<%@ include file="../../reports/reportsBaseBody.jsp" %>

<script nonce="${sessionScope.cspNonce}" >
var entityType='${fn:escapeXml(param.entityType)}';
var groupBy='${fn:escapeXml(param.groupBy)}';
</script>
</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/chargebackDiff.js" name="js"/>
  	<jsp:param value="true" name="bootstrapped" />
</jsp:include>