<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@  taglib prefix="we" uri="/WEB-INF/webenhance.tld" %>

<jsp:include page="../../common/header.jsp">
        <jsp:param value="" name="changePage" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
        <jsp:param value="Chargeback Trends" name="titleLocalized" />
        <jsp:param value="true" name="includeTableSupport" />
        <jsp:param value="true" name="includeHistory"/>
        <jsp:param value="reports/reportsBase.jsp" name="jsp" />
        <jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
			<jsp:param value="true" name="bootstrapped" />
			<jsp:param value="true" name="reportsNav" />
        <jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/survey/css/growthDashboard.css" name="css" />

</jsp:include>
<script nonce="${sessionScope.cspNonce}" >
		var docBaseURL="${applicationScope.DOCUMENTATION_LINK}",
			isPublicMetrics = ${applicationScope.isPublicMetricsCloud == "true" ? "true" : "false"};
</script>

<we:out escapeXml="false">
	<c:set var="commcellIdParam" value="?${pageContext.request.queryString}" />
</we:out>

<jsp:include page="../reports/surveyHeader.jsp">
        <jsp:param value="true" name="changePage" />
        <jsp:param name="welcomeMsg" value="" />
        <jsp:param name="searchCC" value="true" />
        <jsp:param name="includeDashboardBreadcrumb" value="true" />
        <jsp:param name="headerLinks" value="worldwideUrl" />
</jsp:include>


 <fmt:bundle basename="localization.SurveyMessages">
<div id="ContentWrapper">
    <div class="clear-both"></div>
    <div class="cbtdashcontainer">
        	<div id="commcellBox" class="grid viewBox">
            	<div class="boxedChartTitle">
	            	<span>
	            		<c:choose>
							<c:when test="${param.commUniId eq null or empty param.commUniId}">
								<fmt:message key="CommCells" />
							</c:when>
							<c:otherwise>
								<fmt:message key="CommCell" />
							</c:otherwise>
						</c:choose>
					</span>
		            <a class="viewdetails sprite icon-detail_trends" title="Details" href="commcellChargebackTrends.do${commcellIdParam}"></a>
	                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
             	</div>
				<div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
				<div class="showiferror chartnodata"></div>
				<div id="commcellChart" class="boxedChart hideifnodata hideiferror"></div>

				<div class="clearfix centered chargeback-filterPane">
					<div class="">
						<ul class="toggleButtons yAxisSelection">
							<li id="0_growthType_commcellBox" class="on"> <fmt:message key="chargeback.trends.Backup_Size" /> </li>
							<li id="1_growthType_commcellBox"> <fmt:message key="chargeback.trends.Archive_Size" />  </li>
							<li id="2_growthType_commcellBox"> <fmt:message key="chargeback.trends.Primary_App_Size" />  </li>
							<li id="3_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Media_Size" />   </li>
							<li id="4_growthType_commcellBox"> <fmt:message key="chargeback.trends.Media_Size" />   </li>
							<li id="5_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Protected_App_Size" />   </li>
						</ul>
					</div>
				</div>
         	</div>
            <div id="clientBox" class="grid viewBox">
                                <div class="boxedChartTitle"><span><fmt:message key="Clients" /></span>
	                                <a class="viewdetails sprite icon-detail_trends" title="Details" href="clientChargebackTrends.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="clientChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered chargeback-filterPane">
						            <div class="">
										<ul class="toggleButtons yAxisSelection">
											<li id="0_growthType_commcellBox" class="on"> <fmt:message key="chargeback.trends.Backup_Size" /> </li>
											<li id="1_growthType_commcellBox"> <fmt:message key="chargeback.trends.Archive_Size" />  </li>
											<li id="2_growthType_commcellBox"> <fmt:message key="chargeback.trends.Primary_App_Size" />  </li>
											<li id="3_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Media_Size" />   </li>
											<li id="4_growthType_commcellBox"> <fmt:message key="chargeback.trends.Media_Size" />   </li>
											<li id="5_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Protected_App_Size" />   </li>
										</ul>
									</div>
								</div>
                        </div>


                        <div id="agentBox" class="grid viewBox">
                                <div class="boxedChartTitle"><span><fmt:message key="agents" /></span>
	                                <a class="viewdetails sprite icon-detail_trends" title="Details" href="agentChargebackTrends.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="agentChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered chargeback-filterPane">
						            <div class="">
										<ul class="toggleButtons yAxisSelection">
											<li id="0_growthType_commcellBox" class="on"> <fmt:message key="chargeback.trends.Backup_Size" /> </li>
											<li id="1_growthType_commcellBox"> <fmt:message key="chargeback.trends.Archive_Size" />  </li>
											<li id="2_growthType_commcellBox"> <fmt:message key="chargeback.trends.Primary_App_Size" />  </li>
											<li id="3_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Media_Size" />   </li>
											<li id="4_growthType_commcellBox"> <fmt:message key="chargeback.trends.Media_Size" />   </li>
											<li id="5_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Protected_App_Size" />   </li>
										</ul>
									</div>
								</div>
                        </div>

                        <div id="storagePolicyBox" class="grid viewBox">
                                <div class="boxedChartTitle"><span><fmt:message key="Storage_Policies" /></span>
	                                <a class="viewdetails sprite icon-detail_trends" title="Details" href="storagePolicyChargebackTrends.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="storagePolicyChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered chargeback-filterPane">
						            <div class="">
										<ul class="toggleButtons yAxisSelection">
											<li id="0_growthType_commcellBox" class="on"> <fmt:message key="chargeback.trends.Backup_Size" /> </li>
											<li id="1_growthType_commcellBox"> <fmt:message key="chargeback.trends.Archive_Size" />  </li>
											<li id="2_growthType_commcellBox"> <fmt:message key="chargeback.trends.Primary_App_Size" />  </li>
											<li id="3_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Media_Size" />   </li>
											<li id="4_growthType_commcellBox"> <fmt:message key="chargeback.trends.Media_Size" />   </li>
											<li id="5_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Protected_App_Size" />   </li>
										</ul>
									</div>
								</div>
                        </div>

                        <div id="tenantsBox" class="grid viewBox">
                                <div class="boxedChartTitle"><span><fmt:message key="Tenants" /></span>
	                                <a class="viewdetails sprite icon-detail_trends" title="Details" href="tenantsChargebackTrends.do${commcellIdParam}"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>
					            <div class="showiferror chartnodata"></div>
					            <div id="tenantsChart" class="boxedChart hideifnodata hideiferror"></div>
					            <div class="clearfix centered chargeback-filterPane">
						            <div class="">
										<ul class="toggleButtons yAxisSelection">
											<li id="0_growthType_commcellBox" class="on"> <fmt:message key="chargeback.trends.Backup_Size" /> </li>
											<li id="1_growthType_commcellBox"> <fmt:message key="chargeback.trends.Archive_Size" />  </li>
											<li id="2_growthType_commcellBox"> <fmt:message key="chargeback.trends.Primary_App_Size" />  </li>
											<li id="3_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Media_Size" />   </li>
											<li id="4_growthType_commcellBox"> <fmt:message key="chargeback.trends.Media_Size" />   </li>
											<li id="5_growthType_commcellBox"> <fmt:message key="chargeback.trends.Total_Protected_App_Size" />   </li>
										</ul>
									</div>
								</div>
                        </div>
        </div>

</div>
 </fmt:bundle>
<jsp:include page="../../common/footer.jsp">
        <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
        <jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
        <jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
         <jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/survey/js/chargebackTrends.js" name="js" />
</jsp:include>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
