<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeHistory"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="Chargeback" name="titleLocalized" />
		<jsp:param value="" name="headerTitleLocalized" />
		<jsp:param value="" name="headerTitle" />
		<jsp:param value="true" name="includeCustomSelect"/>
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />
		<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
</jsp:include>

<jsp:include page="../surveyBase.jsp">
	<jsp:param value="CapacityCost" name="apptype"/>
	<jsp:param value="true" name="includeExportSupport"/>
</jsp:include>

<jsp:include page="surveyHeader.jsp">
	<jsp:param name="changePage" value="true" />
	<jsp:param name="includeBreadcrumb" value="true" />
	<jsp:param name="ccIdParam" value="false" />
	<jsp:param name="searchCC" value="true" />

	<jsp:param name="headerLinks" value="worldwideUrl"/>
	<jsp:param name="exportPdf" value="true"/>
	<jsp:param name="exportCsv" value="true" />
	<jsp:param name="exportHtml" value="true" />
	<jsp:param name="printButton" value="true" />
	<jsp:param name="exportEnabled" value="true" />
	<jsp:param name="includeCROptionBeforeExport" value="true" />
	<jsp:param name="includeCROptionBeforeSearch" value="true" />
</jsp:include>

<div id="filterDiv" class="chargebackFilters hideOnExportFriendly" style="display:none">
	<div class="chargeback-filters">
		<label><fmt:message key="GroupBy" />
			<select id="groupBy" class="chargebackInputsOptions">
				<option value="CommCell"><fmt:message key="CommCells" /></option>
				<option value="ClientGroup"><fmt:message key="ClientGroups" /></option>
				<option value="Client"><fmt:message key="Clients" /></option>
				<option value="SubClient"><fmt:message key="SubClients" /></option>
				<option value="SubClientPerCopy"><fmt:message key="SubClientPerCopy" /></option>
				<c:if test="${(applicationScope.isPublicMetricsCloud != null and applicationScope.isPublicMetricsCloud == true and sessionScope.isCommvaultUser == true)}">
					<option value="BillingTag"><fmt:message key="BillingTags" /></option>
				</c:if>
				<c:if test="${(applicationScope.isPublicMetricsCloud == null or applicationScope.isPublicMetricsCloud ne true)}">
					<option value="BillingTag"><fmt:message key="BillingTags" /></option>
					<option value="Tenant"><fmt:message key="Tenants" /></option>
				</c:if>
			</select>
		</label>
		<label><fmt:message key="chargeback.SizeUnit"/>
			<select id='sizeunit_list' class='chargebackInputsOptions'>
				<option value='GB'>GB</option>
            	<option value='TB'>TB</option>
            	<option value='PB'>PB</option>
			</select>
		</label>
		<label><span id='excludeDeSCs' class='custom-cb chargeback-checkbox' data-state="unchecked"></span><span class='chargeback-checkbox-label'><fmt:message key="chargeback.Exclude_Deconfigured_Subclients" /></span></label>
		<label><span id='showFET' class='custom-cb chargeback-checkbox' data-state="unchecked"></span><span class='chargeback-checkbox-label'><fmt:message key="chargeback.show_fet_vsa_ida" /></span></label>
		<label><span id='includeDRSubclients' class='custom-cb chargeback-checkbox' data-state="unchecked"></span><span class='chargeback-checkbox-label'><fmt:message key="chargeback.include_subclients" /></span></label>
		<label><span id='showTotals' class='custom-cb chargeback-checkbox' data-state="unchecked"></span><span class='chargeback-checkbox-label'><fmt:message key="chargeback.show_totals" /></span></label>
		<label><span id='primaryCopyOnly' class='custom-cb chargeback-checkbox' data-state="unchecked"></span><span class='chargeback-checkbox-label'><fmt:message key="chargeback.primary_copy_only" /></span></label>
	</div>
	<div class="chargeback-filters">
		<label><fmt:message key="chargeback.time_interval" />
			<span class="chargeback-time-frame"></span>
		</label>
		<span class="btns">
			<a class='chargebackGenerate chargeback-button okSaveButton hideOnExportFriendly'><fmt:message key="chargeback.Generate_Report"/></a>
			<a class='chargebackTrends chargeback-button cancelButton hideOnExportFriendly'><fmt:message key="chargeback.Trends_Report"/></a>
		</span>
	</div>
</div>
<div id="chargebackSummaryDiv">

</div>

<div id="noDataNotificationPanel1" class='noDataErrorMsg' comp="noDataNotificationPanel1" data-component-type="EB_HTML"></div>
<div id="noDataNotificationPanel2" class='noDataErrorMsg' comp="noDataNotificationPanel2" data-component-type="EB_HTML"></div>

<div id="ContentWrapper">

</div>

<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
	<input id="downloadType" type='hidden' name='type' value='report' />
	<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>
<div id="noDataNotificationPanel" style="text-align: center; display:none;"></div>
<div id="globalparam-dialog" title="<fmt:message key="chargeback.global.title.Global_Price" />">
  	<div id="DialogWrapper" class='hide'>
  		<ul>
  			<li class='costSubTitle'><fmt:message key="chargeback.global.sub_title.Front_End_Cost_per_TB" /></li>
	  		<li class="costInputs"  title="<fmt:message key="chargeback.global.label.title.Backup" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Backup" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="fet" class="costInputs" id="fet" value="0" />
			</li>
			<li class="costInputs"  title="<fmt:message key="chargeback.global.label.title.Archive" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Archive" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="fetarchive" class="costInputs" id="fetarchive" value="0" />
			</li>

			<li class='costSubTitle'><fmt:message key="chargeback.global.sub_title.Current_Month_Week_Cost_per_TB" /></li>
			<li class="costInputs"  title="<fmt:message key="chargeback.global.label.title.Primary_Application" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Primary_Application" /> </label>
				<input type="text" onkeypress="return isValideNumber(event);" name="primaryapp" class="costInputs" id="primaryapp" value="0" />
			</li>
			<li class="costInputs" title="<fmt:message key="chargeback.global.label.title.Protected_Application" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Protected_Application" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="dataprotected" class="costInputs" id="dataprotected" value="0" />
			</li>
			<li class="costInputs" title="<fmt:message key="chargeback.global.label.title.Data_on_Media" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Data_on_Media" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="datawritten" class="costInputs" id="datawritten" value="0" />
			</li>

			<li class='costSubTitle'><fmt:message key="chargeback.global.sub_title.Lifetime_Cost_per_TB" /></li>
			<li class="costInputs" title="<fmt:message key="chargeback.global.label.title.Total_Protected_Application" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Total_Protected_Application" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="totaldataprotected" class="costInputs" id="totaldataprotected" value="0" />
			</li>
			<li class="costInputs" title="<fmt:message key="chargeback.global.label.title.Total_Data_on_Media" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Total_Data_on_Media" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="totaldatawritten" class="costInputs" id="totaldatawritten" value="0" />
			</li>
			<li class='costSubTitle'><fmt:message key="chargeback.global.sub_title.Additional_Cost" /></li>
			<li class="costInputs" title="<fmt:message key="chargeback.global.label.title.Per_Client" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Per_Client" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="adminclient" class="costInputs" id="adminclient" value="0" />
			</li>
			<li class="costInputs" title="<fmt:message key="chargeback.global.label.title.Per_SubClient" />">
	  			<label class="costInputs"><fmt:message key="chargeback.global.label.Per_SubClient" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" name="adminsubclient" class="costInputs" id="adminsubclient" value="0" />
			</li>

			<li class='costSubTitle'><input id="discount" type="checkbox"/><fmt:message key="chargeback.global.sub_title.Discount" /></li>
			<li class="costInputs discountLi" title="<fmt:message key="chargeback.global.label.title.Discount" />">
				<input type="text" onkeypress="return isValideNumber(event);" class="discountinput" name="discountpercent" id="discountpercent" value="0" />
				<label class="discount"><fmt:message key="chargeback.global.label.discount_for_the_first" /></label>
				<input type="text" onkeypress="return isValideNumber(event);" class="discountinput" name="discountsize" id="discountsize" value="0" />
				<label class="discount"><fmt:message key="chargeback.global.label.TB_per" /></label>
				<select id="discountlevel" class="entityInputs">
					<option value="1"><fmt:message key="chargeback.global.label.Client" /></option>
					<option value="0"><fmt:message key="chargeback.global.label.SubClient" /></option>
				</select>
			</li>

		</ul>
		<span class="error" id="err_msg"><fmt:message key="chargeback.global.error" /></span>
	</div>
</div>
<jsp:include page="alarmdialog.jsp"></jsp:include>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/jquery.uniform.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/chargebackmonthly.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/search.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/columnTitle.js" name="js"/>
</jsp:include>

</fmt:bundle>