<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.SurveyMessages">
	<fmt:message key="company.new_company" var="newCompany"/>
	<fmt:message key="company.edit_company" var="editCompany"/>
	<fmt:message key="company.update" var="updateCompany"/>
	<fmt:message key="company.save" var="saveCompany"/>
	<fmt:message key="company.commcell_list_error" var="commcellListError"/>
	<fmt:message key="company.user_list_error" var="userListError"/>
	<fmt:message key="Something_went_wrong_please_try_again" var="companyError"/>

<div id="createCompanyDialog" class="hidden">
	<div class="form-group">
		<label class="col-sm-3 noLftRghtPadding rowItem inputLabel"><fmt:message key="company.company_name"/></label>
		<div class="col-sm-9 noLftRghtPadding rowItem dialogValue">
			<div class="col-sm-6 dropdown-action-wrapper" id="prefixWrapper">
				<input readonly type="text" id="ccPrefix" placeholder="Select prefix" />
				<span class="sprite icon-arrow-dropdown"></span>
				<div id="prefixMenuWrapper" class="dropdown-wrapper">
					<div class="search-wrapper" id="prefixSearchWrapper">
						<input type="text" class="search-box" id="searchBox" placeholder="<fmt:message key='company.search'/>">
						<span class="sprite reports-actions-xbutton" id="clearSearchBox" title="<fmt:message key='company.clear_search_field'/>"> </span>
					</div>
					<ul class="dropdown-list" id="prefixList">
					</ul>
				</div>
			</div>
			<input  id ="companyName" type="text" placeholder="<fmt:message key='company.name.placeholder'/>"  >
			<input id="companyId" type="text" class="hidden">
		</div>
	</div>


	<div class="form-group">
		<label class="col-sm-3 noLftRghtPadding rowItem commcell-label"><fmt:message key="CommCells"/></label>
		<div class="col-sm-9 noLftRghtPadding rowItem dialogValue">
			<div class="col-sm-12 dropdown-action-wrapper"  id="commCellSearchWrapper">
				<input readonly type="text" id="ccSearch" placeholder="Select CommCells" />
				<span class="sprite icon-arrow-dropdown"></span>
				<div id="commCellSearchMenuWrapper" class="dropdown-wrapper">
					<div class="search-wrapper" id="ccSearchWrapper">
						<input type="text" class="search-box" id="commCellSearchBox" placeholder="<fmt:message key='company.search'/>">
						<span class="sprite reports-actions-xbutton" id="clearCommCellSearchBox" title="<fmt:message key='company.clear_search_field'/>"> </span>
						<input type="button" class="ccSearchOkBtn" value="OK">
					</div>
					<ul class="dropdown-list" id="companyCCSearchList">

					</ul>
				</div>
			</div>

		</div>

	</div>

	<div  id="commcellListWrapper">
		<div id="commcellListHeader"><label><fmt:message key="CommCell_Name"/></label>
		</div>
		<div id="commcellListDiv">
			<ul id="companyCCList">
			</ul>
		</div>
	</div>

	<div class="form-group">
		<label class="col-sm-3 noLftRghtPadding rowItem"><fmt:message key="Users"/></label>
		<div id="addCompanyUser" class="rowItem" title="Add User">
			<span class="sprite icon-plus"></span>
			<span><fmt:message key="company.add_user"/></span>
		</div>
	</div>
	<div id="userWrapper" >
		<div id="userEntryHeader" class="form-group">
			<div class="rowItem col-sm-4"><label><fmt:message key="company.user_name"/></label></div>
			<div class="rowItem col-sm-4"><label><fmt:message key="company.email"/></label></div>
		</div>
		<div id="userListDiv"></div>
	</div>

	<div > <label id="errorMessage"></label></div>
</div>
</fmt:bundle>


<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	var localMsg = localMsg || {};
	localMsg.newCompany="${newCompany}";
	localMsg.editCompany="${editCompany}";
	localMsg.updateCompany="${updateCompany}";
	localMsg.saveCompany="${saveCompany}";
	localMsg.commcellListError="${commcellListError}";
	localMsg.userListError="${userListError}";
	localMsg.companyError="${companyError}";

	var loggedInUserName = "${sessionScope.username}";


</script>
