<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<jsp:include page="../../common/header.jsp">    
        <jsp:param value="" name="changePage" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
        <jsp:param value="Growth Trends" name="titleLocalized" />
        <jsp:param value="true" name="includeTableSupport" />
        <jsp:param value="true" name="includeHistory"/>
        <jsp:param value="reports/reportsBase.jsp" name="jsp" />
        <jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
        <jsp:param value="${pageContext.request.contextPath}/survey/css/growthDashboard.css" name="css" />
        
</jsp:include>
<c:set var="commcellIdParam" value="" />
 <c:if test="${fn:escapeXml(param.commUniId) !=null }">
 	<c:set var="commcellIdParam" value="?commUniId=${fn:escapeXml(param.commUniId)}" />
 </c:if>
<jsp:include page="../reports/surveyHeader.jsp">
        <jsp:param value="true" name="changePage" />
        <jsp:param name="welcomeMsg" value="" />
        <jsp:param name="searchCC" value="true" />
        <jsp:param name="includeDashboardBreadcrumb" value="true" />
        <jsp:param name="headerLinks" value="worldwideUrl" />
</jsp:include>
 
 
 <fmt:bundle basename="localization.SurveyMessages">
<div id="ContentWrapper">   
        <div class="clear-both"></div>
        
		      
 		<div id="chartContainer" class="grid viewBox">
                                <div class="boxedChartTitle fullwidth"><span id="chartTitle">${fn:escapeXml(param.entityDisplayType) }</span>	
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>			
					            <span>
					            </span>	<div class="showifnodata chartnodata"><fmt:message key="NoDataAvailable" /></div>	
					            <div class="showiferror chartnodata"></div>
					            	
					            <div id="chart" class="boxedChart hideifnodata hideiferror"></div>
                        </div>
</div>
<script nonce="${sessionScope.cspNonce}" >
var entityType='${fn:escapeXml(param.entityType)}';
</script>
 </fmt:bundle>
<jsp:include page="../../common/footer.jsp">
        <jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
        <jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
        <jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
         <jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
        <jsp:param value="${pageContext.request.contextPath}/survey/js/entityGrowth.js" name="js" />
</jsp:include>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
