<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:bundle basename="localization.ReportsJSMessages">
	<jsp:include page="../../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />	
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />		
		<jsp:param value="${pageContext.request.contextPath}/common/css/cvdialog.css" name="css" />		
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/executiveSummary.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
	</jsp:include>
	
	<%@include file="executiveSummaryExportDialog.jsp" %>
	
</fmt:bundle>
	<div class="btns" id="execSummaryBtns">
			<fmt:bundle basename="localization.messages">				
				<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a>
				<a href="#" id="proceedButton" class="okSaveButton"><fmt:message key="Submit" /></a>				
		</fmt:bundle>
	</div>

<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
$(document).ready(function(){
	$("#proceedButton").click(function(e) {	
		var name = $("#name");
		var designation = $("#designation");
		var validateTips = $("#validateTips");
		var ccglist = $("#ccglist");
		var flag = true;
		var excutiveSummary = cvUtil.getTopWindow().excutiveSummary;				
		
		if (excutiveSummary.checkLength(name, "name", 1, 50, validateTips) &&
					excutiveSummary.checkLength(designation, "designation", 1, 100, validateTips) &&
					excutiveSummary.checkLengthCheckBox(ccglist, 1, validateTips)) {
				var ccglistParam = excutiveSummary.prepareCCGListParam(ccglist);
				excutiveSummary.proceed(name, designation, ccglistParam);
		}
		e.preventDefault();
		//cvUtil.closeModal();
		});
		$("#cancelButton").click(function(e) {
			$("#name").val("");
			cvUtil.closeModal();
	});
});

</script>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
</jsp:include>
