
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<jsp:include page="../../common/header.jsp">
	<jsp:param value="true" name="includeMask" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="includeJqueryUI" />
	<jsp:param value="" name="titleLocalized" />
	<jsp:param value="dialog" name="displayMode" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/quarterlyBusinessPpt.css" name="css"/>
	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
</jsp:include>


<fmt:bundle basename="localization.SurveyMessages">
	<div id="quarterly-ppt-export-dialog">
		<fieldset class="quarterlyPptSet">
			<div id="name-inputs">
				<label for="name"><fmt:message key="Head_Name" /></label>
			    <input type="text" class="ui-widget-content ui-corner-all text" id="head-name" name="head-name">
				<br/>
				<label for="name"><fmt:message key="Designation" /></label>
			    <input type="text" class="ui-widget-content ui-corner-all text" id="designation" name="designation">
				<br/>
			</div>
			<p id="validateTips" class="validateTips" ><fmt:message key="All_fields_are_mandatory" /></p>
		</fieldset>
	</div>
</fmt:bundle>


<div class="btns qbrButtons" >
		<fmt:bundle basename="localization.messages">
			<a href="#" id="qbrCancelButton"><fmt:message key="Cancel" /></a>
			<a href="#" id="qbrSubmitButton" class="okSaveButton"><fmt:message key="Submit" /></a>
	</fmt:bundle>
</div>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/executiveSummaryMonthlyPPT.js" name="js"/>
</jsp:include>