
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>


<fmt:message key="common.action.ok" var="fla_btn_ok" />
<fmt:message key="common.action.cancel" var="fla_btn_cancel" />

<fmt:bundle basename="localization.SurveyMessages">
	<fmt:message key="flabygatherlog.choice.clg" var="fla_clg" />
	<fmt:message key="gatherlog.choice.cl" var="gl_cl"/>
	<fmt:message key="flabygatherlog.choice.clg.placeholder" var="fla_clgplaceholder"/>
	<fmt:message key="gatherlog.uploadnowmodaltext" var="gl_upldnowmodaltext" />
	<fmt:message key="flabygatherlog.headertxt" var="fla_headertxt" />
	<fmt:message key="gatherlog.wrongcommcellmsg" var="gl_wrongcommcellmsg"/>

	<fmt:message key="gatherlog.nodatamsg1" var="gl_nodatamsg1"/>
	<fmt:message key="gatherlog.nodatamsg2" var="gl_nodatamsg2"/>
	<fmt:message key="gatherlog.nodatamsg3" var="gl_nodatamsg3"/>
	<fmt:message key="gatherlog.nodatamsg4" var="gl_nodatamsg4"/>
	<fmt:message key="gatherlog.nodatamsg5" var="gl_nodatamsg5"/>
	<fmt:message key="gatherlog.nodatamsg6" var="gl_nodatamsg6"/>
	<fmt:message key="gatherlog.nodatamsg7" var="gl_nodatamsg7"/>
	<fmt:message key="gatherlog.nodatamsg8" var="gl_nodatamsg8"/>
	<fmt:message key="gatherlog.nodatamsg9" var="gl_nodatamsg9"/>


	<fmt:message key="gatherlog.loaderrmsg" var="gl_loaderrmsg"/>
	<fmt:message key="gatherlog.clientloaderrmsg" var="gl_clloaderrmsg"/>
	<fmt:message key="gatherlog.tryagin" var="gl_tryagain"/>
	<fmt:message key="gatherlog.submitonemore" var="gl_submitmore"/>
	<fmt:message key="gatherlog.clientnotprovided" var="gl_noclienttxt"/>
	<fmt:message key="gatherlog.groupnotprovided" var="gl_nogrouptxt"/>
	<fmt:message key="gatherlog.invalidemail" var="gl_invalidmailtxt"/>
	<fmt:message key="gatherlog.label.uploadnow" var="gl_uploadnow"/>

	<fmt:message key="gatherlog.confirm.headertxt" var="gl_confheadertxt"/>
	<fmt:message key="gatherlog.confirm.boxmsg1" var="gl_confboxmsg1"/>
	<fmt:message key="gatherlog.confirm.boxmsg2" var="gl_confboxmsg2"/>
	<fmt:message key="gatherlog.confirm.spacemsg" var="gl_confspacemsg"/>
	<fmt:message key="gatherlog.confirm.msg" var="gl_confmsg"/>

	<fmt:message key="gatherlog.usernotloggedin" var="gl_usernotloggedin"/>
	<fmt:message key="gatherlog.emptycommcellid" var="gl_emptycommcellid"/>
	<fmt:message key="gatherlog.unexpectederrormsg" var="gl_unexpectederrormsg"/>
	<fmt:message key="gatherlog.successmsg" var="gl_successmsg"/>
	<fmt:message key="gatherlog.dberr" var="gl_dberr"/>
	<fmt:message key="gatherlog.nomails" var="gl_nomails"/>
	<fmt:message key="gatherlog.choice.stage.selecttxt" var="gl_stage_selecttxt"/>
	<fmt:message key="gatherlog.choice.stage.nouploadtxt" var="gl_stage_nouploadtxt"/>
	<fmt:message key="gatherlog.jobidnotprovided" var="gl_nojobidtxt"/>
	<fmt:message key="gatherlog.jobidnotinteger" var="gl_jobidnotinteger"/>
	<fmt:message key="gatherlog.commcellnotsupported" var="gl_nosupport"/>
	<fmt:message key="gatherlog.fla.maxclientreached" var="gl_maxclientsreached"/>
	<fmt:message key="gatherlog.prosprt.emptyreqbody" var="gl_proactive_emptyjson"/>
	<fmt:message key="gatherlog.prosprt.invalidtoolandparam" var="gl_proactive_invalidtoolparam"/>
	<fmt:message key="gatherlog.prosprt.maxclientreached" var="maxclient_reached"/>
	<fmt:message key="gatherlog.error.createsigfailed" var="gl_sig_gen_failed"/>

</fmt:bundle>

<jsp:include page="../../common/header.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/flabygatherlog.css" name="css" />
	<jsp:param value="File Analytics" name="titleLocalized" />
	<jsp:param value="reports/reportsBase.jsp" name="jsp" />
	<jsp:param value="true" name="includeHistory"/>
	<jsp:param value="" name="headerTitleLocalized" />
	<jsp:param value="Cloud Apps:../applications/cloudApps.jsp,CommCells:../customreports/viewReport.jsp?reportId=${param.reportId}" name="breadCrumbValues" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />
</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="searchCC" value="true" />
	<jsp:param value="false" name="includeBreadcrumb" />
	<jsp:param name="headerLinks" value="commcellUrl" />
</jsp:include>
<fmt:bundle basename="localization.SurveyMessages">
	<div>
	<div id="loginfodiv" class="hidden">
		<div class="app_details"></div>
		<div id="noDataNotificationPanel"></div>
		<div id="submittedDiv" class="hidden">
		<img src="../images/submit_notification.png"/>
		<div><span class="submt-succs"><fmt:message key="gatherlog.successmsg" /><br></span>
		<fmt:message key="gatherlog.successmsg2" /></div>
		</div>
		<div  class="getloginfo fla" >
			<p class="pagetitle"></p>
			<div class="pageMsg">&nbsp;</div>
			<p> <fmt:message key="flabygatherlog.infotxt" />
			</p>

				<br>
				<label class="gl-opt-label"><fmt:message key="gatherlog.choice.cl" /> </label>
				<br>
				<textarea placeholder="<fmt:message key="gatherlog.fla.cl.placeholder"/>"  name="CL" id="CLL" class="textbox"></textarea>
				<!-- <br><br>
				<label class="gl-opt-label">${fla_clg}</label>
				<br>
				<textarea placeholder="${fla_clgplaceholder}" name="CG" id="CGL" class="textbox"></textarea> -->
				<br><br>
				<label class="gl-opt-label"><fmt:message key="gatherlog.choice.notify" /></label>
				<br>
				<input placeholder="<fmt:message key="gatherlog.choice.notify.placeholder" />" type="text" id="NMAIL" class="textbox"/>
				<br><br>
				<label class="gl-opt-label"><fmt:message key="gatherlog.choice.upload"/> </label>
				<span class="spaninfotext"><input type="hidden" name="upld" value="11" checked>Http</span>
				<br>
				<br>
				<button type="button" id="sbmtGetLogs" class="mainBtn"><fmt:message key="gatherlog.submit"/></button><p class="hidden aftrsbmtmsg alert alert-info"><fmt:message key="gatherlog.successmsg"/></p>
				<br>
				<br>

		</div>
	</div>
	<div class="clrfloat"></div>
	<div class="template nodatalocalizedmsg hidden">
		<div class="nodatamsg">
			${gl_nodatamsg1}<br/>
			<b>${gl_nodatamsg2}</b> ${gl_nodatamsg3}<br/>
			${gl_nodatamsg4} <b>${gl_nodatamsg5}</b><br/>
			${gl_nodatamsg6} <b>${gl_nodatamsg7}</b> ${gl_nodatamsg8} <b>${gl_nodatamsg9}</b>
		</div>
	</div>
	</div>
</fmt:bundle>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">

var localMsg = localMsg || {};
localMsg.fla_btn_ok = "${fla_btn_ok}";
localMsg.yes = "${fla_btn_ok}";
localMsg.fla_btn_cancel = "${fla_btn_cancel}";
localMsg.no = "${fla_btn_cancel}";
localMsg.gl_upldnowmodaltext = "${gl_upldnowmodaltext}";
localMsg.flaheadertxt = "${fla_headertxt}";
localMsg.gl_wrongcommcellmsg = '${gl_wrongcommcellmsg}'+ '<a href="{0}"> CommCells</a>';


localMsg.gl_loaderrmsg = "${gl_loaderrmsg}";
localMsg.gl_clloaderrmsg = "${gl_clloaderrmsg}";
localMsg.gl_tryagain = "<a href=\"javascript:void();\" class=\"try-again\">" + '${gl_tryagain}' + "</a>";
localMsg.gl_submitmore = "<a href=\"javascript:void();\" class=\"try-again\">" + '${gl_submitmore}' + "</a>";
localMsg.gl_noclienttxt = "${gl_noclienttxt}";
localMsg.gl_nogrouptxt = "${gl_nogrouptxt}";
localMsg.gl_invalidmailtxt = "${gl_invalidmailtxt}";
localMsg.gl_uploadnow = "${gl_uploadnow}";
localMsg.fla_clg = "${fla_clg}";
localMsg.fla_clgplaceholder = "${fla_clgplaceholder}";
localMsg.gl_confheadertxt = "${gl_confheadertxt}";
localMsg.gl_confboxmsg1 = "${gl_confboxmsg1}";
localMsg.gl_confboxmsg2 = "${gl_confboxmsg2}";
localMsg.gl_confspacemsg = "${gl_confspacemsg}";
localMsg.gl_confmsg = "${gl_confmsg}";
localMsg.gl_cl = "${gl_cl}";
localMsg.gl_maxclientsreached = "${gl_maxclientsreached}";

localMsg.gl_usernotloggedin = "${gl_usernotloggedin}";
localMsg.gl_emptycommcellid = "${gl_emptycommcellid}";
localMsg.gl_unexpectederrormsg = "${gl_unexpectederrormsg}";
localMsg.gl_successmsg = "${gl_successmsg}";
localMsg.gl_dberr = "${gl_dberr}";
localMsg.gl_rtnotenabled = "${gl_rtnotenabled}";
localMsg.gl_nomails = "${gl_nomails}";
localMsg.gl_stage_selecttxt = "${gl_stage_selecttxt}";
localMsg.gl_nojobidtxt = "${gl_nojobidtxt}";
localMsg.gl_jobidnotinteger = "${gl_jobidnotinteger}";
localMsg.gl_nosupport = "${gl_nosupport}";

var localMsgCode = [];
localMsgCode[0] = localMsg.gl_successmsg;
localMsgCode[1] = localMsg.gl_usernotloggedin;
localMsgCode[2] = localMsg.gl_emptycommcellid;
localMsgCode[3] = localMsg.gl_wrongcommcellmsg;
localMsgCode[4] = localMsg.gl_unexpectederrormsg;
localMsgCode[5] = localMsg.gl_dberr;
localMsgCode[6] = localMsg.gl_rtnotenabled;
localMsgCode[7] = localMsg.gl_nomails;
localMsgCode[8] = localMsg.gl_stage_selecttxt;
localMsgCode[9] = localMsg.gl_nojobidtxt;
localMsgCode[10] = localMsg.gl_nosupport;
localMsgCode[11] = "${gl_stage_nouploadtxt}";
localMsgCode[12] = "${gl_proactive_emptyjson}";
localMsgCode[13] = "${gl_proactive_invalidtoolparam}";
localMsgCode[14] = "${maxclient_reached}";
localMsgCode[15] = "${gl_sig_gen_failed}";
</script>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/auto_complete.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/flabygatherlogs.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="true" name="bootstrapped" />
</jsp:include>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	$(document).ready(function(){flaGatherLog.submitButtonClickEventBinding();});
</script>