
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:message key="common.action.ok" var="fla_btn_ok" />
<fmt:message key="common.action.cancel" var="fla_btn_cancel" />
<fmt:message key="common.action.yes" var="fla_btn_yes" />
<fmt:bundle basename="localization.SurveyMessages">
	<fmt:message key="gatherlog.headertext" var="gl_htxt"/>
	<fmt:message key="flabygatherlog.choice.clg" var="fla_clg" />
	<fmt:message key="flabygatherlog.choice.clg.placeholder" var="fla_clgplaceholder"/>
	<fmt:message key="gatherlog.uploadnowmodaltext" var="gl_upldnowmodaltext" />
	<fmt:message key="gatherlog.choice.ma" var="gl_ma"/>
	<fmt:message key="gatherlog.choice.cl" var="gl_cl"/>
	<fmt:message key="flabygatherlog.choice.clg" var="fla_clg" />
	<fmt:message key="gatherlog.choice.csdb" var="gl_db"/>
	<fmt:message key="gatherlog.choice.commserve" var="gl_cs"/>
	<fmt:message key="gatherlog.choice.jobresults" var="gl_jobresults"/>
	<fmt:message key="gatherlog.choice.dblogs" var="gl_dblogs"/>
	<fmt:message key="gatherlog.choice.jobid.disabletxt1" var="gl_jobiddisabletxt1"/>
	<fmt:message key="gatherlog.choice.jobid.disabletxt2" var="gl_jobiddisabletxt2"/>
	<fmt:message key="gatherlog.label.uploadnow" var="gl_uploadnow"/>
	<fmt:message key="gatherlog.choice.pd" var="gl_procdump"/>

	<fmt:message key="gatherlog.choice.findsolutionauto" var="gl_findsolutionauto"/>
	<fmt:message key="gatherlog.loaderrmsg" var="gl_loaderrmsg"/>
	<fmt:message key="gatherlog.clientloaderrmsg" var="gl_clloaderrmsg"/>
	<fmt:message key="gatherlog.wrongcommcellmsg" var="gl_wrongcommcellmsg"/>

	<fmt:message key="gatherlog.tryagin" var="gl_tryagain"/>
	<fmt:message key="gatherlog.submitonemore" var="gl_submitmore"/>
	<fmt:message key="gatherlog.clientnotprovided" var="gl_noclienttxt"/>
	<fmt:message key="gatherlog.manotprovided" var="gl_nomatxt"/>
	<fmt:message key="gatherlog.emailnotprovided" var="gl_noemailtxt"/>
	<fmt:message key="gatherlog.jobidnotprovided" var="gl_nojobidtxt"/>
	<fmt:message key="gatherlog.stageerrmsg" var="gl_stageerrtxt"/>
	<fmt:message key="gatherlog.groupnotprovided" var="gl_nogrouptxt"/>
	<fmt:message key="gatherlog.invalidemail" var="gl_invalidmailtxt"/>
	<fmt:message key="gatherlog.nooptionelected" var="gl_nooptiontxt"/>
	<fmt:message key="gatherlog.nocompselected" var="gl_nocomputertxt"/>
	<fmt:message key="gatherlog.nocompselectedfordump" var="gl_nocomputertxtfordump"/>
	<fmt:message key="gatherlog.nocollectionselected" var="gl_nocollectiontxt"/>
	<fmt:message key="gatherlog.jobidbutlogfileselected" var="gl_nologfilestxt"/>
	<fmt:message key="gatherlog.noprocessselected" var="gl_noproctxt"/>
	<fmt:message key="gatherlog.nouploadselected" var="gl_nouploadtxt"/>
	<fmt:message key="gatherlog.jobidnotinteger" var="gl_jobidnotinteger"/>
	<fmt:message key="gatherlog.wiadelayinvalid" var="gl_wiadelayinvalid"/>
    <fmt:message key="gatherlog.choice.notify.wiastatusnonetxt" var="gl_wiastatusnonetxt"/>
    <fmt:message key="gatherlog.choice.notify.wiastatusfailedtxt" var="gl_wiastatusfailedtxt"/>
    <fmt:message key="gatherlog.choice.notify.wiastatusrunningtxt" var="gl_wiastatusrunningtxt"/>
    <fmt:message key="gatherlog.choice.notify.wiastatuscompletedtxt" var="gl_wiastatuscompletedtxt"/>

	<fmt:message key="gatherlog.confirm.headertxt" var="gl_confheadertxt"/>
	<fmt:message key="gatherlog.confirm.boxmsg1" var="gl_confboxmsg1"/>
	<fmt:message key="gatherlog.confirm.boxmsg2" var="gl_confboxmsg2"/>
	<fmt:message key="gatherlog.confirm.msg" var="gl_confmsg"/>

	<fmt:message key="gatherlog.usernotloggedin" var="gl_usernotloggedin"/>
	<fmt:message key="gatherlog.emptycommcellid" var="gl_emptycommcellid"/>
	<fmt:message key="gatherlog.unexpectederrormsg" var="gl_unexpectederrormsg"/>
	<fmt:message key="gatherlog.successmsg" var="gl_successmsg"/>
	<fmt:message key="gatherlog.dberr" var="gl_dberr"/>
	<fmt:message key="gatherlog.rtnotenabled" var="gl_rtnotenabled"/>
	<fmt:message key="gatherlog.nomails" var="gl_nomails"/>
	<fmt:message key="gatherlog.choice.stage.selecttxt" var="gl_stage_selecttxt"/>
	<fmt:message key="gatherlog.choice.stage.nouploadtxt" var="gl_stage_nouploadtxt"/>
	<fmt:message key="gatherlog.nolog_indextxt" var="gl_nologindextxt"/>
	<fmt:message key="gatherlog.commcellnotsupported" var="gl_nosupport"/>
	<fmt:message key="gatherlog.remprocrow" var="gl_remprocrow"/>
	<fmt:message key="gatherlog.choice.procdump.clientnotselected" var="gl_noclfordumptxt"/>
	<fmt:message key="gatherlog.header.proactiveinfo" var="gl_proact"/>
	<fmt:message key="gatherlog.header.collectinfo" var="gl_colinfo"/>

	<fmt:message key="gatherlog.prosprt.log_files" var="log_files"/>
	<fmt:message key="gatherlog.logstreaming.success_msg" var="stream_succ"/>
	<fmt:message key="gatherlog.prosprt.invalidtoolandparam" var="gl_proactive_invalidtoolparam"/>
	<fmt:message key="gatherlog.prosprt.emptyreqbody" var="gl_proactive_emptyjson"/>
	<fmt:message key="gatherlog.prosprt.maxclientreached" var="maxclient_reached"/>
	<fmt:message key="gatherlog.prosprt.cloudlogmon.multilogdisabled" var="gl_proactive_multilogdisabled"/>
	<fmt:message key="gatherlog.prosprt.cloudlogmon.multilog" var="gl_proactive_multilog"/>
	<fmt:message key="gatherlog.prosprt.cloudlogmon.multilog" var="gl_proactive_multilog"/>
	<fmt:message key="gatherlog.choice.splitFileSize.error" var="invalid_chunk"/>
	<fmt:message key="gatherlog.error.createsigfailed" var="gl_sig_gen_failed"/>

	<fmt:message key="gatherlog.dialog.clouddravailable" var="cloud_dr_available"/>
	<fmt:message key="gatherlog.dialog.clouddravailable.title" var="cloud_dr_available_title"/>

</fmt:bundle>
<c:set var="paramnotify" value="false" scope="page" />
<c:if test="${not empty fn:escapeXml(param.notifymails)}">
	<c:set var="paramnotify" value="true" scope="page" />
</c:if>

<c:set var="paramcrm" value="false" scope="page" />

<c:if test="${not empty fn:escapeXml(param.crmtoken)}">
	<c:set var="paramcrm" value="true" scope="page" />
</c:if>

<jsp:include page="../../common/header.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/bootstrap/css/icomoon.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/applicationstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
    <jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/flabygatherlog.css" name="css" />
	<jsp:param value="CommCell Survey" name="titleLocalized" />
	<jsp:param value="reports/reportsBase.jsp" name="jsp" />
	<jsp:param value="" name="headerTitleLocalized" />
	<jsp:param value="CommCells:../survey/reports/monitoringform.jsp,Dashboard:../survey/reports/dashboard.jsp?commUniId=${param.commUniId}" name="breadCrumbValues" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />

</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="searchCC" value="true" />
	<jsp:param name="includeBreadcrumb" value="false" />
	<jsp:param name="headerLinks" value="commcellUrl" />
	<jsp:param name="showLogTabs" value="true" />
	<jsp:param name="commcelllogs" value="true" />
</jsp:include>

<fmt:bundle basename="localization.SurveyMessages">
	<div id="loginfodiv" class="hidden">
		<div class="app_details"></div>
		<div id="noDataNotificationPanel" class="hidden"></div>
		<div id="submittedDiv" class="hidden">
		<img src="../images/submit_notification.png"/>
		<div><span class="submt-succs"><fmt:message key="gatherlog.successmsg" /></div>
		</div>
		<div  class="getloginfo" id="collectinfo" >
			<div class="gl-section">
				<label class="block-style-by-pass">
					<label class="gl-opt-label"><input type="radio" name="colloption" value="1"  checked="checked"/><fmt:message key="gatherlog.label.collectbycomputers"/></label>
					<span class="gl-sidebar"></span>
					<label class="gl-opt-label"><input type="radio" name="colloption" value="2"/><fmt:message key="gatherlog.label.collectbyjobid"/></label>
					<!--<span class="gl-sidebar"></span>
					  <label class="gl-opt-label"><input type="radio" name="colloption" value="21"/><fmt:message key="gatherlog.label.collectbywiasetup"/></label> -->
					<span class="collect-by-logmon">
						<span class="gl-sidebar"></span>
						<label class="gl-opt-label"><input type="radio" name="colloption" value="3"/><fmt:message key="gatherlog.prosprt.cloudlogmon"/></label>
					</span>
				</label>
			</div>
			<div class="gl-section collect-by collect-by-job hidden">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.choice.jobid"/></span>
					<span class="page-detail-column float-right">
						<span class="inputbox"><input  class="gl-inp-text" placeholder="<fmt:message key="gatherlog.choice.jobid.placeholder" />" type="text" id="JOBID"/></span>
					</span>
				</label>
			</div>
            <!--
            <div class="gl-section collect-by collect-by-wia hidden">
               <label class="block-style-by-pass">
                  <span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.choice.notify.wiastatustxt"/></span>
                  <span class="page-detail-column float-right">
                     <span id="wiastatusid" class="spaninfotext"><fmt:message key="gatherlog.choice.notify.wiastatusnonetxt" /></span>
                  </span>
               </label>
            </div>
            <div class="gl-section collect-by collect-by-wia hidden">
               <label class="block-style-by-pass">
                  <span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.choice.notify.wialasttimetxt"/></span>
                  <span class="page-detail-column float-right">
                     <span id="wialasttimeid" class="spaninfotext"><fmt:message key="gatherlog.choice.notify.wiastatusnonetxt" /></span>
                  </span>
               </label>
            </div>
			<div class="gl-section collect-by collect-by-wia hidden">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.choice.wiasetup.configuration"/></span>
					<span class="page-detail-column float-right">
						<span class="inputbox">
							<select id="WIACONFIGURATION">
								<option value="9"><fmt:message key="gatherlog.choice.wiasetup.every15secondsfornext7days" /></option>
								<option value="0"><fmt:message key="gatherlog.choice.wiasetup.every5secondsfornext24hours" /></option>
								<option value="1"><fmt:message key="gatherlog.choice.wiasetup.every10secondsfornext24hours" /></option>
								<option value="2"><fmt:message key="gatherlog.choice.wiasetup.every15secondsfornext24hours" /></option>
								<option value="3"><fmt:message key="gatherlog.choice.wiasetup.every5secondsfornext48hours" /></option>
								<option value="4"><fmt:message key="gatherlog.choice.wiasetup.every10secondsfornext48hours" /></option>
								<option value="5"><fmt:message key="gatherlog.choice.wiasetup.every15secondsfornext48hours" /></option>
								<option value="6"><fmt:message key="gatherlog.choice.wiasetup.every5secondsfornext72hours" /></option>
								<option value="7"><fmt:message key="gatherlog.choice.wiasetup.every10secondsfornext72hours" /></option>
								<option value="8"><fmt:message key="gatherlog.choice.wiasetup.every15secondsfornext72hours" /></option>
								<option value="10"><fmt:message key="gatherlog.choice.wiasetup.every15secondsfornext14days" /></option>
								<option value="11"><fmt:message key="gatherlog.choice.wiasetup.every15secondsfornext365days" /></option>
							</select>
						</span>
					</span>
				</label>
			</div>
			<div class="gl-section collect-by collect-by-wia hidden">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.choice.wiasetup"/></span>
					<span class="page-detail-column float-right">
						<span class="inputbox">
							<select id="WIADELAY">
								<option value="7"><fmt:message key="gatherlog.choice.wiasetup.sevendays" /></option>
								<option value="6"><fmt:message key="gatherlog.choice.wiasetup.sixdays" /></option>
								<option value="5"><fmt:message key="gatherlog.choice.wiasetup.fivedays" /></option>
								<option value="4"><fmt:message key="gatherlog.choice.wiasetup.fourdays" /></option>
								<option value="3"><fmt:message key="gatherlog.choice.wiasetup.threedays" /></option>
								<option value="2"><fmt:message key="gatherlog.choice.wiasetup.twodays" /></option>
								<option value="1"><fmt:message key="gatherlog.choice.wiasetup.oneday" /></option>
							</select>
						</span>
					</span>
				</label>
			</div>
            <div class="gl-section collect-by collect-by-wia-warning hidden">
               <label class="block-style-by-pass">
                  <span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.choice.notify.wiastatuswarningtitle"/></span>
                  <span class="page-detail-column float-right">
                     <span class="spaninfotext"><fmt:message key="gatherlog.choice.notify.wiastatuswarningtxt" /></span>
                  </span>
               </label>
            </div>
             -->

			<div class="gl-section collect-by collect-by-logmon hidden">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.prosprt.client" /></span>
					<span class="page-detail-column float-right">
						<span class="gl-opt-label"></span>
						<span class="inputbox"><input type="text" class="inpcontrol" id="client-list" name="clients" placeholder='<fmt:message key="gatherlog.prosprt.logstream.cl.placeholder" />' /></span>
					</span>
				</label>
			</div>
			<div class="gl-section collect-by collect-by-logmon hidden">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.label.collection"/></span>
					<span class="page-detail-column float-right alllogfilestream">
						<span class="gl-opt-label"><fmt:message key="gatherlog.prosprt.cloudlogmon.multilog" /></span>
						<span class="inputbox"><textarea class="" placeholder="<fmt:message key="gatherlog.prosprt.cloudlogmon.placehold" />" rows="1" name="logs" id="log-files-list"></textarea></span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="gl-opt-label"><fmt:message key="gatherlog.prosprt.moninterval" /></span>
						<label  class="gl-opt-label" for="hours-48"><input type="radio" class="interval" id="hours-48" name="interval" value="48" checked="checked" /><fmt:message key="gatherlog.prosprt.moninterval.hour" /></label>
						<label class="gl-opt-label" for="days-7"><input type="radio" class="interval" id="days-7" name="interval" value="7" /><fmt:message key="gatherlog.prosprt.moninterval.day" /></label>
					</span>
				</label>

			</div>
			<div class="gl-section collect-by collect-by-comp">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.label.computers"/></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb checked chkdump chkboxcomp collcomp" data-name="commserve" data-value="2" data-state="checked"></span><span class="gl-opt-label"><fmt:message key="gatherlog.choice.commserve" /></span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb chkindex chkdump chkboxcomp collcomp" data-value="3" data-name="ma" data-state="unchecked"></span>
						<span class="gl-opt-label">${gl_ma}</span>
						<span class="inputbox"><textarea class="" placeholder="<fmt:message key="gatherlog.choice.ma.placeholder" />" rows="1" name="MA" id="MAL" disabled="disabled"></textarea></span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">

						<span class="custom-cb chkindex chkdump chkboxcomp collcomp" data-value="4" data-name="cl" data-state="unchecked"></span>
						<span class="gl-opt-label">${gl_cl}</span>

						<span class="inputbox"><textarea class="" placeholder="<fmt:message key="gatherlog.choice.cl.placeholder" />" rows="1" name="CL" id="CLL" disabled="disabled"></textarea></span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">

						<span class="custom-cb chkindex chkboxcomp collcomp" data-value="16" data-name="cg" data-state="unchecked"></span>
						<span class="gl-opt-label">${fla_clg}</span>

						<span class="inputbox"><textarea class="" placeholder="${fla_clgplaceholder}" rows="1" name="CG" id="CGL" disabled="disabled"></textarea></span>
					</span>
				</label>
			</div>
			<div class="gl-section collect-by collect-by-logs">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.label.collection"/></span>
					<span class="page-detail-column float-right">
						<span class="pull-left"><span class="custom-cb checked chkboxlogfile collcomp colljob" id="logfilebox" data-value="1" data-state="checked"></span><span class="gl-opt-label"><fmt:message key="gatherlog.choice.logfiles" /></span></span>
						<span class="collect-by collect-by-job hidden"><span class="custom-cb colljob" id="logfragbox" data-value="15" data-state="unchecked"></span><span class="gl-opt-label"><fmt:message key="gatherlog.choice.logfragment" /></span></span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb collcomp colljob" id="jobresultsbox" data-name="jobresults" data-value="8" data-state="unchecked"></span><fmt:message key="gatherlog.choice.jobresults" />
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb chkstage disabled collcomp colljob" id="indexbox" data-value="6" data-name="indx" data-disabled data-state="unchecked"></span><fmt:message key="gatherlog.choice.index" />
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb chkstage chkdonotuseclouddrbackup collcomp colljob" id="csdbbox" data-name="csdb" data-value="5" data-state="unchecked"></span><fmt:message key="gatherlog.choice.csdb" /><span class="spaninfotext hidden dbntsprted"> (<fmt:message key="gatherlog.choice.dbnotsupported" />)</span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb collcomp colljob" id="dblogs" data-name="database logs" data-value="17" data-state="unchecked"></span><fmt:message key="gatherlog.choice.dblogs"/>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb chkdonotuseclouddrbackup collcomp colljob" id="otherdbs" data-name="other databases" data-value="19" data-state="unchecked"></span><fmt:message key="gatherlog.choice.otherdb"/> <span class="spaninfotext">(CVCloud, DM2, Workflow)</span>
					</span>
				</label>
				<label class="block-style-by-pass" id="donotuseclouddrbackup-wrapper">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb disabled collcomp colljob" id="donotuseclouddrbackup" data-name="do not use cloud dr backup" data-value="24" data-disabled data-state="unchecked"></span><fmt:message key="gatherlog.choice.donotuseclouddrbackup"/>
					</span>
				</label>
				<label class="block-style-by-pass collect-by collect-by-comp hidden">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span  class="custom-cb collcomp" data-value="18" id="procdump" data-name="processdump" data-state="unchecked"></span>${gl_procdump} <span class="spaninfotext">(<fmt:message key="gatherlog.choice.procdump.infotxt" />)</span>
					</span>

					<span class="page-detail-column float-right procdmp hidden">
						<span class="page-detail-column element-indent-class leftcol">
							<span class="inputbox"><select class="procdmp-inputbox"></select></span>
						</span>
						<span class="page-detail-column float-right">
							<span class="inputbox">
								<textarea class="procdmp-inputbox" placeholder="<fmt:message key="gatherlog.choice.pd.placeholder" />" rows="1" name="PD" id="PDL" disabled="disabled"></textarea>
							</span>
						</span>
						<span class="page-detail-column float-right"><span class="inputbox">
							<button id="addprocdump" class="mainBtn float-right"><fmt:message key="gatherlog.addproc"/></button>
						</span></span>

						<span class="">
							<table id="proctable" class="proctable tablesorter">
								<thead>
									<tr class="grad">
										<th><fmt:message key="gatherlog.choice.procdump.tblheader.client" /></th>
										<th><fmt:message key="gatherlog.choice.procdump.tblheader.proc" /></th>
									</tr>
								</thead>
								<tbody id="procdmptablebody"></tbody>
							</table>
						</span>
					</span>

				</label>
			</div>
			<div class="gl-section collect-by collect-by-logs">
				<label class="block-style-by-pass hide">
					<span class="page-detail-column float-right">
						<span class="pull-left"><span class="custom-cb checked collcomp colljob chkstage" data-value="9" id="upld" data-state="checked"></span><fmt:message key="gatherlog.choice.upload" /> </span>
						<span class="spaninfotext"><input type="hidden" name="upld" value="11"/>&nbsp;Http</span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.label.output"/></span>
					<span class="page-detail-column float-right">
						<span class="pull-left"><span class="custom-cb collcomp colljob savetodisk-cb" data-value="13" data-state="unchecked"></span><fmt:message key="gatherlog.choice.savetodisk" /></span>
						<span class="spaninfotext"> (<fmt:message key="gatherlog.choice.savetodisk.info" />)</span>
					</span>
				</label>

				<label class="block-style-by-pass hide">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right chunk-file">
						<span class="custom-cb collcomp colljob checked" id="chunk-file-box"  data-value="23" data-state="checked"></span><fmt:message key="gatherlog.choice.splitFileSize"/>
						<span class="inputbox chunk-file-value"><input id="splitFileSize" name="splitFileSize" type="number" value="512" min="64" max="1048546" title=""></span>
						<span class="chunk-file-value"> MB</span>
					</span>
				</label>

			</div>
			<div class="gl-section collect-by collect-by-logs">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.label.analytics"/></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb disabled collcomp colljob" id="stagebox" data-value="7" data-disabled data-state="unchecked"></span><fmt:message key="gatherlog.choice.stage" />

					</span>
				</label>
				<label class="block-style-by-pass stageV hidden">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">

						<fmt:message key="gatherlog.stage.versions" />

						<span class="selectbox">
							<select class="" id="stageversion">
							<option value="1">Same as CommCell</option>
							<option value="2" selected>Latest SP</option>
							</select>
						</span>

					</span>
				</label>
				<label class="block-style-by-pass collect-by collect-by-job hidden">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span  class="custom-cb colljob" data-value="22" id="findsolutionauto" data-state="unchecked"></span>${gl_findsolutionauto}
					</span>
				</label>
			</div>
			<div class="gl-section collect-by collect-by-logs">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.label.emailnotify"/></span>
					<span class="page-detail-column float-right">
						<span class="spaninfotext"><fmt:message key="gatherlog.choice.notify.infotxt" /></span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb collcomp colljob ${paramnotify ?'checked':''}" id="notifybox" data-value="12" data-state="${paramnotify ?'checked':'unchecked'}"></span>
						<span class="gl-opt-label"><fmt:message key="gatherlog.choice.notify" /></span>
						<span class="inputbox"><input class="gl-inp-text" placeholder="<fmt:message key="gatherlog.choice.notify.placeholder" />" type="text" id="NMAIL" ${paramnotify ?'':'disabled="disabled"'} value="${fn:escapeXml(param.notifymails)}"/></span>
					</span>
				</label>
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="custom-cb collcomp colljob ${paramcrm ? 'checked':''}" id="crmtoken" data-value="20" data-state="${paramcrm ?'checked':'unchecked'}"></span>
						<span class="gl-opt-label"><fmt:message key="gatherlog.choice.crm" /></span>
						<span class="inputbox"><input class="gl-inp-text" placeholder="" type="text" id="CRMT" ${paramcrm ?'':'disabled="disabled"'} value="${fn:escapeXml(param.crmtoken)}"/></span>
					</span>
				</label>
			</div>
			<div class="gl-section collect-by collect-by-logs">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"><fmt:message key="gatherlog.label.comments"/></span>
					<span class="page-detail-column float-right">
						<span class="inputbox"><textarea class="" rows="1" name="comments" id="comments"></textarea></span>
					</span>
				</label>
			</div>

			<!--  <div class="gl-section collect-by collect-by-logmon hidden">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="trblsht-btn"><button id="addlogmonitor" class="mainBtn float-right"><fmt:message key="gatherlog.logstreaming.add"/></button></span>
					</span>
				</label>
			</div>
			<div class="gl-section collect-by log-stream-add-div hidden">
				<div class="log-streaming-req">
					<h2><fmt:message key="gatherlog.logstreaming.selectedsummary"/> <span class="caption log-stream-add"></span></h2>
					<div class="rTable log-stream-add-table">
						<div class="rTableRow">
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.clientname"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.logfile"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.prosprt.moninterval"/></div>
						</div>
					</div>
				</div>
			</div>-->

			<div class="gl-section sbmt-div">
				<label class="block-style-by-pass">
					<span class="page-detail-column element-indent-class leftcol"></span>
					<span class="page-detail-column float-right">
						<span class="trblsht-btn"><button id="sbmtGetLogs" class="mainBtn float-right"><fmt:message key="gatherlog.submit"/></button></span>
					</span>
				</label>
				<p class="hidden aftrsbmtmsg alert alert-info"><fmt:message key="gatherlog.successmsg"/></p>
			</div>
			<div class="gl-section collect-by collect-by-logmon hidden">
				<div class="log-streaming-req">
					<h2><fmt:message key="gatherlog.logstreaming.existreq"/> <span class="caption log-stream-reqcount"></span></h2>
					<div class="rTable log-stream-table">
						<div class="rTableRow">
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.id"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.clientname"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.logfile"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.date"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.expiredate"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.report"/></div>
							<div class="rTableHead"><fmt:message key="gatherlog.logstreaming.req.action"/></div>
						</div>
						<div class="rTableRow log-stream-row"><fmt:message key="gatherlog.logstreaming.nologstreamreq"/></div>
					</div>
				</div>
			</div>
		</div>



	</div>

	<div class="uploadnowdiv hidden" style="padding-top: 20px;"><p>${gl_upldnowmodaltext}</p><br>
	<div><label class="label">${fla_clg}</label><br>
	<textarea placeholder="${fla_clgplaceholder}" rows="1" name="UCGL" id="UCGL" class="textbox"></textarea>
	<br/><label class="hidden" id="labelerr"></label>
	<br/><label class="hidden" id="labelconfirm" ></label><br></div></div>

	<div class="extendlogstreamingdiv hidden" >
		<br>
		<span class="gl-opt-label"><fmt:message key="gatherlog.prosprt.moninterval" /></span>
		<label  class="gl-opt-label" for="hours-48"><input type="radio" class="interval" id="extend-hours-48" name="extend-interval" value="48" checked="checked" /><fmt:message key="gatherlog.prosprt.moninterval.hour" /></label>
		<label class="gl-opt-label" for="days-7"><input type="radio" class="interval" id="extend-days-7" name="extend-interval" value="7" /><fmt:message key="gatherlog.prosprt.moninterval.day" /></label>

	</div>

	<fmt:message key="gatherlog.logstreaming.reqs" var="log_stream_total"/>
	<fmt:message key="gatherlog.logstreaming.clientadded" var="log_stream_clientadded"/>
	<fmt:message key="gatherlog.logstreaming.req.reportlink" var="log_stream_reportlink"/>
	<fmt:message key="gatherlog.logstreaming.nologstreamreq" var="no_log_streamreq"/>
	<fmt:message key="gatherlog.label.selectCommcell" var="selectCommcell"/>
	<fmt:message key="gatherlog.submit" var="gl_submit"/>
	<fmt:message key="gatherlog.logstreaming.abouttoexpire" var="gl_logstreaming_about_toexpire"/>
	<fmt:message key="gatherlog.logstreaming.expired" var="gl_logstreaming_expired"/>
	<fmt:message key="gatherlog.logstreaming.extendtitle" var="gl_extendlogstreaming"/>
	<fmt:message key="gatherlog.logstreaming.extendNotSupported" var="gl_logstreaming_notsupported"/>
</fmt:bundle>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
var localMsg = localMsg || {};
localMsg.collectinfo = "${gl_colinfo}";
localMsg.proactsprt = "${gl_proact}";
localMsg.fla_btn_ok = "${fla_btn_ok}";
localMsg.yes = "${fla_btn_ok}";
localMsg.common_yes = "${fla_btn_yes}";
localMsg.no = "${fla_btn_cancel}";
localMsg.fla_btn_cancel = "${fla_btn_cancel}";
localMsg.gl_upldnowmodaltext = "${gl_upldnowmodaltext}";
localMsg.glheadertxt = '${gl_htxt}';
localMsg.gl_jobiddisabletxt1 = "${gl_jobiddisabletxt1}";
localMsg.gl_jobiddisabletxt2 = "${gl_jobiddisabletxt2}";
localMsg.gl_nomatxt = "${gl_nomatxt}";
localMsg.gl_noemailtxt = "${gl_noemailtxt}";
localMsg.gl_stageerrtxt = "${gl_stageerrtxt}";
localMsg.gl_nojobidtxt = "${gl_nojobidtxt}";
localMsg.gl_jobidnotinteger = "${gl_jobidnotinteger}";
localMsg.gl_wiadelayinvalid = "${gl_wiadelayinvalid}";
localMsg.gl_wiastatusnonetxt = "${gl_wiastatusnonetxt}";
localMsg.gl_wiastatusfailedtxt = "${gl_wiastatusfailedtxt}";
localMsg.gl_wiastatusrunningtxt = "${gl_wiastatusrunningtxt}";
localMsg.gl_wiastatuscompletedtxt = "${gl_wiastatuscompletedtxt}";
localMsg.gl_nooptiontxt = "${gl_nooptiontxt}";
localMsg.gl_nocomputertxt = "${gl_nocomputertxt}";
localMsg.gl_nocomputerfordump = "${gl_nocomputertxtfordump}";
localMsg.gl_nocollectiontxt = "${gl_nocollectiontxt}";
localMsg.gl_nologfilestxt = "${gl_nologfilestxt}";
localMsg.gl_noproctxt = "${gl_noproctxt}";
localMsg.gl_nouploadtxt = "${gl_nouploadtxt}";
localMsg.gl_confheadertxt = "${gl_confheadertxt}";
localMsg.gl_confboxmsg1 = "${gl_confboxmsg1}";
localMsg.gl_confboxmsg2 = "${gl_confboxmsg2}";
localMsg.gl_confmsg = "${gl_confmsg}";
localMsg.gl_ma = "${gl_ma}";
localMsg.gl_cl = "${gl_cl}";
localMsg.gl_cs = "${gl_cs}";
localMsg.flaheadertxt = "";
localMsg.gl_wrongcommcellmsg = '${gl_wrongcommcellmsg}' + '<a href="{0}"> CommCells</a>';

localMsg.gl_loaderrmsg = "${gl_loaderrmsg}";
localMsg.gl_clloaderrmsg = "${gl_clloaderrmsg}";
localMsg.gl_tryagain = "<a href=\"javascript:void();\" class=\"try-again\">" + '${gl_tryagain}' + "</a>";
localMsg.gl_submitmore = " <a href=\"javascript:void();\" class=\"try-again\">" + '${gl_submitmore}' + "</a>";
localMsg.gl_noclienttxt = "${gl_noclienttxt}";
localMsg.gl_nogrouptxt = "${gl_nogrouptxt}";
localMsg.gl_invalidmailtxt = "${gl_invalidmailtxt}";
localMsg.gl_uploadnow = "${gl_uploadnow}";
localMsg.fla_clg = "${fla_clg}";
localMsg.fla_clgplaceholder = "${fla_clgplaceholder}";

localMsg.cloud_dr_available = "${cloud_dr_available}"
localMsg.cloud_dr_available_title = "${cloud_dr_available_title}"

localMsg.gl_usernotloggedin = "${gl_usernotloggedin}";
localMsg.gl_emptycommcellid = "${gl_emptycommcellid}";
localMsg.gl_unexpectederrormsg = "${gl_unexpectederrormsg}";
localMsg.gl_successmsg = "${gl_successmsg}";
localMsg.gl_dberr = "${gl_dberr}";
localMsg.gl_rtnotenabled = "${gl_rtnotenabled}";
localMsg.gl_nomails = "${gl_nomails}";
localMsg.gl_stage_selecttxt = "${gl_stage_selecttxt}";
localMsg.gl_nologindextxt = "${gl_nologindextxt}";
localMsg.gl_nosupport = "${gl_nosupport}";
localMsg.gl_remprocrow = "${gl_remprocrow}";
localMsg.gl_noclfordumptxt = "${gl_noclfordumptxt}";
localMsg.log_files = "${log_files}";
localMsg.stream_succ = "${stream_succ}";
localMsg.totalreqmsg = "${log_stream_total}";
localMsg.log_stream_clientadded = "${log_stream_clientadded}";
localMsg.log_stream_reportlink = "${log_stream_reportlink}";
localMsg.no_log_streamreq = "${no_log_streamreq}";
localMsg.gl_maxclientsreached = "${maxclient_reached}";
localMsg.log_stream_multilogdisabled = "${gl_proactive_multilogdisabled}";
localMsg.log_stream_multilog = "${gl_proactive_multilog}";
localMsg.selectCommcell = "${selectCommcell}";
localMsg.gl_submit = "${gl_submit}";
localMsg.gl_logstreaming_about_toexpire = "${gl_logstreaming_about_toexpire}";
localMsg.gl_logstreaming_expired = "${gl_logstreaming_expired}";
localMsg.gl_extendlogstreaming = "${gl_extendlogstreaming}";
localMsg.gl_logstreaming_notsupported = "${gl_logstreaming_notsupported}";
localMsg.invalidChunkSize="${invalid_chunk}";
var localMsgCode = [];
localMsgCode[0] = localMsg.gl_successmsg;
localMsgCode[1] = localMsg.gl_usernotloggedin;
localMsgCode[2] = localMsg.gl_emptycommcellid;
localMsgCode[3] = localMsg.gl_wrongcommcellmsg;
localMsgCode[4] = localMsg.gl_unexpectederrormsg;
localMsgCode[5] = localMsg.gl_dberr;
localMsgCode[6] = localMsg.gl_rtnotenabled;
localMsgCode[7] = localMsg.gl_nomails;
localMsgCode[8] = localMsg.gl_stage_selecttxt;
localMsgCode[9] = localMsg.gl_nojobidtxt;
localMsgCode[10] = localMsg.gl_nosupport;
localMsgCode[11] = "${gl_stage_nouploadtxt}";
localMsgCode[12] = "${gl_proactive_emptyjson}";
localMsgCode[13] = "${gl_proactive_invalidtoolparam}";
localMsgCode[14] = localMsg.gl_maxclientsreached;
localMsgCode[15] = "${gl_sig_gen_failed}";

</script>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/auto_complete.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/flabygatherlogs.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/gatherlogs.js" name="js" />
	<jsp:param value="true" name="bootstrapped" />
</jsp:include>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	$(document).ready(function(){flaGatherLog.submitButtonClickEventBinding();});
</script>
