<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="Growth and Trend" name="titleLocalized" />
	<jsp:param value="Growth and Trend" name="headerTitleLocalized" />
	<jsp:param value="true" name="exportOptions" />
	<jsp:param value="true" name="includeCROptions" />
	<jsp:param value="true" name="classicReport"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css"/>
 	<jsp:param value="reports/reportsBase.jsp" name="jsp"/>
 	<jsp:param value="true" name="includeHistory"/>
 	<jsp:param value="true" name="includeJqueryUI"/>
 	<jsp:param value="true" name="includeTableSupport"/>
 	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
 	<jsp:param value="${pageContext.request.contextPath}/survey/css/growthDashboard.css" name="css" />
</jsp:include>
<style>
input#growthTable_filterText-0{
	display:none;
}

#chartContainer{
	width:100%;
	max-width:1204px;
	overflow:hidden;
}

#chart{
	width:100%;
	overflow-x:auto;
	overflow-y:auto;
}

#chart>svg{
	width:1152px;
}

#summaryTableWrapper{
	height:auto;
}

</style>
<script nonce="${sessionScope.cspNonce}" >
		var docBaseURL="${applicationScope.DOCUMENTATION_LINK}",
			isPublicMetrics = ${applicationScope.isPublicMetricsCloud == "true" ? "true" : "false"};
	</script>
<jsp:include page="../surveyBase.jsp">
	<jsp:param value="reports" name="apptype"/>
	<jsp:param value="true" name="includeExportSupport"/>
</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="includeCROptions" value="true" />
	<jsp:param name="changePage" value="true" />

	<jsp:param name="searchCC" value="true" />
	<jsp:param value="true" name="exportPdf"/>
	<jsp:param value="true" name="exportHtml"/>
	<jsp:param value="true" name="exportCsv"/>
	<jsp:param value="true" name="printButton"/>
	<jsp:param value="true" name="includeCROptionBeforeSearch"/>
	<jsp:param value="true" name="exportEnabled"/>
	<jsp:param name="headerLinks" value="worldwideUrl" />
</jsp:include>

<div id="chartContainer" class="grid viewBox chartholder" comp='growthChartContainer' data-component-type='METRICS_CHART'>
                                <div class="boxedChartTitle fullwidth"><span id="chartTitle">${fn:escapeXml(param.entityDisplayType)}</span>
								    <a class="tableMini miniChartType sprite icon-table_mini" title="Table" href="#"></a>
	                                <a class="linechartMini miniChartType sprite icon-linechartmini" title="Line Chart" href="#"></a>
	                                <a class="vbarchartMini miniChartType sprite icon-vbarchartmini_new" title="Bar Chart" href="#"></a>
                                </div>
					            <span>
					            </span>	<div class="showifnodata chartnodata"><div class="noDataSpan"><fmt:message key="NoDataAvailable" /></div></div>
					            <div class="showiferror chartnodata"><div class="errorSpan"></div></div>

					            <div id="chart" class="boxedChart hideifnodata hideiferror"></div>
					            <div id="summaryTableWrapper" class="hideifnodata hideiferror">
					            	<div id = "summaryTable"></div>
					            </div>

					            <c:choose>
					            <c:when  test="${param.isDedupe!=true}">
					            	<c:choose>
					            		<c:when test="${param.isClientsCount!=true }">
					            			<div id="filterPane" class="clearfix centered chartFilterPanel">
							            <div class="">
							            	<c:if test="${param.isCapacityType==false}">
											<ul class="horizontalList toggleButtons" id="yAxisSelection">
												<li id="0_growthType" class="on"> <fmt:message key="growth.Size_on_Media"/> </li>
												<li id="1_growthType"> <fmt:message key="growth.Protected_App_Size"/>  </li>
											</ul>
											</c:if>
											<c:if test="${param.isCapacityType==true}">
											<ul class="horizontalList toggleButtons" id="yAxisSelection">
												<li id="2_growthType" class="on"> <fmt:message key="Backup" /> </li>
												<li id="3_growthType"> <fmt:message key="Archive" />  </li>
											</ul>
											</c:if>
										</div>

										<div class="">
										<ul class="horizontalList toggleButtons" id="aggregateSelection">
											<li id="2_aggregate" class="on"  style="margin-left: 20px;"> Top 5</li>
											<c:if test="${param.isDedupe!=true}">
												<li id="1_aggregate"> <fmt:message key="Aggregate" /></li>
											</c:if>
											<li id="0_aggregate"> <fmt:message key="Selected_Entities" /> </li>
										</ul>
										</div>
									</div>

					            		</c:when>
					            	</c:choose>
					            </c:when>
					            <c:otherwise>
					             <div id="dedupeDetailfilterPane" class="clearfix centered chartFilterPanel">
						            <div class="">
										<ul class="horizontalList toggleButtons" id="yAxisSelection">
											<li id="1_growthType" class="on" data-isdedupe="true" > <fmt:message key="Full" /> </li>
											<li id="0_growthType" data-isdedupe="true"> <fmt:message key="Incremental.Differential" />  </li>
											<li id="2_growthType" data-isdedupe="true"> <fmt:message key="Both" /> </li>
										</ul>
									</div>
									<div class="">
										<ul class="horizontalList toggleButtons" id="aggregateSelection">
											<li id="2_aggregate" class="on"  style="margin-left: 20px;"> <fmt:message key="Top_5" /></li>
											<c:if test="${param.isDedupe!=true}">
												<li id="1_aggregate"> <fmt:message key="Aggregate" /></li>
											</c:if>
											<li id="0_aggregate"> <fmt:message key="Selected_Entities" /> </li>
										</ul>
									</div>
									<select class="dedupeIntervalTypes">
												<option  value="1"> <fmt:message key="Daily" /></option>
												<option  value="2" selected="true"><fmt:message key="Weekly" /></option>
												<option  value="3"> <fmt:message key="Monthly" /></option>
									</select>
									<select id="dedupeGroupBy">
												<option  value="Storage Policy" selected="true"> <fmt:message key="chargeback.trends.Storage_Policy" /></option>
												<option  id="agentTypeGroupBy" value="Agent Type" ><fmt:message key="chargeback.trends.Agent" /></option>
												<option  id="commcellGroupBy" value="CommCell"> <fmt:message key="chargeback.trends.CommCell" /></option>
												<option  value="Subclient"><fmt:message key="chargeback.trends.SubClient" /></option>
									</select>
								</div>
					            </c:otherwise>
					            </c:choose>

                        </div>

<div id='tableWrapper'>
<div id="growthTable" />
</div>
<jsp:include page="alarmdialog.jsp"></jsp:include>
<%@ include file="../../reports/reportsBaseBody.jsp" %>

<script nonce="${sessionScope.cspNonce}" >
var entityType='${fn:escapeXml(param.entityType)}';
var intervalType = '${fn:escapeXml(param.intervalType)}';
var groupBy = '${fn:escapeXml(param.groupBy)}';
var isDedupe='${fn:escapeXml(param.isDedupe)}';
</script>
</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.corner.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/qtip/jquery.qtip.min.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/growthTable.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/survey/js/entityGrowth.js" name="js"/>
  	<jsp:param value="true" name="bootstrapped" />
</jsp:include>
