<jsp:include page="../../common/header.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="CommCell Survey" name="titleLocalized" />
	<jsp:param value="false" name="includeJqueryUI" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		
	<jsp:param value="reports/reportsBase.jsp" name="jsp" />
	<jsp:param value="true" name="includeHistory"/>
	<jsp:param value="true" name="includeTableSupport" />
	<jsp:param value="true" name="disableTableColReordering" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/ui.spinner.css" name="css"/>
	
	<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/healthcheck.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/healthparams.css" name="css" />
	
</jsp:include>

<jsp:include page="surveyHeader.jsp">
	<jsp:param name="includeBreadcrumb" value="false" />
	<jsp:param name="searchCC" value="true" />
	<jsp:param name="searchPage" value="health.jsp" />
	<jsp:param value="commcellUrl" name="headerLinks"/>
	<jsp:param value="Health Report Parameters" name="welcomeMsg"/>
</jsp:include>

<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	$("#headerLinks").css("margin-top","-5px");
	$("#search").css("margin-top","5px");
</script>

<div>
	<!-- The content goes here... -->
	<div id="tableWrapper"></div>
</div>


<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ui.spinner.min.js" name="js"/>

	<jsp:param value="${pageContext.request.contextPath}/survey/js/search.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>
	
	<jsp:param value="${pageContext.request.contextPath}/survey/js/healthparams.js" name="js" />
</jsp:include>