
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib uri="../../WEB-INF/cvtaglib.tld" prefix="cv" %>

<fmt:bundle basename="localization.SurveyMessages">
<c:set var="appName" value="healthCheck"></c:set>
<c:choose>
	<c:when test="${param.exportType =='pdf' && param.surveyId=='92'}">
	<jsp:include page="royaltyReport.jsp">
	<jsp:param value="${pageContext.request.contextPath}/survey/css/royaltyReport.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/royaltyReport.js" name="js" />
    <jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />
	</jsp:include>
	</c:when>
	<c:otherwise>
	<jsp:include page="../../common/header.jsp">
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.multiselect.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/survey/css/uniform.default.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/common/multiselect/css/ui.multiselect.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/table.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/reports.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/operations.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/alarms.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/css/actionButtons.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="reports/reportsBase.jsp" name="jsp" />
		<jsp:param value="true" name="includeHistory"/>
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="true" name="includeCustomSelect"/>
		<jsp:param value="true" name="bootstrapped" />
		<jsp:param value="true" name="reportsNav" />

		<jsp:param value="report" name="appName" />
		<jsp:param value="CommCell Survey" name="titleLocalized" />
		<jsp:param value="CommCell Survey" name="headerTitleLocalized" />
	</jsp:include>
<%--
		<jsp:param value="${pageContext.request.contextPath}/survey/css/cssurvey.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/theme/jquery-ui.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/ui.jqgrid.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/bootstrap.min.css" name="css" />

 --%>
<jsp:include page="../surveyBase.jsp">
	<jsp:param value="reports" name="apptype"/>
	<jsp:param value="true" name="includeExportSupport"/>
</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="changePage" value="true" />
	<jsp:param name="searchCC" value="true" />
	<jsp:param value="true" name="exportPdf"/>
	<jsp:param value="true" name="exportCsv"/>
	<jsp:param value="true" name="exportHtml"/>
	<jsp:param value="true" name="printButton"/>
	<jsp:param value="true" name="includeCROptionBeforeSearch"/>
	<jsp:param value="true" name="exportEnabled"/>
	<jsp:param name="headerLinks" value="worldwideUrl" />
</jsp:include>
<form id="exportForm" action="${pageContext.request.contextPath}/server/doDownload" method="get">
		<input id="downloadType" type='hidden' name='type' value='report' />
		<input id="fileNameToDownload" type='hidden' name='fileName' value='' />
</form>
<div class='clrfloat'></div>

<c:if test="${param.surveyId eq 117}">
	<jsp:include page="../MediaManagementSummary.jsp"></jsp:include>
</c:if>


<c:if test="${param.surveyId eq 65}">
	<c:if test="${empty param.storeId}">
		<jsp:include page="DDBPerformanceTrend.jsp"></jsp:include>
	</c:if>
	<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/survey/js/DDBPerformanceTrend.js?${applicationScope.BUILD_TS}"></script>

</c:if>

<c:set var="isPrivateMetrics" value="${applicationScope.isPublicMetricsCloud == null || applicationScope.isPublicMetricsCloud == 'false'}" />



<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
	var isPrivateMetrics = "${isPrivateMetrics}";
	window.urlInitializationNotRequired = true;
	var localMsg = localMsg || {};
    ${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};
	var summarySupported = [ 1, 5, 8, 12, 25, 4, 26,55, 67, 104,106, 117,92, 51, 137, 27, 31, 200, 201, 96, 196];
	var commUniId = cvUtil.getParameter('commUniId', "' '");
	var surveyId = parseInt(cvUtil.getParameter('surveyId', '1'));
	var commCellId = 0;
	var tenant = cvUtil.getParameter('tenant', "");
	var commIpAddr = '';
	var CommGuiId = '';
	var tableTitle = cvUtil.cvLocalize("CommCell_Details");
	var surveySelected = '';
	var clientName = '';
	var collectiontime = '';
	var app = 'none';


	function loadData() {
		surveyId = parseInt(cvUtil.getParameter('surveyId', '1'));

		showHideComponents(surveyId, summarySupported);

		surveyListAndMeta(function(data1) {
			var output = data1;//$.parseJSON(data1);

			if(output !== null && typeof output === 'object') {
				if(output.error) {
					hideAllComponents();
					$("#noDataNotificationPanel").html(output.error);
					$("#noDataNotificationPanel").show();
				} else {
					var selectedSurvey = output.surveys.selectedSurvey;
					//var enableDropDown = output.surveys.enableDropDown && (cvUtil.getParameter("dd", "true") === "true" ? true : false);
					var enableDropDown = false;
					var surveyGroupList = output.surveys.surveyGroupList;
					var enableWorldWideHeader = output.surveys.enableWorldWideHeader;
					var isPublicCloud = output.surveys.isPublicCloud;

					var customer = output.customer;
					if(surveyId == 137){
						var rep = cvUtil.getParameter('repType');
						if(rep != undefined && rep == 'monthly'){
							selectedSurvey = 'Daily Backup Jobs';
						}else{
							selectedSurvey = 'Job Details';
						}
					}else if(surveyId == 51){
						selectedSurvey = "Hourly Backup Jobs";
					}

					$("#surveyName").html(selectedSurvey);
					if(enableDropDown) {
						$("#surveyList").html(SurveyTemplates.makeSurveyList("surveyList", surveyGroupList));
						$("#cust-survey-div").addClass("cust-survey-div");
						$("#surveyName").append("<span class='downarrow'></span>");
						SurveyGlobals.addDropDownEvents();
					}  /*else {
						//there is no worldwide stats page for this.
						$("#commcellUrl").hide();
					} */
					//there is no worldwide stats page for this.

					hideHeaderLinks(surveyId,enableDropDown,enableWorldWideHeader);
					$("#survey-list-holder").show();

					$("#chartTitle").html(selectedSurvey);
					if(output.commCellId) {
						$("#metaCCId").html('<span>'+cvUtil.cvLocalize("commcell.info.label.CommCell_ID")+': ' + output.commCellId + '</span>');
					}
					if(output.CommServeGUID) {
						output.CommServeGUID = registrationCode(output.CommServeGUID);
						$("#GUID").html('<span>'+cvUtil.cvLocalize("commcell.info.label.Registration_Code")+': ' + output.CommServeGUID + '</span>');
					}
					if(output.time) {
						$("#metaAsOf").html('<span>'+cvUtil.cvLocalize("commcell.info.label.As_of")+': ' + output.time + '</span>');
					}
					if(output.timeZone) {
						$("#timeZone").html('<span>'+cvUtil.cvLocalize("commcell.info.label.Time_zone")+': ' + output.timeZone + '</span>');
					}

					if(output.version) {
						var baseLink = docBaseURL.substr(0,docBaseURL.lastIndexOf("/"));
						var helpLink10 = baseLink+"/article?p=error_codes/error_codes.htm";
						if (output.version.substring(0, 1) == '9') {
							$('#errorCodeUrl')
									.attr(
											'href',
											'http://documentation.commvault.com/commvault/release_9_0_0/books_online_1/english_us/error_codes/error_codes.htm');
						} else {
							$('#errorCodeUrl')
									.attr(
											'href', helpLink10);
						}
						if(surveyId == 1){
							showLicenseUsageNote(output.version);
						}
					}

					if(customer) {
						customer = $.trim(customer);
						if (customer.length != 0) {
							//$('.reportsLink').text(customer+' (Reports)');
							$("#custName").html(customer + " -&nbsp;");
							//$("#surveyListHolder").width($("#uniform-surveyList span").width() + $("#custName").width() + 10 );
							$(document).attr("title",  customer + " - " + selectedSurvey);
							cvUtil.GUIAuditReportLog(selectedSurvey,customer);
						}
						else {
							$(document).attr("title",  selectedSurvey);
						}
					}
					if(output.GroupName != null){
						//$('.commcellsLink').text(output.GroupName+' (CommCells)');
					}

					if (surveyId > 0 && showWorldwideLink() && (enableWorldWideHeader == undefined || enableWorldWideHeader)) {
						var wwLinkParams = [];
						if(surveyId == 27){
							var fromCCDashboardSLA = cvUtil.getParameter("fromCCDashboardSLA");
							var tenant = cvUtil.getParameter("tenant","");
							if( tenant.length > 0 ){
								wwLinkParams.push("showSLATrend=true");
								wwLinkParams.push("repType=SLATrend");
							}else if(fromCCDashboardSLA != undefined && fromCCDashboardSLA == 'true'){
								wwLinkParams.push("fromCCDashboardSLA=" + fromCCDashboardSLA);
							}
						}
						wwLinkParams.push("surveyId=" + surveyId);
						reportsUtil.setWorldwideLink(true, wwLinkParams);
						$("#commcellUrl").show();
					}

					if (surveyId == 67 && isPublicCloud) {  //hide client details on Public cloud
						$("#commcellUrl").addClass("disabled").addClass("commcellUrlDisabled");
						$("#commcellUrl").attr("disabled","disabled");
					}
					if(surveyId == 1 && output.licExpirationDate){
						var mm = moment(output.licExpirationDate, 'MMM DD, YYYY');
						var mnow = moment(new Date());
						var days = mm.diff(mnow, 'days');
						var color='';
						if(days < 15){
							color = "class='red'";
						}else if(days < 30){
							color = "class='orange'";
						}
						$('#meta').parent().append("<span class='expiryDate'>"+cvUtil.cvLocalize("commcell.info.label.License_Expires_On")+" <span "+color+">" + output.licExpirationDate+"</span></span>");
					}
					if(surveyId == 51 || surveyId == 137){
						var excludeTranscationLogs = cvUtil.getParameter("excludeTranscationLogs", 0);
						var val = excludeTranscationLogs  == '1'? 'checked':'unchecked';
						$('#meta').parent().append("<span class='excludeTransLogs hideOnExportFriendly'><span id='transactionLogs' class='custom-cb "+val+"' data-state='"+val+"'></span><span>"+cvUtil.cvLocalize("Exclude_SQL_Transaction_Logs")+"</span></span>");
						$('#transactionLogs').click(function (e){
							var url = window.location.href +"&excludeTranscationLogs="+ ($('#transactionLogs').attr('data-state')=="checked"?0:1);
							report.requestString["excludeTranscationLogs"]= ($('#transactionLogs').attr('data-state')=="checked"?0:1);
							report.updateHash(true);
							window.location.reload();
						});
					}
					surveyCommon.addDetailsLink();

				}

			}
			else {
				//Error
				alert(cvUtil.cvLocalize("Something_went_wrong_please_try_again"));
			}
		});



		if (app == 'healthstatus') {
			generateTable(
					surveyId,
					'GetSurveyDetails',
					false,
					true,
					'commCellDetails',
					'indCommCellDetailsPager',
					tableTitle,
					commUniId,
					'IndCommCell',
					false,
					false,
					true);
		} else {
			$("#details1").append(
					"<span id='hs-link'><a href='commcellmonitoring.jsp?commUniId=" + commUniId
							+ "'><img class='monitorpng' src='${pageContext.request.contextPath}/survey/images/monitor_16X16.png'>Launch_Monitor</a></span>");

			if (surveyId == 1) {
				getSurveyData(1, commUniId, true);
				getSurveyData(3, commUniId, true, {"bAggregate":3});
				getSurveyData(3, commUniId, true,{"bAggregate":1});
				getSurveyData(3, commUniId, true,{"bAggregate":2});
				generateTable(
						3,
						'GetSurvey',
						false,
						true,
						'licUsageByLicenseTable',
						'licUsageByLicenseTablePager',
						localMsg.usageByLicense,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":3});

				generateTable(
						3,
						'GetSurvey',
						false,
						true,
						'licUsageByAgentTable',
						'licUsageByAgentTablePager',
						localMsg.usageByAgentType,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":1});
				generateTable(
						3,
						'GetSurvey',
						false,
						true,
						'licUsageByFeatureLicenseTable',
						'licUsageByFeatureLicenseTablePager',
						localMsg.usageByFeatureLicense,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":4});
				generateTable(
						3,
						'GetSurvey',
						false,
						true,
						'licUsageByRetiredLicenseTable',
						'licUsageByRetiredLicenseTablePager',
						localMsg.retiredAndConsolidatedLicenses,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":5});
				generateTable(
						1,
						'GetSurvey',
						false,
						true,
						'capacityLicensesTable',
						'capacityLicensesTablePager',
						localMsg.capacityLicenses,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":0});
				generateTable(
						1,
						'GetSurvey',
						false,
						true,
						'licVirtualizationLicenseTable',
						'licVirtualizationLicenseTablePager',
						localMsg.virtualization,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":2});
				generateTable(
						1,
						'GetSurvey',
						false,
						true,
						'licUsersLicenseTable',
						'licUsersLicenseTablePager',
						localMsg.endpointUsers,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":3});
				generateTable(
						1,
						'GetSurvey',
						false,
						true,
						'licArchivingLicenseTable',
						'licArchivingLicenseTablePager',
						localMsg.archiving,
						commUniId,
						'Summary',
						true, false, true,{"bAggregate":4});

			}else if(surveyId == 119||surveyId == 67){
				var table1Title="";
				var table2title = "";
				var optionalParam1;
				var optionalParam2;
				if(surveyId == 67){
					table1Title=cvUtil.cvLocalize("Clients_Details");
					//table2title = "Deleted/Deconfigured Clients";
					table2title = cvUtil.cvLocalize("Exceptions");
					console.log(table2title);
					optionalParam1={"Active":0 ,"blaggregate":0};
					optionalParam2={"Active":1 ,"blaggregate":1};

					 if(!cvUtil.getParameter("entity")){
						 generateTable(surveyId,'GetSurveySummary',true,false,'summaryDetails','summaryPager',cvUtil.cvLocalize("chart.title.Clients_Count_Trending"),commUniId,'IndCommCell',false, false, true);
						generateTable(surveyId,'GetSurveyDetails',false,true,'summaryDetails2','summaryPager2',cvUtil.cvLocalize("Overview"),commUniId,'IndCommCell',false, false, true, optionalParam1);
						generateTable(surveyId,'GetSurveyDetails',false,true,'commCellDetails','indCommCellDetailsPager',cvUtil.cvLocalize("Exceptions"),commUniId,'Summary',true, false, true,optionalParam2);
						}else{
							var exceptionsParam3={"Active":1,"blaggregate":0};
							generateTable(surveyId,'GetSurveyDetails',false,true,'commCellDetails','indCommCellDetailsPager',cvUtil.cvLocalize("Exceptions"),commUniId,'Summary',true, false, true,exceptionsParam3);
						}
				}else if(surveyId == 119){
					table1Title=cvUtil.cvLocalize("table.title.Based_on_the_last_full_job_within_30_days");
					table2title = cvUtil.cvLocalize("table.title.Based_on_all_incremental_jobs_in_last_7_days");
					optionalParam1={"OnFullJobs":1};
					optionalParam2={"OnFullJobs":0};
					generateTable(surveyId,'GetSurveyDetails',false,true,'commCellDetails','indCommCellDetailsPager',table1Title,commUniId,'IndCommCell',false, false, true, optionalParam1);
					generateTable(surveyId,'GetSurveyDetails',false,true,'commCellDetails2','indCommCellDetailsPager',table2title,commUniId,'IndCommCell',false, false, true, optionalParam2);
				}
			}else if(surveyId == 4){
					generateTable(surveyId,'GetSurveySummary',true,false,'summaryDetails','summaryPager',cvUtil.cvLocalize("table.title.Summary_by_Subclient_Count"),commUniId,'Summary',true, false, true);
					generateTable(surveyId,'GetSurveyDetails',false,true,'commCellDetails','indCommCellDetailsPager',tableTitle,commUniId,'IndCommCell',false, false, true);

			}else if(surveyId == 38){
				optionalParam1={"upgradeHistory":0};
				optionalParam2={"upgradeHistory":1};
				generateTable(surveyId,'GetSurveyDetails',false,true,'summaryDetails','summaryPager',cvUtil.cvLocalize("CommCell_Details"),commUniId,'Summary',false, false, true, optionalParam1);
				generateTable(surveyId,'GetSurveyDetails',false,true,'commCellDetails','indCommCellDetailsPager',cvUtil.cvLocalize("table.title.Upgrade_History"),commUniId,'IndCommCell',false, false, true, optionalParam2);
			}else if(surveyId == 161){
				optionalParam1={"bAggregate":0};
				optionalParam2={"bAggregate":1};
				generateTable(surveyId,'GetSurveyDetails',false,true,'summaryDetails2','summaryPager2',cvUtil.cvLocalize("Summary"),commUniId,'IndCommCell',false, false, true, optionalParam2);
				generateTable(surveyId,'GetSurveyDetails',false,true,'commCellDetails','indCommCellDetailsPager',cvUtil.cvLocalize("CommCell_Details"),commUniId,'IndCommCell',false, false, true,optionalParam1);
			}else if (surveyId != 117) {
				if (surveyId == 7) {
					// scale report
					//$('#scale-rep').show();
					//getSurveyDataForDashBoard(surveyId, commUniId);
					//getSurveyDataForDashBoard(7, commUniId, 0);

				}else if (showSummary(surveyId, summarySupported)) {
					var isChart=false;
					var  isTable = true;
					var summaryTableTitle = cvUtil.cvLocalize("Summary");
					if(surveyId == 137){
						var rep = cvUtil.getParameter('repType');
						if(rep != undefined && rep == 'monthly'){
							isChart = true;
						}
					}
					if (surveyId == 106||surveyId==55||surveyId==51){
				 		isChart = true;
					}
					if(surveyId != 55 && surveyId != 137){
						getSurveyData(surveyId, commUniId, true);
					}
					if(surveyId==27 && commUniId > 0){
						isChart=true;
						summaryTableTitle = cvUtil.cvLocalize("table.title.Last_12Months_SLA_Trend");
					}
					if(surveyId==12 && commUniId > 0){
						isChart=false;
						summaryTableTitle = cvUtil.cvLocalize("table.title.CommServe_Update_Status");
					}
					if (surveyId == 96 || surveyId == 196) {
						isChart = true;
						isTable = false;
					}
					generateTable(
								surveyId,
								'GetSurveySummary',
								isChart,
								isTable,
								'summaryDetails',
								'summaryPager',
								summaryTableTitle,
								commUniId,
								'Summary',
								true, false, true);

					if(surveyId == 55){
						generateTable(surveyId,'GetSurvey',false,true,'backupThroughputPerAgentTable','bkAgentSummaryPager', cvUtil.cvLocalize('throughput.Backup_Throughput_by_Agent'),commUniId,'CommCell',true, false, true, {"bAggregate" : 4,"ccId" : commUniId});
						generateTable(surveyId,'GetSurvey',false,true,'restoreThroughputPerAgentTable','rtAgentsummaryPager', cvUtil.cvLocalize('throughput.Restore_Throughput_by_Agent'),commUniId,'CommCell',true, false, true, {"bAggregate" : 6,"ccId" : commUniId});
						generateTable(surveyId,'GetSurvey',false,true,'auxiliaryCopyThroughputPerAgentTable','acAgentsummaryPager', cvUtil.cvLocalize('throughput.AuxiliaryCopy_Throughput_by_Agent'),commUniId,'CommCell',true, false, true, {"bAggregate" : 8,"ccId" : commUniId});
						generateTable(surveyId,'GetSurvey',false,true,'storagePolicyThroughputTable','spSummaryPager', cvUtil.cvLocalize('throughput.StoragePolicy_Throughput'),commUniId,'CommCell',true, false, true, {"bAggregate" : 10,"ccId" : commUniId});
					}
				}
				if(showDetails(surveyId)){
					if((surveyId==106)&&(!exportRequest)){
							onDemandCommCellDetails(surveyId,commUniId);
					}else{
						if(surveyId == 96){
							tableTitle = cvUtil.cvLocalize("table.title.Disk_Library_Growth_Details");
						}else if(surveyId == 27 && commUniId > 0){
							tableTitle = cvUtil.cvLocalize("table.title.Details_for_Clients_Missed_SLA");
						}else if(surveyId == 17){
							tableTitle = cvUtil.cvLocalize("table.title.Details_for_Failed_Killed_Jobs");
						}else if(surveyId==12 && commUniId > 0){
							tableTitle = cvUtil.cvLocalize("table.title.Client_Update_Status");
						}
					generateTable(
							surveyId,
							'GetSurveyDetails',
							false,
							true,
							'commCellDetails',
							'indCommCellDetailsPager',
							tableTitle,
							commUniId,
							'IndCommCell',
							false, false, true,null,
							tenant);
					}
				}
			}
		}
	}


</script>







<!-- UNTIL HERE -->

<div id="reportSummaryDiv">

</div>

<div id="noDataNotificationPanel" style="text-align: center; display:none;"></div>
	<div id="chartContentWrapper" class="indCommcellCont horizontal-line-top">
		<div id="barTop" style="display: none;" comp='barTop' data-component-type="METRICS_CHART" class="chartholder">
				<div id="barTitle" class="chartTitleStyle"></div>
				<div id="barchartcontainer" ></div>
			</div>
		<div id='scale-rep' style="display: none;">
				<!-- <div id='scale-latest-data1' class='chartWrapper'>
					<div id="scaleLatestTop1" style="display:none">
						<div id="scaleLatestTitle1" class="chartTitleStyle" >

						</div>
						<div id="scaleLatestContainer1"></div>
					</div>
				</div>
				<div id='scale-hist-data1' class='chartWrapper'>
					<div id="scaleHistTop1" style="display:none">
						<div id="scaleHistTitle1" class="chartTitleStyle" >

						</div>
						<div id="scaleHistContainer1" class='lineChart'></div>
					</div>
				</div>
				<div id='scale-hist-data2' class='chartWrapper'>
					<div id="scaleHistTop2" style="display:none">
						<div id="scaleHistTitle2" class="chartTitleStyle" >
						</div>
						<div id="scaleHistContainer2" class='lineChart'></div>
					</div>
				</div> -->
			</div>
			<div class="clrfloat"></div>

			<div id="barTop" style="display: none;" comp='barTop' data-component-type="METRICS_CHART" class="chartholder">
				<div id="barTitle" class="chartTitleStyle"></div>
				<div id="barchartcontainer" ></div>
			</div>
			<div id="pieTop" style="display:none" comp='pieTop' data-component-type="METRICS_CHART" class="chartholder">
				<div id="chartTitle" class="chartTitleStyle"></div>
				<div id="piechartcontainer" ></div>
			</div>
			<div id="licenseUsageDiv">
					<div id="completeLicWrapper" comp='completeLicWrapper' data-component-type="METRICS_CHART" class="chartholder licDiv">
						<h2><fmt:message key="Commvault_Complete" /></h2>
						<div>
							<ul id="completeLicense" class='dials'></ul>
						</div>
					</div>
					<div id="backupLicWrapper" comp='backupLicWrapper' data-component-type="METRICS_CHART" class="chartholder leftLicDiv licDiv">
						<h2><fmt:message key="Backup" /></h2>
						<div>
							<ul id="backupLicenses" class='dials'></ul>
						</div>
					</div>
					<div id="archiveLicWrapper" comp='archiveLicWrapper' data-component-type="METRICS_CHART" class="chartholder rightLicDiv licDiv">
						<h2><fmt:message key="Archive" /></h2>
						<div>
							<ul id="archiveLicenses" class='dials'></ul>
						</div>
					</div>
					<div class="clrfloat"></div>
					<div id="VMLicWrapper" comp='VMLicWrapper' data-component-type="METRICS_CHART" class="chartholder leftLicDiv licDiv">
						<h2><fmt:message key="Virtualization" /></h2>
						<div >
							<ul id="vmLicenses" class='dials'></ul>
						</div>
					</div>
					<div id="usersLicWrapper" comp='usersLicWrapper' data-component-type="METRICS_CHART" class="chartholder rightLicDiv licDiv">
						<h2><fmt:message key="Endpoint_Users" /></h2>
						<div>
						<ul id="usersLicenses" class='dials'></ul>
						</div>
					</div>
					<div class="clrfloat"></div>
					<div id="licenseNote" comp="licenseNote" data-component-type="EB_IMAGE">
					<ul>
						<li><div class="colors" id="withinCapacity"></div> <p class="licenseNoteLabel"><fmt:message key="chart.label.note.Usage_lessthan_90_or_unlimited" /></p> </li>
						<li><div class="colors" id="usageCritical"></div> <p class="licenseNoteLabel"><fmt:message key="chart.label.note.Usage_between_90_and_100" /></p> </li>
						<li><div class="colors" id="overCapacity"></div> <p class="licenseNoteLabel"><fmt:message key="chart.label.note.Usage_over_100" /></p> </li>
						<li><div class="colors" id="noLicense"></div> <p class="licenseNoteLabel"><fmt:message key="chart.label.note.License_not_applied" /></p> </li>
						<li><div class="colors" id="loanedCapacity"></div> <p class="licenseNoteLabel"><fmt:message key="chart.label.note.Loaned_Capacity" /></p> </li>
						<li><div class="colors" id="usageInformation"></div><p class="licenseNoteLabel"><fmt:message key="Usage_Information" /></p></li>
					</ul>
						<div id="summaryBarTopNote"></div>
						<div id="collectionCount"></div>
						<div class="clrfloat"></div>
				</div>

			</div>
			<div id="throughputChartsDiv" comp='throughputChartsDiv' data-component-type="METRICS_CHART" class="chartholder hide">
					<ul></ul>
				</div>
			<div id="summaryBarTop" comp='summaryBarTop' data-component-type="METRICS_CHART" class="chartholder" style="display:none">
				<div id="summaryBarChartContainerTitle" class="chartTitleStyle" ></div>
				<div id="summaryBarChartContainer"></div>
			</div>
			<div id="summaryPieTop2" comp='summaryPieTop2' data-component-type="METRICS_CHART" class="chartholder" style="display:none">
				<div id="summaryPieChartContainer2Title" class="chartTitleStyle"></div>
				<div id="summaryPieChartContainer2"></div>
			</div>
			<div id="summaryPieTop3" comp='summaryPieTop3' data-component-type="METRICS_CHART" class="chartholder dd" style="display:none">
				<div id="summaryPieChartContainer3Title" class="chartTitleStyle"></div>
				<div id="summaryPieChartContainer3"></div>
			</div>
			<div class="sectionBreak showOnExportFriendly"></div>
			<div id="summaryPieTop4" comp='summaryPieTop4' data-component-type="METRICS_CHART" class="chartholder" style="display:none">
				<div id="summaryPieChartContainer4Title" class="chartTitleStyle"></div>
				<div id="summaryPieChartContainer4"></div>
			</div>
			<div id="summaryPieTop5" comp='summaryPieTop5' data-component-type="METRICS_CHART" class="chartholder" style="display:none">
				<div id="summaryPieChartContainer5Title" class="chartTitleStyle"></div>
				<div id="summaryPieChartContainer5"></div>
			</div>
			<div class="sectionBreak showOnExportFriendly"></div>
			<div id="summaryPieTop1" comp='summaryPieTop1' data-component-type="METRICS_CHART" class="chartholder" style="display:none">
				<div id="summaryPieChartContainer1Title" class="chartTitleStyle"></div>
				<div id="summaryPieChartContainer1"></div>
			</div>

		    <div id="summaryPieTop6" comp='summaryPieTop6' data-component-type="METRICS_CHART" class="chartholder" style="display: none;">
					<div id="summaryPieChartContainer6Title" class="chartTitleStyle"></div>
					<div id="summaryPieChartContainer6"></div>
			</div>

		<div class="clrfloat"></div>
		</div>
	<div class="sectionBreak showOnExportFriendly"></div>
	 <div id='tableWrapper'>
	 	<div id="summaryDetails"  class='pageBreak' style="display:none"></div>
	 	<div id="summaryDetails2"  class='pageBreak' style="display:none"></div>
	 	<div id="licUsageByLicenseTable"  class='pageBreak'  style="display:none"></div>
	 	<div id="licUsageByAgentTable"  class='pageBreak' style="display:none"></div>
	 	<div id="licUsageByFeatureLicenseTable"  class='pageBreak' style="display:none"></div>
	 	<div id="licUsageByRetiredLicenseTable"  class='pageBreak' style="display:none"></div>
		<div id="capacityLicensesTable"  class='pageBreak' style="display:none"></div>
	 	<div id="licVirtualizationLicenseTable"  class='pageBreak' style="display:none"></div>
	 	<div id="licUsersLicenseTable"  class='pageBreak' style="display:none"></div>
	 	<div id="licArchivingLicenseTable"  class='pageBreak' style="display:none"></div>

    	<div id="commCellDetails" style="display:none"></div>
    	<div id="commCellDetails2" style="display:none"></div>
    	<div id="mediaAgentDetails" style="display:none"></div>
    	<div id="libraryDetails" style="display:none"></div>
    	<div id="mountPathDetails" style="display:none"></div>
    	<div id="driveDetails" style="display:none"></div>
    	<div id="libraryControllers" style="display:none"></div>
    	<div id="logicalDrives" style="display:none"></div>

    	<div id="backupThroughputPerMediaTable" class='pageBreak' style="display: none"></div>
		<div id="backupThroughputPerAgentTable" class='pageBreak' style="display: none"></div>
		<div id="restoreThroughputPerAgentTable" class='pageBreak' style="display: none"></div>
		<div id="storagePolicyThroughputTable" class='pageBreak' style="display: none"></div>

    	<div id="statusRow" comp="statusRow" data-component-type="EB_PRE_TABLE_HTML">
    	<table cellpadding="0" cellspacing="0" width="1200">
			<tr>
				<td><span id="threshold"></span></td>
				<td class="good"></td>
				<td class="warn"></td>
				<td class="critical"></td>
			</tr>
		</table>
    	</div>
    </div>

    <jsp:include page="alarmdialog.jsp"></jsp:include>

<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/search.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/multiselect/js/ui.multiselect.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.multiselect.min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/mustache.js" name="js"/>
  	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.ui.sortable.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/moment.js" name="js" />

	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-min.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/g.raphael.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-bar.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/raphael/raphael-line.js" name="js" />

	<jsp:param value="${pageContext.request.contextPath}/survey/js/custom-pie.js" name="js" />

	<jsp:param value="${pageContext.request.contextPath}/survey/js/jquery.uniform.min.js" name="js" />

	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey_templates.js" name="js"/>

	<jsp:param value="${pageContext.request.contextPath}/survey/js/common.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/commcellsurvey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/survey.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/alarms.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/trend.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/trendChart.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/reports/js/cvcharts.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/common/js/highcharts/highcharts.js" name="js"/>
	<jsp:param value="true" name="bootstrapped" />

</jsp:include>
<script nonce="${sessionScope.cspNonce}" >
function addTableLegend(){
	if(isReportLevelTableLegend()){
		$("#statusRow").insertBefore($("#tableWrapper"));
		$("#statusRow").css('border', '0px')
	}else{
		$("#statusRow").insertBefore($("#commCellDetails .dataTables_wrapper"));
	}
}

function isReportLevelTableLegend(){
	if(surveyId===12 && commUniId > 0){
		return true;
	}
	return false;
}
</script>

	</c:otherwise>
</c:choose>

</fmt:bundle>
