
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.SurveyMessages">
<jsp:include page="../../common/header.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/common/css/custom-cb.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveystyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/applicationstyles.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/surveyheader.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/auto_complete.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/survey/css/proactivesupport.css" name="css" />
	<jsp:param value="${pageContext.request.contextPath}/reports/responsive/css/reportsNav.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/survey/css/flabygatherlog.css" name="css" />
	<jsp:param value="Proactive Support" name="titleLocalized" />
	<jsp:param value="reports/reportsBase.jsp" name="jsp" />
	<jsp:param value="" name="headerTitleLocalized" />
	<jsp:param value="CommCells:../survey/reports/monitoringform.jsp,Dashboard:../survey/reports/dashboard.jsp?commUniId=${fn:escapeXml(param.commUniId)}" name="breadCrumbValues" />
	<jsp:param value="true" name="includeSecHeader" />
	<jsp:param value="true" name="bootstrapped" />
	<jsp:param value="true" name="reportsNav" />
</jsp:include>
<jsp:include page="surveyHeader.jsp">
	<jsp:param name="searchCC" value="true" />
	<jsp:param name="includeBreadcrumb" value="false" />
	<jsp:param name="headerLinks" value="commcellUrl" />
	<jsp:param name="showLogTabs" value="true" />
	<jsp:param name="proactive" value="true" />
</jsp:include>

<fmt:message key="gatherlog.prosprt.select_Client" var="select_Client"/>
<fmt:message key="gatherlog.prosprt.select_Client_errormsg" var="select_Client_error"/>
<fmt:message key="gatherlog.prosprt.select_rule" var="select_rule"/>
<fmt:message key="gatherlog.prosprt.select_tool" var="select_tool"/>
<fmt:message key="gatherlog.prosprt.select_process" var="select_process"/>
<fmt:message key="gatherlog.prosprt.valid_number" var="valid_number"/>
<fmt:message key="gatherlog.prosprt.log_files" var="log_files"/>
<fmt:message key="gatherlog.prosprt.success_msg" var="success_msg"/>
<fmt:message key="gatherlog.prosprt.entities_error" var="entities_error"/>
<fmt:message key="gatherlog.prosprt.failed_msg" var="failed_msg"/>
<fmt:message key="gatherlog.headertext" var="headertext"/>
<fmt:message key="gatherlog.prosprt.invalid_tool_param" var="invalid_tool_param"/>
<fmt:message key="Proactive_not_enabled" var="Proactive_not_enabled"/>
<fmt:message key="gatherlog.dberr" var="gl_dberr"/>
<fmt:message key="gatherlog.usernotloggedin" var="gl_usernotloggedin"/>
<fmt:message key="gatherlog.emptycommcellid" var="gl_emptycommcellid"/>
<fmt:message key="gatherlog.unexpectederrormsg" var="gl_unexpectederrormsg"/>
<fmt:message key="gatherlog.wrongcommcellmsg" var="gl_wrongcommcellmsg"/>
<script nonce="${sessionScope.cspNonce}" >
	var localMsg = localMsg || {};
	localMsg.select_Client = "${select_Client}";
	localMsg.select_Client_error = "${select_Client_error}";
	localMsg.select_rule = "${select_rule}";
	localMsg.select_tool = "${select_tool}";
	localMsg.select_process = "${select_process}";
	localMsg.valid_number = "${valid_number}";
	localMsg.log_files = "${log_files}";
	localMsg.success_msg = "${success_msg}";
	localMsg.failed_msg = "${failed_msg}";
	localMsg.entities_error = "${entities_error}";
	localMsg.invalid_tool_param = "${invalid_tool_param}";
	localMsg.headertext = "${headertext}";


	var localMsgCode = [];
	localMsgCode[0] = localMsg.success_msg;
	localMsgCode[1] = "${gl_usernotloggedin}";
	localMsgCode[2] = "${gl_emptycommcellid}";
	localMsgCode[3] = "${gl_wrongcommcellmsg}";
	localMsgCode[4] = "${gl_unexpectederrormsg}";
	localMsgCode[5] = "${gl_dberr}";
	localMsgCode[6] = "${Proactive_not_enabled}";
	localMsgCode[7] = "";
	localMsgCode[8] = "";
	localMsgCode[9] = "";
	localMsgCode[10] = localMsg.gl_nosupport;
	localMsgCode[11] = "";
	localMsgCode[12] = localMsg.entities_error;
	localMsgCode[13] = localMsg.invalid_tool_param;
</script>

<!-- <div class="hline"></div> -->
<div class="container">
	<div id="noDataNotificationPanel"></div>
	<div class="proactive-container hide">
		<div class="task-sec">
			<div class="task-item"><label><fmt:message key="gatherlog.prosprt.client" /></label></div>
			<input type="text" class="inpcontrol" id="client-list" name="clients" placeholder='<fmt:message key="gatherlog.prosprt.client.placeholder" />' />
		</div>
		<!-- <div class="task-sec">
			<div class="task-item custom-cb" data-state="unchecked"></div><span><fmt:message key="gatherlog.prosprt.errreport" /></span>
		</div> -->
		<div class="task-sec">
			<div class="task-item custom-cb task-check" id="tools-task" data-name="tools-task" data-state="unchecked"></div><label class="custom-cb-label"><fmt:message key="gatherlog.prosprt.runtool" /></label>
			<div class="sItem">
				<select class="inpcontrol tools-ctrl" id="tool-list">
					<option value="" disabled selected><fmt:message key="gatherlog.prosprt.select_tool"/></option>
				</select>
				<input class="inpcontrol tools-ctrl" type="text" name="tool-params" id="tool-params" placeholder='<fmt:message key="gatherlog.prosprt.runtool.param.placeholder" />'/>
			</div>
		</div>
		<div class="task-sec">
			<div class="task-item custom-cb task-check" id="process-task"  data-name="process-task" data-state="unchecked"></div><label class="custom-cb-label"><fmt:message key="gatherlog.prosprt.runtool.procmanage" /></label>
			<div class="sItem">
				<input type="text" class="inpcontrol" id="process-list" name="process" placeholder='<fmt:message key="gatherlog.prosprt.runtool.procmanage.placehold" />' />
				<br>
				<label for="debug-level"><fmt:message key="gatherlog.prosprt.runtool.dbg" />:</label><input type="number" id="debug-level" name="debug" class="process-ctrls" min="0" max="5">
				<label for="max-version"><fmt:message key="gatherlog.prosprt.runtool.maxv" />:</label><input type="number" id="max-version" name="version" class="process-ctrls" min="0" max="5">
				<label for="max-size"><fmt:message key="gatherlog.prosprt.runtool.maxs"/>:</label><input type="number" id="max-size" name="max_size" class="process-ctrls" min="0" max="5"><label>MB</label>
			</div>
		</div>
		<div class="task-sec cloud-logs hidden">
			<div class="task-item custom-cb task-check" id="cloud-log-task"  data-name="cloud-log-task" data-state="unchecked"></div><label class="custom-cb-label"><fmt:message key="gatherlog.prosprt.cloudlogmon" /></label>
			<div class="sItem">
				<p><label><fmt:message key="gatherlog.prosprt.cloudlogmon.multilog" /></label></p>
				<input type="text" class="inpcontrol" id="log-files-list" name="logs" placeholder='<fmt:message key="gatherlog.prosprt.cloudlogmon.placehold" />'/>
				<div><label><fmt:message key="gatherlog.prosprt.moninterval" /></label><input type="radio" class="interval" id="hours-48" name="interval" value="48" checked="checked" ><label for="hours-48"><fmt:message key="gatherlog.prosprt.moninterval.hour" /></label><input type="radio" class="interval" id="days-7" name="interval" value="7" ><label for="days-7"><fmt:message key="gatherlog.prosprt.moninterval.day" /></label></div>
			</div>
		</div>
		<div class="button-panel">
			<a class="mainBtn submitBtn"><fmt:message key="gatherlog.submit"/></a>
		</div>

		<div class="alert-panel">
			<div class="aftrsbmtmsg alert-info hide"></div>
		</div>
	</div>

</div>


<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/common/js/jquery.loadmask.cv.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/ba-debug.min.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/common/js/custom-cb.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/settings/settings.js" name="js"/>
	<jsp:param value="${pageContext.request.contextPath}/survey/js/auto_complete.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/proactivesupport.js" name="js" />
</jsp:include>
</fmt:bundle>
