<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<fmt:message key="common.label.earlyRelease" var="earlyRelease" />
<c:set var="surveyEnabled" value="false" />
<cv:secureTag name="Survey" id="14">
	<c:set var="surveyEnabled" value="true" />
</cv:secureTag>

<c:set var="isReportAdmin" value='false' scope="page" />
	<cv:reportsTag name="adminRight" id="999">
		<c:set var="isReportAdmin" value='true' scope="page" />
	</cv:reportsTag>
<script nonce="${sessionScope.cspNonce}" >
		var surveyEnabled = '${surveyEnabled}';
</script>
<div>
</div>
<div id="ContentWrapper">
	<fmt:bundle basename="localization.CustomReportsMessages">
		<div id="advSettings">
			<p class="entitySettings slaSettings hide">
				<span class="reportParamLabel slaDaysLabel"><fmt:message key="Days_to_consider_for_SLA" /></span>
				<select class="slaDays">
					<option value="1">1</option>
					<option value="3">3</option>
					<option value="5">5</option>
					<option value="7">7</option>
					<option value="14">14</option>
					<option value="21">21</option>
					<option value="30" selected>30</option>
				</select>
				<span id="saveSLA" title='<fmt:message key="Save" />' class='sprite icon-save'></span>

			</p>
			<cv:reportsTag name="cellAdministrativeRight" id="999">
					<p class="entitySettings analyticsEngSetting">
						<span class="reportParamLabel"><fmt:message key="Analytics_Engine_for_Reports_Search" /></span>
						<select class="analyticsEngine">
							<option disabled selected></option>
						</select>
						<span id="saveAnalyticsEngine" title='<fmt:message key="Save_and_Sync" />'>
							<input type="button" value='<fmt:message key="Save_and_Sync" />'/>
						</span>
						<span class="disable-reports-search"><fmt:message key="btn.title.disable_reports_search"></fmt:message></span>
						<span class="processing-msg hide"><fmt:message key="Processing_request_please_wait" /></span>
					</p>
					<p id="saveAndSyncNote">	<fmt:message key="Save_and_Sync_Note"/>
					</p>
			</cv:reportsTag>		
		</div>
	</fmt:bundle>
	<div class="clearFloat"></div>
	
	
	<c:if test="${surveyEnabled == 'true' and applicationScope.METRICS_INSTALLED eq 'true'}">
		<div id="reportdiv"></div>
		<div id="generalReportdiv"></div>
		<div id="healthReportdiv"></div>
		<div id="activityReportdiv"></div>
		<div id="capacityReportdiv"></div>
		<div id = "editTemplate" style="display:none">
			<div id="retentionEditTemplate">
				<input id="retention" type="text" class="tagsInputs enterAction"/><span></span>
				</div>
			<div id="statusEditTemplate">
				<select id="status" class="tagsInputs enterAction">
					<option value="Enabled">Enabled</option>
					<option value="Disabled">Disabled</option>
				</select>
			</div>

			<div id="flagEditTemplate">
				<select id="flags" class="tagsInputs enterAction">
					<option value="True">True</option>
					<option value="False">False</option>
				</select>
			</div>

			<div id = "saveCancelEditOp">
				<span class="tagEditSpan">
					<span class="save sprite icon-save" title="Save"></span>
					<span	class="cancel sprite icon-delete" title="Cancel"></span>
				</span>
			</div>

		</div>
	</c:if>
</div>
<c:if test="${surveyEnabled == 'true'}">
	<script nonce="${sessionScope.cspNonce}"	src="${pageContext.request.contextPath}/survey/js/survey_templates.js?${applicationScope.BUILD_TS}"></script>
</c:if>
<script nonce="${sessionScope.cspNonce}"	src="${pageContext.request.contextPath}/survey/js/reportSettings.js?${applicationScope.BUILD_TS}"></script>
