<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<html>
<head>
<jsp:include page="/common/search-engine.jsp" />
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Royalty Report</title>
	<c:if test="${paramValues.css != null}">
		<c:forEach items="${paramValues.css}" var="cssFile">
			<c:if test="${!fn:startsWith(cssFile, pageContext.request.contextPath)}">
				<c:set var="cssFile" value="${pageContext.request.contextPath}${pageContext.request.servletPath}/../../${cssFile}" />
			</c:if>
			<link rel="stylesheet" href="${fn:escapeXml(cssFile)}?${applicationScope.BUILD_TS}" />
	</c:forEach>
</c:if>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/common/js/jquery.min.js?${applicationScope.BUILD_TS}"></script>
<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="${pageContext.request.contextPath}/common/js/cvutil.js?${applicationScope.BUILD_TS}"></script>
<body>
<div id =content class="font-Family-Aerial">
<div id =title>
	<p id =name>Rackspace Managed Hosting</p><br>
	<p class="details">5000 Walzem Road<br>San Antonio, TX 78218</p>
</div>
<div id = shippingDetails><p class = "header italic">Ship To:</p><br>
	<p class = "position details">Rackspace <br>
	5000 Walzem Road<br>
	San Antonio, TX 78218<br>
	Office: (210) 312-4379<br>
	Email: LicenseReporting@rackspace.com
	</p>

</div>
<div id = billingDetails><p class = "header italic" >Bill To:</p><br>
	<p class = "position details">Rackspace <br>
	5000 Walzem Road<br>
	San Antonio, TX 78218<br>
	Office: (210) 312-4379<br>
	Email: LicenseReporting@rackspace.com
	</p>
</div>

<div id = address><p class = header >To<br>Commvault Systems, Inc.</p><br>
	<p class = "position details">1 Commvault Way<br>
	Tinton Falls, NJ 07724<br></p>
</div>
<div id = reportSummary><p class = header >Commvault Royalty Report</p><br>
	<p class = "position details">Commvault Subscription Agreement for Rackspace
	</p>
</div>
<div id = "TableWrapper">
	<table id="summarytable" class="dataTable drawn" align="center" >
	<thead>
	<tr class="row">
	<th>MONTH ENDING</th>
	<th>APPROVER</th>
	<th>SHIPPED VIA</th>
	<th>F.O.B. POINT</th>
	<th>TERMS</th>
	</tr>
	</thead>
	<tbody>
	<tr class="data">
	<td id =date></td>
	<td>Licensing</td>
	<td>email</td>
	<td>Origin</td>
	<td>Delivery/Net 45</td>
	</tr>
	</tbody>
	</table>
<br>
	<span class='royalty-table-title'>Baseline:</span>
	<table id="baselinetable" class="dataTable drawn" align="center" >
		<thead>
			<tr class="row">
				<th>Quantity</th>
				<th>Category</th>
			</tr>
		</thead>
		<tbody>
			<tr class="data">
				<td id="serverCommitmentQty"></td>
				<td>Server Commitment</td>
			</tr>
			<tr class="data">
				<td id="testDeductionQty"></td>
				<td>Test Server Deduction</td>
			</tr>
		</tbody>
	</table>

	<br>
	<span class='royalty-table-title'>Billable Usage:</span>
	<table id="detailtable" class ="dataTable drawn" align="center" >
	<thead>
	<tr class="row">
	<th>Quantity in Use</th>
	<th>New Install Base Offering/1-Touch Offering</th>
	<th>PRICE</th>
	<th>TOTAL</th>
	</tr>
	</thead>
	<tbody>
	<tr class ="data">
	<td id=quantity ></td>
	<td>New Install Base Offering</td>
	<td id=price1></td>
	<td id=total1></td>
	</tr>
	<tr class ="data">
	<td id=quantity2 ></td>
	<td>1 - Touch Offering</td>
	<td id=price2></td>
	<td id=total2></td>
	</tr>
	<tr class ="data">
	<td colspan="3" >&nbsp </td>
	<td></td>
	</tr>
	<tr class ="data">
	<td colspan="3" >Grand Total </td>
	<td id=grandTotal></td>
	</tr>
	</tbody>
	</table>

	<div id=agrrement>
	<p id = agrrementTitle align="center">Reference Commvault/Rackspace Master Subscription Agreement.</p>
	<p id = agrrementDetails >The royalties and maintenance fees reflected on this Royalty Report are final, not subject to
	change and represent Rackspace's unconditional obligation to pay the amounts stated herein.
	The Royalty Report shall serve as a final and binding purchase order. For invoicing purposes,
	please use the following billing reference number:<br></p>
	<p id =billNo></p>
	<br>
	<br>
	<div id= rackspace>
	<p id=rackspaceSign>Rackspace Authorized Signature</p>
	<p id=rackspacesignDate>Date</p><br>
	</div>
	<div id= cv>
	<span id=cvSign>Commvault Authorized Signature</span>
	<span id=cvSignDate>Date</span><br><br>
	</div>
	</div>

</div></div>
<c:if test="${paramValues.js != null}">
	<c:forEach items="${paramValues.js}" var="jsFile">
		<c:if test="${!fn:startsWith(jsFile, pageContext.request.contextPath)}">
			<c:set var="jsFile" value="${fn:escapeXml(pageContext.request.contextPath)}${fn:escapeXml(pageContext.request.servletPath)}/../../${fn:escapeXml(jsFile)}" />
		</c:if>
		<c:if test="${cv:isSafeInclude(fn:escapeXml(jsFile))}" >
			<script nonce="${sessionScope.cspNonce}" src="${fn:escapeXml(jsFile)}?${applicationScope.BUILD_TS}"></script>
		</c:if>
	</c:forEach>
</c:if>
<script nonce="${sessionScope.cspNonce}"  type="text/javascript">
cvUtil.CONTEXT_PATH = '${fn:escapeXml(pageContext.request.contextPath)}';
getRoyaltyReportData();
$(document).ready(function() {
	window.allOnReadiesExecuted=true; //while exporting we need to know when the page has completed its execution
});
</script>
</body>
</html>

