
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.SurveyMessages">
	<jsp:include page="../../common/header.jsp">
		<jsp:param value="true" name="includeMask" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="" name="titleLocalized" />
		<jsp:param value="dialog" name="displayMode" />
		<jsp:param value="${pageContext.request.contextPath}/common/css/jquery.loadmask.css" name="css"/>
		<jsp:param value="${pageContext.request.contextPath}/common/css/headerstyles.css" name="css" />
		<jsp:param value="${pageContext.request.contextPath}/customreports/css/shareReport.css" name="css" />
	</jsp:include>
	<script nonce="${sessionScope.cspNonce}" >
	    var localMsg = localMsg || {};
		${cv:jsLocalize("localMsg", "localization.SurveyMessages", null)};
	</script>
	<div id="dialog-form" title="User Security">
		<div id="userAssociationPanel" class="aggregate">
			<div class="usersListPanel availableUserPanel">
				<h2><fmt:message key="security.AvailableUsersGroups"/></h2>
				<input type="text" id="cr-security-search-user" class="search-textbox" placeholder="<fmt:message key="security.FindUsersGroups"/>"/>
				<ul id="availableUserList" class="connectedSortable"></ul>
			</div>
			<ul id="moveButtons">
				<li><button id="moveRight">&gt;</button></li>
				<li><button id="moveLeft">&lt;</button></li>
			</ul>
			<div class="usersListPanel selectedUserPanel">
				<h2><fmt:message key="security.SelectedUsersGroups"/></h2>
				<ul id="selectedUserList" class="connectedSortable"></ul>
			</div>
		</div>
	</div>

	<fmt:bundle basename="localization.messages">
		<div id="userAssociationPanel-footer" class="buttonsDiv btns rghtFloat" >
			<a href="#" id="cancelButton"><fmt:message key="Cancel" /></a>
			<a href="#" id="okButton" class="okSaveButton"><fmt:message key="Submit" /></a>
		</div>
	</fmt:bundle>
</fmt:bundle>
<jsp:include page="../../common/footer.jsp">
	<jsp:param value="${pageContext.request.contextPath}/reports/js/reportsUtil.js" name="js" />
	<jsp:param value="${pageContext.request.contextPath}/survey/js/userGroups.js" name="js" />
</jsp:include>
