<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:bundle basename="localization.ReportsMessages">

<c:choose>
	<c:when test="${fn:escapeXml(param.apptype) != null}">
		<input type="hidden" id="apptype" name="apptype" value="${fn:escapeXml(param.apptype)}"> 
	</c:when>
	<c:otherwise>
		<input type="hidden" id="apptype" name="apptype" value="general">
	</c:otherwise>
</c:choose>
<c:if test="${fn:escapeXml(param.defaultSurvey) != null }">
	<input type="hidden" id="defaultSurvey" name="defaultSurvey" value="${fn:escapeXml(param.defaultSurvey)}">
</c:if>

<c:if test="${fn:escapeXml(param.includeExportSupport) != null && fn:escapeXml(param.includeExportSupport) == 'true'}">
	<jsp:include page="exportForm.jsp" flush="true" />
</c:if>

</fmt:bundle>